Welcome to Window-Eyes 4.1

Welcome to

4.1


Contact Information

W Polsce

E.C.E. Konrad Lukaszewicz
Ul. Sienkiewicza 51
05-825 Grodzisk Maz.

Tel. (22) 755 57 57

www: www.ece.internet.pl

e-mail: pomoc@ece.internet.pl


Warranty Notice

Window-Eyes™

Warunki Gwarancji

Zakup tego i innych programów firmy GW Micro, Inc. nie daje praw własności lecz tylko licencję na ich używanie. Zakupionego produktu nie można sprzedawać ani dawać osobom trzecim bez pisemnej zgody GW Micro, Inc.

Zabezpieczenie przed kopiowaniem

Płytka CD programu Window-Eyes nie jest zabezpieczona przed kopiowaniem, jednak użytkownik ma prawo skopiować ten dysk tylko w celu utworzenia osobistej kopii bezpieczeństwa. Kopiowanie dysku w jakimkolwiek innym celu wymaga pisemnej zgody firmy GW Micro, Inc. W szczególności nielegalnym jest dawanie kopii programu innym osobom.

Każda kopia programu Window-Eyes ma unikalny numer seryjny, który jest rejestrowany dla indywidualnego użytkownika. Numer seryjny programu może być odczytany z menu Pomoc panelu kontrolnego programu Window-Eyes. Karta rejestracyjna programu również zawiera ten numer i wymagane jest aby była ona zwrócona do dystrybutora firmy GW Micro, Inc. Tylko po dokonaniu rejestracji przysługuje użytkownikowi prawo do wsparcia technicznego i kolejnych uaktualnień programu.

Ograniczona Gwarancja

GW Micro, Inc. Gwarantuje, że oryginalne dyski są wolne od wad materiałowych i wykonawczych, zakładając normalne ich użytkowanie w okresie 30 dni od daty zakupu oprogramowania. Jeśli wady ujawnią się w tym okresie, można zwrócić uszkodzoną płytkę CD-ROM do firmy GW Micro, Inc., wraz z dowodem określającym datę zakupu w celu otrzymania nowego egzemplarza.

UWAGA

Podczas przygotowywania tego podręcznika starano się aby był on łatwy do zrozumienia. Mamy nadzieję, że jest on wolny od błędów i mylnych interpretacji. Jakiekolwiek pytania i komentarze są oczywiście mile widziane. Prosimy kierować wszystkie uwagi bezpośrednio do Technical Publications Division of GW Micro, Inc lub do firmy E.C.E. Konrad Łukaszewicz, która przygotowywała wersję polską.

GW Micro, Inc. zastrzega sobie prawo do poprawiania lub wprowadzania zmian w tym podręczniku oraz w produkcie bez uprzedzenia. Wszelkie prawa do tego podręcznika są zastrzeżone. Ten dokument, ani żaden z jego fragmentów, nie może być kopiowany, reprodukowany, tłumaczony lub przekształcany w jakakolwiek formę elektroniczną bez uprzedniej pisemnej zgody firmy GW Micro, Inc.

Copyright © 1995-2001 by GW Micro, Inc.


ROZDZIAŁ PIERWSZY Wstęp

ROZDZIAŁ PIERWSZY

Wstęp

W tym rozdziale podręcznika do programu Window-Eyes znajdują się informacje o zawartości pakietu, oraz o sposobie kontaktowania się z pomocą techniczną. Opisany jest również sposób w jaki należy skonfigurować system Windows aby jak najlepiej współpracował z programem Window-Eyes

  • 1.1: Witamy w świecie Window-Eyes
  • 1.2: Wymagania sprzętowe
  • 1.3: Cechy programu Window-Eyes
  • 1.4: Zawartość pakietu
  • 1.5: Wsparcie techniczne
  • 1.6: Jak posługiwać się niniejszą instrukcją?
  • 1.7: Zabezpieczenie programu
  • 1.8: Użytkownicy systemu Windows 98
  • 1.9: Użytkownicy Windows Millenium


ROZDZIAŁ PIERWSZY
Wstęp

1.1: Witamy w świecie Window-Eyes!

Gratulujemy zakupu programu, który jest programem odczytu ekranu, dającym za pomocą mowy syntetycznej dostęp do oprogramowania pracującego w środowisku Windows. Window-Eyes został opracowany zarówno dla początkujących, jak i zaawansowanych użytkowników komputera. GW Micro przy opracowywaniu tego programu bazowało na doświadczeniach wielu niewidomych użytkowników komputera, a ich cenne uwagi zostały uwzględnione. W rezultacie powstał program, który jest wyposażony w szeroką gamę funkcji oraz duże możliwości elastycznego dostosowywania się do indywidualnych potrzeb użytkowników, jak i do pracy w najbardziej zaawansowanych programach aplikacyjnych.

GW Micro poszukiwało idealnej kombinacji pomiędzy elastycznością programu, a jego automatycznym dostosowywaniem się do sytuacji na ekranie. Chcielibyśmy, aby nasz program był dostosowany do specyficznych potrzeb i upodobań użytkownika - aby pracował automatycznie i kierował głównie naszą uwagę na program aplikacyjny, z którego korzystamy, a nie na system operacyjny.

Przede wszystkim, celem programu odczytu ekranu jest udostępnienie wszystkich funkcji programu użytkowego, a nie skupianie uwagi na mechanizmach poszukiwania informacji na ekranie.


1

ROZDZIAŁ PIERWSZY
Wstęp

1.2: Wymagania sprzętowe

Aby zainstalować program Window-Eyes musimy posiadać następujący sprzęt komputerowy.

Komputer klasy IBM PC z zainstalowanym systemem operacyjnym MS Windows 9x lub Windows Millenium. Zalecany jest szybki procesor, aczkolwiek możliwe jest uruchomienie programu nawet na komputerze z procesorem 486. Jednak możliwości wolnego komputera mogą spowodować, że korzystanie z programu będzie praktycznie niemożliwe, dlatego też gorąco polecamy komputery z procesorem Pentium.

Komputer musi dysponować pamięcią 32MB, jednak poprawne warunki pracy zapewnia 64MB RAM.

Im większą pamięcią RAM dysponuje nasz system, tym szybciej i bardziej wydajnie będą pracowały programy w środowisku Windows, wliczając w to program Window-Eyes. Zwiększanie się prędkości nie jest już takie znaczne przy zwiększaniu pamięci powyżej 128MB.

System komputerowy musi współpracować z jednym z syntezatorów mowy. Najpopularniejsze syntezatory mowy obsługiwane przez program Window-Eyes w Polsce to: SMP, Apollo, Braille ‘N Speak oraz syntezatory programowe SAPI.


1

ROZDZIAŁ PIERWSZY
Wstęp

1.3: Cechy programu Window-Eyes

· współpraca z systemami Windows 9x i Windows ME,

· obsługa monitorów brajlowskich,

· rozszerzona obsługa Internetu przy współpracy z IE 5.5,

· natychmiastowe ładowanie stron,

· wykorzystywanie Microsoft Active Accessibility (MSAA),

· kompatybilność z wieloma popularnymi syntezatorami mowy,

· pełna współpraca z atrybutami video i wszystkimi systemami video,

· łatwy dostęp do Szuflady systemów Windows 9x,

· automatyczne etykietowanie wielu grafik użytkowych,

· oddzielna regulacja parametrów głosu dla ekranu, klawiatury i myszki,

· trzeci niewidoczny kursor służący do przeglądu ekranu, bez wpływu na położenie kursora systemowego i kursora myszy, nazywany kursorem WE,

· zdolność zastosowania wielu preferowanych przez użytkownika parametrów głosu i ustawień automatycznego czytania dla wszystkich lub wielu różnych środowisk,

· brak potrzeby nauki korzystania z języka makro poleceń lub skryptów,

· brak potrzeby stosowania specjalnych sterowników dla karty video lub klawiatury,

· łatwe w użyciu systemy menu rozwijanych dla kontroli i ustawiania parametrów programu,

· wiele definiowanych przez użytkownika gorących klawiszy dla operowania systemem
Window-Eyes w locie, bez konieczności zakłócania pracy programu użytkowego,

· czterdzieści sześć definiowanych przez użytkownika klawiszy podążania za kursorem, z możliwością automatycznego wykonywania różnych zadań, realizowanych przez program
Window-Eyes w odpowiedzi na posługiwanie się klawiaturą w programie użytkowym,

· zaawansowane śledzenie podświetleń z inteligentnym automatycznym trybem umożliwiajacym łatwy dostęp do menu, przycisków, ikon i różnych podświetlonych tekstów,

· pięćdziesiąt jednocześnie dostępnych okien użytkownika do odczytu wyspecyfikowanych obszarów ekranu,

· samodostosowujące się okna do czytania informacji w rożnych zmiennych rejonach ekranu lub w zmieniających swoje wymiary oknach aplikacji,

· dwadzieścia sześć niezależnych okien hiperaktywnych, które nadzorują określone przez użytkownika fragmenty ekranu w poszukiwaniu zmian i powodują wywołanie rozmaitych zadań programu,

· słowniki wyjątków dla alternatywnej wymowy słów;

· słowniki grafik dla ustalenia nazw symboli graficznych,

· słowniki etykiet klawiszy dla ustalenia nazw funkcji programów użytkowych w powiązaniu z odpowiednimi klawiszami,

· słowniki znaków dla alternatywnego opisu indywidualnych znaków, takich jak znaki interpunkcyjne,

· automatyczne ładowanie parametrów mowy i słowników wymowy przy uruchamianiu programu lub przechodzeniu z okna jednego programu użytkowego do drugiego,

· możliwość przesuwania kursora myszy za pomocą klawiatury,

· zdolność poszukiwania myszki dla lokalizacji znanego tekstu lub grafiki na ekranie,

· szeroka różnorodność funkcji dla automatycznego czytania menu okien dialogowych i innych elementów systemu Windows,

· sygnalizacja akustyczna dużych liter i zmiany formatu podczas sprawdzania tekstu,

· funkcja automatycznego czytania od początku do końca dokumentu,

· standardowy wygląd i intuicyjna obsługa środowiska Windows,

· łatwy w użyciu przewodnik użytkowania programu Window-Eyes, prezentowany w formie kursu,

· możliwość wykorzystywania oprogramowania tekst-mowa dostarczanego w standardzie Microsoft SAPI,

· możliwość obsługiwania przy użyciu mowy dialogów Ctrl+Alt+Del i GPF w środowisku Windows 9x,

· bezproblemowy dostęp za pomocą Internet Explorera do najbardziej skomplikowanych stron internetowych,

· ekstremalna wrażliwość i stabilność,

· automatyczna instalacja z komentarzami słownymi dostarczana na CD-ROM-ie,

· obsługa skrótów brajlowskich,

· czytanie plików standardu PDF,

· sześciojęzyczny syntezator mowy Eloquence w komplecie.


1

ROZDZIAŁ PIERWSZY
Wstęp

1.4: Zawartość pakietu

Proszę poświęcić chwilę czasu na zapoznanie się z zawartością pakietu.

W skład oprogramowania Window-Eyes wchodzą:

· instrukcja instalacji oprogramowania w formie czarnodrukowej,

· kurs instalacji i obsługi programu Window-Eyes na kasetach magnetofonowych,

· dwa CD-ROMy: jeden zawierający wersję angielską programu a drugi wersję polska,

· karta rejestracyjna użytkownika, zawierająca numer seryjny oprogramowania. (Prosimy o wypełnienie karty rejestracyjnej i jej przesłanie na adres dystrybutora wersji polskiej - firmy E.C.E.). Zarejestrowanie oprogramowania jest jedyną drogą na otrzymanie wsparcia technicznego przy jakichkolwiek kłopotach w trakcie używania programu. Poza tym dane dotyczące użytkownika umożliwią nam przesłanie aktualnych informacji o nowych pojawiających się produktach.


1

ROZDZIAŁ PIERWSZY
Wstęp

1.5: Wsparcie techniczne

Bezpłatne wsparcie techniczne oraz pomoc przy korzystaniu z programu Window-Eyes przysługuje wszystkim legalnym użytkownikom tego programu, którzy prześlą kartę rejestracyjną na adres dystrybutora programu. Wsparcie techniczne w Polsce można uzyskać w godzinach 800÷1400 pod numerem telefonu: (22) 755 57 57 lub, w godzinach późniejszych, pod numerem: (0-608) 043 153. Wszelkie pytania można również przekazywać za pomocą Internetu na adres: konrad@ece.w.pl lub darek@ece.w.pl. Aktualne informacje o polskiej wersji programu znajdują się na stronie internetowej www.ece.internet.pl.

W przypadku kontaktu z naszą firmą prosimy być przygotowanym do podania numeru seryjnego programu. Aby go odczytać należy:

1) Nacisnąć CTRL-\, aby uzyskać Window-Eyes Panel Kontrolny.

2) Nacisnąć ALT, aby uaktywnić Pasek Poleceń oraz C, aby uruchomić Pomoc.

3) Nacisnąć O, aby odczytać numer seryjny.

4) Dwa naciśnięcia klawisza ESC spowodują opuszczenie Panelu Kontrolnego.


1

ROZDZIAŁ PIERWSZY
Wstęp

1.6: Jak posługiwać się niniejszą instrukcją?

Wszystko, co jest potrzebne do pełnego wykorzystania programu Window-Eyes jest zawarte w niniejszej instrukcji. Instrukcja zawiera osiemnaście rozdziałów i siedem dodatków.

Rozdział trzeci poświęcony jest przeglądowi funkcji programu. Dla użytkowników nie zaznajomionych z systemem Windows zapoznanie się z tym rozdziałem będzie niezbędne. Chociaż żadna instrukcja dla programu opartego o środowisko Windows nie spełnia roli programu treningowego dla systemu operacyjnego Windows, to w rozdziale trzecim opisane zostały pokrótce sposoby posługiwania się funkcjami kontrolnymi systemu oraz podstawy wykorzystania programu Window-Eyes w celu aktywacji funkcji kontrolnych systemu Windows.

Rozdział czwarty jest wprowadzeniem do podstaw operowania programem Window-Eyes.

Po przeczytaniu rozdziału trzeciego i czwartego początkujący użytkownicy powinni zapoznać się z przewodnikiem nagranym na taśmach magnetofonowych. Poprowadzi on ich przez cały proces od instalacji oprogramowania do korzystania z akcesoriów i aplikacji systemu Windows. Przewodnik pomoże nie tylko zrozumieć program Window-Eyes, ale także system Windows.

Rozdziały od piątego do osiemnastego tłumaczą techniczne i praktyczne aspekty pracy z programem Window-Eyes, poczynając od technik przeglądu ekranu, przechodząc powoli na coraz wyższe poziomy.

Window-Eyes jest programem podlegającym nieustannym udoskonaleniom i czasami zmiany następują wcześniej, niż zostaną wydrukowane w instrukcji. Prosimy więc o przeglądanie zbioru "Read Me". Aby odczytać zawartość tego zbioru wystarczy go odszukać w folderze programu Window-Eyes i nacisnąć ENTER. Spowoduje to automatyczne uruchomienie programu Notatnik i otworzenie zbioru "Read Me".


1

ROZDZIAŁ PIERWSZY
Wstęp

1.7: Zabezpieczenie programu

Po zainstalowaniu programu Window-Eyes prosimy o przechowywanie oryginalnych dysków CD-ROM z programem Window-Eyes w czystym, suchym i niezbyt gorącym lub zimnym miejscu. Proszę pamiętać, że dysk CD nie jest niezniszczalny. Prosimy posługiwać się nim bardzo ostrożnie nawet pojedyncze zadrapanie może zniszczyć nieodwracalnie zapis.


1

ROZDZIAŁ PIERWSZY
Wstęp

1.8: Użytkownicy systemu Windows 98

Użytkownicy systemu Windows 98 mogą być zmuszeni do wykonania kilku regulacji w celu uzyskania pełnej kompatybilności z programem Window-Eyes. Te regulacje dotyczą systemu Windows 98, a nie programu Window-Eyes. Konieczne jest wyłączenie funkcji Active Desktop oraz animacji. Może to być wykonane przy uruchomionym programie Window-Eyes..

Proszę wykonać następujące czynności, aby zmienić ustawienia widoku foldera:

1) nacisnąć CTRL-ESC, aby przywołać Menu Startowe

2) nacisnąć ESC, aby usunąć Menu Startowe

1) naciskać TAB, dopóki nie uaktywni się Pulpit

2) naciskać M, aż będzie wybrany Mój Komputer

3) nacisnąć ENTER, aby uaktywnić Mój Komputer

4) nacisnąć ALT-W, aby uaktywnić funkcję Widok

5) nacisnąć F, aby uaktywnić dialog Opcje Folderów

6) nacisnąć CTRL-TAB, aby uaktywnić kartę Widok

7) nacisnąć TAB dwa razy, aby uaktywnić Ustawienia Zaawansowane

8) naciskać PRAWĄ STRZAŁKĘ, dopóki nie zostanie wybrane pole wyboru Zapamiętuj Ustawienia Wyświetlania Każdego Folderu

9) jeżeli ten element był aktywny (On), należy go dezaktywować SPACJĄ

10) nacisnąć ENTER

11) nacisnąć ALT-F4, aby zamknąć okno Mój Komputer.

Proszę wykonać następujące czynności, aby dezaktywować Active Desktop:

1) nacisnąć CTRL-ESC, aby przywołać Menu Startowe

2) naciskać U, dopóki nie zostanie uaktywnione menu rozwijane Ustawienia

3) nacisnąć A, aby uaktywnić menu rozwijane Active Desktop

4) pierwszą opcją jest Wyświetl Jako Stronę Sieci Web. Jeśli ta opcja jest wybrana, to należy nacisnąć ENTER, aby skasować wybór

5) jeśli musieliśmy nacisnąć ENTER, to należy powtórzyć kroki 1-3, a następnie wykonać krok 6

6) nacisnąć D, aby uaktywnić dialog Dostosuj Pulpit

7) naciskać CTRL-TAB, dopóki nie znajdziemy się na karcie Sieć Web.

8) naciskać TAB, dopóki nie wskażemy przycisku Opcje Folderów, a następnie nacisnąć ENTER, aby uaktywnić ten przycisk. Pojawi się pytanie: "czy chcesz zapisać i zamknąć okno właściwości ekranu". Proszę nacisnąć T

9) proszę upewnić się, czy przycisk opcji Styl Klasyczny jest oznaczony. Jeżeli nie jest, to proszę STRZAŁKAMI GÓRA-DÓŁ wybrać ten przycisk

10) po wybraniu przycisku opcji Styl Klasyczny nacisnąć ENTER.

Proszę wykonać następujące czynności, aby wyłączyć funkcje animacji:

1) nacisnąć CTRL-ESC, aby przywołać Menu Startowe

2) naciskać U, dopóki nie będzie uaktywnione menu rozwijane Ustawienia

3) nacisnąć ENTER na opcji Panel Sterowania

4) naciskać E, dopóki nie będzie wybrana opcja Ekran i nacisnąć ENTER

5) naciskać SHIFT-TAB, dopóki nie wybrana będzie Zakładka (prawdopodobnie jeden raz)

6) naciskać PRAWĄ STRZAŁKĘ, dopóki nie wybrane będzie pole wyboru Efekty

7) naciskać TAB, dopóki nie wybrane zostanie pole wyboru Animacja Okien, Menu I List

8) jeżeli to pole jest wybrane, nacisnąć SPACJĘ, aby skasować wybór

9) nacisnąć ENTER

10) nacisnąć ALT-F4, aby zamknąć Panel Sterowania


1

ROZDZIAŁ PIERWSZY
Wstęp

1.9: Użytkownicy Windows Millenium

Użytkownicy Windows Milenium powinni dokonać kilku ustawień systemowych, aby zapewnić pełną współpracę programu Window-Eyes z tym systemem. Te ustawienia muszą być zrobione w systemie Windows, a nie w programie Window-Eyes. Trzeba zmienić ustawienia Widoku Folderów i ustawienia Efektów Przejścia.

Aby ustawić widok folderów należy:

1) nacisnąć CTRL-ESC, aby uaktywnić Menu Startowe

2) nacisnąć U, aby uaktywnić menu rozwijane Ustawienia

3) nacisnąć ENTER na opcji Panel Sterowania

4) nacisnąć O – Opcje Folderów

5) nacisnąć ENTER

6) nacisnąć U – Użyj Klasycznego Pulpitu Systemu Windows

7) nacisnąć K – Użyj Klasycznych Folderów Systemu Windows

8) nacisnąć CTRL-TAB aż do zakładki Widok

9) naciskać TAB aż do Ustawienie Zaawansowane

10) nacisnąć STRZAŁKĘ W DÓŁ aż do Zapamiętaj Ustawienia Wyświetlania Każdego Folderu

11) jeśli ta opcja jest zaznaczona, naciśnij SPACJĘ, aby ją odznaczyć

12) nacisnąć ENTER

13) nacisnąć T

14) naciskać TAB aż usłyszymy "ok."

15) nacisnąć ENTER.

Aby ustawić Efekty Przejścia należy:

1) nacisnąć CTRL-ESC, aby uaktywnić Menu Startowe

2) nacisnąć U, aby uaktywnić Ustawienia

3) nacisnąć ENTER, aby otworzyć Panel Sterowania

4) nacisnąć E – Ekran

5) nacisnąć ENTER

6) nacisnąć SHIFT-TAB, aby wyjść z Ustawiania tła

7) naciskać STRZAŁKĘ W PRAWO aż do Efekty

8) naciskać TAB aż do Użyj Efektów Przejścia Dla Menu I Etykiet Narzędzi

9) jeśli ta opcja jest włączona nacisnąć SPACJĘ, aby ją wyłączyć

nacisnąć ENTER, aby zamknąć Ekran.


ROZDZIAŁ DRUGI
Instalacja programu

Program Window-Eyes dostarczany jest na dwóch płytkach CD. Pierwsza z nich zawiera wersję amerykańską programu, a druga wersję polską.

Ze względu na specyfikę polskiej wersji systemu Windows 95 należy przed instalacją oprogramowania pamiętać o instalacji pakietu MSAA 1.0. Jeśli pakiet ten nie będzie uruchomiony to instalacja programu Window-Eyes w systemie Windows 95 nie będzie możliwa, dlatego też zalecamy instalację programu w systemie Windows 98 lub Windows ME.

Po wstępnym przygotowaniu systemu (Windows 95) należy rozpocząć instalację oprogramowania od uruchomienia programu instalacyjnego z oryginalnej płytki CD wersji amerykańskiej. Płytka ta dostarczana jest w kartonowym opakowaniu. Program instalacyjny uruchomi się automatycznie po włożeniu płytki CD do stacji CD-ROM. Gdyby automatyczne uruchamianie nie działało, należy z płytki CD uruchomić program „wesetup.exe”. W tym celu należy przywołać menu startowe systemu (CTRL-ESC) wybrać „Uruchom” i wpisać „D:\WESETUP” i nacisnąć ENTER. Jeśli „D” nie oznacza napędu CD ROM, należy zastąpić je literą określającą napęd, w którym znajduje się płyta instalacyjna programu Window-Eyes . Proces instalacji będzie przebiegał automatycznie, przy czym zainstalowany zostanie programowy syntezator mowy angielskiej przy pomocy, którego wypowiadane będą wszystkie komentarze pomocnicze (o ile głośniki i karta dźwiękowa systemu będzie sprawna).

Podczas instalacji programu klawisz TAB będzie przemieszczał punkt uwagi pomiędzy dostępnymi opcjami w przód, a klawisz SHIFT-TAB wstecz. Jeśli dokonamy wyboru jednego z przycisków (Button), klawisz ENTER uruchomi funkcję przyporządkowaną wybranemu przyciskowi. Jeśli wybrane zostało pole wyboru (check box), za pomocą klawisza SPACJA możemy dokonać zmiany wyboru. Jeśli przemieszczamy się pomiędzy przyciskami opcji (radio buttons), klawisze strzałek W GÓRĘ i W DÓŁ zmienią wybraną opcje na inną.

  • 2.1: Parę słów o Syntezatorze
  • 2.2: Quick Install
  • 2.3: Custom Install
  • 2.4: Deinstalacja programu Window-Eyes


2

ROZDZIAŁ DRUGI
Instalacja programu

2.1: Parę słów o Syntezatorze

Window-Eyes współpracuje z syntezatorem mowy, aby umożliwić pełny dostęp do systemu operacyjnego za pomocą głosu. Obsługuje wiele różnych modeli syntezatorów mowy. Program instalacyjny zainstaluje programowy syntezator mowy SAPI Eloquence, o ile w systemie będzie zainstalowana karta dźwiękowa kompatybilna z tym syntezatorem. Jeśli nie wskażemy innego wyboru programowi instalacyjnemu, ten syntezator będzie używany jako domyślny dla nowo zainstalowanego programu Window-Eyes. Jeżeli jednak zamierzamy używać innego syntezatora mowy, należy przeprowadzić jego instalację zgodnie z instrukcją do niego dołączoną przez producenta. Instalację syntezatora należy przeprowadzić przed instalacją programu Window-Eyes.


2

ROZDZIAŁ DRUGI
Instalacja programu

2.2: Quick Install

Program instalacyjny zaproponuje instalację „Quick Install”. Jeśli wybierzemy przycisk YES wybrana zostanie uproszczona procedura instalacji systemu.

1. Po wybraniu instalacji „Quick Install” program poprosi o podanie imienia i nazwiska użytkownika „Name” oraz nazwy firmy „Company”. Po wypełnieniu pól należy wybrać i uaktywnić przycisk Next.

1. Jeśli w systemie nie będzie zainstalowany syntezator mowy Eloquence, program instalacyjny przywoła pole dialogu wyboru syntezatora. Naciskając klawisz TAB należy uaktywnić pole listy syntezatorów i strzałeczkami wybrać właściwy syntezator. Po wybraniu syntezatora z listy, klawisz TAB przeniesie nas do pola wyboru numeru portu szeregowego, a następnie do pól umożliwiających ustawienie pozostałych parametrów. Np. dla syntezatora SMP lub Kajetka należy wybrać: Szybkość transmisji 9600, Liczba bitów 8, Bity stopu 1, brak kontroli parzystości i rodzaj kontroli transmisji Xon/Xoff.

2. Program instalacyjny skopiuje zbiory programu Window-Eyes na twardy dysk. Gdy proces instalacji zostanie zakończony, pojawi się okno dialogu „Setup Complete” z trzema przyciskami do wyboru: „Restart Computer Now”, „Restart Computer Later” i „Cancel”. Należy wybrać przycisk „Restart Computer Now”.

3. Ostatnim krokiem instalacji programu jest zainstalowanie wersji polskiej. Należy włożyć płytę instalacyjną wersji polskiej programu Window-Eyes do stacji CD-ROM i uruchomić program „wesetup.bat” analogicznie jak uruchamialiśmy program „wesetup.exe” z oryginalnej płyty amerykańskiej. Polska instalacja przebiegnie automatycznie z tym, że aby polska wersja programu mogła działać należy ponownie uruchomić system.

Podczas instalacji „Quick Install”:

  • Program jest instalowany w katalogu C:\WINEYES i w tym katalogu jest instalowana polska wersja programu.
  • Wersja tekstowa instrukcji obsługi jest instalowana w katalogu C:\WINEYES\MANUAL.
  • Najnowsze pliki konfiguracyjne dla wszystkich programów użytkowych są wybrane i instalowane.
  • Program Window-Eyes jest umieszczany w grupie „Autostart” co oznacza, że program zostanie uruchomiony automatycznie po wystartowaniu systemu Windows.
  • Jeśli w systemie działa karta dźwiękowa zainstalowany zostanie programowy syntezator mowy angielskiej Eloquence.
  • Jeśli w systemie nie będzie zainstalowana karta dźwiękowa, to program Window-Eyes zostanie skonfigurowany dla wybranego syntezatora mowy.
  • Nie zostanie wybrany żaden z monitorów brajlowskich.
  • CTRL-ALT-W zostanie ustawiony jako klawisz skrótu uruchamiający program Window-Eyes.
  • Grupa Window-Eyes zostanie dodana w programach menu startowego.


2

ROZDZIAŁ DRUGI
Instalacja programu

2.3: Custom Install

Jeśli podczas instalacji wybierzemy przycisk NO w oknie dialogowym Quick Install, przejdziemy do instalacji zaawansowanej, podczas której będziemy mogli dokonywać wyboru dodatkowych opcji.

1. Po wybraniu instalacji „Custom Install” program poprosi o podanie imienia i nazwiska użytkownika -„Name” oraz nazwy firmy - „Company”. Po wypełnieniu pól należy wybrać i uaktywnić przycisk Next.

2. Zostanie wyświetlone okno dialogu docelowego miejsca instalacji programu. Domyślnie ustawiony będzie katalog „C:WINEYES”. Ze względu na to, że program instalacyjny wersji polskiej przyjmuje, że właśnie w tym katalogu jest zainstalowany program Window-Eyes nie należy zmieniać tego ustawienia. Proszę wybrać przycisk Next i nacisnąć klawisz ENTER.

3. Zostanie wyświetlone okno dialogu Synthesizer Selection. Naciskając klawisz TAB należy uaktywnić pole listy syntezatorów i strzałeczkami wybrać właściwy syntezator. Po wybraniu syntezatora z listy klawisz TAB przeniesie nas do pola wyboru numeru portu szeregowego, a następnie do pól umożliwiających ustawienie pozostałych parametrów. Np. dla syntezatora SMP lub Kajetka należy wybrać: Szybkość transmisji 9600, Liczba bitów 8, Bity stopu 1, brak kontroli parzystości i rodzaj kontroli transmisji Xon/Xoff.

4. Zostanie wyświetlone kolejne okno dialogowe syntezatora programowego. W oknie tym znajduje się lista pól wyboru, oznaczających instalowane języki. Strzałkami W GÓRĘ i W DÓŁ należy dokonać właściwego wyboru i klawiszem SPACJI oznaczyć języki, które mają być zainstalowane. Następnie proszę wybrać przycisk Next i nacisnąć klawisz ENTER.

5. Okno dialogu wyboru monitora brajla umożliwi nam wybór właściwego monitora i sposobu jego podłączenia do naszego komputera. Wyboru dokonujemy strzałkami W GÓRĘ i W DÓŁ a przejście pomiędzy polami listy nastąpi po wciśnięciu klawisza TAB. Wyboru portu szeregowego, równoległego lub USB dokonujemy analogicznie do wyboru typu monitora. Po dokonaniu właściwego wyboru naciskamy klawisz ENTER.

6. Po wyborze monitora brajla wyświetlone zostanie okno dialogu plików konfiguracyjnych. Wyboru właściwych plików konfiguracyjnych dokonujemy klawiszami strzałek i klawiszem SPACJI, zaznaczając lub odznaczając pola wyboru. Domyślnie pliki konfiguracyjne dla najnowszych wersji programów są wybrane. Możemy wykorzystać przycisk Unselect All SET Files aby odznaczyć wszystkie pola wyboru. Zmiany zainstalowanych plików konfiguracyjnych możemy dokonać również później podczas, pracy z programem Window-Eyes.

7. Kolejne okno dialogu umożliwi podjecie decyzji o instalacji wersji tekstowej ASCII instrukcji obsługi programu.

8. Następnym krokiem jest wybór sposobu uruchamiania programu. Okno dialogu zaoferuje nam trzy przyciski opcji do wyboru sposobu uruchomienia programu. Możemy wybrać pomiędzy uruchamianiem automatycznym, po każdym uruchomieniu systemu Windows, lub nie uruchamianiem programu w sposób automatyczny lub też uruchomieniem programu przed załadowaniem systemu (Load Before Startup). Ta trzecia opcja jest szczególnie istotna przy pracy w sieci, gdy okno logowania się do sieci pojawia się, zanim uruchomiony zostanie system. Bez względu na to, którą opcje wybierzemy zawsze możemy uruchomić program przy pomocy klawisza skrótu CTRL-ALT-W.

9. Program instalacyjny skopiuje zbiory programu Window-Eyes na twardy dysk. Gdy proces instalacji zostanie zakończony pojawi się okno dialogu „Setup Complete” z trzema przyciskami do wyboru: „Restart Computer Now”, „Restart Computer Later” i „Cancel”. Należy wybrać przycisk „Restart Computer Now”.

10. Ostatnim elementem instalacji jest zainstalowanie polskiej wersji programu. Należy włożyć płytę instalacyjną wersji polskiej programu Window-Eyes do stacji CD-ROM i uruchomić program „Wesetup.bat” analogicznie jak uruchamialiśmy program „Wesetup.exe” z oryginalnej płyty amerykańskiej. Polska instalacja przebiegnie automatycznie z tym, że aby polska wersja programu mogła działać należy ponownie uruchomić system.


2

ROZDZIAŁ DRUGI
Instalacja programu

2.4: Deinstalacja programu Window-Eyes

Program Window-Eyes deinstaluje się tak samo, jak wszystkie programy systemu Windows. W menu startowym, w Ustawieniach należy odszukać Panel Sterowania a w nim ikonę „Dodaj/Usuń Programy”. Po uruchomieniu tej funkcji należy z listy wybrać program Window-Eyes i uruchomić przycisk „Dodaj/Usuń”. Po potwierdzeniu zamiaru usunięcia programu uruchomiony zostanie proces deinstalacji. Program Window-Eyes może być instalowany i deinstalowywany wielokrotnie.


2

ROZDZIAŁ DRUGI
Instalacja programu

2.5: Problemy z Instalacją Programu

Poniżej przedstawiono listę problemów, które mogą wystąpić podczas instalacji programu Window-Eyes.

Błąd: Object Reference Not Set

Rozwiązanie: Proszę sprawdzić czy programy antywirusowe są wyłączone oraz czy katalog WINDOWS/TEMP jest pusty.

Błąd: Screen Reader Present Flag Not Set

Rozwiązanie: Proszę sprawdzić czy zainstalowana jest opcja ułatwień systemowych. Aby zainstalować ułatwienia systemowe należy:

1. Nacisnąć CTRL-ESC aby otworzyć menu systemowe.

2. Nacisnąć „U” aby otworzyć menu „Ustawienia”.

3. Nacisnąć ENTER aby otworzyć Panel Sterowania.

4. Naciskać „D” aż usłyszymy Dodaj Usuń Programy.

5. Nacisnąć ENTER.

6. Nacisnąć SHIFT-TAB aby uaktywnić zakładkę Instalowanie/Odinstalowywanie.

7. Naciskać strzałkę W PRAWO aż usłyszymy Instalator Systemu Windows. System rozpocznie poszukiwanie zainstalowanych składników.

8. Nacisnąć TAB aby przejść do listy zainstalowanych składników.

9. Naciskać strzałkę W DÓŁ aż usłyszymy Ułatwienia dostępu

10. Upewnić się, że pole wyboru jest oznaczone (nie częściowo).

11. Nacisnąć TAB aby przejść do przycisku OK.

12. Nacisnąć ENTER.

13. Potwierdzać każdy pojawiający się komunikat klawiszem ENTER.

Błąd: GWM32 is linked to a missing export USER32.DLL

Rozwiązanie: Zainstalować MSAARDK.EXE ręcznie z płytki Window-Eyes. Aby tego dokonać należy:

Podczas gdy płytka jest umieszczona w czytniku CD-ROM,

1. Nacisnąć CTRL-ESC aby otworzyć menu systemowe.

2. Nacisnąć „M” aby otworzyć okno dialogu Uruchom.

3. Wpisać X:\WINEYES\MSAARDK.EXE (gdzie x oznacza literę wskazującą CD_ROM).

4. Nacisnąć ENTER.

Błąd:Cannot Create Hook

Rozwiązanie: Jeśli instalacja MSAARDK.EXE nie działa, to prosimy skontaktować się z pomocą techniczną.

UWAGA!!!: W przypadku Windows95 przed instalacją programu w wersji angielskiej należy zainstalować MSAA10.EXE z polskiej płytki instalacyjnej z katalogu głównego.


ROZDZIAŁ TRZECI
Parę słów o systemie Windows

W tym rozdziale omówione zostały podstawy działania programu Window-Eyes.

System operacyjny Windows posiada rozbudowany interfejs użytkownika, zbudowany tak, że dostęp do poszczególnych funkcji systemu można uzyskać dzięki graficznym elementom, znajdującym się na ekranie komputera. Wiele przykładów posługiwania się systemem Windows będzie przytaczanych i omawianych w niniejszej instrukcji. Można więc powiedzieć, że podczas nauki posługiwania się programem Window-Eyes poznamy również wiele podstawowych funkcji systemu Windows.

  • 3.1: Gdzie spotykają się Window-Eyes i Windows
  • 3.2: Jak to wygląda
  • 3.3: Jak to działa
  • 3.4: Pulpit w systemie Windows
  • 3.5: Okno Dialogu i Karta Właściwości
  • 3.6: Ekran
  • 3.7: Kilka komend systemu Windows


ROZDZIAŁ TRZECI
Parę słów o systemie Windows

3.1: Gdzie spotykają się Window-Eyes i Windows

Wskaźnik myszy i kursor

System Windows posiada dwa kursory: kursor tekstowy (zwany dalej w niniejszym opracowaniu kursorem) i kursor myszy (zwany wskaźnikiem myszy). Dla tych, którzy do tej pory nie mieli styczności z komputerem wyjaśniamy, że kursor tekstowy to wyróżnione miejsce, w którym będzie umieszczony znak wprowadzony z klawiatury komputera. Po wprowadzeniu kolejnego znaku kursor przemieszczony zostaje do następnej kolumny w wierszu. W przypadku, gdy wiersz się kończy, a istnieje możliwość pisania dłuższego tekstu, następuje automatyczna zmiana linii. Ta cecha wyróżniała komputery w stosunku do maszyn do pisania, w których każda zmiana wiersza była wymuszana przez osobę piszącą. Klawisz zmiany wiersza (w komputerach ENTER) służy obecnie do oddzielania akapitów w tekście.

Pracując z programem Window-Eyes możemy w każdej chwili dowiedzieć się, czy kursor znajduje się na ekranie. Wciskając klawisze CTRL-NUMPAD-+ usłyszymy informację o jego współrzędnych w oknie, jeśli kursor jest obecny na ekranie, a w przeciwnym wypadku sygnał "bip".

Prawie zawsze na ekranie znajduje się wskaźnik myszy, który posiada wiele różnych postaci, w zależności od tego, jaką funkcję ma w danej chwili spełniać. W momencie, gdy zmienia się kształt wskaźnika myszy program Window-Eyes informuje o tym. Na przykład, gdy słyszymy komunikat: "klepsydra" oznacza to, że jakieś zadanie przejmuje kontrolę nad komputerem w całości. Wkrótce jednak kształt wskaźnika myszy zmieni się w strzałkę, duże I ("aj bim") lub cokolwiek innego i zmiana ta zostanie zaanonsowana przez program Window-Eyes. Najczęściej wskaźnik myszy przyjmuje formę małej strzałki skierowanej w lewo do góry.

Przesuwanie wskaźnika myszy po ekranie jest możliwe za pomocą przesuwania myszy lub przy pomocy klawiszy klawiatury numerycznej, gdy NUMLOCK jest wyłączony. Window-Eyes czyta tekst, nad którym przesuwa się wskaźnik myszy, jeśli będzie to jakiś element aktywny, to wciśnięcie jednego z klawiszy myszy spowoduje wykonanie związanej z tym elementem akcji. Jaka to będzie akcja i który z klawiszy powinien być wciśnięty zależy od programu, który w danej chwili wykorzystujemy. Aby znaleźć pozycję wskaźnika myszy należy wcisnąć klawisze CTRL-INSERT-NUMPAD-+. Jeżeli wskaźnik jest obecny, to program Window-Eyes poda jego aktualne współrzędne w stosunku do lewego górnego rogu ekranu.

"Uchwyty" programu Window-Eyes

Posługiwanie się myszką jak urządzeniem fizycznym przez osobę niewidomą jest praktycznie niemożliwe. Brak wzrokowego kontaktu ze wskaźnikiem myszy powoduje, że wybieranie obiektów aktywnych na ekranie jest bardzo trudne. Rozwiązanie proponowane przez program Window-Eyes bardzo ułatwia wybór elementów dostępnych dla myszki. Uchwyty odpowiadają pojedynczym elementom tekstowym lub graficznym ekranu komputera. Może to być grupa słów, która opisuje ikonę, może to być obrazek ikony, linia tekstu w edytorze, słowo lub fragment tekstu o innym kolorze lub wybrany tekst w liście poleceń lub zadań itp. Window-Eyes bazuje na tym co pojawia się na ekranie i łączy grupy słów, przewidując które są znaczące lub użyteczne dla wskaźnika myszy.

Program Window-Eyes ma trzy gorące klawisze dla obsługi uchwytów. Domyślnie są one zdefiniowane jako:

Poprzedni Uchwyt Myszki = INSERT-NUMPAD-HOME

Obecny Uchwyt Myszki = INSERT-NUMPAD-STRZAŁKA W GÓRĘ

Następny Uchwyt Myszki = INSERT-NUMPAD-PAGE UP

Najprościej jest nacisnąć kciukiem klawisz NUMPAD-INSERT, a następnie klawiszami HOME, STRZAŁKA W GÓRĘ i PAGE UP dokonywać wyboru uchwytu.

Dwa dodatkowe klawisze klawiatury numerycznej: klawisz / i klawisz * odpowiadają lewemu i prawemu przyciskowi myszki. Posługując się tymi klawiszami możemy w prosty sposób uruchamiać funkcje przyporządkowane wybranym uchwytom.


3

ROZDZIAŁ TRZECI
Parę słów o systemie Windows

3.2: Jak to wygląda

U podstaw opracowania graficznego interfejsu użytkownika dla systemu operacyjnego komputera leżała chęć ułatwienia obsługi komputera i upodobnienie pracy z programami biurowymi do typowej sytuacji, jaka występuje na naszym biurku tak, że to, co pojawia się na ekranie naszego komputera po uruchomieniu systemu okienek (Windows) to Desktop, czyli blat lub pulpit naszego biurka. Na blacie tym mogą znajdować się różne przedmioty, dokumenty lub kartki. Część z nich może leżeć na wierzchu, a inne mogą być częściowo lub całkowicie przykryte. Każdy z elementów, który znajduje się na naszym biurku jest reprezentowany przez malutki obrazek zwany ikoną. Większość z nich zawiera jakieś informacje, więc możemy je otworzyć i do nich zajrzeć. Pojawia się wtedy na ekranie ramka (okno), która pokazuje "zawartość" ikony. Okno to może zajmować cały ekran lub tylko jego część. Możemy też otworzyć inne okna tak, że na ekranie będziemy mogli zaglądać do kilku dokumentów jednocześnie. Okna te mogą się częściowo lub całkowicie pokrywać. Odpowiada to wielu kartkom leżącym na naszym biurku, które możemy przesuwać tak jak nam wygodnie lub wyjmować na wierzch, aby móc łatwo odczytać ich zawartość.

Programiści mają pełną dowolność w umieszczaniu obrazków i okienek na ekranie oraz wyposażania ich w przeróżne elementy graficzne. Robią to, aby ich programy były łatwe w użyciu i atrakcyjne. Wszystkie te elementy muszą być przez program Window-Eyes rozpoznane i udostępnione niewidomemu użytkownikowi.

Zależności pomiędzy okienkami

W programach użytkowych występują dwa typy okien: Okno Aplikacji (programu) oraz Okno Dokumentu. Kiedy uruchamiamy program (np. wybierając jego ikonę i naciskając klawisz ENTER), aby odczytać dokument, wtedy otwieramy Okno Aplikacji, lecz aby odczytać jeden z wielu dokumentów związanych z tym programem musimy go odczytać i wtedy w Oknie Aplikacji pojawi się nowe okno - Okno Dokumentu. Aby podkreślić wzajemną zależność obu okien nazwano je oknem rodzica i dziecka.

Oprócz treści okno zawiera następujące elementy: Pasek Tytułu, Menu Systemowe, Pasek Menu, ikony, Pasek Narzędzi i Paski Przewijania.

Pasek Tytułu

Prawie zawsze Pasek Tytułu znajduje się na górze okna i przedstawia różną informację, w zależności od okna, np.: nazwę programu, nazwę okna dialogu itp. Pasek Tytułu okna aktywnego, tzn. takiego, którego dotyczyć będą wykonywane przez nas akcje, podkreślany jest specjalnym kolorem lub cieniem, aby wyróżnić to okno wśród innych, znajdujących się na ekranie.

Pasek Menu

Typowe Okno Aplikacji posiada Pasek Menu, ulokowany tuż pod Paskiem Tytułu. Na pasku tym umiejscowione są nazwy grup różnych funkcji programów. Grupy te nazywane są menu. Pasek menu obejmuje zazwyczaj jeden wiersz.

Menu Systemowe

Po lewej stronie Paska Tytułu Okna Aplikacji znajduje się Menu Systemowe, umożliwiające przywołanie listy komend systemowych, dotyczących Okna Aplikacji. W systemie Windows 95/98 jest to zminiaturyzowany obrazek ikony reprezentującej daną aplikację.

W wielu programach, tuż pod Paskiem Tytułu, na początku listy poleceń, znajduje się pole wywołujące menu komend systemowych dla Okna Dokumentu.

Po prawej stronie Paska Tytułu znajdują się przyciski umożliwiające przy pomocy myszki uaktywnienie funkcji listy komend systemowych. Dla niewidomego użytkownika są one praktycznie bezużyteczne.

Ikona

Jest to mały obrazek, który reprezentuje akcję, jaką uzyskamy wskazując ją wskaźnikiem myszki i "klikając" (szybko naciskając i puszczając) przyciskiem myszki (najczęściej dwukrotnie). Czasami możemy wywołać tą akcję wskazując ikonę klawiszami kursora i naciskając klawisz ENTER. Czasami ikony używane są również w programie do wywoływania różnych funkcji.

Pasek Przewijania

Jeśli Pasek Przewijania jest obecny, to umieszczony on jest pionowo, po prawej stronie ekranu lub poziomo, na samym jego dole. Paski Przewijania pozwalają przy pomocy myszki przesuwać zawartość okna na prawo i lewo, w górę i w dół gdy okno jest zbyt małe, aby mogło pomieścić całą informację.


3

ROZDZIAŁ TRZECI
Parę słów o systemie Windows

3.3: Jak to działa

Wskazanie i wybór

Część okna, która przyjmuje znaki z klawiatury uznawana jest za punkt uwagi (focus). Na przykład, w edytorze tekstu aktywne okno zawiera wszystkie elementy sterujące w górnej swojej części, która zazwyczaj obejmuje dwie lub trzy linie. Dodatkowo na dole ekranu może się znajdować linia statusu, w której umieszczane są informacje o tekście. Pozostała część okna przeznaczona jest do edycji tekstu. Gdy piszemy, punkt uwagi skierowany jest na edytor, lecz gdy korzystamy z listy poleceń, punkt uwagi skierowany jest na element o wyróżnionym kolorze.

Aby się dowiedzieć, co zawarte jest w aktywnym oknie, można się posłużyć gorącym klawiszem CTRL-SHIFT-W. Określenie miejsca, gdzie znajduje się punkt uwagi uzyskać można po wciśnięciu klawiszy CTRL-SHIFT-D.

Przywołanie punktu uwagi do jednego z elementów nazywamy wskazaniem. To może być wykonane za pomocą klawiatury lub myszki. Wskazanie elementu wskaźnikiem myszki i przyciśnięcie ("kliknięcie") przycisku myszki jest równoznaczne z przywołaniem punktu uwagi do tego elementu, naciśnięcie lewego klawisza ALT i puszczenie go przesuwa punkt uwagi do Paska Poleceń programu. Wskazanie kolejnych jego elementów może nastąpić teraz przy użyciu klawiszy kursora.

Wskazany element może być wybrany przez ponowne "kliknięcie" myszą lub naciśnięcie klawisza ENTER.

Klawisze Skrótów i Przyspieszacze

W konwencji okien elementy menu lub Paska Menu mają wyróżnione klawisze skrótów, które są wskazywane przez podkreśloną literę w nazwie, np. P w nazwie Plik. Klawisze Skrótów są rozpoznawane przez program Window-Eyes i wypowiadane przy odczytywaniu zawartości paska. Klawisze te służą do wywoływania poszczególnych menu, bez konieczności uaktywniania paska. Trzymając wciśnięty lewy klawisz ALT po naciśnięciu klawisza skrótu uaktywnimy dane menu.

Wiele elementów menu również może wykorzystywać kombinację klawiszy do szybkiego uruchomienia funkcji, bez konieczności jej wyboru. W tym przypadku opis takiej kombinacji, nazywanej "przyspieszaczem", występuje po prawej stronie nazwy elementu menu. Np. CTRL-F4 zamyka okno dokumentu, a ALT-F4 - okno aplikacji. Jest to szybsza droga wykonywania funkcji, niż dotarcie do nich przez układ menu i naciśnięcie klawisza ENTER.


3

ROZDZIAŁ TRZECI
Parę słów o systemie Windows

3.4: Pulpit w systemie Windows

Jednym z istotnych elementów, znajdujących się na pulpicie systemu Windows, jest Pasek Zadań, który jest umieszczony na dole ekranu. Kilka ikon, dających dostęp do niektórych programów i funkcji systemu jest wyświetlonych po lewej stronie pulpitu. Znajdują się tam: Mój Komputer - do przeglądania zasobów komputera, Kosz, w którym zachowywane są kasowane informacje, Instalacja Microsoft Network do instalacji połączeń sieciowych. W zależności od ustawień systemu różne programy i skróty do zbiorów mogą również być obecne na pulpicie w celu szybkiego uruchamiania aplikacji.

Po lewej stronie Paska Zadań umieszczony jest przycisk Start. Przesuwając się w prawo możemy odczytać nazwy wszystkich uruchomionych programów i otwartych dokumentów. Dalej, na końcu Paska Zadań, po prawej stronie, znajduje się Szuflada Systemu, a za nią aktualny czas i data. Uaktywnienie Menu Startowego, które normalnie następuje po wybraniu przycisku Start, może również nastąpić przez naciśnięcie klawiszy CTRL-ESC lub ALT-S.

Uaktywnienie się Paska Zadań jest każdorazowo anonsowane przez program Window-Eyes i wtedy można strzałkami kursora uaktywniać jedną z aplikacji.

Wybór przycisku Start powoduje rozwinięcie Menu Startowego. W zależności od konfiguracji systemu, Menu Startowe zawiera programy, które mogą być uruchomione przez wybór ich nazwy. Większość elementów tego menu zawiera dodatkowe podmenu, które rozwijają się po prawej stronie menu głównego. Poniżej zamieszczamy krótki opis zawartości Menu Startowego

Programy

Podmenu to przywołuje listę programów oraz folderów (katalogów, podkatalogów), zawierających programy. Podczas instalacji systemu Windows większość programów (skrótów do programów), pracujących pod tym systemem, a zainstalowanych w komputerze, jest tu umieszczana. Wybór jednego z elementów podmenu Programy powoduje uruchomienie programu aplikacyjnego lub otworzenie foldera z innymi programami.

Dokumenty

Tutaj przechowywane są nazwy ostatnich 15 dokumentów. Gdy wybrany zostanie jeden z nich, to automatycznie uruchomiony zostanie odpowiedni dla tego dokumentu program aplikacyjny, w którym wskazany dokument zostanie otwarty.

Ustawienia

Zawierają podmenu z funkcjami kontrolnymi systemu.

Znajdź

Tutaj znajdują się funkcje poszukiwania folderów i zbiorów.

Pomoc

Wybór tej funkcji uruchomi program pomocy.

Uruchom

Pozwala na uruchomienie dowolnego programu w systemie, w tym także programu instalacyjnego, dla nowej aplikacji.

Zamknij System

Otwiera okno dialogu z polami opcji dla przygotowania systemu do wyłączenia lub ponownego uruchomienia.


3

ROZDZIAŁ TRZECI
Parę słów o systemie Windows

3.5: Okno Dialogu i Karta Właściwości

Okno dialogu służy do wymiany informacji pomiędzy użytkownikiem a programem. Okno takie zawiera najczęściej różne pola wyboru w różnych miejscach okna. Klawisz TAB lub SHIFT-TAB służy do wyboru jednej z zaproponowanych możliwości.

Okno Dialogu podaje wszystkie opcje możliwe do wyboru i akceptowane przez program. Na przykład, jeśli chcemy otworzyć zbiór danych (dokument), wybieramy Plik z Paska Menu, a następnie Otwórz, co spowoduje pojawienie się Okna Dialogu, w którym kursor ustawi się w miejscu, gdzie należy wpisać nazwę zbioru. Jeśli nie znamy dokładnie nazwy zbioru i jego położenia, to możemy za pomocą klawisza TAB przejść do kolejnego miejsca w oknie, gdzie klawiszami kursora możemy przeglądać wszystkie dostępne nazwy zbiorów. Wybranie jednej z nich spowoduje wczytanie zbioru i zamknięcie Okna Dialogu.

Ponadto w innych miejscach Okna Dialogu można znaleźć nazwy ostatnio odczytywanych zbiorów, co może być przydatne w przypadku, gdy chcemy pracować ponownie z tym samym dokumentem, a nie pamiętamy dokładnie jego nazwy.

Pole Edycji

W tym miejscu możemy wpisywać dowolny tekst. Pole Dialogu ogranicza długość tekstu i czasami zestaw dopuszczonych do wpisywania znaków. Kiedy wybierzemy Pole Edycji Window-Eyes powie: "pole edycji" i wypowie wszystko, co będzie wpisywane wewnątrz tego pola. Do edycji wpisywanego tekstu możemy używać klawiszy kursora i klawiszy BACKSPACE oraz DELETE.

System dopuszcza stosowanie pól edycji - Tylko Do Odczytu. Informacja zawarta w takim polu nie może być zmieniona.

Przycisk

Jest to mały element kontrolny, najczęściej wyróżniony w tekście kolorem, rozświetlaniem lub obramowaniem. Tekst zawarty w Przycisku jest najczęściej jednym słowem, np.: Tak, Nie, Opcje, Anuluj itp. Przyciski mogą być wybierane klawiszem ENTER lub SPACJĄ, kiedy są wskazane.

Program najczęściej wskazuje na jeden z przycisków, który najczęściej bywa używany w danej sytuacji, lub którego użycie jest najbezpieczniejsze. Naciskając ENTER wybieramy ten przycisk. Gdy Okno Dialogu jest czytane program Window-Eyes podaje nam Przycisk Domyślny oraz klawisze skrótów wszystkich przycisków.

Po naciśnięciu gorącego klawisza NUMPAD-DELETE usłyszymy opis aktualnie wskazanego przycisku w Oknie Dialogu. Jeśli usłyszymy "bip" oznacza to, że żaden przycisk nie jest wskazany.

Najprostsze okno dialogu zawiera tylko dwa przyciski: Tak, Nie - oczekując odpowiedzi na zadane pytanie.

Przycisk Anuluj pozostawia stare ustawienia, aktywne przed otwarciem Okna Dialogu.

Przyciski Opcji

W odbiornikach radiowych starego typu, ustawienie zakresu fal może być zrobione przez wciśnięcie na stałe jednego z kilku przycisków, powoduje to włączenie jednego zakresu fal, z wyłączeniem pozostałych. Będzie on aktywny wtedy, gdy radio będzie włączone, lecz jego ustawienie można zrobić wcześniej. Podobnie w systemie Windows. Istnieje możliwość ustawienia jednej z opcji. Do tego służą Przyciski, które przedstawione są w formie kółek. Gdy kółko ma czarną kropkę w środku oznacza to, że opcja jest włączona. Wskazanie Przycisku powoduje jego włączenie, z jednoczesnym wyłączeniem przycisków pozostałych. Wybór grupy przycisków następuje najczęściej za pomocą klawisza TAB, a jednego z grupy, za pomocą klawiszy kursora - GÓRA/DÓŁ.

Pole Wyboru

W oknie Dialogu mogą wystąpić elementy określane jako Pola Wyboru. Są to małe kwadraty, które mogą być przekreślone. Ich działanie jest podobne do Przycisków Opcji, ale, w odróżnieniu od tych poprzednich, kilka z nich może być aktywnych jednocześnie. Wskazanie Pola Wyboru następuje tak samo jak przycisku opcji, lecz aby je uaktywnić lub zdezaktywować należy wcisnąć klawisz SPACJI.

Pole Listy

Wiele Okien Dialogu zawiera listy elementów lub opcji do wyboru. Może to być: lista nazw zbiorów, typów zbiorów, krojów itp. Lista ta jest z reguły wyświetlana pionowo. Jeden z jej elementów jest wybrany, co zaznaczone jest innym kolorem. Można dokonywać wyboru poszczególnych elementów strzałkami kursora lub naciskając pierwszą literę nazwy poszukiwanego elementu.

Uaktywnienie Pola Listy jest przez program Window-Eyes anonsowane z jednoczesnym podaniem liczby elementów listy i numerem wybranego elementu.

Niektóre Pola Listy dają możliwość dokonania więcej niż jednego wyboru. Na przykład można wybrać wiele zbiorów do skasowania. Takie Pole Listy jest definiowane jako Pole Wielu Wyborów. W takim przypadku, aby dokonać wyboru więcej niż jednego elementu listy należy przy przesuwaniu kursora trzymać wciśnięty klawisz SHIFT.

W konwencji Windows wiele aplikacji pozwala włączać tryb wielu wyborów. Dokonujemy tego klawiszem SHIFT-F8. Gdy jesteśmy już w tym trybie, klawiszem SPACJI możemy wybierać lub kasować wybór poszczególnych elementów.

Lista Rozwijana

Lista Rozwijana podobna jest do menu i Pola Listy. zawiera ona wiele elementów, które mogą być przeglądane i wybierane. Różnica polega na tym, że widoczny jest tylko element wybrany. Klawiszami kursora możemy przesuwać się po liście od góry do dołu. W wielu przypadkach przy pomocy klawiszy ALT-STRZAŁKA W DÓŁ Lista Rozwijana umożliwia wyświetlenie dostępnych opcji na ekranie w postaci rozwijanego menu. Wybór wskazanego elementu potwierdzamy klawiszem ENTER.

Po dokonaniu wyboru w Liście Rozwijanej przy pomocy klawisza TAB przechodzimy do następnego rejonu Okna Dialogu. Listy Rozwijane nie zapętlają się, więc po dojściu do ostatniego jej elementu nie można wybierać dalej.

Pole Listy rozwijanej umożliwia wpisywanie nazwy i dokonuje wyboru elementu najbardziej zbliżonego do nazwy już wpisanej. Umożliwia to szybszy wybór - po wpisaniu pierwszych liter reszta jest dopisywana przez program.

Pole Edycji Listy Rozwijanej

Czasami niewielkie Pole Edycji, zwane Polem Edycji Listy Rozwijanej, pojawia się tuż powyżej Pola Listy. W tym polu możemy wpisywać tekst; jeżeli odpowiada on jednemu z elementów listy, to zostanie on wybrany. Program Window-Eyes poinformuje, gdy uaktywnimy Pole Edycji.

Zakładki (Tab Control)

Podobnie jak w notesie, w systemie Windows mogą występować "zakładki". Są to elementy podobne trochę do Przycisków, a umieszczone są poziomo w wierszu, na górze Okna Dialogu. Podobnie jak przyciski opcji, tylko jedna Zakładka może być aktywna. Jeśli uaktywnimy Zakładkę, to Pole Dialogu zostanie przykryte stroną Zakładki.

Po otwarciu Okna Dialogu z Zakładkami jedna z nich jest zawsze uaktywniona. Klawisze SHIFT-TAB uaktywniają wybór zakładki i wtedy możemy dokonać wyboru klawiszami kursora i klawiszem TAB.

Zakładki są częściej używane w systemie Windows 95/98, a ich celem jest umieszczenie w jednym Oknie Dialogu znacznie większej ilości opcji.

Widok Listy

Widok Listy działa podobnie do Pola Listy. Jednak w tym przypadku zawsze możemy dokonać wielu wyborów. Widok Listy może być podobny do okna zawierającego ikony, np. okno Mój Komputer, jak również może on być podobny do Pola Listy. Naciskając klawisze SHIFT-F10 lub prawy klawisz myszy przywołujemy Menu Kontekstowe, związane z danym Widokiem Listy.

Wielu Wyborów dokonujemy trzymając wciśnięty klawisz CTRL, podczas gdy klawisz SPACJI służy do dokonania wyboru.

Obraz Drzewa

W Windows 95/98 jest to prezentacja folderów i podfolderów. Umieszczone są one jeden pod drugim. Foldery mogą być zwinięte lub rozwinięte. Gdy folder jest wybrany, to wciśnięcie prawej strzałki powoduje jego rozwinięcie.

Edycja Góra/Dół

Jest to pole, umożliwiające wpisanie wartości liczbowej z klawiatury lub zwiększanie czy też zmniejszanie przy pomocy strzałek wartości już wpisanej.

Pole Edycji z Formatem (Rich Edit)

System Windows udostępnia Pole Edycji o rozszerzonej formie umożliwiającej programistom stosowanie bardziej wyrafinowanych form, które jednak nie mają znaczenia dla niewidomych użytkowników systemu. Obsługa Pola Edycji z Formatem jest dokładnie taka sama jak Pola Edycji. Możliwe są również Pola Edycji z Formatem tylko do odczytu.

Suwak

Jest to element graficzny, podobny do potencjometru suwakowego. Pozycja suwaka związana jest z wartością liczbową, którą on reprezentuje. Zmiana tej wartości następuje przy pomocy strzałek.

Inne Sterowanie

Podczas projektowania Okna Dialogu programiści najczęściej wybierają przedstawione powyżej rozwiązania. Jednak niektórzy z nich opracowują swoje własne mini-interfejsy lub modyfikują już istniejące, dopasowując je do swoich potrzeb. Kiedy program Window-Eyes napotyka na jedno z takich rozwiązań, informuje o tym. Niektóre z takich rozwiązań nie będą udźwiękowione ze względu na brak powiązania z odpowiednią klasą.

Okno Informacyjne

Okno to jest bardzo podobne do Okna Dialogu, jednakże okno to najczęściej wyświetla wiadomości i czeka na ich zaakceptowanie. Przycisk OK jest jedynym przyciskiem w tym oknie. Wybór tego przycisku kasuje okno z ekranu.


3

ROZDZIAŁ TRZECI
Parę słów o systemie Windows

3.6: Ekran

Rozdzielczość

Obraz na ekranie komputera przedstawiany jest za pomocą malutkich punkcików, zwanych pixelami. Rozdzielczość określa maksymalną ich liczbę w poziomie i w pionie. Rozdzielczość jest ustalana przez kartę graficzną komputera, sterownik karty oraz ustawienia systemu Windows.

Odległości od lewej krawędzi ekranu określane są jako X, a odległości od góry ekranu jako Y. Gdy wskaźnik myszki jest umiejscowiony w górnym lewym rogu, jego współrzędne wynoszą X0 Y0. Pozycję wskaźnika myszy możemy odczytać klawiszami CTRL-INSERT-Numpad-+.

Najszybszym sposobem określenia aktualnej rozdzielczości ekranu jest odczytanie współrzędnych wskaźnika myszy w prawym dolnym rogu ekranu.

Kolory

Sześć wartości jest potrzebnych do określenia koloru: trzy dla tła i trzy dla przedniego planu. Każda z tych wartości, z zakresu 0-255, określa nasycenie jednego z trzech podstawowych kolorów - czerwonego, zielonego i niebieskiego.


3

ROZDZIAŁ TRZECI
Parę słów o systemie Windows

3.7: Kilka komend systemu Windows

Większość programów pracujących w środowisku Windows pozwala posługiwać się klawiaturą i myszką. Poniżej przytoczonych zostało kilka kombinacji klawiszy uruchamiających różne funkcje systemu.

ALT

Naciśnięcie i puszczenie tego klawisza uruchamia Pasek Menu. Naciśnięcie klawisza ALT w dowolnym miejscu Paska Menu powoduje przejście do Okna Aplikacji. Przy polskiej klawiaturze, w układzie programisty, prawy klawisz ALT służy do uzyskiwania polskich znaków, tak więc opisane działanie dotyczy tylko lewego klawisza ALT, znajdującego się po lewej stronie klawisza SPACJI.

Uwaga! W polskiej wersji Windows prawy klawisz ALT jest zarezerwowany do uzyskiwania polskich liter i jest równoważny wciśnięciu CTRL-ALT. Ilekroć w tej instrukcji wspomniany będzie klawisz ALT, należy rozumieć to jako lewy ALT.

ALT-TAB

Ta kombinacja klawiszy wyświetla Okno Informacyjne, zawierające ikonę programu i etykietę Okna Aplikacji, które było otwarte poprzednio. Trzymając wciśnięty klawisz ALT i naciskając klawisz TAB możemy cyklicznie wybierać ikony okien dostępnych aplikacji. ALT-SHIFT-TAB powoduje przeglądanie w odwrotnej kolejności.

ALT-ESCAPE

Powoduje przeglądanie całych okien aktywnych aplikacji, a nie tylko ich ikon. Program Window-Eyes odczytuje Paski Tytułów przywoływanych okien.

CTRL-ESCAPE

W systemie Windows 3.1 ta kombinacja klawiszy przywołuje Okno Listy, zawierające wszystkie aktualnie działające programy. Ich wybór może być dokonywany klawiszami kursora i potwierdzany klawiszem ENTER. W systemach Windows 95/98 CTRL-ESCAPE wyświetla Pasek Zadań i Menu Startowe, na zmianę.

ALT-SPACJA

Otwiera Menu Systemowe.

ALT-MINUS

Otwiera menu systemowe okna potomnego. Jeśli menu to jest otwarte naciśnięcie klawisza ALT spowoduje jego zamknięcie z przywróceniem punktu uwagi do miejsca, z którego wywołane zostało menu systemowe. Wciśniecie klawisza ESCAPE zamyka menu, ale punkt uwagi pozostaje na pasku tytułu okna.

TAB

W edytorach tekstu przesuwa kursor do następnego tabulatora. W Oknach Dialogu uaktywnia następną grupę elementów kontrolnych. SHIFT-TAB w Oknie Aplikacji najczęściej przesuwa kursor do tyłu o jeden tabulator; w Oknach Dialogu uaktywnia poprzednią grupę elementów.

Komendy związane z klawiszem WINDOWS (nazywany również klawiszem menu systemowego).

Jeśli mamy klawiaturę wyposażoną w klawisz Windows (umieszczony pomiędzy klawiszami ALT i CTRL), wtedy możemy skorzystać z następujących funkcji:

WINDOWS-E

Otwiera Windows Explorer, aby umożliwić sprawdzenie zawartości plików lub folderów.

WINDOWS-M

Minimalizuje wszystkie okna programów pracujących w danej chwili.

WINDOWS-D

Minimalizuje wszystkie okna programów pracujących w danej chwili i umieszcza punkt uwagi na Pulpicie.

WINDOWS-TAB

Działa podobnie jak ALT-TAB, przełączając pomiędzy aktywnymi programami, nie przywołuje jednak Okna Informacyjnego. Aby uaktywnić wybrany program należy nacisnąć SPACJE.


ROZDZIAŁ CZWARTY
O programie Window-Eyes.

W tym rozdziale instrukcji obsługi programu przedstawione zostaną podstawowe cechy programu Window-Eyes.

  • 4.1: Co to takiego Window-Eyes?
  • 4.2: Okno użytkownika
  • 4.3: Panel kontrolny (menu) programu Window-Eyes
  • 4.4: Kolory, Karty Grafiki i Śledzenie Podświetlenia


ROZDZIAŁ CZWARTY
O programie Window-Eyes.

4.1: Co to takiego Window-Eyes?

Jest to program użytkowy, który monitoruje działanie innych programów i wysyła informację tekstową o ich działaniu do syntezatora mowy, który tą informację wypowiada. Window-Eyes monitoruje klawiaturę, ekran, i aktywność systemu Windows związaną z działaniem programów.

Istotą działania programu Window-Eyes jest opisanie za pomocą mowy syntetycznej zawartości ekranu komputera w taki sposób, aby osoba niewidoma mogła korzystać z programów użytkowych i systemu operacyjnego. Działanie programu jest praktycznie niewidoczne dla innych programów uruchomionych w systemie.

Czego program Window-Eyes poszukuje na ekranie komputera kiedy monitoruje pracę systemu? Zależy to od tego czego od niego oczekujemy. Czy ma szukać znaków lub słów, cyfr czy liczb, czy ma wypowiadać nazwy klawiszy, zmiany kolorów czy zawartości pojawiających się okienek. Po odnalezieniu żądanej informacji jest ona przetwarzana na tekst i wypowiadana za pomocą mowy syntetycznej.

Wiele funkcji i ustawień mogą być zachowywane i przywoływane automatycznie pozwalając na pracę interaktywną z programem użytkowym bez dodatkowych opóźnień. Na przykład przy pracy z edytorem tekstu program Window-Eyes będzie wypowiadał nazwy pisanych liter, odczytywał pola dialogowe i zawartości pojawiających się menu bez konieczności wciskania dodatkowych klawiszy. Window-Eyes pozwala poprawiać wymowę słów i zwrotów, które są źle wypowiadane przez syntezator, a nawet dzięki słownikowi znaków umożliwia zmianę sposobu wypowiadania poszczególnych liter czy znaków.


4

ROZDZIAŁ CZWARTY
O programie Window-Eyes.

4.2: Okno użytkownika.

Okna w programie Window-Eyes

TO COŚ ZUPEŁNIE INNEGO NIŻ OKNA SYSTEMU WINDOWS!!! W odróżnieniu od okna systemu Windows, okno programu Window-Eyes jest to prostokątny fragment ekranu o określonej przez użytkownika wielkości. Nie jest on obramowany ani w jakikolwiek inny sposób uwidoczniony na ekranie. Definiowanie wymiarów okna użytkownika odnosi się do krawędzi okna aktywnego. Na przykład okno obejmujące całą powierzchnię okna aktywnego ma współrzędne: 0 - odległość od lewej krawędzi, 0 - odległość od górnej krawędzi, 0 - odległość od krawędzi prawej i 0 - od krawędzi dolnej. Gdy tylko okno aktywne zmienia swoje wymiary lub położenie, okno użytkownika jest automatycznie redefiniowane.

Dwa typy okien.

Wyróżnione zostały dwa typy okien okno standardowe i okno hiperaktywne. Okno standardowe jest niezależnym fragmentem ekranu. Może ono być ustawione na dowolny wymiar, a przeczytanie zawartości jednego z pierwszych dziesięciu okien może nastąpić przy użyciu gorących klawiszy Alt-0 do Alt-9. Okna od 10 do 49 mają własne gorące klawisze nie zdefiniowane domyślnie. Dowolne okno z 50 standardowych może być odczytane gorącym klawiszem, nie zdefiniowanym początkowo. Pomimo tego, że istnieje możliwość zdefiniowania 50 okien prawie żaden z użytkowników nie będzie miał potrzeby wykorzystywania ich wszystkich.

Trochę bardziej skomplikowane jest okno hiperaktywne. Okno to pomaga zautomatyzować pracę programu Window-Eyes. Od momentu ustawienia okno hiperaktywne nadzoruje stale określone zmiany na ekranie i w zależności od nich uruchamia akcje programu Window-Eyes. Na przykład okno hiperaktywne może być ustawione na śledzenie każdej zmiany linii statusu programu użytkowego i gdy taka zmiana nastąpi odczytać tą linię.


4

ROZDZIAŁ CZWARTY
O programie Window-Eyes.

4.3: Panel kontrolny (menu) programu Window-Eyes

Przywołanie panelu kontrolnego programu następuje przez naciśnięcie klawisza CONTROL i klawisza BECKSLASH (\). Puszczenie obu klawiszy spowoduje wyświetlenie panelu kontrolnego u góry ekranu i wypowiedzenie nazwy programu (Window-Eyes) oraz nazwy aktywnego i skojarzonego pliku konfiguracyjnego. Więcej o kojarzeniu plików konfiguracyjnych będzie w rozdziale 6. Panel kontrolny działa we własnym oknie aplikacji i podobnie jak inne programy może być przywoływany z paska zadań systemu.

Po aktywacji panelu kontrolnego naciśnięcie klawisza ALT uaktywni pasek menu programu. Zawartość tego paska może być przeglądana przy pomocy klawiszy kursora - strzałki lewo prawo. Poszczególne nazwy paska menu będą czytane wraz z klawiszami skrótu im odpowiadającymi:

P = plik rozwijane

E = ekran rozwijane

K = klawiatura rozwijane

M = myszka rozwijane

G = gorące klawisze dialog

A = akcje dialog

O = ogólne rozwijane

B = brajl rozwijane

D = gadatliwość rozwijane

L = globalne rozwijane

C = pomoc rozwijane

Rozwinięcie jednego z wymienionych powyżej menu jest możliwe przez naciśnięcie klawisza ALT i odpowiedniego klawisza skrótu. Inną możliwością jest wybór nazwy menu klawiszami kursora i naciśnięcie klawisza ENTER lub strzałki - w dół.

Wybierając elementy rozwiniętego już menu możemy napotkać jedną z trzech sytuacji:

1. Wybrany element jest przełącznikiem OFF/ON np. służącym do wyłączenia głosu, wybór tego elementu spowoduje przełączenie opcji np. z ON na OFF i opuszczenie menu.

2. Wybrany element prowadzi do podmenu. Na przykład wybranie Zapisz otwiera podmenu, w którym zawarty jest szereg dodatkowych opcji.

3. Wybrany element otwiera okno dialogu, które zawiera szereg elementów kontrolnych omówionych w rozdziale 3.6.

Plik

To menu jest używane do ręcznego zapisu i odczytu plików konfiguracyjnych, słowników i innych ustawień programu. Pliki te zawierają wszystkie ustawienia skonstruowane za pomocą panelu kontrolnego programu Window-Eyes, jak również słowniki wymowy. W tym menu można dokonać wyboru syntezatora mowy oraz monitora brajla.

Ekran, Klawiatura i Myszka

Zarówno ekran klawiatura jak i myszka mogą mieć przyporządkowane trzy różne ustawienia parametrów głosu. Można je oddzielnie włączać, zmieniać szybkość, wysokość i głośność. Zmiana parametrów głosu dla każdego z wymienionych urządzeń następuje w jednym z tych trzech rozwijanych menu.

Gorące klawisze

Gorące klawisze są definiowane przez użytkownika tak, aby móc wywoływać funkcje programu Window-Eyes bez wpływu na program użytkowy. Dostarczane ustawienia wykorzystują klawisze klawiatury numerycznej NUMPAD. Wciskając klawisze CONTROL-NUMPAD-STRZAŁKA W DÓŁ odczytamy linię kursora tekstu. Jeśli dana kombinacja klawiszy jest używana przez program użytkowy to może być ona przedefiniowana lub pominięta kombinacją INSERT-B.

Akcje

Klawisze akcji umożliwiają programowi Window-Eyes współpracować z programem użytkowym. Takie klawisze jak strzałki, strona w górę i w dół, tabulator służą najczęściej do przemieszczania kursora po ekranie. Window-Eyes śledzi pozycję kursora i w zależności od wciśniętego klawisza może wykonać różne funkcje. Na przykład klawisz TAB, który w edytorach tekstu przesuwa kursor do następnego tabulatora może jednocześnie powodować wypowiedzenie nowych współrzędnych lub słowa na którym zatrzymał się kursor. Akcje związane z klawiszami mogą być zmieniane przez użytkownika.

Ogólne

Omówienie tego menu zostanie przedstawione później.

Braille

To menu zawiera wszystkie opcje określające funkcjonowanie monitora brajla pod kontrolą programu Window-Eyes. Można tu definiować funkcje związane z przyciskami monitora brajlowskiego jak również tablice transkrypcji czy opcje przewijania. Menu Braille umożliwia również włączenie okna podglądu informacji przedstawianej na monitorze brajla co ułatwia osobom widzącym kontrolę informacji dostępnej dla niewidomego użytkownika. Jest to szczególnie przydatne w procesie nauczania i treningu. Pełna informacja na temat opcji tego menu znajduje się w rozdziale 18.

Gadatliwość

Tutaj określa się szczegółowość opisywania zdarzeń występujących na ekranie. Program Window-Eyes może podawać maksymalnie dużo informacji lub tylko jej część. Na przykład: może informować każdorazowo o zamykaniu menu, o klawiszach skrótu, przyspieszaczach, o gorących klawiszach, czytać automatycznie zawartość otwartego menu lub wypowiadać niewielką część tej informacji potrzebną do pracy dla doświadczonych użytkowników.

Globalne

Ustawienia te są zapisane w podstawowym pliku konfiguracyjnym programu Window-Eyes WINEYES.000 i mogą być aktywne dla wszystkich konfiguracji. Znaczy to, że nie musimy w każdym przypadku ustawiać osobno parametrów mowy lecz wystarczy ustawić je raz tak, aby były aktywne zawsze przy każdym uruchamianym programie użytkowym.

Dwa typy pomocy

Podręcznik i informacje pomocnicze do poszczególnych aplikacji to dwa typy pomocy. Podręcznik dostępny jest przez menu Pomoc z panelu kontrolnego programu. W menu tym zawarty jest podręcznik, opcja internetowego uaktualnienia wersji programu oraz krótka informacja o programie.

Informacje pomocnicze mają za zadanie pomóc w posługiwaniu się programem Window-Eyes wewnątrz programu użytkowego. Jeśli posługujemy się programem do którego dostarczony jest zbiór konfiguracyjny to otrzymamy informacje o każdym otwieranym oknie. Pomoc ta jest dostępna przy pomocy klawiszy CTRL-SHIFT-F1.

Po naciśnięciu wskazanej kombinacji klawiszy pojawi się okno dialogu, górna połowa tego okna to pole edycji, które może zawierać informację o aktualnym oknie. Jeśli w polu edycji zawarta jest informacja, to jest ono automatycznie ustawione jako tylko do odczytu. Jeśli informacja w nim zawarta ma być zmieniona to trzeba użyć przycisku Edycja, który znajduje się w dolnym prawym rogu okna dialogu. Przycisk ten jest wskazany po otwarciu pomocy.

Aby pomóc użytkownikowi programu przywołane okno Informacji Pomocniczych pojawi się na wierzchu okna programu użytkowego i będzie zawierać informację związaną z aktualnie uruchomioną funkcją. Zawartość okna informacji pomocniczych będzie więc inna dla okna głównego programu Word i inna dla okna sprawdzania pisowni. W oknie dialogu informacji pomocniczych znajdują się jeszcze:

Warstwa Początkowa - pole edycji tylko do czytania

Pole to zawiera nazwę okna, które domyślnie jest powiązane z informacją pomocniczą dla tego miejsca programu użytkowego. Na przykład jeśli informacja pomocnicza została przywołana dla sprawdzenia pisowni w programie Word warstwą początkową będzie okno dokumentu.

Warstwa Bieżąca - pole edycji tylko do czytania

Pole zawiera nazwę okna aktualnie używaną przy wywołaniu informacji pomocniczych. Jeśli informacja pomocnicza przywołana była do okna otwartego w oknie programu użytkowego, wtedy warstwa początkowa będzie inna niż warstwa bieżąca. Na przykład przy otwarciu informacji pomocniczych dla okna sprawdzania pisowni w programie Word warstwą bieżącą będzie okno sprawdzania pisowni.

Skojarz Pomoc z Warstwą - pole listy

To pole zawiera listę wszystkich kolejnych okien otwartych do momentu przywołania informacji pomocniczych w kolejności ich otwierania. Można wybierać jedną z warstw z listy strzałkami kursora. Jeśli dodamy lub zmodyfikujemy informację pomocniczą, zmiana zostanie zapisana w połączeniu z wybraną warstwą kiedy opuścimy okno dialogu informacji pomocniczych.

Połączenie z Oknem – przycisk opcji

Połączenia z Klasą – przycisk opcji

Program Window-Eyes określa czy właściwe jest umożliwienie wyboru powiązania aktualnej informacji pomocniczej z określonym oknem czy z klasą okien, której dane okno jest członkiem. Jeśli taka sytuacja występuje będzie istnieć możliwość wybrania klawiszem TAB jednego z przycisku opcji. Jeśli połączymy pomoc z oknem będzie ona się pojawiała tylko dla tego jednego okna, a jeśli połączymy z klasą będzie ona właściwa dla wszystkich okien tego samego typu.

Przycisk OK.

Ten przycisk zamyka okno dialogu i zachowuje ustawienia dla późniejszego użycia.

Przycisk ANULUJ

Zamyka okno dialogu informacji pomocniczych i powraca do miejsca z którego zostało ono wywołane.

Przycisk EDYCJA

Jeśli jest dostępny to pozwala na edycję zawartości okna informacji pomocniczej. Można wtedy uzupełnić informację pomocniczą o swoje własne komentarze.


4

ROZDZIAŁ CZWARTY
O programie Window-Eyes.

4.4: Kolory, Karty Grafiki i Śledzenie Podświetlenia

Kolory

Zmiany kolorów często występują na ekranie komputera i Window-Eyes umożliwia śledzenie tych zmian na wiele różnych sposobów. Program miedzy innymi pozwala na odczytywanie tekstu napisanego określonym kolorem przy ignorowaniu tekstu napisanego innym kolorem, pozwala również na śledzenie elementów o określonym kolorze.

Karty Grafiki

Jedną z ważniejszych rzeczy, o których należy pamiętać jest to, że program Window-Eyes może współpracować z każdą kartą graficzną od najstarszej do najnowszej. Jego praca nie zależy od ilości dostępnych kolorów. Wszystkie elementy graficzne mogą być opisywane zarówno dla 256 kolorów jak i dla 16-to bitowej palety kolorów.

Śledzenie Podświetlenia

Jednym z ważniejszych elementów zastosowania kolorów jest podświetlenie. Wskazanie jednego z elementów menu, podkreślenie, i inne funkcje są typowo przedstawiane w jasnych kolorach lub przynajmniej w kolorze różnym niż pozostała część ekranu. Bez względu, gdzie znajduje się podświetlenie program Window-Eyes potrafi je znaleźć i odczytać.


ROZDZIAŁ PIĄTY
Ustawienia globalne

W programie Window-Eyes istnieją trzy niezależne głosy. Jeden związany z klawiaturą, drugi z myszką, a trzeci z ekranem. Parametry każdego z wymienionych głosów, czyli szybkość, wysokość, barwę i głośność, można ustawiać indywidualnie. Ustawienia te mogą być wspólne dla wszystkich plików konfiguracyjnych lub dla każdego inne. Ustawienia globalne dotyczą właśnie parametrów mowy każdego z głosów.

  • 5.1: Podstawy
  • 5.2: Jak to działa?
  • 5.3: Globalne a lokalne ustawienia
  • 5.4: Głosy Ekranu, Klawiatury i Myszki
  • 5.5: Ustawienia gadatliwości
  • 5.6: Pozostałe elementy menu Globalne


ROZDZIAŁ PIĄTY
Ustawienia globalne

5.1: Podstawy

Jak już wspominaliśmy ustawienia parametrów programu mogą być zmieniane ręcznie podczas pracy programu lub odczytywane automatycznie przy uruchamianiu jednego z programów użytkowych. Domyślne ustawienia są zapisane w zbiorze WINEYES.000, który znajduje się w katalogu zawierającym program Window-Eyes. Katalog ten nazywa się WINEYES, o ile podczas instalacji jego nazwa nie została zmieniona.

W przypadku, gdy aktywny jest zbiór konfiguracyjny uruchomiony dla danego programu użytkowego, aktywne są w tle również ustawienia domyślne, czyli te związane z plikiem WINEYES.000. Ustawienia te zawsze mogą być uaktywnione w miejsce ustawień związanych z aplikacją. Ustawienia domyślne nazywane są ustawieniami globalnymi, gdyż ich działanie może być rozciągnięte na wszystkie pliki konfiguracyjne. Oznacza to, że zawsze możemy korzystać z ustawień globalnych nawet wtedy, gdy dokonaliśmy pewnych zmian w ustawieniach parametrów głosu dla danego programu użytkowego.


5

ROZDZIAŁ PIĄTY
Ustawienia globalne

5.2: Jak to działa?

Ustawienia globalne wywołuje się z paska menu panelu kontrolnego programu Window-Eyes. Menu globalne zawiera następujące elementy:

G = Globalne ustawienia = Głos i Gadatliwość

E = Ekran rozwijane

K = Klawiatura rozwijane

M = Myszka rozwijane

D = Gadatliwość rozwijane

Z = Zastosuj ustawienia

S = Status Hiperaktywnego Okna = Komentarze wyłączone

A = Status Automatycznego Ładowania = Komentarze wyłączone

P = Pokaż Kontur Okna Użytkownika = Off

C = Częstotliwość Migotania Kursora = 100

I = Minimalny Rozmiar Grafiki = 7

A = Maksymalny Rozmiar Grafiki = 100

U = Używaj Granic Uchwytów dla Myszki = On


5

ROZDZIAŁ PIĄTY
Ustawienia globalne

5.3: Globalne a lokalne ustawienia.

W dowolnym momencie można określić czy ustawienia globalne mają być włączone czy wyłączone, czy mają dotyczyć tylko głosu, tylko gadatliwości, czy głosu i gadatliwości łącznie. Aby zmienić ustawienia należy wybrać Globalne ustawienia z menu Globalne. Program wyświetli pole listy z czterema elementami do wyboru: Głos i Gadatliwość, Off, Tylko Głos, Tylko Gadatliwość. Wyboru jednego z tych ustawień dokonujemy strzałkami i zatwierdzamy klawiszem ENTER.

Gdy ustawienia globalne są aktywne ich odpowiedniki w menu Ekran, Klawiatura i Myszka są niedostępne, w przeciwnym razie parametry głosu i gadatliwości można zmieniać w menu ekranu, myszki i klawiatury.

Domyślnie w większości plików konfiguracyjnych ustawienia globalne są ustawione na Głos i Gadatliwość.


5

ROZDZIAŁ PIĄTY
Ustawienia globalne

5.4: Głosy Ekranu, Klawiatury i Myszki

Oprócz włączenia i wyłączenia głosu można ustawić jego cztery różne parametry - szybkość, wysokość, barwę i głośność. Sposób zmiany tych parametrów jest identyczny zarówno w ustawieniach globalnych, jak i w poszczególnych menu dotyczących ekranu, klawiatury i myszki.

G = Głos = On

S = Szybkość = 5

W = Wysokość = 3

B = Barwa = I

O = Głośność = 9

Pierwsza z wymienionych opcji polega tylko na włączeniu lub wyłączeniu głosu. W przypadku ekranu dotyczy to tylko okna mówionego, w przypadku klawiatury wyłącza echo klawiszy, a w przypadku myszki komentarze, które związane są z przesuwaniem wskaźnika myszy.

Wybranie jednej z pozostałych opcji powoduje otwarcie okna dialogu umożliwiającego zmianę parametrów w zakresie 0-9 dla szybkości, wysokości i głośności i od A do Z w przypadku barwy. Wybranie odpowiedniej wartości dokonywane jest przy pomocy klawiszy kursora - strzałki lewo-prawo. Zmianę akceptujemy klawiszem ENTER.

UWAGA!! W przypadku ustawień globalnych, aby nasze ustawienia zostały zapisane w pliku konfiguracyjnym musimy z menu Globalne wywołać opcję Zastosuj Ustawienia. Nie zaleca się dokonywania jakichkolwiek zmian w zbiorze konfiguracyjnym WINEYES.000 oprócz zmian ustawień globalnych.


5

ROZDZIAŁ PIĄTY
Ustawienia globalne

5.5: Ustawienia gadatliwości

W początkowym okresie posługiwania się programem korzystne jest, gdy mowa szczegółowo opisuje zdarzenia występujące na ekranie komputera. Przy lepszym poznaniu programu zbyt dużo opisów spowalnia pracę i zaczyna być denerwujące. Ograniczenie gadatliwości programu może być dokonywane zarówno na poziomie parametrów globalnych jak i lokalnych.

Dopóki aktywne są ustawienia globalne można zmieniać wszystkie ustawienia z menu Globalne. Wybranie pozycji Gadatliwość spowoduje wyświetlenie podmenu zawierającego następujące elementy:

M = Menu

Y = Myszka

A = Aktywne

I = Inne

P = Punkt Uwagi

Z = Zmiany Atrybutów

S = MSAA

Do każdego z powyższych elementów przyporządkowane jest okno dialogu o różnej zawartości, ale o podobnym działaniu. Każde z nich ma kilka pól wyboru, które są umieszczone pionowo oraz przyciski OK. i ANULUJ. Przemieszczanie się pomiędzy polami wyboru następuje po naciśnięciu klawisza TAB., a zmiany ich statusu dokonuje się klawiszem SPACJI. Klawisz ENTER działa tak samo jak przycisk OK. a klawisz ESCAPE jak przycisk ANULUJ.

Rozważmy teraz jak działa program Window-Eyes kiedy zmieniane są ustawienia Gadatliwości.

Menu Gadatliwość

Okno dialogu związane z tą pozycją zawiera listę sytuacji, które wywołują komentarze związane z pojawianiem się menu na ekranie.

0 = Menu Otwarte - nie oznaczone

Gdy to pole wyboru jest oznaczone, to wypowiadany jest komunikat "Menu otwarte" przy każdym otwarciu menu.

Z = Menu Zamknięte - oznaczone

Podobnie jak powyżej komunikat "Menu zamknięte" będzie się pojawiał po każdym zamknięciu menu.

P = Opcja - oznaczone

To pole odpowiada za wypowiadanie nazwy menu.

K = Klawisz Skrótu - oznaczone

Przy korzystaniu z programu wypowiadane będą nazwy klawiszy skrótów. Opcja ta przydatna wtedy, gdy chcemy nauczyć się szybkiego otwierania menu, wydłuża jednak znacznie wypowiedzi. Nazwa klawisza skrótu podawana jest przed nazwą menu i dlatego jej wyłączenie znacznie przyśpiesza pracę skracając wypowiedzi.

Y = Przyspieszacz - oznaczone

Opcja ta odpowiada za wypowiadanie nazw klawiszy umożliwiających uruchomienie funkcji menu przy pomocy kombinacji klawiszy bez otwierania menu. Nazwy tych klawiszy podawane są najczęściej po nazwie funkcji.

S = Opisy - oznaczone

Przy wskazaniu na menu będzie wypowiadana dodatkowa informacja o jego charakterze np. menu rozwijane.

C = Czytaj Nowe Menu - nieoznaczone

Ta opcja odpowiada za czytanie całej zawartości menu natychmiast po jego otwarciu.

Śledzenie ruchu myszki.

Przesuwanie wskaźnika myszy po ekranie generuje wypowiedzi związane z elementami, na które natrafia wskaźnik myszki. Informacje te opisują elementy ekranu, nazwy ikon, okien itp. Funkcja ta jest na przykład przydatna, gdy przesuwamy przy pomocy myszki elementy na ekranie z jednego miejsca do drugiego i chcemy wiedzieć kiedy znaleźliśmy się w miejscu docelowym.

Ustawienie gadatliwości dla myszki sprowadza się do pięciu pól:

E = Wejście Myszki - nieoznaczone

Gdy pole to jest oznaczone wypowiadana będzie nazwa i typ okna na obszar którego wprowadzona została myszka.

Y = Wyjście Myszki - nieoznaczone

Oznaczenie tego pola spowoduje wypowiadanie nazwy okna, które zostało przez myszkę opuszczone.

L = Informuj o Zmianie Linii - nieoznaczone

Window-Eyes wygeneruje sygnał dźwiękowy, gdy kursor myszki sam przejdzie z jednej linii do drugiej podczas przesuwania po znakach lub słowach tekstu. Dźwięk nie zostanie wygenerowany, gdy przesuwamy kursor po liniach.

U = Informuj o Zmianie Uchwytu - nieoznaczone

Window-Eyes wygeneruje sygnał dźwiękowy, gdy kursor myszki sam przejdzie nad uchwytem myszki. Podobnie jak w poprzednim przypadku nie będzie on generowany gdy myszka będzie przesuwana po uchwytach.

O = Informuj o Zmianie Okna - nieoznaczone

Window-Eyes wygeneruje sygnał dźwiękowy, gdy kursor myszki przeniesiony będzie nad granicą okna.

Window-Eyes zawsze zwraca uwagę na wielkość odczytywanego elementu (znaku, słowa, linii, uchwytu itp.), i informuje w zależności od ustawień gadatliwości.

Identyfikacja i czytanie nowego okna.

Pojawiające się na ekranie okno może być automatycznie anonsowane. Informacja przy tym podawana może określać rodzaj okna i informację w nim zawartą. Pole dialogu "Aktywne" z menu gadatliwości ma pięć pozycji:

A = Aktywne - nieoznaczone

Gdy ta opcja jest oznaczona Window-Eyes powie "aktywne" gdy nowe okno zostanie uaktywnione.

T = Typ Okna - oznaczone

Podany zostanie typ otwieranego okna.

Y = Tytuł Okna - oznaczone

Przeczytany zostanie pasek tytułu otwieranego okna.

K = Całe Okno Gdy Komunikat - oznaczone

Przeczytana zostanie zawartość okna wiadomości, gdy się ono pojawi na ekranie. Okna wiadomości zawierają wiele ważnych informacji związanych z dialogiem użytkownika z programem. Często w ten sposób przesyłane są komunikaty o błędach.

D = Całe Okno Gdy Dialog - oznaczone

Przeczytana zostanie zawartość okna dialogu w momencie jego otwarcia. Zamiast przemieszczać się po zawartości okna klawiszem TAB w poszukiwaniu interesującej nas opcji, możemy podczas odsłuchiwania zawartości okna wcisnąć odpowiedni klawisz skrótu ustawiając opcję i przerywając mówienie.

Inne ustawienia

Ta pozycja menu gadatliwości ma trzy pola wyboru:

K = klawisz skrótu - oznaczone

Wiele okien dialogu posiada klawisze skrótu, które działają podobnie jak te w menu. Prawdopodobnie nie będziemy chcieli słuchać, że T = tak lub N = nie ale wiele okien dialogu ma mnóstwo elementów kontrolnych z klawiszami skrótów.

P = Pierwsza/Ostatnia Pozycja - nieoznaczone

Opcja ta odpowiedzialna jest za podawanie informacji o dotarciu do pierwszej lub ostatniej pozycji z listy. Jest to bardzo przydatna funkcja, zwłaszcza w przypadku gdy pozycje listy brzmią bardzo podobnie.

B = Bieżąca Pozycja - oznaczone

Program podaje numer pozycji z pośród wszystkich pozycji w liście. Ta funkcja jest szczególnie przydatna w przypadku bardzo długich list. Jeśli żadna z pozycji jest nie wybrana program poinformuje o tym.

Zmiana Punktu Uwagi

Ustawienia gadatliwości związane z punktem uwagi zawierają sześć pól wyboru:

U = Punkt Uwagi - nieoznaczone

Kiedy następuje zmiana punktu uwagi program anonsuje "wybrane". Ma to zastosowanie podczas otwierania okien dialogu lub wiadomości gdy naciskając klawisz TAB. przechodzimy z jednego pola kontrolnego do drugiego.

O = Typ Okna - oznaczone

Przy zmianie punktu uwagi będzie wypowiadany typ okna. Na przykład przy przejściu do pola listy program powie "pole listy".

T = Typ Okna Najpierw - oznaczone

Przy przejściu do okna zostanie wypowiedziany najpierw jego typ, a następnie ustawienia np. "Przycisk OK.". Gdy opcja ta nie będzie oznaczona typ wypowiadany będzie na końcu np. "OK. Przycisk".

N = Nazwa Pola - oznaczone

Poszczególne obszary w oknie dialogu posiadają swoje nazwy i klawisze skrótów. Przechodząc z jednego obszaru do drugiego program wypowiadać będzie nazwy tych obszarów. Nazwą aktualnego obszaru można również uzyskać za pomocą gorącego klawisza CTRL-SHIFT-N.

D = Dane Pola - oznaczone

Podobnie jak nazwy pól, również dane pola mogą być przez program wypowiadane. Gorący klawisz CTRL-SHIFT-D służy do wypowiedzenia danych pola.

I = Inne Sterowanie - oznaczone

Standardowe opcje używane w programach aplikacyjnych są znane ,a ich opisy wypowiadane przez program Window-Eyes. Jednakże zdarzają się przypadki gdy typ okna nie jest jeszcze znany i przy włączonej tej opcji będzie wypowiadane "inne sterowanie".

Monitorowanie zmian atrybutów

W systemie Windows używane są cztery rodzaje atrybutów do wyświetlania tekstu na ekranie i wszystkie mogą być obsługiwane przez program Window-Eyes - kolory, kroje, wielkości i style.

Kolor tła i planu przedniego określane są kombinacją kolorów podstawowych których wartości należą do przedziału 0-255 dla koloru czerwonego, zielonego i niebieskiego. Kroje określają wygląd liter, a wielkość podawana jest w punktach - 72 punkty na cal. Styl pisma to podkreślanie, wytłuszczanie, kursywa i podwójne podkreślenie.

Zmiany Atrybutów - ten element menu "Gadatliwości" ma cztery pola wyboru:

K = Zmiany Kolorów - nieoznaczone

Program poda wartości każdego z kolorów podstawowych dla tła i planu, gdy kursor lub wskaźnik myszki natrafi na nowy kolor.

C = Zmiany Czcionek - oznaczone

Wypowiedziana zostanie nazwa kroju, gdy nowy krój pojawi się w odczytywanym z ekranu tekście

W = Zmiany Wielkości - oznaczone

Wypowiedziana zostanie wielkość znaków, gdy nastąpi jej zmiana w odczytywanym z ekranu tekście.

S = Zmiany Styli - oznaczone

Każda zmiana stylu zostanie wypowiedziana, gdy nastąpi w odczytywanym z ekranu tekście.

Microsoft Active Accessibilty

Następujące opcje definiują jak Window-Eyes będzie pracował w trybie MSAA. Wszystkie wymienione poniżej opcje (oprócz pierwszej) związane są z korzystaniem z interfejsu Microsoft Active Accessibility.

M = Identyfikuj Kontrolki MSAA - nieoznaczone

Jeśli ta opcja jest oznaczona Window-Eyes wypowie „m” przed każdą kontrolką MSAA. Na przykład: „m pole wyboru”, lub „m przycisk”. Ta funkcja jest typowo używana dla diagnostyki dlaczego elementy są opisywane w ten a nie w inny sposób.

U = Automatyczne Ładowanie - oznaczone

Jeśli ta opcja jest oznaczona Window-Eyes automatycznie uruchomi tryb MSAA za każdym razem gdy nowa strona będzie załadowana. Jeśli opcja ta będzie wyłączona można uruchomić tryb MSAA za pomocą gorącego klawisza. Proszę pamiętać, że opcja ta jest dostępna dla wersji Internet Explorer 5.5 lub nowszej.

I = Informuj o Postępie Ładowania - oznaczone

Gdy uaktywnimy tą opcję program będzie generował komentarze: „ładowanie strony”, „załadowano”, „szuka widocznej linii”, „widoczna linia znaleziona”, „poprzednia pozycja znaleziona”.

O = Identyfikuj Odwiedzone Linki - oznaczone

Window-Eyes będzie wypowiadał komentarz „odwiedzony” przed nazwą linku jeśli był on wcześniej użyty. Czasami zdarza się, że usłyszymy ten komentarz przy linkach występujących na stronach, których na pewno nie odwiedzaliśmy wcześniej. Jest to związane z tym, że czasami różne strony zawierają te same linki.

L = Identyfikuj Linki przy Czytaj-Do-Końca - oznaczone

Gdy ta opcja jest uaktywniona podczas czytania do końca przed nazwą linku będzie dodawane słowo „link”.

C = Czytaj Całą Stronę po Załadowaniu - oznaczona

Jeśli ta opcja jest aktywna, to Windndow-Eyes przeczyta stronę po zakończeniu jej ładowania. Jeśli ta opcja jest wyłączona program przeczyta tylko pierwsze 24 linie z bufora MSAA.

N = Następny Tekst - Minimalna Długość Linii - domyślnie = 1

Ta opcja to pole edycji zawierające domyślnie liczbę 1. Możemy zmieniać tę wartość w zakresie od 1 do 255. Oznacza to, że linia musi mieć określoną minimalną liczbę znaków aby być rozpoznana jako linia tekstu. ALT-INS-W GÓRĘ i ALT-INS-W DÓŁ przemieszcza nas do następnej linii tekstu. Na przykład jeśli chcemy aby wymienione gorące klawisze przemieszczały nas do linii, która zawiera więcej niż 50 znaków należy ten parametr ustawić na 50. Wtedy klawisze gorące będą omijały wszystkie krótsze linie. To jest pomocne w przypadku stron WWW, które zawierają serię linków oddzielonych krótszymi tekstami (na przykład pojedynczymi znakami). Zmieniając wielkość tego parametru, możemy przy pomocy gorących klawiszy przemieszczać się pomiędzy linkami omijając inne krótsze elementy tekstowe.

T = Następny Tekst - Minimalna Liczba Linii - domyślnie = 1

Ta opcja to pole edycji zawierające domyślnie liczbę 1. Możemy zmieniać tę wartość od 1 do 255. Oznacza to, że gorące klawisze ALT-INS-W GÓRĘ i ALT-INS-W DÓŁ będą przemieszczały nas pomiędzy fragmentami tekstu zawierającymi więcej niż wskazaną liczbę wierszy.


5

ROZDZIAŁ PIĄTY
Ustawienia globalne

5.6: Pozostałe elementy menu Globalne

W tym menu znajduje się jeszcze osiem innych elementów:

Zastosuj Ustawienia

Wybranie tej opcji powoduje zapisanie obecnych ustawień w pliku konfiguracyjnym WINEYES.000.

S = Status Hiperaktywnego Okna = Komentarze Wyłączone

Okna hiperaktywne będą omawiane później. Z tym elementem menu globalnego związane jest okno dialogu zawierające trzy elementy:

· Off

  • Komentarze Wyłączone
  • Komentarze Włączone

Gdy wybrana jest opcja OFF - okna hiperaktywne nie funkcjonują. Gdy wybrane są "Komentarze Wyłączone" okna funkcjonują, ale program nie mówi gdy wywoływana jest funkcja związana z tymi oknami. Jest to funkcja aktywna domyślnie i nie jest zapisywana, gdy wywołamy opcję "Zastosuj Ustawienia". Wszystkie zmiany w tym przypadku muszą być wykonywane ręcznie.

Wybranie opcji "Komentarze Włączone" spowoduje anonsowanie każdej akcji wywoływanej przez okno hiperaktywne.

A = Status Automatycznego Ładowania = Komentarze Wyłączone

Wybranie tej funkcji otworzy okno dialogu zawierające trzy elementy:

· Off

  • Komentarze Wyłączone
  • Komentarze Włączone

Kiedy wybrane jest OFF, automatyczne ładowanie zbiorów konfiguracyjnych nie występuje. Oznacza to, że aktualne ustawienia programu nie są zmieniane. Jeśli komentarze są wyłączone program Window-Eyes będzie automatycznie ładował zbiory konfiguracyjne, lecz nie będzie w żaden sposób o tym informował. Jeśli komentarze będą włączone, program za każdym razem po załadowaniu pliku konfiguracyjnego poda jego nazwę.

P = Pokaż Kontur Okna Użytkownika - off

Ta opcja jest przeznaczona dla widzących użytkowników. Pokazuje ona aktualną pozycję okna na ekranie przez zanegowanie obszaru obejmowanego przez to okno. Odczytanie okna ponownie spowoduje przywrócenie kolorów. Czasami jednak trzeba użyć klawiszy ‘Insert-\ ‘ aby przywrócić początkowy wygląd ekranu.

C = Częstotliwość Migotania Kursora = 100

Ta funkcja została opracowana specjalnie dla tych, którzy korzystać będą z programu "Microsoft Word" napisanego dla systemu Windows 3.1 ale może być użyta przy innych programach nie testowanych z programem Window-Eyes.

Pół okres migotania kursora podawany jest w mikrosekundach. 100 oznacza, że kursor będzie widoczny przez 100 mikrosekund i przez 100 mikrosekund będzie niewidoczny. Typowa dla przytoczonej powyżej aplikacji wartość 530 jest zbyt duża dla prawidłowego działania programu.

Częstotliwość migotania kursora można zmieniać wpisując inną z klawiatury po wybraniu tej opcji.

I = Minimalny Rozmiar Grafiki = 7

Zdecydowana większość użytkowników programu Window-Eyes nigdy nie będzie potrzebowała korzystać z tej funkcji. Dotyczy to aplikacji, w których na ekranie występuje bardzo dużo małych elementów graficznych, nieistotnych z punktu widzenia niewidomego użytkownika. Ich ciągłe monitorowanie zabiera czas procesora. Program ignoruje elementy graficzne których wielkość jest mniejsza niż 7x7 punktów. Można ten parametr zmienić, ale należy to robić bardzo ostrożnie, aby nie zgubić elementów istotnych z punktu widzenia obsługi programu.

A = Maksymalny Rozmiar Grafiki = 100

Podobnie jak opcja poprzednia, lecz w tym przypadku określana jest maksymalna wielkość elementów graficznych, które mają być śledzone przez program Window-Eyes.

U = Używaj Granic Uchwytów dla Myszki = On

Ta opcja jest wykorzystywana podczas definiowania granic okna. Gdy jest ona wyłączona, okno może być definiowane w oparciu o dokładną pozycję wskaźnika myszki, a nie w oparciu o granice obszaru przez nią wskazywanego.


ROZDZIAŁ SZÓSTY
Ustawianie głosów

W tym rozdziale podręcznika zawarta jest informacja o sposobie ustawiania parametrów głosu w programie Window-Eyes

  • 6.1: Podstawy
  • 6.2: Jak to działa?
  • 6.3: Włączanie i wyłączanie głosów Ekranu, Klawiatury i Myszki
  • 6.4: Ustawianie Szybkości, Wysokości, Barwy i Głośności
  • 6.5: Określenie trybu odczytu interpunkcji
  • 6.6: Pozostałe pozycje menu ekranu
  • 6.7: Pozostałe elementy menu klawiatury
  • 6.8: Pozostałe elementy menu Myszki


ROZDZIAŁ SZÓSTY
Ustawianie głosów

.

6.1: Podstawy

Program Window-Eyes umożliwia ustawienie różnych parametrów głosu dla informacji odczytywanej z ekranu, echa klawiatury i komentarzy wywoływanych przez ruch myszki. Podobnie jak przy ustawieniach globalnych istnieje możliwość zmiany tych parametrów w zakresie 0-9 dla szybkości, głośności i wysokości tonu oraz w zakresie od A-Z dla barwy dźwięku. Sposób zmian tych parametrów jest identyczny jak w przypadku ustawień globalnych. Aby ustawienia lokalne dla danego programu użytkowego mogły być zmieniane należy najpierw wyłączyć ustawienia globalne.

Tak więc, gdy wpisujemy informację z klawiatury jest ona monitorowana głosem klawiatury, gdy odczytujemy ją z ekranu, na przykład przesuwając się po tekście klawiszami kursora, aktywny będzie głos ekranu, a gdy przesuwamy nad tekstem kursor myszki usłyszymy głos myszki.


6

ROZDZIAŁ SZÓSTY
Ustawianie głosów

6.2: Jak to działa?

Jeśli jest to możliwe, to polecamy czytając ten rozdział na bieżąco śledzenie pracy komputera i działania programu Window-Eyes.

Proszę nacisnąć kombinację klawiszy CTRL-\ aby otworzyć panel kontrolny programu Window-Eyes. Program zaanonsuje przywołanie panelu podając nazwę pliku konfiguracyjnego, który jest aktywny i nazwę pliku konfiguracyjnego, który jest skojarzony z aktywnym oknem. Dla pulpitu będzie to EXPLORER.000.

Proszę teraz nacisnąć klawisz ALT aby uaktywnić pasek menu. Window-Eyes powie „p równa się plik rozwijane”.


6

ROZDZIAŁ SZÓSTY
Ustawianie głosów

6.3: Włączanie i wyłączanie głosów Ekranu, Klawiatury i Myszki

Jeśli w globalnych ustawieniach jest włączone Tylko Głos lub Głos i Gadatliwość wtedy parametry głosów będą ustawione na Globalne i będą niedostępne. Jeśli zamierzamy zmieniać ustawienia parametrów głosu dla danego pliku konfiguracyjnego, musimy w menu Globalne w pozycji Globalne Ustawienia ustawić wartość Tylko Gadatliwość lub Off.

Głosy ekranu, myszki i klawiatury mogą być włączane i wyłączane niezależnie. Pierwszym elementem rozwijanego menu Ekran, Klawiatura i Myszka jest Głos. W każdym z menu ten parametr (gdy jest dostępny) może mieć jedną z dwóch wartości On lub Off. Zmiana tego parametru następuje po jego wybraniu i naciśnięciu klawisza ENTER.

Kiedy głos ekranu jest wyłączony (Off), klawisze kursora, gorące klawisze, okna użytkownika i okna hiperaktywne są nadal aktywne, lecz okna mówiące są wyłączone. W rozdziale 12 działanie okien mówiących jest omówione dokładniej. Na teraz wystarczy powiedzieć, że okna mówiące to okna, które automatycznie wypowiadają tekst, który pojawia się na ekranie na skutek działania programów w systemie Windows.


6

ROZDZIAŁ SZÓSTY
Ustawianie głosów

6.4: Ustawianie Szybkości, Wysokości, Barwy i Głośności

Wszystkie te cztery parametry głosu w każdym z wymienionych menu (Ekran, Klawiatura, Myszka) działają dokładnie tak samo jak w menu Globalne, które zostało omówione wcześniej.

Ustawienia domyślne są następujące:

S = Szybkość = 5, zakres = 0 - 9

W = Wysokość = 3, zakres = 0 - 9

B = Barwa = I, zakres = A - Z

O = Głośność = 9, zakres = 0 - 9

Uwaga: niektóre syntezatory mowy posiadają tylko dwu lub trzy stopniową regulację parametrów szybkości mowy. W tym przypadku przy dwu stopniowej regulacji wartość 0-4 oznacza niższą szybkość a wartość 5-9 wyższą. Przy regulacji trzy stopniowej 0-3 oznacza wolną mowę, 4-6 średnią a 7-9 szybką.

Barwa głosu może działać bardzo różnie w zależności od modelu syntezatora. Niektóre z nich mają tylko jedną barwę głosu.

W rozdziale 8.21 opisano w jaki sposób można zmieniać parametry głosów bezpośrednio z klawiatury.


6

ROZDZIAŁ SZÓSTY
Ustawianie głosów

6.5: Określenie trybu odczytu interpunkcji

Oprócz ustawień parametrów głosu w menu ekranu i klawiatury, istnieje możliwość zmiany interpunkcji. Jest to kolejna pozycja menu I = Interpunkcja. Wybranie tej opcji określi sposób wypowiadania znaków innych niż litery. Z opcją tą związane jest menu rozwijane, w którym występuje sześć pozycji:

T = Tekstowa

Włączenie tej opcji spowoduje wypowiadanie znaków przystankowych takich jak: przecinek, kropka, średnik, znak zapytania itp.

M = Matematyczna

Powoduje wypowiadanie znaków plus, minus, gwiazdka, łamanie, procent, równa się, nawiasy, większe, mniejsze itp.

I = Inna

Wypowiadane będą znaki takie jak: apostrof, tylda, ampersand, ukośnik, podkreślenie itp.

O = Odstęp

Wypowiadany będzie odstęp. Funkcja ta jest przydatna w sytuacjach, gdy interesuje nas dokładna liczba odstępów w tekście.

Wybór jednego z powyższych elementów spowoduje otwarcie okna dialogu zawierającego trzy opcje:

Off

Tylko Słownik

On

Off - oznacza wyłączenie danej grupy znaków, Tylko słownik - oznacza, że tylko znaki zawarte w słowniku znaków będą wypowiadane, On - oznacza włączenie wszystkich znaków grupy.

Kolejne dwie opcje są dostępne w menu Ekranu i Klawiatury:

K = Kontrol

Ta opcja oznacza kody kontrolne ASCII z zakresu 1 - 26. Wybór trybu kontroli Interpunkcji otwiera okno dialogu, które zawiera następujące pozycje:

Off

Tylko Słownik

ASCII

Mów Kontrol

Off oznacza, że znaki ASCII nie będą wypowiadane,

Tylko Słownik oznacza, że tylko znaki ASCII zawarte w aktualnym słowniku znaków będą wypowiadane,

ASCII oznacza, że wypowiadane będą kody ASCII każdego znaku,

Mów Kontrol oznacza, że będą podawane opisy znaków np. dla kodu 1 - Kontrol A

Z = Rozszerzona

Opcja ta powoduje rozszerzenie zakresu znaków do: 0, 27-31 i 127-255. Wybór tej opcji otworzy okno dialogu Wyboru Trybu Rozszerzonej Interpunkcji. Okno to zawiera następujące elementy:

Off

Tylko Słownik

ASCII

Opisz

Podobnie jak poprzednio Off oznacza wyłączenie wszystkich znaków z podanego zakresu, Tylko Słownik oznacza, że tylko te znaki z podanego powyżej zakresu będą wypowiadane, które znajdują się w słowniku znaków, ASCII oznacza, że będą wypowiadane kody znaków, Opisz oznacza, że wypowiadane będą opisy znaków semigraficznych np. podwójna ramka.


6

ROZDZIAŁ SZÓSTY
Ustawianie głosów

6.6: Pozostałe pozycje menu ekranu

Pozostałe pozycje menu ekranu są różne niż w menu klawiatury i myszki. Omówione więc zostaną osobno poczynając od menu Ekran.

Czytanie Liczb

Kolejny element menu Ekran określa w jaki sposób program Window-Eyes będzie odczytywał liczby z ekranu:

L = Liczby - On

Wybór tej opcji włącza ją lub wyłącza.

Opcja ta może być włączona lub wyłączona. Jeśli jest wyłączona, program wypowiadać będzie liczby cyframi. Opcja ta może być włączana i wyłączana przy pomocy gorącego klawisza Przełącznik Liczb niezdefiniowanego domyślnie.

Jeśli czytanie liczb będzie włączone, liczby będą wypowiadane, o ile syntezator potrafi wypowiadać polskie liczby. Po przecinku będą jednak nadal wypowiadane pojedyncze cyfry.

Rozróżnianie Dużych Liter

D = Sygnalizacja Dużych Liter - Off

Wybór tej opcji przywoła okno dialogu z trzema pozycjami:

  • Off
  • Mów Duże
  • Wysokość

Off oznacza wyłączenie sygnalizacji dużych liter, Mów Duże oznacza wypowiedzenie słowa "duże" przed każdym słowem zaczynającym się z dużej litery. Gdy słowo będzie się składało z samych dużych liter to "duże" zostanie wypowiedziane dwa razy, a jeśli w słowie będą duże i małe litery to "duże" zostanie wypowiedziane trzy razy. Wysokość oznacza podwyższenie wysokości tonu dla słów zaczynających się dużą literą. Większe podwyższenie tonu oznacza same duże litery, a kolejne podwyższenie oznacza duże i małe litery w słowie.

Opcja ta może być przełączana gorącym klawiszem Przełącznik Sygnalizacji Dużych Liter niezdefiniowanym domyślnie.

Puste miejsca

Na ekranie puste miejsca mogą zawierać różne nie widoczne znaki np. odstępy lub tabulatory.

F = Sygnalizacja Formatowania - Off

Opcja ta może przybierać wartości Off/On. Gdy jest ona wyłączona zmiany formatu jak np. puste miejsca lub wcięcia nie są identyfikowane. Włączenie tej opcji spowoduje wypowiadanie komentarza "Wcięcie x cali" kiedy program napotka wcięcie z lewej strony.

Można zmieniać marginesy i granice w stosunku do których określane jest wcięcie przy pomocy gorącego klawisza Ustaw Margines Sygnalizacji Formatu, który nie jest domyślnie określony. Wartość tej opcji może być przełączana przy pomocy gorącego klawisza Przełącznik Sygnalizacji Formatu niezdefiniowanego domyślnie.

T = Literowanie Słów z Cyframi – Off

Wybór tej opcji zmienia ustawienia z Off na On i odwrotnie. Ta funkcja pozwala na literowanie słów zawierających cyfry. Na przykład KA9UDN będzie odczytane jako K-A-9-U-D-N.

E = Podział Słów z Literami Różnej Wielkości – Off

Podobnie jak poprzednio wybór tej opcji zmienia jej ustawienia z Off na On i z On na Off. Gdy jest ona włączona (On) słowa zawierające w środku dużą literę będą dzielone. Na przykład „OtwórzPlik” będzie wypowiedziane „Otwórz Plik”. Jest to ułatwienie przy czytaniu kodu programu.

Śmieci w wiadomościach pocztowych

Wiadomości poczty elektronicznej są pełne niepotrzebnych elementów w wysyłanych i odbieranych informacjach. Na przykład załączana treść listu, na który odpowiadamy jest najczęściej poprzedzona znakiem większości. Filtr Linii umożliwia nie wypowiadanie znaków, które są niepotrzebne.

N = Filtr Linii

To rozwijane menu zawiera trzy elementy:

S = Status - Off

P = Pozycja - 0

Z = Znaki

Kiedy status jest ustawiony na Off filtr linii nie funkcjonuje. Kiedy jest on ustawiony na Czytaj do Końca program zastosuje filtr linii przy czytaniu całego dokumentu od miejsca pozycji kursora do końca tekstu. Przeczytanie tekstu do końca jest możliwe przy użyciu gorącego klawisza CTRL-SHIFT-R. Ustawienie statusu na ON filtr linii będzie wykorzystywany przy czytaniu całych linii np. przy użyciu klawiszy strzałek góra/dół.

Gdy korzystamy z filtru linii musimy wskazać pozycję, gdzie należy szukać znaku, który określać będzie linie poddawaną filtracji. Wartość tej opcji może być ustawiona na 0-4 i oznacza kolejne znaki w linii. Podobnie jak definiując pozycje w linii od której ma nastąpić filtracja, istnieje możliwość określenia jaki znak lub jakie znaki określają linię, która nie ma być wypowiadana. Podobnie jak w przypadku Pozycji w oknie edycji dla tej opcji podajemy do pięciu znaków.

Ta opcja może być ustawiana przy pomocy gorącego klawisza Przełącznik Statusu Filtru Linii niezdefiniowanego domyślnie.

Pominięcie tekstowej ornamentacji.

W wielu tekstach używane są serie znaków w celu oddzielenia jednego fragmentu tekstu od innego. Najczęściej w tym celu wykorzystuje się serię gwiazdek lub myślników. Takie upiększanie dokumentów jest dość uciążliwe dla użytkowników posługujących się mową.

P = Filtr Powtórzeń - Off

Ta opcja ma trzy wartości:

  • Off
  • Mów Powtórzenia
  • Ignoruj

Gdy filtr powtórzeń jest wyłączony program wypowiada wszystkie znaki. Gdy jest ustawiony na - mów powtórzenia Window-Eyes wypowie liczbę powtórzeń danego znaku. Gdy wybrana jest opcja ignoruj, program nie wypowie żadnego z powtarzających się znaków.

R = Wartość Powtórzeń = 3

Ta wartość może być ustawiona w zakresie 1-9 i oznacza liczbę powtórzeń znaku która ma być uznana za powtórzenia. Np. przy wartości 2 trzy gwiazdki będą oznajmione gwiazdka, gwiazdka, liczba powtórzeń trzy.

Identyfikacja lub ignorowanie pustych linii

Program może sygnalizować puste linie gdy przechodzimy przez nie kursorem.

U = Puste Linie - Off

Opcja ta włącza lub wyłącza mówienie pustych linii.

Lokalizacja pozycji kursora w tekście

K = Sygnalizacja Pozycji Kursora - Off

Gdy opcja ta jest włączona program przy czytaniu tekstu przed słowem zawierającym kursor wypowie słowo "kursor".

Opcja ta może być włączana lub wyłączana gorącym klawiszem Przełącznik Sygnalizacji Pozycji Kursora niezdefiniowanym domyślnie.

Monitorowanie zmian atrybutów

Można ustawić program Window-Eyes tak, aby sygnalizował zmiany koloru, kroju, wielkości lub stylu znaków.

Z = Zmiany Atrybutów - Off

Ta opcja może być włączona lub wyłączona, gdy jest wyłączona zmiany koloru, kroju, wielkości i stylu nie są sygnalizowane. Włączenie opcji spowoduje anonsowanie każdej zmiany jednej z wymienionych cech w wypowiadanym tekście. Które z atrybutów będą wypowiadane określone jest w menu Gadatliwość omówionym w rozdziale 5.5. Domyślnie są anonsowane zmiany kroju, wielkości i stylu.

Gorący klawisz Przełączanie Zmiany Atrybutów (niezdefiniowany domyślnie) umożliwia włączanie lub wyłączanie tej opcji.

Usuniecie Przerwy Końca Linii

Ta funkcja działa tylko z niektórymi syntezatorami mowy.

C = Styl Czytania Akapitów - Auto

Wybranie tej opcji otworzy okno dialogu z następującymi elementami:

  • Off
  • On
  • Auto

Jeśli wybrane jest Off program Window-Eyes będzie generował przerwę w mówieniu na końcu każdej linii z większością syntezatorów mowy. Jeśli ustawimy On przerwa ta zostanie wyeliminowana. Gdy funkcja Styl Czytania Akapitów jest ustawiona na Auto przerwa będzie eliminowana przy funkcji Czytanie do Końca i dwunastu innych związanych z odczytywaniem paragrafów i zdań.


6

ROZDZIAŁ SZÓSTY
Ustawianie głosów

6.7: Pozostałe elementy menu klawiatury

Pierwsze sześć elementów menu Ekranu i Klawiatury działają tak samo. Pozostałe są całkowicie odmienne. Ustawienie parametrów głosu dla ekranu i klawiatury najczęściej bywa różne, tak aby zapewnić maksymalny komfort pracy. Przy szybkim pisaniu ustawiana jest zazwyczaj najwyższa szybkość mowy, aby kontrola wciskanych klawiszy była natychmiastowa.

Udźwiękowienie Klawiszy Specjalnych

Dla celów programu Window-Eyes klawisze inne niż litery, cyfry oraz znaki przystankowe i klawisz BACKSPACE określa się mianem klawiszy specjalnych. Jedna z pozycji menu klawiatury pozwala włączyć opisy klawiszy specjalnych.

I = Klawisze Specjalne

Wybór tej opcji uaktywnia podmenu z następującymi pozycjami:

Klawisze Funkcyjne = Off

Klawisze Przełączające = ON

Przesuwanie Kursora = Off

Klawisze Rozszerzeń = Off

Klawisz ESCAPE = Off

Klawisz ENTER = Off

Poniżej zamieszczona jest kompletna lista klawiszy specjalnych.

F = Klawisze Funkcyjne: 12 klawiszy funkcyjnych od F1 do F12

P = Klawisze Przełączające: CAPS LOCK, NUMLOCK, SCROLL LOCK i INSERT

Program Window-Eyes nie rozróżnia trybu wstawiania i nadpisywania związanego z użyciem klawisza INSERT. Pozycja tego klawisza jest różnie interpretowana przez programy użytkowe. W przypadku naciśnięcia klawisza INSERT usłyszymy tylko jego nazwę.

Kiedy klawisz CAPS LOCK jest aktywny i wciśniemy klawisz SHIFT wraz z klawiszem litery, to komputer przyjmie małą literę. Taka sytuacja często jest przyczyną powstawania błędów więc program Window-Eyes sygnalizuje ją dźwiękiem ostrzegawczym.

K = Przesuwanie Kursora: strzałki, PAGE UP, PAGE DOWN, DEL, HOME, END.

Z = Klawisze Rozszerzeń: prawy i lewy SHIFT, ALT, CONTROL

Aby opis wciskanej kombinacji klawiszy był pełny np. Shift-F10 obie opcje (klawisze funkcyjne i klawisze rozszerzeń) muszą być włączone.

E = Klawisz ESCAPE

N = Klawisz ENTER

Program Window-Eyes nie rozróżnia klawiszy ENTER z klawiatury podstawowej i numerycznej.

Wybór jednej z opisanych powyżej opcji zmienia jej stan z OFF na ON lub z ON na OFF. Gdy opcja jest wyłączona opisy danej grupy klawiszy nie są wypowiadane.

Uwaga: Gdy wyłączymy głos klawiatury, to nazwy klawiszy specjalnych, które są włączone będą nadal wypowiadane.

Pisanie Dużych Liter

W tym miejscu można ustawić sposób wypowiadania dużych liter.

D = Duże Litery = Wysokość

Wybranie tej opcji otworzy Okno Wyboru Sygnalizacji Dużych Liter w którym znajdują się następujące elementy:

  • Niezdefiniowane
  • Mów Duże
  • Wysokość

Kiedy wybrana jest Wysokość program nieznacznie podwyższy wysokość tonu przy wypowiadaniu dużej litery. Gdy sygnalizacja dużych liter jest niezdefiniowana, to zarówno małe jak i duże litery będą wypowiadane tak samo. Mów Duże spowoduje wypowiedzenie słowa Duże przed dużą literą.

Przerywanie

Użytkownicy programów mówiących muszą mieć możliwość przerwania mowy w dowolnym momencie. Ta opcja menu klawiatury pozwala kontrolować sposób przerywania mowy.

Z = Przerywanie = Wszystkie Klawisze

Wybór tej opcji otwiera okno Wybór Sposobu Przerywania zawierające następujące elementy:

  • Wszystkie Klawisze
  • Klawisze Kursora Off
  • Tylko Klawisze Kursora
  • Control lub Alt
  • Off

Gdy opcja Wszystkie Klawisze jest aktywna naciśnięcie dowolnego klawisza powoduje przerwanie mowy.

Opcja Klawisze Kursora Off wyłącza klawisze kursora z funkcji przerywania mowy. Pozostałe klawisze przerywają mówienie.

Gdy aktywna jest opcja Tylko Klawisze Kursora przerwać mówienie można tylko naciskając jeden z klawiszy kursora.

Control lub Alt oznacza, że tylko te klawisze przerywać będą mówienie.

Wybierając opcję Off wyłączamy możliwość przerywania mówienia. W tym przypadku tylko klawisz gorący "Cisza" może przerwać mowę.

Ponieważ program Window-Eyes jest jednym z wielu programów wykonywanych przez procesor systemu, to czasami przerwanie mowy może nie nastąpić natychmiast.

Odsłuchiwanie całych słów.

Zamiast odsłuchiwania poszczególnych liter podczas pisania tekstu można odsłuchiwać całe napisane słowo. Kolejny element menu klawiatury pozwala na włączenie trybu słuchania całych słów.

B = Tryb Słowny = Off

Wybór tej opcji przywoła okno dialogu z trzema elementami do wyboru: Off, ON lub Włącz gdy Liczba. Gdy tryb słowny jest Off to wypowiadane są poszczególne litery podczas pisania tekstu. Gdy jest ON to poszczególne litery są przetrzymywane w pamięci do momentu wciśnięcia klawisza SPACJI klawisza ENTER lub dowolnej cyfry lub znaku interpunkcyjnego. Tryb Włącz gdy Liczba powoduje, że również i cyfry nie są wypowiadane do momentu zakończenia słowa.

Tryb Słowny może być zmieniany przy pomocy gorącego klawisza "Przełącznik Trybu Słownego" niezdefiniowanego domyślnie.


6

ROZDZIAŁ SZÓSTY
Ustawianie głosów

6.8: Pozostałe elementy menu Myszki

Tylko kilka elementów menu Myszki jest inne niż elementy menu Klawiatury. Pierwszych pięć jest takich samych oprócz tego, że wyłączenie głosu myszki dotyczy tylko przemieszczania się wskaźnika myszki, jego identyfikacji i myszki jako urządzenia fizycznego. Klawisze gorące symulujące działanie myszki wywołują komentarze słowne bez zmian.

Granice Myszki

Po ustawieniu parametrów głosu dla myszki możemy zapoznać się z pozostałymi elementami menu. Jedną z funkcji jest ograniczenie przemieszczania się wskaźnika myszki gdy używamy klawiatury.

A = Granice Myszki = Aktywne Okno

Wybór tej opcji otwiera okno dialogu "Wybierz Tryb Ograniczania Myszki", które zawiera cztery elementy:

  • Pełny Ekran
  • Aktywne Okno
  • Punkt Uwagi Okna
  • Okno Użytkownika

Pełny Ekran

Oznacza brak ograniczeń w przemieszczaniu wskaźnika myszki.

Aktywne Okno

Oznacza ograniczenie przesuwania wskaźnika myszki do obszaru zajmowanego przez okno aktywne. Cała informacja znajdująca się poza tym oknem będzie dla myszki niedostępna.

Punkt Uwagi Okna

To ograniczenie powoduje, że wskaźnik myszki nie może być przesuwany poza fragment zawierający punkt uwagi. Może to być niewielki obszar np. przycisk lub całe okno programu użytkowego.

Okno Użytkownika

Przemieszczanie wskaźnika myszki ograniczone zostanie tylko do obszaru zajmowanego przez okno użytkownika. Obszar ten domyślnie jest równy obszarowi zajmowanemu przez okno aktywne, lecz może być zdefiniowany inaczej.

Proszę jednak pamiętać, że restrykcje dotyczą tylko przesuwania wskaźnika myszki za pomocą klawiatury - gorących klawiszy, a nie myszki jako fizycznego urządzenia.

Ograniczenia mogą być przełączane gorącym klawiszem Ctrl-Shift-B - Przełącznik Ograniczenia Myszki.

Przyciski Myszki

Ta funkcja określa, czy wciśnięcie przycisku myszki: zarówno na myszce jak i klawisza klawiatury symulującego ten przycisk będzie wypowiadane.

M = Przyciski Myszki = On

Gdy ta funkcja jest aktywna program będzie wypowiadał nazwę przycisku, gdy będzie on wciśnięty.

Regulacja Odległości Ruchu Myszki

Gdy posługujemy się gorącymi klawiszami przesuwającymi wskaźnik myszki, to każde naciśnięcie klawisza przesuwa wskaźnik o określoną liczbę punktów na ekranie. Liczba ta jest określana w zakresie 1 do 99 przez następujące pozycje menu:

· Y = Górny Przyrost Wskaźnika

  • D = Dolny Przyrost Wskaźnika
  • L = Lewy Przyrost Wskaźnika
  • P = Prawy Przyrost Wskaźnika

Klawisze strzałek klawiatury numerycznej przy wciśniętych klawiszach CTRL i SHIFT przesuwają wskaźnik myszy o liczbę punktów zdefiniowaną za pomocą elementów powyższego menu.

Trzeba jednak pamiętać, że wszystkie funkcje programu Window-Eyes związane z klawiaturą numeryczną są dostępne, gdy klawiatura ta ma wyłączony tryb cyfr czyli klawisz Num Lock jest nieaktywny.

Identyfikacja Wskaźnika

Funkcja ta opisuje kształt wskaźnika myszki. Kształt ten się zmienia gdy wskaźnik jest przemieszczany po ekranie. Zmiana kształtu sygnalizuje aktualny stan systemu. Wypowiadanie opisu wskaźnika myszki może być włączane lub wyłączane przy pomocy funkcji zawartej w menu myszki.

I = Identyfikacja Wskaźnika = Opóźniona

Wybór tej opcji otwiera okno dialogu - Identyfikacja Wskaźnika Myszki. Okno to zawiera następujące elementy:

· Off

  • On
  • Opóźnione
  • Tylko Słownik
  • Opóźnione Tylko Słownik

Gdy identyfikacja wskaźnika jest wyłączona, program nie opisuje jego kształtu, gdy jest włączona opis jest wypowiadany natychmiast po zmianie. Gdy włączone jest opóźnienie, program nie wypowiada opisu kształtu gdy jest on na ekranie krócej niż pół sekundy. Kiedy identyfikacja wskaźnika myszki jest ustawiona na Tylko Słownik, anonsowane będą tylko te postacie wskaźnika myszki, które są zdefiniowane za pomocą funkcji przechwycenia wskaźnika myszki. Opóźnione Tylko Słownik – anonsowane będą tylko te postacie wskaźnika znajdujące się w słowniku, które będą na ekranie dłużej niż 0.5 sekundy.

Przerywanie Mówienia w Trakcie

Ta funkcja określa tryb przerywania mówienia związany z ruchem myszki.

Z = Przerywanie = Przesuń lub Kliknij

Ta opcja otwiera okno dialogu Wybierz Tryb Przerywania, które zawiera następujące elementy:

· Przesuń

  • Kliknij
  • Przesuń lub Kliknij
  • Off

Gdy przerywanie jest wyłączone, żadna akcja myszki nie będzie przerywała mowy. Kiedy wybrana jest opcja Przesuń, to każde przesunięcie wskaźnika (zarówno z klawiatury jak i myszką) przerwie mówienie. Kliknij - spowoduje, że tylko przyciski myszy lub ich symulacja będzie przerywać mowę. Przesuń lub Kliknij - przerywa mowę przy ruchu myszki lub wciśnięciu jej przycisku.

Automatyczne Śledzenie Myszki

Kolejny element menu myszki związany jest z połączeniem przemieszczania się kursora myszki wraz ze zmianą punktu uwagi. Podczas pisania myszka podążać będzie za kursorem, przy przechodzeniu od jednego elementu kontrolnego do drugiego wskaźnik myszki będzie podążał za wyborem.

E = Śledzenie za Punktem Uwagi - Off

W systemach Windows 9x myszka nie będzie jednak podążała za menu, gdyż powodowałoby to automatyczne otwieranie jego.

Odczytywanie Znaków, Słów lub Linii przy Pionowym Przemieszczaniu Myszki

Kolejna funkcja menu myszki jest związana z jej przemieszczaniem się po liniach tekstu w górę i w dół. W tym przypadku mogą być odczytywane znaki, słowa lub całe linie.

L = Ruch w Pionie Wypowiada - Linia

ma trzy możliwe tryby:

  • Znak
  • Słowo
  • Linia

Wyboru jednego z wymienionych powyżej trybów można również dokonać przy pomocy gorącego klawisza Myszka Mówi Góra/Dół ALT-NUMPAD-CENTER.

Jeżeli aktywny jest tryb Znak lub Słowo, a wskaźnik wskazuje na linię nie zawierającą liter program wydaje dźwięk bip. W tym przypadku, gdy włączony jest tryb linii, program wypowiada słowo "pusta". Słowo to jest wypowiadane tylko przy pierwszej z wielu pustych linii.

Poszukiwanie Nowych Atrybutów

Istnieje możliwość poszukiwania następnej lub poprzedniej zmiany atrybutów za pomocą gorących klawiszy "Myszka Poprzedni Atrybut" "Myszka Następny Atrybut".

U = Poszukiwane Atrybuty

Wybór tej opcji otwiera okno dialogu zawierające następujące pola wyboru:

  • Podkreślone
  • Pogrubione
  • Podświetlone
  • Kursywa
  • Skreślone

Domyślnie wszystkie te pola nie są oznaczone. Wyboru każdego z tych pól dokonujemy strzałkami kursora, a zmianę jego statusu dokonujemy SPACJĄ. Zatwierdzenie zmian następuje klawiszem ENTER lub wyborem przycisku OK

Ta funkcja jest szczególnie przydatna do znajdywania wyróżnionych w tekście linków.

Gdy wskaźnik myszki jest umieszczony wewnątrz zdefiniowanych granic myszki, gorące klawisze przemieszczania się myszki po atrybutach przesuwają wskaźnik myszki w tym zdefiniowanym obszarze. W przeciwnym przypadku poszukiwanie atrybutów rozpoczyna się od lewego górnego rogu zdefiniowanych granic myszki. Gorący klawisz "CTRL-SHIFT-B" przełącza dostępne ustawienia granic.

N = Określenie Podświetlenia

Ta opcja otwiera okno dialogu, które umożliwia określenie podświetlenia, które będzie mogło być poszukiwane za pomocą gorącego klawisza. Jednym z zastosowań tej funkcji jest poszukiwanie błędów w pisowni wychwytywanych przez słownik edytora tekstu.


ROZDZIAŁ SIÓDMY
Zachowywanie i odtwarzanie parametrów programu.

W tym rozdziale podręcznika zawarta jest informacja jak zachowywać i odtwarzać parametry programu.

Podczas przeglądania panelu kontrolnego programu, cała dyskusja dotycząca menu plik, była odłożona na później i zostanie omówiona w tym rozdziale.

  • 7.1: Podstawy
  • 7.2: Jak to działa?
  • 7.3: Zachowywanie parametrów programu
  • 7.4: Otwieranie zbiorów konfiguracyjnych ręcznie
  • 7.5: Skojarzenia
  • 7.6: Zachowywanie ścieżki aktywnych zbiorów
  • 7.7: Zamykanie skojarzenia
  • 7.8: Konwersja plików konfiguracyjnych w zbiory tekstowe i z powrotem
  • 7.9: Zmiana Syntezatora
  • 7.10: Wybór monitora brajla
  • 7.11: Praca w sieci
  • 7.12: Edycja Słowników
  • 7.13: Wczytywanie ustawień fabrycznych
  • 7.14: Wyłączanie programu Window-Eyes


ROZDZIAŁ SIÓDMY
Zachowywanie i odtwarzanie parametrów programu.

7.1: Podstawy

Jak już zostało wspomniane w poprzednich rozdziałach, parametry programu przechowywane są w zbiorach konfiguracyjnych. Za każdym razem, gdy dokonywana jest jakakolwiek zmiana parametrów, może być ona zapisana na twardym dysku w zbiorze konfiguracyjnym. Jedynym ograniczeniem na ilość zbiorów konfiguracyjnych, jest ilość wolnego miejsca na dysku twardym. Oczywiście istnieje również możliwość odczytu zbioru z zapisanymi parametrami. Program Window-Eyes automatycznie odczytuje ustawienia przy otwarciu nowego okna aplikacji.

Aby odczytać właściwy plik parametrów przy otwieraniu nowego okna aplikacji, każdy zbiór konfiguracyjny jest skojarzony z określonym programem aplikacyjnym. Uruchomienie programu wiąże się z otwarciem nowego okna aplikacji i odczytaniem skojarzonego zbioru konfiguracyjnego.


7

ROZDZIAŁ SIÓDMY
Zachowywanie i odtwarzanie parametrów programu.

7.2: Jak to działa?

Po uruchomieniu panelu kontrolnego programu Window-Eyes podawana jest nazwa aktywnego zbioru konfiguracyjnego oraz nazwa programu aplikacyjnego, który jest skojarzony z danym zbiorem konfiguracyjnym. Aktywny zbiór konfiguracyjny jest tym, który zawiera parametry aktualnie używane. Program Window-Eyes poszukuje zbioru konfiguracyjnego skojarzonego z otwieranym oknem aplikacji, jeżeli takiego powiązania nie ma to przyjmowany jest zbiór aktualnie używany.


7

ROZDZIAŁ SIÓDMY
Zachowywanie i odtwarzanie parametrów programu.

7.3: Zachowywanie parametrów programu.

Poniżej zamieszczony jest przykład zapisania parametrów programu. Aby zapisać parametry programu należy:

1. Nacisnąć klawisz Ctrl-\ aby otworzyć panel kontrolny.

2. Nacisnąć klawisz Alt aby uaktywnić pasek menu.

3. Nacisnąć P aby otworzyć menu Plik.

4. Jeśli nie chcemy zmieniać nazwy należy nacisnąć klawisz C - Zachowaj w przeciwnym przypadku klawisz H - Zachowaj jako.

5. Z pojawiającego się menu wybrać Plik Konfiguracyjny. Program otworzy okno dialogu Zapisz jako z polem edycji do wpisania nowej nazwy pliku konfiguracyjnego. Możemy zaakceptować nazwę podaną, która jest nieznacznie zmodyfikowaną nazwą aktualnego zbioru konfiguracyjnego. Można również po naciśnięciu klawisza tabulatora przejść do pola listy zawierającego nazwy wszystkich dostępnych zbiorów konfiguracyjnych.

6. Naciśnięcie klawisza ENTER spowoduje otwarcie okna dialogu Plik Ustawień, z prośbą o potwierdzenie skojarzenia. W oknie znajdują się trzy przyciski TAK (domyślny), NIE i ANULUJ.

1. Należy wybrać jeden z przycisków i nacisnąć ENTER. Bez względu na to jaki przycisk zostanie wybrany zbiór konfiguracyjny będzie zapisany a okno dialogu zostanie zamknięte i pasek menu będzie zdezaktywowany. Jeżeli wybierzemy TAK, to przy ponownym uruchomieniu systemu Windows nasz nowy zbiór konfiguracyjny będzie aktywny i właściwie skojarzony. W przypadku wybrania przycisku NIE lub ANULUJ, zbiór konfiguracyjny będzie zapisany, lecz nie będzie przywiązany do żadnego programu aplikacyjnego.

Dobrą nazwą dla zbioru parametrów jest przyjęcie nazwy programu z rozszerzeniem 000 lub 00x, gdzie x jest cyfrą 0-9. Jednakże istnieje możliwość nadawania dowolnych nazw akceptowanych przez system operacyjny. Informacje o skojarzeniach są zapisywane w zbiorach o rozszerzeniach WE. Jeżeli pliki konfiguracyjne zostaną przeniesione na inny komputer, to również te zbiory muszą być przeniesione, gdyż w przeciwnym przypadku skojarzenia nie będą działały.


7

ROZDZIAŁ SIÓDMY
Zachowywanie i odtwarzanie parametrów programu.

7.4: Otwieranie zbiorów konfiguracyjnych ręcznie.

Podobnie jak w podanym powyżej przykładzie zapisywania parametrów, można odczytać parametry zapisane. Aby odtworzyć zapisany zbiór konfiguracyjny należy:

1. Przywołać panel kontrolny programu naciskając Ctrl-\.

2. Uaktywnić pasek menu przez naciśnięcie klawisza Alt.

3. Nacisnąć klawisz P aby otworzyć menu Plik.

4. Nacisnąć klawisz O aby wybrać Otwórz co spowoduje pojawienie się podmenu umożliwiającego wybór zbioru konfiguracyjnego lub zbiorów słowników.

5. Wybrać zbiór konfiguracyjny. W oknie dialogu podać nazwę zbioru lub po naciśnięciu klawisza tabulatora wybrać nazwę z listy i nacisnąć ENTER.

Gdy podany zbiór nie może być znaleziony program poinformuje o tym odpowiednim komentarzem w oknie wiadomości.

Ręczne otwieranie zbioru konfiguracyjnego jest wskazane wtedy, gdy dany program użytkowy nie ma jeszcze zdefiniowanego własnego zbioru konfiguracyjnego. W tym przypadku należy otworzyć zbiór zawierający parametry najlepiej pasujące do sytuacji występującej na ekranie. Jeśli taki zbiór istnieje, to wystarczy go otworzyć i zapisać potwierdzając skojarzenie. Ponowne uruchomienie programu użytkowego spowoduje automatyczne odczytanie zbioru konfiguracyjnego.

Czasami chcemy aby zmiany parametrów, które właśnie zostały przez nas dokonane, zawarte były w zbiorze konfiguracyjnym używanym przez inne programy. Wtedy należy odczytać zbiór konfiguracyjny, dokonać w nim zmian i zapisać bez potwierdzenia skojarzenia.

Odczyt zbioru konfiguracyjnego jest również możliwy przy użyciu gorącego klawisza Załaduj Ustawienia (Insert-L).


7

ROZDZIAŁ SIÓDMY
Zachowywanie i odtwarzanie parametrów programu.

7.5: Skojarzenia.

Element menu Plik poniżej Edycji Słowników zawiera informację o bieżącym oknie aplikacji i nic poza tym. Ta informacja może być użyteczna, gdy używamy gorącego klawisza Przeklasowanie w sytuacji, gdy występuje inne sterowanie. Jednakże informacja ta może być przydatna dla przypomnienia powiązania występującego pomiędzy niektórymi oknami aplikacji i zbiorami konfiguracyjnymi.

I = Informacja o oknie

Uaktywnienie tego elementu otwiera okno dialogu Informacje o Modułach, Oknach i Klasach. Otwarte okno zawiera trzy pola edycji tylko do odczytu:

Nazwa Modułu

Tu podana jest nazwa pliku dyskowego otwartego w związku z działaniem bieżącej aplikacji.

Nazwa Okna

Każde okno aplikacji ma nazwę, która jest podawana w pasku tytułu. Gdy okno to jest otwierane, program Window-Eyes odczytuje tę nazwę i podaje ją w tym oknie dialogu. Zmiany nazwy okna są później ignorowane dopóki nowy moduł nie będzie uruchomiony, to znaczy dopóki nowy program użytkowy nie będzie uruchomiony z dysku i nie zostanie otwarte nowe okno aplikacji.

Nazwa Klasy

Każdemu oknu przyporządkowana jest nazwa klasy, która może być standardowa lub zdefiniowana przez programistę, który ją stworzył.

Kolejnym elementem kontrolnym w oknie dialogu Informacje o Modułach, Oknach i Klasach jest przycisk:

P = Powiąż z Klasą.

Jeżeli nazwa okno i nazwa klasy dla okna bieżącego jest taka sama, przycisk Powiąż z Klasą jest niedostępny. Gdy nazwy te są różne, można posłużyć się tym przyciskiem aby zbiór konfiguracyjny bieżącego okna był skojarzony z nazwą klasy, a nie nazwą okna. Od tego momentu za każdym razem, gdy dane okno aplikacji będzie otwarte w aktywnym module, program Window-Eyes będzie wiedział gdzie znaleźć odpowiedni zbiór konfiguracyjny.

Niektóre programy takie jak Write i Netscape używają różnych nazw okien za każdym razem gdy są uruchamiane. Na przykład, gdy uruchamiamy program Write z nazwą dokumentu przeznaczonego do edycji nazwa okna zawierać będzie nazwę dokumentu. W takim przypadku Window-Eyes nie będzie miał skojarzonego zbioru konfiguracyjnego z tą nazwą.


7

ROZDZIAŁ SIÓDMY
Zachowywanie i odtwarzanie parametrów programu.

7.6: Śledzenie ścieżki aktywnych zbiorów.

Słowniki służą do poprawy wypowiadania tekstów i opisów pojawiających się na ekranie. Zapisywane są one w zbiorach na dysku w katalogu WINEYES. Zbiory te są ładowane automatycznie. Można również odczytywać zbiory słowników ręcznie i można je kojarzyć z różnymi zbiorami konfiguracyjnymi podczas ich zapisu.

Kolejny element menu Plik pozwala określić listę aktywnych plików słowników.

L = Lista Aktywnych Plików

Wybór tej opcji otwiera okno dialogu Aktywne Pliki zawierające pola edycji tylko do odczytu:

  • Plik Konfiguracyjny
  • Słowniki Znaków
  • Słowniki Wyjątków
  • Słowniki Obrazków
  • Słowniki Etykiet Klawiszy

Pomimo tego, że tylko jeden zbiór konfiguracyjny może być aktywny w danym momencie, to kilka zbiorów słowników może być używanych jednocześnie. Należy pamiętać, że okno może przykrywać inne okno występując w relacji dziecko-rodzic. Otwierając okno dziecka w tej relacji, słowniki definiowane specjalnie dla okna dziecka będą używane również dla okna rodzica.


7

ROZDZIAŁ SIÓDMY
Zachowywanie i odtwarzanie parametrów programu.

7.7: Zamykanie skojarzenia

Jeśli zdecydowaliśmy się nie używać dalej powiązań, które wcześniej zdefiniowaliśmy, możemy usunąć powiązania na dwa różne sposoby. Pierwsza metodą jest zapis ustawień pod nową nazwą tworząc nowe skojarzenia. Stare w tym przypadku będą utracone.

Drugą metodą jest otwarcie menu Plik i wybranie opcji Zamknij. Uaktywnione zostanie wtedy menu zawierające kilka elementów między innymi Plik Konfiguracyjny i słowniki wymowy. Wybranie Pliku Konfiguracyjnego otwiera okno dialogu "Plik Konfiguracyjny" z zapytaniem o potwierdzenie skojarzenia.


7

ROZDZIAŁ SIÓDMY
Zachowywanie i odtwarzanie parametrów programu.

7.8: Konwersja plików konfiguracyjnych w zbiory tekstowe i z powrotem.

Elementy menu "Plik" "Set Na Text" i "Text Na Set" powodują uruchomienie programów o tych samych nazwach. Pierwszy z nich dekompiluje plik konfiguracyjny na formę ASCII zawierającą listę wszystkich ustawień i zapisuje przetworzony zbiór w katalogu C:\WINEYES. Drugi działa odwrotnie do pierwszego.

Po uruchomieniu funkcji "Set Na Text" otwarte zostaje okno dialogu, w którym znajdują się dwa pola edycji umożliwiające podanie nazwy zbioru konfiguracyjnego, który ma być przetłumaczony [Input File(s)]oraz nazwy zbioru wynikowego [Output File(s)]. Podajemy tylko nazwy bez katalogu. Po wykonaniu konwersji używając zwykłego edytora tekstu możliwa jest zmiana ustawień zapisanych w tym zbiorze.

Funkcja "Set Na Text" może być także wykorzystana do porównania dwóch zbiorów konfiguracyjnych. W tym przypadku należy podać nazwę jednego i drugiego zbioru w polach edycji zbioru do konwersji i zbioru wynikowego i zaznaczyć pole wyboru "Compare Set Files". Wciśnięcie klawisza ENTER lub użycie przycisku OK uruchomi porównywanie. W wyniku porównywania utworzony zostanie nowy zbiór o nazwie takiej samej jak zbiór, którego nazwa była wpisana w polu "Output" z tym, że pierwszy znak rozszerzenia w nazwie zbioru zostanie zamieniony na literę ‘T’. Okno dialogu zostanie zamknięte pozostawiając nas w polu edycji SET2TEXT. Pole to zawierać będzie informację o statusie pracy.

Zawartość powstałego w wyniku porównywania zbioru może być przeglądana przy pomocy dowolnego edytora tekstu. W zbiorze tym zawarte są tylko te elementy, które były w obu porównywanych zbiorach różne.

Funkcja "Text Na Set" działa bardzo podobnie z tą tylko różnicą, że w wyniku jej działania powstaje zbiór konfiguracyjny, który może być używany przez program Window Eyes. Gdy pole wyboru "Compare Set Files" będzie oznaczone, program będzie poszukiwał w zbiorze konfiguracyjnym tych opcji, które znajdują się w zbiorze wejściowym, a wynik poszukiwania zostanie podany w polu edycji tylko do czytania po zakończeniu operacji.


7

ROZDZIAŁ SIÓDMY
Zachowywanie i odtwarzanie parametrów programu.

7.9: Zmiana Syntezatora.

Jeżeli pracujemy z wieloma syntezatorami mowy np. z syntezatorem programowym typu SAPI i syntezatorem sprzętowym np. SMP, to wyboru aktywnego syntezatora dokonujemy w menu Plik. W menu tym znajduje się funkcja "Wybór Syntezatora". Po jej uaktywnieniu otwiera się okno dialogu "Wybór Syntezatora" gdzie możemy dokonać wyboru syntezatora oraz określić parametry jego podłączenia. Dla syntezatora mowy SMP należy zmienić ustawienia kontroli transmisji na Xon/Xoff.

W przypadku syntezatorów programowych dokonujemy wyboru tylko typu syntezatora, a przy syntezatorach zewnętrznych (sprzętowych) możemy ustalić również numer portu szeregowego i parametry transmisji. W przypadku niektórych syntezatorów mowy, które wyposażone są w dwa języki istnieje możliwość przełączania języka poprzez zmianę syntezatora mowy. Dotyczy to w szczególności syntezatora Apollo.

Niektóre syntezatory dostarczane w formie karty elektronicznej montowanej wewnątrz komputera pozwalają na ustawienie adresu początkowego. W tym przypadku zaleca się przeprowadzenie automatycznej detekcji adresu , a jeśli się ona nie powiedzie adres trzeba ustawić ręcznie.

Program Window-Eyes jest dostarczany z wielojęzycznym syntezatorem mowy „Eloquence”. Podczas instalacji oprogramowania decydujemy o ilości instalowanych języków. W trakcie pracy z tym syntezatorem mowy jest możliwe przełączanie języków za pomocą gorącego klawisza Przełącz Język, który jest niezdefiniowany domyślnie. Przełączanie języków rozpocznie się zawsze od języka poprzednio używanego.

Istnieje możliwość korzystania z syntezatorów standardu SSIL. Należy w tym przypadku należy wybrać syntezator SSIL i wprowadzić nazwę sterownika. Aby syntezator zadziałał w katalogu c:\WINDOWS muszą się znajdować zbiory SSILEXE.EXE i SSIL.INI, natomiast sterownik syntezatora SSIL np. SOUNDBRD.DLL i SSIL.DLL w katalogu c:\WINEYES


7

ROZDZIAŁ SIÓDMY
Zachowywanie i odtwarzanie parametrów programu.

7.10: Wybór monitora brajla

Jeśli chcemy zmienić typ monitora brajlowskiego jakim się posługujemy, należy posłużyć się dialogiem Wybór Monitora Brajla znajdującym się w menu Plik.

Ten dialog zawiera pole listy z wszystkimi typami monitorów obsługiwanych przez program Window-Eyes, oraz drugie pole listy pozwalające ustalić numer portu za pomocą którego monitor jest podłączony do komputera.

Wyboru typu monitora dokonujemy strzałkami kursora GÓRA/DÓŁ a przejście do pola listy nastąpi po wciśnięciu klawisza TAB.


7

ROZDZIAŁ SIÓDMY
Zachowywanie i odtwarzanie parametrów programu.

7.11: Praca w sieci

Jeśli komputer pracuje w sieci np. w naszym miejscu pracy, to informacja o nazwie użytkownika i jego haśle pojawia się zanim program WindowEyes rozpocznie pracę. Jest wiec ona niedostępna dla niewidomego użytkownika. W systemach Windows 9x można temu zaradzić ustawiając w menu Plik opcje Załaduj przez uruchomieniem na ON.

A = Załaduj Przed Uruchomieniem - Off

Wybierając tę opcję zmieniamy jej ustawienia z OFF na ON i odwrotnie. Gdy opcja ta jest ustawiona na ON program WindowEyes uruchomiony zostanie przed procesem aktywacji sieci. Opcja ta nie jest dostępna w systemie Windows 3.11.


7

ROZDZIAŁ SIÓDMY
Zachowywanie i odtwarzanie parametrów programu.

7.12: Edycja Słowników

Program Window-Eyes, bazując na słownikach, pozwala na zmianę sposobu wypowiadania znaków, słów i nazw poszczególnych klawiszy. Uruchamiając funkcję Edycja Słowników z menu Plik możemy zmieniać zawartość jednego z trzech słowników: Słownika Znaków, Słownika Etykiet Klawiszy oraz Słownika Wyjątków.


7

ROZDZIAŁ SIÓDMY
Zachowywanie i odtwarzanie parametrów programu.

7.13: Wczytywanie ustawień fabrycznych

Podczas instalacji programu Window-Eyes istnieje możliwość instalacji szeregu plików konfiguracyjnych dla wielu programów użytkowych. Jeśli program zostanie zainstalowany bez dodatkowych zmian użytkownika, to zostaną zainstalowane najnowsze wersje plików konfiguracyjnych. Podczas instalacji można również określić, które zbiory konfiguracyjne mają być użyte.

Gdy zostanie uruchomiona opcja Wybór Pliku Konfiguracyjnego z menu Plik, to będziemy mogli wczytać dowolny zbiór konfiguracyjny. Zmiany plików konfiguracyjnych dokonuje się w sytuacji, gdy uruchamiamy nowy program użytkowy, który nie był uwzględniony w trakcie instalowania programu Window-Eyes. Na przykład, gdy do tej pory używaliśmy programu Word 97 a zainstalowaliśmy wersję Word 2000 to musimy uaktualnić zbiory konfiguracyjne, gdyż ustawienia dla programu Word 97 nie będą działały poprawnie dla wersji Word 2000. Również w przypadku, gdy podczas eksperymentowania z programem pozmieniane zostały ustawienia w zbiorach konfiguracyjnych, a chcemy przywrócić ustawienia pierwotne. Gdy wybrana została funkcja Wybór Pliku Konfiguracyjnego na ekranie pojawiło się okno dialogu z polem listy zawierającym spis dostępnych zbiorów konfiguracyjnych. Aby wczytać zbiór konfiguracyjny z listy należy dokonać jego wyboru i nacisnąć klawisz "ENTER". Jeśli wczytujemy nowy zbiór w miejsce już istniejącego należy się upewnić, że nie jest on aktualnie aktywny. Najlepiej jest przed operacją uaktualniania zbiorów konfiguracyjnych zamknąć wszystkie programy użytkowe.

Czasami może wystąpić konieczność konwersji starszych plików konfiguracyjnych do najnowszego formatu. Aby tego dokonać należy w menu Plik wybrać opcję:

U = Uaktualnij Format Plików Konfiguracyjnych

Uruchomienie tej funkcji spowoduje konwersję wszystkich zbiorów konfiguracyjnych znajdujących się w katalogu WINEYES do najnowszego formatu.


7

ROZDZIAŁ SIÓDMY
Zachowywanie i odtwarzanie parametrów programu.

7.14: Wyłączanie programu Window-Eyes

Nie ma potrzeby wyłączania programu przy zamykaniu systemu Windows. Istnieje jednak taka możliwość, która spowoduje, że komputer przestanie mówić do czasu ponownego uruchomienia programu Window-Eyes. Przed zamnknięciem programu proszę zapisać wszelkie ewentualne zmiany dokonane w plikach konfiguracyjnych.

Aby wyłączyć program Window-Eyes bez opuszczania systemu Windows należy:

1. Z menu Plik programu Window-Eyes należy wybrać opcję Koniec.

2. Wcisnąć "ENTER" aby uaktywnić wybraną opcję,

3. Wcisnąć "ENTER" ponownie aby potwierdzić wybór.


ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

W rozdziale 3.1 niniejszej instrukcji wyjaśnialiśmy, że kursor i wskaźnik myszy są elementami wspólnymi dla Window-Eyes i danego programu użytkowego. W kolejnych rozdziałach będziemy omawiać dwa typy okien użytkownika Window-Eyes oraz słowniki wymowy, które też są takimi punktami zbieżności. Jednak w tym i kolejnym rozdziale skoncentrujemy się na odczytywaniu informacji z pozycji kursora, wskaźnika myszy oraz trzeciego kursora, któremu do tej pory poświęcaliśmy mało uwagi – WE kursora.

  • 8.1: Podstawy
  • 8.2: Jak to dziala
  • 8.3: Odczytywanie znaków, słów, linii, zdań oraz akapitów
  • 8.4: Automatyczne określanie kursora
  • 8.5: Czytanie z pozycji wskaźnika myszy
  • 8.6: Indywidualne przypisywanie gorących klawiszy
  • 8.7: Obsługa duplikatów definicji gorących klawiszy
  • 8.8: Które klawisze działają
  • 8.9: Czytanie części okna
  • 8.10: Identyfikowanie wskaźnika myszy
  • 8.11: Gorący klawisz przerysowanie
  • 8.12: Gorący klawisz „Omiń”
  • 8.13: Czytanie okien użytkownika i okien hiperaktywnych
  • 8.14: Czytanie tekstu do i za kursorem
  • 8.15: Czytanie pełnego dokumentu bez przerwy
  • 8.16: Odczytywanie niestandardowych elementów sterujących (kontrolek)
  • 8.17: Odczytywanie zawartości szuflady systemu
  • 8.18: Godzina i data
  • 8.19: Nazwa pola i dane pola
  • 8.20: Czytanie linii statusu aplikacji
  • 8.21: Dostosowywanie parametrów głosu na bieżąco


ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.1: Podstawy

Gorącymi klawiszami nazywamy kombinacje klawiszy, których można używać w dwojakim celu. Pierwsze zastosowanie to odczytywanie tekstowych i graficznych informacji z ekranu, a drugie to wydawanie poleceń bezpośrednio do programu Window-Eyes w przypadkach, gdzie wygodniej będzie użyć kombinacji klawiszy, niż przechodzić przez pasek menu głównego Window-Eyes. Dodatek A zawiera kompletną listę gorących klawiszy i ich definicji w porządku, w jakim pojawiają się w polu listy na ekranie. Dowolny klawisz lub kombinację klawiszy można zdefiniować jako gorący klawisz. Ustawienia domyślne, opracowane przez autorów programu, zostały wybrane tak, by można je było łatwo zapamiętać oraz, by nie kolidowały z ustawieniami systemu operacyjnego lub programów użytkowych. Aby uniknąć konfliktów, trzeba było w znacznym stopniu skorzystać z klawiatury numerycznej (NUMPAD). W nazewnictwie przyjęliśmy, że NUMPAD oraz nazwa klawisza oznacza klawisz znajdujący się na klawiaturze numerycznej, np. "NUMPAD+" informuje nas, że należy wcisnąć znak + na klawiaturze numerycznej.

Z ustawień domyślnych dla komputera stacjonarnego można łatwo przechodzić do ustawień dla laptopa w przypadku, gdy nie posiada on odpowiedniej klawiatury numerycznej. Jak przechodzić pomiędzy tymi ustawieniami wyjaśnia również dodatek A.


8

ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.2: Jak to działa

Podczas pracy z komputerem zdarza się, że chcemy znać pozycję kursora na ekranie. Window-Eyes może nas o niej poinformować w każdej chwili. Domyślnie ustawiono gorący klawisz CTRL-NUMPAD-+ dla pozycji kursora oraz CTRL-INS-NUMPAD-+ dla pozycji wskaźnika myszy.

Window-Eyes podaje pozycję kursorów używając zmiennych X i Y. Dla wskaźnika myszy ‘X’ oznacza odległość w pikselach, mierzoną od lewej krawędzi ekranu, a ‘Y’ to odległość od górnej krawędzi ekranu. Dla kursora z kolei to odpowiednio odległość od lewej krawędzi okna aplikacji oraz od górnej jego krawędzi. (Omawialiśmy to szerzej w rozdziale 3.6). Kiedy wskaźnik myszy znajduje się w lewym górnym rogu ekranu jego współrzędne to ‘X0 Y0’. Zatem przykładowo, pozycja ‘X52 Y264’ oznacza, że wskaźnik znajduje się dosyć blisko lewej krawędzi i ponad jedną trzecią odległości od krawędzi górnej, przy rozdzielczości 800 X 600. Jeśli wskaźnika nie ma na ekranie kiedy wciśniemy CTRL-INS-NUMPAD-+, usłyszymy krótki dźwięk ostrzegawczy ("bip").


8

ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.3: Odczytywanie znaków, słów, linii, zdań oraz akapitów.

Oto przykład, jak wykorzystuje się jeden z podstawowych gorących klawiszy, które odczytują informacje z pozycji kursora. Jeśli chcemy wiedzieć, gdzie dokładnie jesteśmy w zdaniu, naciskamy CTRL-NUMPAD-W DÓŁ, a Window-Eyes odczyta to zdanie do bieżącego miejsca, tj. do pozycji kursora. Jeśli nie rozumiemy danego słowa, na którym jest ustawiony kursor i chcemy go usłyszeć ponownie, wciskamy CTRL-NUMPAD-W PRAWO. Jeśli naciśniemy ten klawisz jeszcze raz, słowo to zostanie przeliterowane. Jeśli jednak znowu chcemy usłyszeć to samo słowo, wciskamy CTRL-NUMPAD-W PRAWO po raz trzeci, ale tym razem usłyszymy literowanie fonetyczne, tzn. tak, jak w międzynarodowej komunikacji radiowej: ‘A’ jak ‘Alpha’, ‘B’ jak ‘Bravo’ itd. Jeśli z kolei wciśniemy CTRL-NUMPAD-W LEWO, odczytany zostanie dany znak, a przy drugim użyciu tego klawisza usłyszymy odczyt fonetyczny.

Domyślne ustawienia gorących klawiszy do odczytywania znaków, słów, wersów, zdań oraz akapitów są następujące:

  • Poprzedni znak = nie określony
  • Znak = CTRL-NUMPAD W LEWO
  • Następny znak = nie określony

  • Poprzednie słowo = nie określony
  • Słowo = CTRL-NUMPAD W PRAWO
  • Następne słowo = nie określony

  • Poprzednia linia = nie określony
  • Linia = CTRL-NUMPAD 5
  • Następna linia = nie określony

  • Poprzednie zdanie = nie określony
  • Zdanie = CTRL-NUMPAD W DÓŁ
  • Następne zdanie = nie określony

  • Poprzedni akapit = nie określony
  • Akapit = CTRL-NUMPAD-W GÓRĘ
  • Następny akapit = nie określony


8

ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.4: Automatyczne określanie kursora

W większości przypadków Window-Eyes prawidłowo odczyta pozycję kursora. Jeśli jednak dany program użytkowy używa kursora, który jest nieuchwytny dla Window-Eyes, istnieje kilka możliwości odszukania go. Po pierwsze, upewniamy się czy na liście opcji danej aplikacji kursor jest ustawiony tak, aby migał, gdyż w innym razie Window-Eyes nie rozpozna go. Następnie szukamy opcji, które pozwalają na ustawienie różnych kształtów kursora. Ogólnie rzecz biorąc lepiej, by był on w kształcie linii niż bloku, ale trzeba sprawdzić obydwie możliwości, jeśli jedna nie działa.

Teraz można użyć funkcji automatycznego określania kursora. W tym celu należy wcisnąć gorący klawisz ustawiony domyślnie jako INS-C. Window-Eyes powie "Określenie kursora – proszę czekać". Jeśli program użytkowy używa kursora systemowego Window-Eyes powie "Używa kursora systemowego." W takim przypadku Window-Eyes nie będzie w stanie prawidłowo określić pozycji kursora; należy się skontaktować z punktem serwisowym GW Micro. Jeżeli program użytkowy nie używa kursora systemowego, Window-Eyes odczeka pięć sekund i albo powie : "kursor znaleziony" albo "nie znaleziono kursora."

Jeśli Window-Eyes odnajdzie kursor, automatycznie zachowa informację o jego pozycji, by wykorzystać ją przy ponownej pracy z danym programem użytkowym.


8

ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.5: Czytanie z pozycji wskaźnika myszy

MS Windows wyświetla wskaźnik myszy prawie w każdej sytuacji. Window-Eyes pozwala na wykorzystanie tego wskaźnika w odczytywaniu informacji na ekranie. Wszystkie szczegóły dotyczące użycia myszy omówione zostaną w rozdziale 9, tutaj prezentujemy tylko krótki zarys ważniejszych gorących klawiszy.

· Myszka poprzedni znak = NUMPAD-W LEWO

· Myszka bieżący znak = CTRL-INS-NUMPAD 5

· Myszka następny znak = NUMPAD W PRAWO

· Myszka poprzednie słowo = INS-NUMPAD-W LEWO

· Myszka bieżące słowo = INS-NUMPAD 5

· Myszka następne słowo = INS-NUMPAD-W PRAWO

· Myszka poprzednia linia = NUMPAD W GÓRĘ

· Myszka bieżąca linia = NUMPAD 5

· Myszka następna linia = NUMPAD W DÓŁ

· Myszka poprzednie zdanie = INS-NUMPAD END

· Myszka bieżące zdanie = INS NUMPAD W DÓŁ

· Myszka następne zdanie = INS NUMPAD STRONA W DÓŁ

· Myszka poprzedni akapit = CTRL-INS-NUMPAD END

· Myszka bieżący akapit = CTRL-INS-NUMPAD W DÓŁ

· Myszka następny akapit = CTRL-INS-NUMPAD STRONA W DÓŁ

· Myszka poprzednia ikona = nie określony

· Myszka bieżąca ikona = nie określony

· Myszka następna ikona = nie określony

Istnieje zasadnicza różnica pomiędzy użyciem gorących klawiszy myszy i kursora. Przykładowo, będąc w środku akapitu, jeśli przyciśniemy gorący klawisz związany z kursorem, Następne Zdanie (domyślnie nieokreślony), Window-Eyes odczyta kolejne zdanie bez przesuwania kursora. Po drugim wciśnięciu tego gorącego klawisza usłyszymy ponownie to samo zdanie. Natomiast używanie gorącego klawisza myszy INS-NUMPAD-STRONA W DÓŁ pozwoli nam przejść od zdania do zdania w tekście na ekranie.

Czasami nie chcemy używać ani myszy, ani kursora. Window-Eyes oferuje trzecią możliwość, WE kursor. Naciskamy gorący klawisz przełączania pomiędzy myszą a kursorem - WE/Myszka Przełączenie (NUMPAD-MINUS). Teraz można wykorzystywać wszystkie gorące klawisze myszy do przesuwania tego niewidzialnego kursora po ekranie. Wciskając ponownie ten sam gorący klawisz, powracamy do kontrolowania wskaźnika myszy. Użycie klawiszy do poruszania WE kursorem jest identyczne, jak przy przesuwaniu wskaźnika myszy, ale te kursory nie dublują się. WE kursora nie można fizycznie przesunąć za pomocą myszy, ani nim kliknąć. Funkcje tego kursora wyjaśnione są szczegółowo w rozdziale 9.


8

ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.6: Indywidualne przypisywanie gorących klawiszy

Każdy może określić własne kombinacje klawiszy jako gorące klawisze Window-Eyes. Nazywa się to definiowaniem gorącego klawisza. Można zdefiniować klawisze nie ustawione domyślnie, lub zmienić ustawienia według potrzeb. Zmienia się je w menu gorących klawiszy, w menu głównym Window-Eyes.

Aby tam wejść, należy:

1. wcisnąć CTRL-\, aby uaktywnić panel kontrolny

2. wcisnąć ALT, by uaktywnić pasek menu

3. wcisnąć G, by otworzyć okno dialogowe definicji gorących klawiszy

To okienko dialogowe zawiera pole listy wszystkich definicji gorących klawiszy dostępnych dla Window-Eyes. U dołu okna znajdują się cztery przyciski:

· K = Przechwyć klawisz

· S = Skasuj definicję

· OK.

· Anuluj

W polu listy gorących klawiszy można dotrzeć do każdego obiektu przechodząc strzałkami w górę i w dół. Można też bezpośrednio przejść do danego obiektu naciskając pierwszą literę nazwy. Użycie tej samej litery ponownie pozwala nam przejść do kolejnego obiektu zaczynającego się od tej samej litery. Możemy też wpisać nazwę szukanej opcji w polu edycji. Window-Eyes natychmiast będzie podświetlał elementy, które odpowiadają wpisywanej opcji, co znaczy, że nie trzeba wpisywać całej nazwy, by Window-Eyes znalazł szukaną pozycję. Jeśli zrobimy przerwę dłuższą niż jedną sekundę, Window-Eyes zacznie szukać od nowa, od litery wciśniętej po przerwie.

Po znalezieniu obiektu można zmienić jego ustawienia. Np., żeby przypisać gorącemu klawiszowi „Nazwa Pola” kombinację ALT-N, należy:

1. wcisnąć N, by przejść do „Następny Znak”

2. wciskać N ponownie (5 razy), aż dojdzie się do „Nazwa Pola”; Window-Eyes odczyta domyślne ustawienie CTRL-SHIFT-N.

3. Wcisnąć ALT-K, by przejść do przycisku "Przechwyć Klawisz"; Window-Eyes powie: "naciśnij klawisz dla nazwa pola przycisk k = przechwyć klawisz"; należy wcisnąć spację by uaktywnić ten przycisk, po czym Window-Eyes powtórzy "naciśnij klawisz dla nazwa pola"

4. Wcisnąć ALT-N, by przypisać tę kombinację definiowanemu gorącemu klawiszowi

5. Akceptujemy przyciskiem ENTER lub anulujemy przyciskiem ESCAPE.

Można również usunąć definicję danego gorącego klawisza, odszukując go na liście i wciskając ALT-S.

Po zmianie definicji gorącego klawisza należy użyć opcji "Zachowaj" w menu plik, by zapisać zmiany na dysku pod obecną nazwą. Można też używać opcji "Zachowaj jako", aby zachować plik konfiguracyjny pod inną nazwą – podaną automatycznie przez Window-Eyes lub wpisaną przez siebie.


8

ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.7: Obsługa duplikatów definicji gorących klawiszy

Jeśli spróbujemy przypisać kombinację klawiszy jakiemuś gorącemu klawiszowi i okaże się, że ta kombinacja jest przypisana innemu klawiszowi, Window-Eyes otworzy okienko dialogowe "Duplikat Definicji Klawisza" w oknie dialogowym definicji gorących klawiszy. To nowe okno zawiera trzy następujące przyciski:

Anuluj

Przycisk domyślny; wybierając go okno się zamyka i powracamy do tej samej pozycji w polu listy z gorącymi klawiszami

Zamień klawisz

Dana kombinacja klawiszy przypisana zostanie nowemu obiektowi; okno dialogowe się zamyka i powracamy na pozycję nowego gorącego klawisza

Zamień i przedefiniuj

Wybierając ten przycisk rezygnujemy z definicji poprzedniego klawisza, przypisujemy daną kombinację nowemu gorącemu klawiszowi, okno dialogowe się zamyka i wracamy do pola listy na pozycję definicji poprzedniego gorącego klawisza. Zatem, wybierając "Anuluj" zostajemy z definicją poprzedniego gorącego klawisza i wybieramy inną kombinację dla gorącego klawisza; wybierając "Zamień Klawisz", definiujemy daną kombinację dla nowego gorącego klawisza, rezygnując z definicji uprzedniego gorącego klawisza; wybierając trzecią opcję definiujemy kombinację dla nowego gorącego klawisza i wracamy do uprzedniego gorącego klawisza, by go na nowo określić.


8

ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.8: Które klawisze działają

Wszystkie klawisze omówione do tej pory, to litery w kombinacji z klawiszami CTRL, ALT lub SHIFT. Aby poszerzyć zakres możliwości, można użyć klawisza INS na klawiaturze numerycznej np. tworząc kombinacje INS-NUMPAD-W DÓŁ. Jeśli posiadamy klawiaturę 104-klawiszową, można wykorzystać przycisk WINDOWS lub APLIKACJA, jak też klawisze funkcyjne i cyfry.

Ogólnie rzecz biorąc, nie redefiniujemy klawiszy alfanumerycznych używanych dla rutynowych funkcji. Przykładowo, jeśli zdecydujemy się przypisać funkcje gorącego klawisza literze E, za każdym wciśnięciem tego klawisza Window-Eyes będzie odbierał go jako gorący klawisz, zamiast przesłać go do programu użytkowego w celu wpisania litery E. Jednakże te klawisze mogą być ustawiane indywidualnie, gdyż w niektórych programach nie ma potrzeby wpisywania liter, zatem klawisze alfanumeryczne mogą być przydatne.

Przy wciśniętym klawiszu NUMLOCK otrzymujemy cyfry, przy wyłączonym - strzałki na klawiaturze numerycznej. Należy o tym pamiętać przy wykorzystywaniu różnych kombinacji klawiszy.


8

ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.9: Czytanie części okna

Cały ekran może być odczytany w dowolnym momencie, chociaż rzadko się to robi. Zwykle chcemy przeczytać wszystko w oknie aktywnym, np. przy zaznajamianiu się z nowym oknem aplikacji. Jeszcze częściej potrzebujemy przeczytać wybrane partie okna. Oto kilka przykładów gorących klawiszy dla tych zadań:

· Czytaj cały ekran - nie określony

· Odczytaj aktywne okno - CTRL-SHIFT-W

· Tytuł i status bieżącej aplikacji – CTRL-SHIFT-T

· Czytaj linię statusu - CTRL-INS-S

· Czytaj pasek menu - nie określony

· Dane i nazwa pola - CTRL-SHIFT-S

· Przeczytaj zaznaczony blok - CTRL-SHIFT-M

Gorący klawisz „Tytuł i Status Bieżącej Aplikacji” odczytuje pasek tytułu punktu uwagi okna, a potem okna aktywnego. Ten klawisz mówi też, czy okno jest zminimalizowane, zmaksymalizowane, lub znormalizowane. Gorący klawisz „Czytaj Linię Statusu” odczytuje pasek stanu w bieżącym programie użytkowym, jeśli taki pasek jest prawidłowo zaprogramowany. W przeciwnym razie Window-Eyes odczyta ostatni wiersz aplikacji, który jest zwykle paskiem stanu. Gorący klawisz „Czytaj Pasek Menu” odczytuje wszystkie opcje na pasku menu dla bieżącej aplikacji. Gorący klawisz „Dane i Nazwa Pola” odczytuje aktywną kontrolkę, np. aktywny obiekt na pasku menu lub w polu listy, aktywny przycisk, tekst w polu edycji itd. Ponowne użycie tego klawisza literuje tekst, potrójne – to literowanie fonetyczne. Gorący klawisz „Przeczytaj Zaznaczony Blok” odczytuje tekst, który został zaznaczony z klawiatury lub myszką.

Dostęp do sprawdzania pisowni w edytorze tekstu:

Większość programów sprawdzających pisownię w edytorach tekstu jest trudno dostępna – otwierają one nowe okno do sprawdzania pisowni pod oknem edytora. Wtedy dezaktywują edytor, podświetlając tylko błędne słowa. Najtrudniejszą rzeczą jest zidentyfikowanie błędnego słowa i odczytanie go w kontekście całego zdania. Window-Eyes został wyposażony w gorący klawisz „Sprowadź do Określonego Podświetlenia”. Przy pierwszym użyciu tego klawisza należy go zdefiniować. Doprowadza on wskaźnik myszy do podświetlonego wyrazu napisanego z błędem. Dopiero wtedy możemy użyć gorących klawiszy myszy, by odczytać te słowa w kontekście. W popularnych edytorach, takich jak Word i WordPerfect ustawiono już tę funkcję. Jeśli jednak chcemy zainstalować ten klawisz w programie użytkowym, który nie został skonfigurowany, należy:

1. otworzyć okno nowego dokumentu w edytorze, który podświetla błędne słowa

2. wpisać słowo, celowo robiąc błędy w pisowni

3. włączyć sprawdzanie pisowni – błędne słowo zostanie podświetlone

4. wcisnąć CTRL–SHIFT-F, by otworzyć okno dialogowe Window-Eyes "znajdź"

5. wpisać to samo słowo z identycznym błędem

6. przejść tabulatorem do przycisku opcji i wybrać pełny ekran

7. wcisnąć ENTER; Window-Eyes zamyka to okno i przesuwa wskaźnik myszy do podświetlonego słowa.

Teraz trzeba pomóc Window-Eyes określić podświetlone okno, jako to okno, którego będzie szukał przy użyciu gorącego klawisza w przyszłości. W tym celu należy:

8. wcisnąć CTRL-\, by otworzyć panel kontrolny programu Window-Eyes

9. wcisnąć ALT-M, aby wybrać rozwinięcie menu myszy

10. wybrać N = Określenie Podświetlenia (najniższy obiekt na liście); Window-Eyes otworzy okno dialogowe „Określenie okna podświetlenia”, w którym należy odpowiedzieć na pytanie "Czy ustawić okno wskazywane przez myszkę jako okno poszukiwań?", wybierając "Tak", "Nie" lub "Anuluj"

11. "Tak" jest ustawieniem domyślnym, zatem wciskając ENTER, Window-Eyes zamknie okno dialogowe i pasek menu.

Teraz zdefiniujemy gorący klawisz, który zawsze będzie przesuwał wskaźnik myszy do podświetlonego okna przy każdorazowym jego otwarciu:

12. wciskamy ALT-G, by wybrać obiekt z menu gorących klawiszy i otworzyć okno dialogowe definicji gorących klawiszy

13. wpisujemy SP = Sprowadź do określonego podświetlenia

14. wciskamy ALT-K i spację, by przechwycić ten gorący klawisz, np. ALT-CTRL-S

15. wciskamy ENTER, by zamknąć okno i dezaktywować pasek menu

16. wciskamy ALT-P, by wejść w menu pliku

17. wybieramy "zachowaj"

18. wybieramy "plik konfiguracyjny"

19. wciskamy ESCAPE, by zamknąć menu główne Window-Eyes

20. Teraz możemy wypróbować nowy gorący klawisz .

W rozdziale 14 wyjaśniono, jak można to wszystko wykonać automatycznie – aby tak ustawić mysz, by przesuwała się do podświetlonego słowa, kiedy tylko zmieni się zawartość okna.


8

ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.10: Identyfikowanie wskaźnika myszy

Kształt wskaźnika myszy odzwierciedla jego funkcję, np. służy do wskazywania i klikania. Rzadko mamy potrzebę odczytywania kształtu wskaźnika myszy, ale jeśli taka potrzeba zaistnieje, możemy użyć gorącego klawisza "Opisz Wskaźnik", który domyślnie nie został zdefiniowany. W rozdziale 15 opisujemy, jak zmienić nazwę kształtów wskaźnika myszy. Oto nazwy domyślne:

Strzałka

Krzyżyk

Aj bim (Duże I)

Ikona

Rozmiar (Przesuwanie, zmiana rozmiaru)

Rozmiar NE na SW (Przesuwanie w kierunku północno-wschodnim/południowo-zachodnim)

Rozmiar N S (Przesuwanie w kierunku północnym/południowym)

Rozmiar z NW na SE (Przesuwanie w kierunku północno-zachodnim/południowo-wschodnim)

Rozmiar W E (Przesuwanie w kierunku zachodnim/wschodnim)

Strzałka w górę

Klepsydra

Start aplikacji

Nie

Rozmiar

Pomoc

Jeśli Window-Eyes napotka wskaźnik, którego nie może rozpoznać, mówi: Wskaźnik XXX nie zdefiniowany.


8

ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.11: Gorący klawisz "Przerysowanie"

Jedną z przeszkód do pokonania dla wszystkich programów mówiących, są rozmiary czcionki. Windows próbuje wyświetlać tekst na ekranie w takim samym rozmiarze czcionki, jaką będzie drukowany dokument. Jednak rozdzielczość ekranu nie odpowiada rozdzielczości zaawansowanych technicznie drukarek laserowych. W rzeczywistości, wiele z takich drukarek może wydrukować więcej kropek na calu kwadratowym papieru, niż jest pikseli na całym ekranie. Zatem rozmiar czcionki na ekranie wydaje się trochę uproszczony i programy czytające ekran mogą przeoczyć dany znak, słowo lub nawet cały wiersz. Czasami również aplikacje nakładają tekst na tekst tak, że staje się on niewidoczny dla oka. Jednak Window-Eyes wykrywa ten niewidoczny na ekranie tekst i czasem próbuje go odczytać. Aby uniknąć takich sytuacji, Window-Eyes sam przesuwa części ekranu, kiedy wykryje tego typu zmiany. Ponieważ dany tekst na ekranie jest prawie zawsze w ruchu w stosunku do innego tekstu, może zostać przeoczony przez program mówiący. Dlatego też Window-Eyes został wyposażony w gorący klawisz "Przerysowanie" (INS-\). Używa się tego klawisza w momencie, gdy Window-Eyes nie odczytuje tekstu, który powinien być podświetlony, lub gdy czyta tekst w dziwnej kolejności. Ten klawisz również inicjalizuje syntezator mowy, co można także zrobić przez wybranie opcji "Inicjalizacja Syntezatora" w menu ogólnym. Umiejscowienie tego klawisza jest niewygodne – zostało tak wybrane, gdyż jest on rzadko używany. Czasem automatyczne przerysowanie tekstu wykonywane przez Window-Eyes może wpływać na pracę aplikacji. Nie pojawi się to przy używaniu edytorów tekstu czy arkuszy, ale np. przy grze Solitaire. Można powstrzymać automatyczne przerysowanie tekstów w menu głównym Window-Eyes – przechodzimy do menu ogólnego, do punktu Dozwolenie Automatycznego Przerysowywania. Ustawieniem domyślnym jest "włączony", zatem wybieramy "wyłączony" (Off). Ta opcja automatycznie zapisuje się po przedefiniowaniu, dlatego nie trzeba robić tego ręcznie.


8

ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.12: Gorący klawisz "Omiń"

Jeśli chcemy przypisać programowi Window-Eyes kombinację klawiszy, która jest używana przez aplikację, możemy to zrobić nie powodując konfliktu. W tym celu trzeba użyć gorącego klawisza "Omiń" (INS-B). Wciskając ten klawisz, instruujemy Window-Eyes, by zignorował następną kombinację klawiszy, nawet gdyby to był gorący klawisz Window-Eyes. Powiedzmy np., że CTRL-C odczytuje bieżący znak, ale aplikacja używa tego skrótu do kopiowania bloku. Oczywiście można przypisać ten skrót gorącemu klawiszowi Window-Eyes, lecz wtedy, gdy chcemy skopiować blok, wciskamy po prostu INS-B przed CTRL-C. Można też znaleźć inny klawisz do odczytu bieżącego znaku, lub zmienić w aplikacji klawisz kopiowania, jeśli to możliwe. Jednakże prościej będzie przyzwyczaić się do używania klawisza "Omiń". Używając tej funkcji nie mamy żadnych ograniczeń w przypisywaniu gorących klawiszy. Zdecydowanie trudniej będzie unikać tej funkcji, wyszukując klawisze nie używane w danej aplikacji i zapamiętując je wszystkie.


8

ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.13: Czytanie okien użytkownika i okien hiperaktywnych

Do odczytywania pierwszych dwudziestu okien użytkownika Window-Eyes, dostępnych jest dwadzieścia gorących klawiszy. Wciskając pierwszy gorący klawisz, przypisany dla okna użytkownika numer 0, odczytamy wszystkie informacje w tym oknie. Jeśli okno użytkownika jest mniejsze od aktywnego bieżącej aplikacji, informacja spoza tego okna użytkownika nie będzie odczytywana.

Pierwsze dziesięć okien użytkownika odczytujemy za pomocą klawiszy od ALT-0 do ALT-9. Gorące klawisze dla okien od 10 do 19 nie zostały zdefiniowane.

Gorący klawisz "Czytaj Dowolne Okno" pozwala na odczytanie dowolnego okna użytkownika lub okna hiperaktywnego. Ten klawisz nie został zdefiniowany. Aktywuje on pole, w które należy wpisać numer okna użytkownika lub literę przypisaną dla okna hiperaktywnego. Akceptujemy wybór wciskając ENTER; Window-Eyes natychmiast przeczyta wybrane okno.


8

ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.14: Czytanie tekstu do i za kursorem

Czasami warto wiedzieć nie tylko gdzie się znajduje kursor na ekranie, ale też gdzie i jaka informacja jest na ekranie powyżej, poniżej, z prawej i z lewej strony kursora. Istnieją 4 gorące klawisze do odczytywania informacji względem położenia kursora, ograniczone do bieżącego okna użytkownika. Znajdują się one w polu listy klawiszy w oknie dialogowym definicji gorących klawiszy: "Od Góry do Kursora", "Od Kursora do Dołu", "Od Lewej do Kursora" i "Od Kursora do Prawej". Tym gorącym klawiszom nie przypisano żadnej kombinacji klawiszy – można im np. przypisać ALT-STRZAŁKA.

Klawisz "Od Góry do Kursora" odczytuje informacje od lewego górnego rogu bieżącego okna użytkownika do znaku przed kursorem. Klawisz "Od Kursora do Dołu" odczytuje informację od kursora do prawego dolnego rogu tego okna. Klawisz "Od Lewej do Kursora" odczytuje tylko tekst od lewej strony do kursora w wierszu, w którym się on znajduje. Natomiast "Klawisz od Kursora do Prawej" odczytuje tylko tekst po prawej stronie od kursora do końca wiersza.

W ten sam sposób można odczytać informację względem położenia wskaźnika myszy, używając gorących klawiszy: Od góry do myszki - (ALT-INS-NUMPAD-W GÓRĘ), Od Myszki do Dołu - (ALT-INS-NUMPAD-W DÓŁ), Od Lewej do Myszki - (ALT-INS-NUMPAD-W LEWO), Od Myszki do Prawej - (ALT-INS-NUMPAD-W PRAWO). Odczytywanie jest ograniczone do granic myszy, które można ustawić za pomocą Przełącznika Ograniczenia Myszki, lub wciskając CTL-SHIFT-B.


8

ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.15: Czytanie pełnego dokumentu bez przerwy

Window-Eyes pozwala na odczyt zaczynając od kursora w dowolnym miejscu i przesuwając się dalej od tego punktu aż do końca, lub do momentu, kiedy wciśniemy klawisz ESCAPE. Ta funkcja wykonywana jest przez gorący klawisz "Czytaj do Końca", domyślnie ustawiony jako CTRL-SHIFT-R. Window-Eyes operuje wtedy strzałką w dół, by przesunąć dokument. Kursor wyprzedza czytany tekst mniej więcej o dwa wiersze (proszę pamiętać o tym, że w przypadku syntezatora SMP kontrola transmisji powinna być ustawiona na Xon/Xoff).

Funkcja czytania dokumentu do końca jest użyteczna nie tylko do odczytu całego dokumentu bez używania klawiatury, ale jest też wygodnym narzędziem edycyjnym. W miejscu gdzie chcemy wprowadzić poprawki, po prostu wciskamy ESCAPE, by zatrzymać odczyt.

Z kolei, by wyłączyć głośny odczyt, wystarczy wcisnąć klawisz CONTROL, ale kursor nadal się będzie szybko przesuwał w dół, aż do ponownego wciśnięcia tego klawisza (tekst będzie na nowo odczytywany głośno). Używamy tej funkcji, jeśli chcemy przesuwać pewne partie tekstu. Czy gorący klawisz Czytaj Do Końca, zaprzecza zasadzie, że gorące klawisze Window-Eyes nie wpływają na funkcjonowanie aplikacji? Window-Eyes powoduje, że aplikacja przesuwa tekst – w momencie wstrzymania tej funkcji kursor jest w nowym położeniu. Jednak w rzeczywistości wciśniecie tego gorącego klawisza nie wpływa na pracę aplikacji; Window-Eyes uruchamia swój własny mini program, by przesuwać tekst. Zatem aplikacja w ogóle nie reaguje na wciśnięcie tego gorącego klawisza.


8

ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.16: Odczytywanie niestandardowych elementów sterujących (kontrolek)

W rozdziale 3.6 wprowadzono pojęcie innego sterowania, które często jest używane przez programistów aplikacji Windows w projektowaniu pól dialogowych. Window-Eyes często jednak nie może odczytać tekstu przy użyciu tego sterowania, dlatego też potrzebuje gorącego klawisza Przeklasuj (INS-R).

Jeśli w momencie przechodzenia przez pole dialogowe usłyszymy, jak Window-Eyes mówi "Inne Sterowanie" i nie nastąpi odpowiedni odczyt, to znaczy, że należy użyć klawisza Przeklasuj. Dla osoby, która widzi ekran, inne sterowanie może wyglądać, jak pole listy lub przycisk, ale dla użytkownika programu mówiącego, funkcja lub wygląd tego przycisku może nie być jasny. Dlatego też może się okazać, że trzeba będzie z tymi przyciskami poeksperymentować.

Kiedy użyjemy gorącego klawisza Przeklasuj (INS-R), pojawi się okno dialogowe, które zawiera następujące kontrolki w formie widoku listy:

· Klasa oryginalna

· Dialog

· Kartka właściwości (property sheet)

· Menu

· Okno wielu okumentów (multi document window)

· Klient M D I (M D I client)

· Ramka M D I (M D I frame)

· Przycisk (button)

· Pole wyboru (check box)

· Lista rozwijana (combo box)

· Pole edycji (edit box)

· Pole grupy (group box)

· Tekst ikony (icon text)

· Pole listy (list box)

· Przycisk opcji (radio button)

· Pasek przewijania (scroll bar)

· Pole statyczne (static box)

· Zakładka (tab control)

· Suwak (track bar)

· Widok listy (list view)

· Obraz drzewa (tree view)

· Pole gorącego klawisza (hot key field)

· Rich Edit

· Animacja (animation)

· Kontrola pionowa (up down control)

Kiedy programiści przypisują inne sterowanie do programów użytkownika, nadają im nazwy, które są określane jako nazwy klasy. Te nazwy zwykle odzwierciedlają funkcje danej kontroli. Np. przycisk kontrolny, który działa w programie pierwszej pomocy może się nazywać FA-BTN. Window-Eyes może odnaleźć i odczytać tę nazwę klasy oraz numer danej kontroli. Wystarczy przejść tabulatorem do pola edycji tylko do odczytu "Klasa Oryginalna". Może się ta nazwa wydawać niezrozumiała, zatem przyciskając gorący klawisz Dane i Nazwa Pola CTRL-SHIFT-S można ją jeszcze raz odczytać. Można również odczytać znak po znaku, poruszając się strzałkami w tym polu edycji.

Teraz użyjmy strzałek w górę lub w dół, by przejść przez pole listy, aż do klasy, która powinna działać. Należy sprawdzić, czy wybrane inne sterowanie będzie równocześnie udźwiękowione. Jeśli nie, na zasadzie prób i błędów trzeba poszukać takiego przeklasowania, które zadziała.

Czasem programiści używają tej samej nazwy klasy, by przedstawić dwa różne typy kontroli (sterowania) np. "myclass" reprezentuje zarówno przycisk jak i pole wyboru. By wyeliminować ten problem, Window-Eyes daje możliwość użycia stylu okna w definicji przeklasowania. W oknie dialogowym Przeklasuj należy przejść tabulatorem do pozycji Połącz Styl z Klasą i zaznaczyć ją.

Ta opcja zostanie automatycznie zapisana przez Window-Eyes. Window-Eyes nie zmienia programu aplikacyjnego w celu zmiany interpretacji innego sterowania, zmienia tylko sposób odczytu tego sterowania.

Przyciski kontrolek standardowych (sterowania standardowego) nie mogą być przeklasowane – przy próbie zmiany Window-Eyes ogłosi "Nie można przeklasować standardowe...".

Chociaż większość innego sterowania można przeklasować, istnieją takie, których się nie da zmienić. W takiej sytuacji należy użyć obiektu oryginalnej klasy w polu dialogowym Przeklasuj. Jeśli odczyt będzie trudny do zrozumienia, można otworzyć odpowiedni plik z rozszerzeniem WE i w części „Reclase on Create” usunąć wpis wadliwego przeklasowania. Taką czynność należy wykonać, jak już umiemy dobrze edytować plik i zachowywać go. Jednak zawsze dobrze jest mieć kopię zapasową pliku konfiguracyjnego, aż do momentu, gdy będziemy pewni, że wykonaliśmy zadanie prawidłowo.

Eksperci GW Micro wielostronnie przetestowali Window-Eyes i stworzyli wiele plików konfiguracyjnych i przeklasowań. Jednak jeśli znajdziecie Państwo kontrolkę, której nie będziecie mogli zmienić, skontaktujcie się z nami.


8

ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.17: Odczytywanie zawartości szuflady systemu

W systemie Windows po prawej stronie paska zadań znajdują się znaki graficzne zwane szufladą systemu lub zasobnikiem systemowym (system tray). Nie można do tych znaków graficznych dotrzeć ani przez pasek zadań, ani przy pomocy komendy przeglądającej zadania systemu Windows ALT-TAB ani przy pomocy innych komend klawiatury systemu Windows 9x. Jednak w systemie Windows ME jest to możliwe.

Window-Eyes, by rozwiązać ten problem w systemach Windows 9X, oferuje gorący klawisz Szuflada systemu INS-S. Po wciśnięciu tego klawisza Window-Eyes powie "skanowanie szuflady systemu". Ten proces może potrwać do kilku sekund w zależności od liczby obiektów. Po przeprowadzeniu skanowania otworzy się okno dialogowe, które zawiera pole listy z opisami obiektów znajdujących się w szufladzie systemu oraz przyciski opcji: Pojedynczy Klik i Podwójny Klik, przycisk Lewy, przycisk Prawy i przycisk Anuluj. Ponieważ aplikacje wyświetlają opisy, kiedy wskaźnik myszy dotrze do ikony danej aplikacji mogą być one wpisane do okna dialogowego szuflady systemu. Nie spotkaliśmy jeszcze aplikacji, która by nie generowała opisu, dlatego też Window-Eyes powinien sobie poradzić ze wszystkimi znakami graficznymi na pasku zadań.

Aby przejść przez pole listy, w którym znajdują się opisy każdego znaku graficznego, można wykorzystać strzałki lub pierwsze litery nazw tych aplikacji. Kiedy dotrzemy do aplikacji, z którą chcemy pracować, wystarczy raz lub dwa razy kliknąć lewym lub prawym przyciskiem myszy na ikonę. Ogólnie rzecz biorąc, należy wybrać przycisk opcji pojedynczego kliknięcia, a potem przycisk Prawy, by rozwinąć menu kontekstowe wybranej aplikacji. Następnie, aby ją uruchomić, trzeba wybrać przycisk opcji podwójnego kliknięcia, a potem przycisk Lewy. Wybierając Anuluj zamykamy okno szuflady systemu.

Używając okna dialogowego Szuflady Systemu mamy dostęp do aplikacji działających w systemie, do których nie możemy dotrzeć z poziomu paska zadań i żadnego innego menu.


8

ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.18: Godzina i data

Wybierając gorący klawisz Czas/Data INS-T w ustawieniu domyślnym, Window-Eyes poda bieżący czas i datę, oczywiście tak, jak są te dane ustawione w komputerze.


8

ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.19: Nazwa pola i dane pola

Przechodząc przez różne kontrolki (sterowanie), Window-Eyes odczytuje ich rodzaj (np. pole listy, przycisk, itd.) przeczyta też nazwę pola i dane pola.

Dane pola to po prostu opcja w bieżącej kontrolce. Np. W polu listy dane pola to wszystkie opcje tego pola. W polu wyboru dane pola to stan zaznaczenia, tzn. wybrany lub nie wybrany. W polu edycji dane pola to cały tekst w tym polu. Jeśli chcemy odsłuchać dane pola, używamy gorącego klawisza Dane Pola (CTRL-SHIFT-D).

Nazwa pola w danej kontrolce to tekst zwykle umieszczony na lewo lub powyżej bieżącej kontroli. Np. w otwartym oknie dialogowym nazwa pola może być nazwą pliku. Aby odczytać nazwę pola, wystarczy wybrać gorący klawisz Nazwa Pola (CTRL-SHIFT-N).

Window-Eyes może zawsze odczytać dane pola, ale musi się domyślać nazwy pola dla danej kontroli. Jak już powiedziano, zwykle jest ona umieszczona po lewej stronie lub u góry, ale równie dobrze może być gdziekolwiek indziej. Dlatego też Window-Eyes może odczytać błędną informację lub nie odczytać żadnej, chociaż nazwa pola jest widoczna na ekranie. W niektórych przypadkach aplikacje w ogóle nie wyświetlają informacji o nazwie pola.

Kiedy znajdziemy się w takiej sytuacji, wystarczy wcisnąć gorący klawisz Nadaj Nazwę Polu (CTRL- INS-F). Pojawi się okno dialogowe z polem edycji oraz przyciskami OK i Anuluj. Znajdziemy się w polu edycji, gdzie trzeba wpisać nazwę pola, jaką Window-Eyes ma odczytywać dla tej kontroli. W ten sposób można zmienić nazwę pola, nawet jeśli Window-Eyes odczytywał ją poprawnie. W momencie wciśnięcia klawisza ENTER, nazwa pola zostanie automatycznie zapisana.


8

ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.20: Czytanie linii statusu aplikacji

Prawie każda aplikacja posiada linię statusu. W edytorze tekstu pojawi się w takiej linii liczba stron dokumentu oraz, na której stronie i w którym wierszu znajduje się kursor. W przeszukiwarce stron WWW, taka linia będzie zawierała informacje na temat bieżącego stanu załadowania lub URL dla danego połączenia. Innymi słowy linia statusu pokazuje konkretną informację na temat aplikacji w danym momencie.

Window-Eyes ma możliwość automatycznego odczytywania takiego wiersza-jest to gorący klawisz Czytaj Linię Statusu (CTRL-INSERT-S). Window-Eyes może korzystać z dwóch metod wyszukiwania takiego wiersza.

1. Microsoft zaprojektował specjalne okno, które wyświetla informacje na temat statusu. Window-Eyes najpierw szuka takiego okna w aplikacji. Jeśli istnieje, przeczyta jego zawartość (jednak wiele starszych aplikacji może go nie posiadać). Jest to najbardziej niezawodny sposób dla Window-Eyes, by znaleźć linię statusu.

2. Jeśli Window-Eyes nie odnajdzie takiego okna, automatycznie przeczyta ostatni zapisany wiersz w aplikacji, gdyż zwykle tam jest wyświetlona linia statusu.

Zatem po wybraniu gorącego klawisza Czytaj Linię Statusu Window-Eyes odczyta informację w oparciu o którąś z tych metod. Jeśli jednak informacja nie będzie poprawna, musimy założyć okno użytkownika w pobliżu właściwej linii statusu i odczytać to okno (okna użytkownika omawiane są w rozdziale 12). Jednak w większości przypadków nie będzie to potrzebne.


8

ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.21: Dostosowywanie parametrów głosu na bieżąco

Do tej pory opisywaliśmy jak dostroić odczytywanie ekranu, klawiatury i myszy pod względem szybkości, wysokości, barwy głosu i głośności. Można do tego użyć menu globalnego albo też odpowiednie menu ekranu, klawiatury i myszy. Wybieramy parametr, który chcemy dostosować i używając paska przewijania dochodzimy do pożądanych ustawień.

Może to być jednak trochę czasochłonne zajęcie, dlatego też Window-Eyes oferuje zestaw gorących klawiszy, które pozwolą na szybkie dostrojenie wybranych parametrów. Ustawienie domyślne to klawisz INS w połączeniu z czterema strzałkami (ale nie tymi na klawiaturze numerycznej). Najpierw trzeba wybrać, który głos chcemy dostroić, a potem wybrać odpowiedni parametr.

Zatem najpierw wybieramy gorący klawisz Przełącznik Wyboru Głosu (INS-W PRAWO), by dotrzeć do danego głosu tzn. klawiatury, ekranu lub myszy oraz opcji "wszystkie". Jeśli wybierzemy opcję "wszystkie", dostroimy wszystkie trzy głosy równocześnie. Trzeba zauważyć, że jeśli nie korzystamy z ustawień globalnych, zmiana wpłynie tylko na ustawienia aktywnego pliku konfiguracyjnego.

Teraz wybieramy gorący klawisz Przełącznik Parametrów Głosu (INSRET-W LEWO), by wybrać parametr. Klawisz będzie nas przełączał pomiędzy szybkością, głośnością, barwą i wysokością głosu.

Następnie możemy nacisnąć gorący klawisz Zmniejsz Parametr Głosu (INS-W DÓŁ) lub Zwiększ Parametr Głosu (INS-W GÓRĘ). Każde wciśniecie klawisza zwiększy lub zmniejszy ustawienie bieżące, a Window-Eyes odczyta nową wartość. Jeśli wybraliśmy opcję "wszystkie głosy", zwiększymy lub zmniejszymy je wszystkie równocześnie.

Przy pierwszym załadowaniu Window-Eyes, bieżącym głosem jest ekran, a bieżącym parametrem szybkość. Window-Eyes zachowuje zmiany do restartowania programu. W tym momencie znowu powróci do ustawień ekranu i szybkości. Jeśli chcemy zachować nowe ustawienia, musimy je zapisać na dysku – należy przejść do menu globalnego i wybrać opcje "Zastosuj Ustawienia". Jeśli nie używamy menu globalnego, musimy przejść do menu plik i zapisać bieżący plik konfiguracyjny na dysku.


8

ROZDZIAŁ ÓSMY
Wprowadzanie gorących klawiszy Window-Eyes

8.22: Odczytywanie paska postępu i pasków przewijania

Kiedy czytamy długą wiadomość dobrze by było móc się zorientować w którym miejscu tekstu się znajdujemy. Ile już zostało już przeczytane i jak wiele pozostało do końca. W edytorach tekstu możemy odczytać linię statusu aby dowiedzieć się w której linii tekstu się znajdujemy. Niestety ta informacja zazwyczaj nie jest dostępna przy przeglądaniu poczty.

Aby określić naszą pozycję w oknie, możemy posłużyć się gorącym klawiszem Czytaj Pasek Postępu Lub Przewijania (CTRL-INS-B). Kiedy użyjemy tego klawisza, program Window-Eyes poszuka w oknie aktywnym paska postępu i jeśli go znajdzie, to zostanie on odczytany od góry do dołu wraz z podaniem nazwy pola. W przypadku braku paska postępu w oknie aktywnym, Window-Eyes odszuka paski przewijania i odczyta je począwszy od paska pionowego a skończywszy na pasku poziomym. Jeśli w oknie nie ma ani paska postępu ani pasków przewijania usłyszymy wiadomość „Nie znaleziono pasków postępu ani przewijania”. Program Window-Eyes odczytuje tylko standardowe paski postępu i przewijania. Niestety czasami niektóre edytory tekstu (jak Word) przedstawiają coś co wygląda jak pasek przewijania, ale nie jest standardowym paskiem przewijania. Podobnie może się zdarzyć w przypadku pasków postępu. Niestety w takich przypadkach program Window-Eyes wygeneruje komunikat „Nie znaleziono pasków postępu ani przewijania”.

Pasek postępu jest wizualnym wskaźnikiem postępu określonego zadania. Najbardziej popularnym przykładem jest pasek postępu znajdujący się polu dialogu programu Internet Explorer informującym o postępie w ładowaniu strony. Większość pasków postępu charakteryzuje się zakresem od 0% do 100%. Odczytując taki pasek przy pomocy gorącego klawisza Czytaj Pasek Postępu Lub Przewijania dowiemy się ile procent strony zostało już załadowane.

Paski przewijania są wizualnymi wskaźnikami umieszczonymi zazwyczaj po prawej stronie i u dołu okna. Mają one postać suwaka wskazującego jaki obszar dokumentu jest aktualnie widoczny w oknie. Przypuśćmy, że pionowy pasek przewijania ma zakres od 0 do 100. Odczytując go możemy usłyszeć, że ma on wartość 0. Oznacza to, że w zależności od orientacji paska, znajdujemy się na samej górze dokumentu, lub na samym jego dole.

Najczęściej paski są zorientowane od góry do dołu (pasek pionowy) i od lewej strony do prawej (pasek poziomy). Inne orientacje pasków są teoretycznie możliwe, ale nigdy się z nimi nie spotkaliśmy.

W naszym przykładzie paska pionowego, jeśli usłyszymy wartość 0 oznaczać to więc będzie samą górę dokumentu, tak więc aby ta wartość uległa zmianie musimy przejść przez zawartość całego okna aby treść została przesunięta i dopiero wtedy zmieni się wartość paska przewijania.

Gdy będziemy się zbliżać do końca, wartość paska przewijania może być 80 z 100, co oznacza, że pierwsza linia tekstu zawarta w oknie ma wartość indeksu 80. Możemy zauważyć, że bez względu na to jak długo będziemy przesuwać się po tekście w dół, nigdy nie uzyskamy wartości paska przewijania 100 z 100. Powodem tego jest to, że program Window-Eyes zawsze określa na pasku przewijania pozycję pierwszej linii tekstu w oknie.


ROZDZIAŁ DZIEWIĄTY
Czytanie przy pomocy Akcji

Ze wszystkich metod czytania ekranu prawdopodobnie najczęściej używaną metodą jest użycie akcji Window-Eyes skojarzonych z klawiszami.

  • 9.1: Podstawy
  • 9.2: Jak to działa?
  • 9.3: Zastosowania praktyczne
  • 9.4: Definicje akcji
  • 9.5: Opóźnienie akcji
  • 9.6: Premia związana z akcjami
  • 9.7: Akcje w kontrolkach standardowych


ROZDZIAŁ DZIEWIĄTY
Czytanie przy pomocy Akcji

9.1: Podstawy

W rozdziale 4.3 zdefiniowaliśmy klawisze akcji jako klawisze wspólne dla Window-Eyes i danego programu aplikacyjnego. Niektóre z najczęściej stosowanych klawiszy akcji to: strzałka, CTRL-strzałka, tabulator, PAGE UP, PAGE DOWN oraz DELETE. Przy użyciu tych i innych klawiszy można wydać polecenia zarówno Window-Eyes jaki i danej aplikacji.


9

ROZDZIAŁ DZIEWIĄTY
Czytanie przy pomocy Akcji

9.2: Jak to działa?

Akcje Window-Eyes ustawiane są w menu akcji, menu głównego Window-Eyes. Domyślnie ustawiono tylko kilka akcji – inne mogą być ustawiane według życzenia i wygody. Można zmieniać zarówno dane akcje, jak i ich definicje. Być może wszystkie 46 akcji nie będzie potrzebnych, ale istnieje możliwość ustawienia takiej liczby. Aby wejść do menu akcji Window-Eyes należy:

1. nacisnąć CTRL-\

2. nacisnąć ALT-A, by zaktywizować okno dialogowe Definiowanie Akcji Klawiszy, które zawiera, co następuje:

· L = Klawisze (lista akcji)

· K = Przechwyć klawisz (przycisk)

· P = Pierwsza Akcja (lista rozwijana)

· I = Parametry pierwszej akcji (przycisk)(może być niedostępny)

· D = Druga Akcja (lista rozwijana)

· U = Parametry Drugiej Akcji (przycisk)(może być niedostępny)

· O= Opóźnienie (pole edycji)

· S = Skasuj Definicję (przycisk)

· OK (przycisk).

· Anuluj (przycisk)

To okno dialogowe podobne jest do okna, gdzie ustawia się definicje gorących klawiszy z tym, że przy definiowaniu gorących klawiszy ustawia się jedynie same klawisze. Przy definiowaniu akcji, definiuje się klawisz i przechodzi do listy rozwijanej pierwszej akcji, a potem, jeśli jest taka potrzeba, do listy rozwijanej drugiej akcji, gdzie wybiera się, co Window-Eyes będzie robił, kiedy naciśnie się zdefiniowany klawisz.

Przykładowo, pierwszemu klawiszowi na liście klawiszy akcji (strzałki w lewo) przyporządkowana jest pierwsza akcja Znak Później, a druga akcja jest niezdefiniowana.

W momencie użycia tego klawisza Window-Eyes przekazuje go najpierw do programu aplikacji aktualnie działającej w systemie Windows, a potem odczytuje znak wskazywany przez kursor.

W momencie naciśnięcia lewej strzałki większość programów edycji tekstów cofnie kursor o jeden znak, dlatego też użytkownik zwykle będzie chciał usłyszeć ten znak. Jednakże niektóre aplikacje cofają się o jedno słowo, a nie tylko o jeden znak. W takim przypadku użytkownik będzie chciał rozpoznać to słowo, a nie tylko znak, o który się cofnięto.

Aby zmienić definicję Window-Eyes lewej strzałki tak, aby odczytywała jedno słowo, zamiast jednego znaku, należy:

1. W oknie dialogowym Definiowanie Akcji Klawiszy nacisnąć TAB; Window-Eyes przejdzie do przycisku Przechwyć Klawisz.

2. Ponownie nacisnąć TAB, by przejść do listy rozwijanej Pierwsza Akcja.

3. Przycisnąć trzy razy strzałkę w dół, aby dojść do opcji "słowo", lub przycisnąć ‘S’.

4. Nacisnąć ENTER, by zaakceptować przycisk OK; Window-Eyes zamyka okno dialogowe i dezaktywuje pasek menu.

Aby usunąć klawisz z listy, należy strzałką w górę lub w dół dotrzeć do tego klawisza na liście, następnie nacisnąć ALT-S, aby wybrać przycisk Skasuj Definicję. Potem wybrać OK i nacisnąć ENTER. Po ponownym otwarciu listy w miejscu usuniętego klawisza znajdzie się słowo „Niezdefiniowane”.

Co się stanie, jeśli ktoś będzie chciał przypisać klawisz, który został już wcześniej zdefiniowany? Window-Eyes otworzy wtedy okno dialogowe Duplikat Definicji Klawisza, które działa identycznie, jak jego odpowiednik w definicjach gorących klawiszy.


9

ROZDZIAŁ DZIEWIĄTY
Czytanie przy pomocy Akcji

9.3: Zastosowania praktyczne

Większość obiektów na liście klawiszy akcji nie została zdefiniowana po to, aby można je było przypisać klawiszom używanym w danej aplikacji. Powiedzmy, na przykład, że menadżer bazy danych używa skrótu ALT-N, by przejść do następnego pola. Można zdefiniować ten klawisz jako jeden z klawiszy akcji, a następnie przyporządkować mu odpowiednią akcję (prawdopodobnie: nazwa pola, dane pola, nazwa i dane pola). W edytorze tekstów, przykładowo, można przejść do początku dokumentu naciskając CTRL-HOME. W takim przypadku preferowane może być ustawienie CTRL-HOME na odczyt strony, wiersza i nowego położenia kursora w dokumencie. Można też ustalić okno użytkownika tak, by zawierało ono wymienioną informację (stronę, wiersz, położenie kursora), a potem zdefiniować kombinację CTRL-HOME tak, by odczytać to okno. W rozdziale 12 wytłumaczone są metody ustawiania okien użytkownika.


9

ROZDZIAŁ DZIEWIĄTY
Czytanie przy pomocy Akcji

9.4: Definicje akcji

Definicje podane w oknie dialogowym definicji akcji podsumowane są poniżej (w następującym porządku: definicja – funkcja):

Niezdefiniowane

Ignoruje uderzenie klawisza.

Poprzedni Znak Wcześniej

Czyta znak na lewo od kursora zanim Window-Eyes przekaże uderzenie klawisza aplikacji.

Poprzedni Znak Później

Przekazuje uderzenie klawisza aplikacji, potem odczytuje znak na lewo od kursora w nowej pozycji.

Znak Wcześniej

Odczytuje znak, na którym znajduje się kursor, potem przekazuje uderzenie klawisza aplikacji.

Znak Później

Przekazuje uderzenie klawisza aplikacji, potem czyta znak, na którym znajduje się kursor w nowej pozycji.

Następny Znak

Czyta znak na prawo od kursora.

Poprzednie Słowo

Czyta słowo na lewo od kursora.

Słowo

Czyta słowo, na którym znajduje się kursor.

Następne Słowo

Czyta słowo na prawo od kursora.

Poprzednia Linia

Czyta wiersz powyżej kursora

Linia

Czyta wiersz, w którym znajduje się kursor.

Następna Linia

Czyta wiersz poniżej.

Zdanie

Czyta zdanie, w którym znajduje się kursor.

Akapit

Czyta akapit, w którym znajduje się kursor.

Do Końca Linii

Czyta cały wiersz od znaku, na którym jest kursor, do końca wiersza.

Podświetlenie

Czyta zaznaczony tekst w bieżącym oknie użytkownika.

Tekst Oznaczony

Czyta nowo zaznaczony lub nowo odznaczony tekst, interpunkcję i spacje uzupełnione słowem ‘wybrane’ lub ‘nie wybrane’, w zależności od tego, czy kursor zaznacza, czy odznacza tekst.

Pozycja Kursora

Czyta dane na temat wiersza i kolumny, w której znajduje się kursor.

Dane Pola

Czyta dane pola, w którym znajduje się kursor.

Nazwa Pola

Czyta nazwę bieżącego pola na lewo od kursora, kiedy kursor znajduje się na danych pola; ta akcja działa w wielu oknach dialogowych (dialog controls).

Nazwa i Dane Pola

Czyta zarówno nazwę pola, jak i dane znajdujące się w polu z kursorem; ta akcja również działa w wielu oknach dialogowych.

Tytuł/Status

Czyta pasek tytułu w bieżącym oknie, a potem pasek tytułu w oknie aktywnym.

Przeczytaj Okno

Ustawiając, należy wybrać numer okna od 0 do 49; w momencie wciśnięcia klawisza, Window-Eyes czyta wybrane okno.

Uaktywnij Okno

Ustawiając, należy wybrać numer standardowego okna Window-Eyes od 0 do 49; wciśnięcie odpowiedniego klawisza spowoduje, że określone okno jest oknem aktywnym.

Mysz do Okna

Ustawiając, należy wybrać numer standardowego okna Window-Eyes od 0 do 49; wciśnięcie odpowiedniego klawisza przesuwa wskaźnik myszy do lewego górnego rogu danego okna użytkownika.

Myszka Góra Lewo

Natychmiast przesuwa mysz do górnego lewego rogu obszaru ograniczającego ruchy myszki, ale nie odczytuje tego ruchu.

Załaduj ustawienia

W momencie ustawiania, prosi o nazwę pliku konfiguracyjnego; w odpowiedzi na wciśnięcie klawisza ładuje się plik konfiguracyjny Window-Eyes.

Ignoruj mówiące okna

Ignoruje nowy tekst pojawiający się w oknach mówiących w czasie dwukrotnego opóźnienia akcji.

Gorący klawisz

Wykonuje funkcję danego gorącego klawisza; w momencie ustawiania pojawi się lista wszystkich gorących klawiszy – należy przejść strzałką do wybranego i nacisnąć ENTER.

Słowo Specjalnie

Odczytuje wszystkie znaki w słowie (lub grupie znaków) jeśli kursor jest na znaku przystankowym lub czyta tekst jeśli kursor jest na literze.

Wyjaśnienia

Pięć z wymienionych wyżej definicji, tzn. Przeczytaj Okno, Uaktywnij Okno, Mysz do Okna, Gorący Klawisz, oraz Załaduj Ustawienia wymagają podania numeru okna, gorącego klawisza lub nazwy pliku. Aby dojść do tego miejsca, trzeba przejść tabulatorem do przycisków Parametry Pierwszej lub Parametry Drugiej Akcji i nacisnąć ENTER. W momencie ustawiania Przeczytaj Okno, Uaktywnij Okno lub Mysz do Okna trzeba tylko wpisać numer okna użytkownika i nacisnąć ENTER. Przy ustawianiu Gorący klawisz trzeba przejść przez listę do wybranego klawisza i nacisnąć ENTER. Jeżeli ustawia się Załaduj Ustawienia, należy wpisać nazwę pliku konfiguracyjnego, który chce się załadować i nacisnąć ENTER. Teraz tabulatorem można przejść do przycisku OK lub wrócić do listy akcji, by zdefiniować kolejne.

Następujące definicje również wymagają wytłumaczenia i przykładu: Znak Wcześniej, Znak Później, Poprzedni Znak Wcześniej oraz Poprzedni Znak Później. „Wcześniej” oraz „Później” odnoszą się do odczytania przez Window-Eyes danego znaku zanim lub po tym, jak wciśnięcie klawisza zostanie przekazane aplikacji. „Poprzedni” oznacza znak znajdujący się tuż przed kursorem.

Powodem, dla którego stosuje się definicje „Wcześniej” i „Później” jest to, że niektóre klawisze, np. BACKSPACE i DELETE usuwają znaki z ekranu. Zwykle Window-Eyes najpierw przekazuje wciśnięcie klawisza aplikacji, a potem wykonuje zdefiniowaną akcję. Jednak, jeżeli dany znak lub słowo zostanie usunięte, Window-Eyes już ich nie odczyta. Zatem najczęściej BACKSPACE będzie zdefiniowany jako Poprzedni Znak Wcześniej, co oznacza, że Window-Eyes wykona najpierw zdefiniowaną akcję, a dopiero potem przekaże dalej dane wciśnięcie klawisza.

Jeżeli wydaje się to zbyt skomplikowane, warto poświęcić trochę czasu i poeksperymentować z czterema ustawieniami klawisza BACKSPACE: Poprzedni Znak Wcześniej znak zostanie odczytany przed usunięciem. Poprzedni Znak Później przeczytany zostanie znak na lewo od kursora po tym, jak aplikacja przemieści kursor do tyłu, usuwając jeden znak

Definicja Tekst Oznaczony również wymaga objaśnienia. Zwykle w systemie Windows zaznacza się tekst przy użyciu klawiatury przytrzymując klawisz SHIFT oraz przesuwając kursor strzałkami, lub też CTRL-STRZAŁKA, HOME, PAGEDOWN itd. Przytrzymywanie klawisza SHIFT i poruszanie się strzałkami po zaznaczonym tekście odznacza go. Zatem jeśli dla SHIFT-W PRAWO ustawi się akcję Tekstu Oznaczony, za pomocą tego skrótu będzie można przesuwać kursor o jeden znak w prawo i zaznaczać go, a Window-Eyes przeczyta ten znak dodając, że jest on zaznaczony. Wprost przeciwnie będzie działała kombinacja SHIFT-W LEWO ze zdefiniowaną akcją Tekst Oznaczony. Kursor przesunie się o jeden znak w lewo i odznaczy wybrany znak, Window-Eyes przeczyta ten znak i doda, że został on odznaczony. Taki sam efekt będą miały kombinacje klawiszy SHIFT-CTRL-W PRAWO oraz SHIFT-CTRL-W LEWO, jednak Window-Eyes przeczyta wtedy całe słowa, a nie tylko pojedynczy znak. Tak samo będzie się działo przy innych klawiszach, które przesuwają kursor.

W zależności od tego, iloma klawiszami w danej aplikacji można zaznaczyć tekst, będzie trzeba zdefiniować 10 lub więcej akcji jako Tekst Oznaczony.

Definicja Myszka Góra Lewo może okazać się użyteczna przy czytaniu tekstu za pomocą klawiszy PAGE UP oraz PAGE DOWN, w programie takim, jak NetScape. PAGE DOWN przechodzi do następnego ekranu i wtedy Window-Eyes może umieścić mysz w lewym górnym rogu tego ekranu. Wtedy można przycisnąć gorący klawisz myszy, by odczytać kolejny ekran.

Definicja Mysz Do Okna jest wygodna, jeśli trzeba ustawić mysz w danym miejscu na ekranie. Można wtedy otworzyć okno użytkownika i zlecić Window-Eyes, by ustawił w nim wskaźnik myszy w lewym górnym rogu tego okna.

Definicja Gorący Klawisz pozwala na wykonanie funkcji standardowych gorących klawiszy. Wybieramy właściwy gorący klawisz i Window-Eyes wykonuje jego czynność, jak gdyby został wciśnięty gorący klawisz przy użyciu tej akcji. Należy zauważyć, że gorący klawisz nie wymaga przypisanego klawisza - może on pozostać nie zdefiniowany.

Wyjaśnienie definicji Ignoruj Mówiące Okna nastąpi po wytłumaczeniu funkcji Opóźnienie akcji.


9

ROZDZIAŁ DZIEWIĄTY
Czytanie przy pomocy Akcji

9.5: Opóźnienie akcji

Niektóre aplikacje są tak wolne, że Window-Eyes zdąży przekazać im daną kombinację klawiszy i odczytać jej skutek, zanim aplikacja zareaguje na jakiekolwiek polecenie. Powiedzmy, na przykład, że skrót CTRL-W GÓRĘ został zdefiniowany jako akapit. Aplikacja używa tego skrótu, by przejść kursorem do poprzedniego akapitu. Ten proces, w idealnym przypadku, wygląda następująco: po wciśnięciu CTRL-W GÓRĘ Window-Eyes przekazuje wciśnięcie klawisza aplikacji, która wykonuje polecenie przesuwając kursor do pierwszego słowa w poprzednim akapicie; Window-Eyes czyta ten akapit. Jeśli jednak aplikacja nie wykona tego polecenia przed rozpoczęciem czytania, jest prawdopodobne, że dane nie będą adekwatne, gdyż Window-Eyes zacznie czytać akapit, w którym kursor znajdował się przed użyciem tej akcji a nie akapit, w którym kursor teraz powinien się znajdować.

Ten problem można rozwiązać poprzez opóźnienie akcji; w tym celu:

1. wciskamy CTRL-\, by włączył się panel sterowania Window-Eyes

2. wciskamy ALT-O, by wywołać menu ogólne

3. wybieramy Opóźnienie Kursora; pojawi się okno dialogowe Ogólne Opóźnienie Kursora z polem edycji do wpisania cyfr od 1 do 99. Podświetlony jest przycisk OK, zatem można wcisnąć ENTER, by zaakceptować nową wartość, lub ESCAPE, by anulować i zamknąć okno

Ustawiając w ten sposób opóźnienie akcji, wpływa się globalnie na definicje wszystkich akcji, opóźniając je o taką samą wartość. W większości przypadków będzie to wygodne, ponieważ prawdopodobnie aplikacja reaguje tak samo na wszystkie klawisze. Jednak czasem odpowiedź na niektóre akcje zajmie więcej czasu niż na inne. Przy użyciu globalnego opóźnienia akcji trzeba będzie ustawić wartość maksymalną odpowiadającą najwolniejszym akcjom. Efektem ubocznym jest opóźnienie wszystkich akcji, a więc i tych, które nie wymagają tak długiego czasu reakcji. Dlatego też byłoby lepiej użyć minimalnego ogólnego opóźnienia dla większości akcji (menu ogólne) i sprecyzowanego opóźnienia dla niektórych (menu akcji). W oknie dialogowym definicji akcji jest pole edycji „O = Opóźnienie” Ta opcja pozwala na ustawienie określonej wartości opóźnienia dla określonej akcji. Każda akcja może mieć swoją przypisaną wartość – wystarczy przejść tabulatorem do pola edycji i wpisać cyfrę od 0 do 99. Należy poeksperymentować z różnymi, zmieniającymi się stopniowo wartościami, by znaleźć najlepsze ustawienie dla danej aplikacji.

Teraz powróćmy do definicji Ignoruj Mówiące Okna, w rozwijanej liście akcji, oknie dialogowym definicji akcji. Najlepiej posłużyć się tu przykładem. Powiedzmy, że tabulator w danej aplikacji przechodzi do obszaru, gdzie program wyświetla tekst w polu edycji typu „tylko-do-odczytu”. Tekst zawiera pasek podświetlenia, który może być odczytany tabulatorem. W tym celu trzeba zdefiniować tabulator jako akcję, ustawić pierwszą akcję na pasek podświetlenia, a drugą na Ignoruj Mówiące Okna. W ten sposób automatyczne odczytanie tekstu w tym oknie będzie opóźnione wystarczająco długo, by odczytać pasek podświetlenia, bez względu na ustawioną wartość opóźnienia akcji – odczytanie okna będzie opóźnione o dwukrotność tego czasu.


9

ROZDZIAŁ DZIEWIĄTY
Czytanie przy pomocy Akcji

9.6: Premia związana z akcjami

Jak już wspomniano, Window-Eyes dzieli z programem aplikacyjnym klawisze akcji. Oznacza to, że można ustawić jakąkolwiek definicję akcji Window-Eyes, dla jakichkolwiek klawiszy w danej aplikacji. Na przykład CTRL-N w WordPerfect otwiera nowy dokument. Można ustawić Window-Eyes tak, by odczytał numer tego dokumentu. Można też zdefiniować ten skrót tak, by odczytać pole w górnym wersie ekranu, gdzie WordPerfect wyświetla taką informację. Naciśnięcie PAGE DOWN wypełnia aktywne okno nowym tekstem, zatem można zdefiniować ten klawisz tak, by odczytać nową informację. Dlatego też Window-Eyes oferuje aż 46 akcji skojarzonych z klawiszami przewidując zwiększone potrzeby przy operowaniu bardziej skomplikowanymi czy większymi programami aplikacyjnymi.


9

ROZDZIAŁ DZIEWIĄTY
Czytanie przy pomocy Akcji

9.7: Akcje w kontrolkach standardowych

Window-Eyes wie, jak poradzić sobie ze standardowymi kontrolkami, np. pole wyboru, przycisk opcji, widok listy itp., dlatego też automatycznie wstrzymuje akcje dla wszystkich kontrolek standardowych, za wyjątkiem pola edycji oraz pól rich edit. Na przykład przeglądając widok listy za pomocą strzałek nie potrzeba odczytywać bieżącej linii. Jednak w polu edycji oraz w rich edit Window-Eyes będzie działał zgodnie z definicjami akcji.


ROZDZIAŁ DZIESIĄTY
Czytanie ekranu za pomocą myszy

W tym rozdziale omówione zostały sposoby przeglądania zawartości ekrany przy pomocy klawiszy myszki.

  • 10.1: Podstawy
  • 10.2: Przesuwanie wskaźnika myszy o jednostki tekstowe
  • 10.3: Klawisze kierunkowego ruchu myszy
  • 10.4: Przesuwanie się o jednostki logiczne Windows
  • 10.5: Sprowadzanie wskaźnika do kursora i odwrotnie
  • 10.6: Ograniczanie ruchu wskaźnika myszy
  • 10.7: Znajdywanie obiektów na ekranie
  • 10.8: Ręczne używanie myszy
  • 10.9: WE kursor lub mysz


ROZDZIAŁ DZIESIĄTY
Czytanie ekranu za pomocą myszy

10.1: Podstawy

Do tej pory opisywaliśmy, jak Window-Eyes czyta ekran używając ustawień gadatliwości lub przypisując polecenia akcjom. Czasem jednak chcemy przeglądać ekran, żeby zobaczyć co na nim jest lub, żeby poszukać konkretnej informacji.

Jak już wcześniej mówiliśmy, za pomocą wskaźnika myszy możemy wyszukiwać ikony i przyciski na ekranie i używać ich. Skoro jednak wskaźnik myszy może swobodnie przesuwać się po całym ekranie, to może być z powodzeniem użyty do jego przeglądania. Window-Eyes pozwala na odczytywanie za pomocą wskaźnika myszy: tekstu, nazw ikon, opcji menu, przycisków oraz symboli. W programie Window-Eyes istnieją polecenia klawiszowe do przesuwania wskaźnika myszy do góry, w dół, w lewo, w prawo, ikona po ikonie, słowo po słowie itd.

Oczywiście można przesuwać wskaźnik myszy poruszając ręcznie myszką, jednakże ruchy myszki mogą być całkiem przypadkowe i dlatego czytany tekst lub grafika może wydawać się niezrozumiała. Aby uniknąć przypadkowego odczytywania tekstu z ekranu, należy przejść do menu głównego Window-Eyes i rozwinąć menu myszy, którego pierwszym obiektem jest włączone ustawienie głosu. Wybierając ten obiekt, wyłączamy głos myszy, co znaczy, że Window-Eyes pomija tekst i grafikę kiedy wskaźnik poruszany jest ręcznie za pomocą myszy. Jednak wszystkie gorące klawisze połączone z myszą będą działać bez względu na ustawienie głosu.

Konkretne gorące klawisze, używane do przesuwania wskaźnika myszy, można definiować w menu gorących klawiszy (w rozdziale 8 opisujemy jak je można zmieniać). Wiele z nich już znamy: do odczytywania bieżącego znaku, do przesuwania wskaźnika o jeden znak do przodu, do odczytywania bieżącego słowa itd.


10

ROZDZIAŁ DZIESIĄTY
Czytanie ekranu za pomocą myszy

10.2: Przesuwanie wskaźnika myszy o jednostki tekstowe

W rozdziale 8 mówiliśmy, jak odczytać znak, słowo, wers, zdanie i akapit, na którym znajduje się wskaźnik myszy. Można również przesuwać wskaźnik myszy do przodu po tekście naciskając gorące klawisze: Myszka Następne Słowo, Myszka Następne Zdanie. Podobnie można przemieszczać wskaźnik myszy do tyłu wciskając gorące klawisze: Myszka Poprzednie Słowo, Myszka Poprzednie Zdanie.

Można sprawdzić działanie tych gorących klawiszy w następujący sposób:

W Windows uruchamiamy edytor Wordpad:

Wciskamy CTRL-ESCAPE oraz M, by zaktywizować okno dialogowe Uruchom.

Wpisujemy "WORDPAD" i wciskamy klawisz ENETER aby uruchomić program WordPad.

Kiedy otworzy się Wordpad, wciskamy klawisz ALT, by zaktywizować pasek menu.

Wciskamy „P” aby wybrać menu „Plik’.

Zostanie rozwinięte menu Plik. Jest kilka sposobów na wybranie jednej z opcji tego menu, ale teraz naciśnijmy „O” aby uruchomić „Otwórz”.

Pojawi się okno dialogowe.

Wpisujemy nazwę pliku C:\WINEYES\MANUAL\SECT10.TXT - wciskamy ENTER. Plik (Rozdział 10 instrukcji programu Window-Eyes) się załaduje i jego treść będziemy mogli czytać.

Wciskamy CTRL-SHIFT-B, aż Window-Eyes powie "Punkt Uwagi Okna". W ten sposób ograniczamy gorące klawisze myszy do obszaru tekstu tego dokumentu.

Następnie wciskamy klawisz HOME na klawiaturze numerycznej (przy wyłączonym NUMLOCK), by przejść wskaźnikiem myszy do lewego górnego rogu Punktu Uwagi Okna.

Aby przejść do następnego słowa i przeczytać je należy wcisnąć INS-NUMPAD-W PRAWO.

Przesuwamy się po jednym słowie przez chwilę.

Teraz wciskamy NUMPAD-5, by odsłuchać linię tekstu. Czy odsłuchiwanie tekstu po jednej linii jest bardziej praktyczne, niż słowo po słowie? Jeśli tak, przechodzimy do kolejnego wiersza, wciskając NUMPAD-W DÓŁ.

Aby przejść o jeden wiersz do góry wciskamy NUMPAD-W GÓRĘ, a aby przejść o jeden wiersz w dół NUMPAD-W DÓŁ.

Kiedy przechodzimy wskaźnikiem myszy po tekście, zauważamy, że wskaźnik porusza się niezależnie od kursora. Np. można wcisnąć NUMPAD-5, aby zobaczyć w którym miejscu znajduje się wskaźnik myszy. A teraz wciskamy CTRL-NUMPAD-5, aby zobaczyć w którym miejscu znajduje się kursor. Skoro nie zmienialiśmy tekstu od momentu otwarcia pliku, kursor powinien znajdować się na początku dokumentu. Rzadko wskaźnik i kursor znajdują się w tym samym miejscu, w rozdziale 10.5 pokażemy, jak można sprowadzić te wskaźniki do jednego punktu.


10

ROZDZIAŁ DZIESIĄTY
Czytanie ekranu za pomocą myszy

10.3: Klawisze kierunkowego ruchu myszy

Poprzednio omówiliśmy przesuwanie kursora myszki od jednego fragmentu tekstu do drugiego. Często istnieje jednak potrzeba bezpośredniego przejścia przez ekran, bez przesuwania się w górę czy w dół, lub też przejścia bezpośrednio w dół a potem na lewo, bez korzystania z ograniczeń jednostek tekstowych. Innymi słowy chcemy przejść o określoną liczbę pikseli w określonym kierunku.

Klawisze myszy w górę, w dół, w lewo i w prawo zostały przypisane kombinacjom: CTRL-SHIFT-NUMPAD-W GÓRĘ, CTRL-SHIFT-NUMPAD-W DÓŁ, CTRL-SHIFT-NUMPAD-W LEWO, CTRL-SHIFT-NUMPAD-W PRAWO. Jak wszystkie gorące klawisze i te też mogą one zostać zmienione w razie potrzeby.

Wypróbujmy działanie tych klawiszy w następujący sposób:

Upewnijmy się, że klawiatura numeryczna jest wyłączona (Numlock off). Włączenie lub wyłącznie klawiatury numerycznej następuje po wciśnięciu klawisza znajdującego się w górnym lewym rogu klawiatury numerycznej.

Jeśli jesteśmy w programie WordPad (rozdział 10.2 opisuje jak uruchomić program WordPad), kilka razy naciśnijmy CTRL-SHIFT-B aż usłyszymy komunikat „Pełny Ekran”. Przesuńmy teraz kursor myszki do górnego lewego rogu naciskając na klawiaturze numerycznej klawisz HOME. W każdej chwili możemy się zorientować gdzie znajduje się wskaźnik myszki naciskając gorący klawisz CTRL-INS-NUMPAD-+. (górny lewy róg - x1, y1)

Zwróćmy uwagę na to, że współrzędne myszki będą związane z aktualnym ograniczeniem ruchu wskaźnika myszki (ustawionym za pomocą CTRL-SHIFT-B). Aktualne ograniczenia wskaźnika myszki można uzyskać wciskając gorący klawisz Współrzędne Myszki (CTRL-INS-NUMPAD-+).

Proszę nacisnąć CTRL-SHIFT-NUMPAD-W PRAWO.

Teraz CTRL-INS-NUMPAD-+. Powinniśmy usłyszeć współrzędne x6, y1. Po wciśnięciu CTRL-SHIFT-NUMPAD-W PRAWO powinniśmy znaleźć się w miejscy x11, y1. Przemieszczając kursor myszki w dalszym ciągu po ekranie dotrzemy do prawej jego krawędzi.

Przesuwajmy wskaźnik myszki w prawo lub w lewo aż dotrzemy do miejsca x301, y6.

Poruszając się po ekranie, prawdopodobnie natkniemy się na takie obiekty, jak nazwa otwartego okna lub obiekt na pasku menu. Zauważmy, że Window-Eyes czyta uchwyt, na który natrafi wskaźnik, a nie cały wiersz lub znak w tekście. Np. gdy przesuniemy wskaźnik na pasek menu w pobliże lewej górnej krawędzi okna, możemy znaleźć się na słowie „Plik”, jednak Window-Eyes odczyta P = Plik Rozwijane a nie tylko „Plik”.

Jeśli chcemy poruszać się po ekranie szybciej, można zwiększyć ilość pikseli, o które przesuwają się klawisze kierunkowe. Taką wartość ustawia się w menu myszy, w panelu kontrolnym programu Window-Eyes. Np. spróbujmy ustawić maksymalną wartość 99 dolnego przyrostu wskaźnika, by zobaczyć, jak wpłynie to na jego ruch.


10

ROZDZIAŁ DZIESIĄTY
Czytanie ekranu za pomocą myszy

10.4: Przesuwanie się o jednostki logiczne Windows

Oprócz możliwości przesuwania się o jednostki tekstowe, możemy się przesuwać o jednostki MS Windows. Te ostatnie składają się z dwóch typów ikon i uchwytów (clips).

Aby odczytać ikonę, na której znajduje się wskaźnik, wybieramy gorący klawisz "Myszka Bieżąca Ikona". Aby przejść wskaźnikiem do poprzedniej ikony, wybieramy gorący klawisz "Myszka Poprzednia Ikona" itp. Window-Eyes ignoruje tekst pomiędzy ikonami. W ustawieniu domyślnym te gorące klawisze nie są zdefiniowane, więc aby ich użyć, trzeba przypisać im odpowiednie kombinacje w menu gorących klawiszy.

Przesuwanie się o jeden uchwyt jest możliwe po wciśnięciu INS-NUMPAD-HOME oraz INS-NUMPAD-PAGE UP. Takie przejście zwykle zawiera więcej informacji, niż poruszanie się po ikonach - na ekranie jest o wiele więcej uchwytów niż ikon.

Co to jest uchwyt? Grafika to sprawa prosta, bo każdy obraz graficzny to jeden uchwyt. Znaki tekstowe są bardziej skomplikowane. Jednolity tekst z tymi samymi wartościami atrybutów to jeden uchwyt. Np. w edytorze tekstu każdy wiersz w dokumencie to uchwyt, pod warunkiem,, że cały dokument ma te same atrybuty. Jeśli w wierszu jedno słowo w środku będzie zapisane pogrubionym drukiem, ten wiersz ma 3 uchwyty – pierwsza część wiersza, pogrubione słowo, końcowa część wiersza. Będąc na pasku menu, takim jak "plik", "edytuj", itp., każdy obiekt na pasku menu to uchwyt nawet wtedy gdy posiada te same atrybuty co obiekty sąsiednie.

Aby poćwiczyć przesuwanie myszki po uchwytach przesuńmy wskaźnik myszki do lewego górnego rogu i naciśnijmy INS-NUMPAD-PAGE UP. Prawdopodobnie przesuniemy się do tytułu aplikacji. Naciskając ten klawisz ponownie przesuniemy się do grafiki Minimalizuj niedaleko górnego prawego rogu paska tytułu. Naciskając klawisz INS-NUMPAD-PAGE UP będziemy przemieszczać się po ekranie napotykając różne jego elementy. Może to być zawartość paska menu, lub tekst w oknie edycji programu WordPad, który będzie podzielony na kilka uchwytów (najczęściej jeden uchwyt w linii). Ponieważ Window-Eyes ustalają uchwyty w oparciu o krój pisma i atrybuty, to na podstawie pozycji uchwytów trudno jest zgadnąć jak jest sformatowany tekst.

Kiedy przejdziemy do ostatniego uchwytu znajdującego się na ekranie i będziemy próbować przesuwać się dalej Window-Eyes zapiszczy dając nam znać, że już więcej uchwytów nie ma. Możemy wrócić, uchwyt po uchwycie, wciskając klawisz INS-NUMPAD-HOME. Zawsze możemy odczytać uchwyt, na którym znajduje się wskaźnik myszki wciskając INS-NUMAPD-W GÓRĘ.


10

ROZDZIAŁ DZIESIĄTY
Czytanie ekranu za pomocą myszy

10.5: Sprowadzanie wskaźnika do kursora i odwrotnie

Poruszając się po ekranie, w pewnym momencie chcemy przesunąć kursor do wskaźnika myszy. Szczególnie ważne jest to w edytorze tekstu, gdzie podczas czytania za pomocą wskaźnika myszy, możemy odkryć, że popełniliśmy błąd i chcemy zrobić poprawki w którymś akapicie.

W tym celu zdefiniowaliśmy gorący klawisz, któremu przypisano znak PLUS na klawiaturze numerycznej, bez względu na to czy NUMLOCK jest włączony czy wyłączony.. Kiedy wciśniemy ten klawisz, Window-Eyes spróbuje przesunąć kursor do pozycji wskaźnika. Mówimy "spróbuje", gdyż jest wiele miejsc na ekranie, do których kursor nie może dotrzeć. Oczywiście kiedy wskaźnik znajduje się poza oknem, Windows nie pozwoli na przesunięcie kursora. Tak też jest kiedy spróbujemy przesunąć kursor z edytora do słowa "Plik" na pasku menu.

Z drugiej strony możemy sobie życzyć przesunąć wskaźnik myszy do pozycji kursora, np. podczas wprowadzania tekstu w polu edycji chcemy przejrzeć tekst w pobliżu. Kursor nie może opuścić pola edycji, ale wskaźnik może poruszać się bez przeszkód. Aby przenieść wskaźnik do pozycji kursora należy przytrzymać klawisz INS na klawiaturze numerycznej i wcisnąć znak PLUS. Window-Eyes ogłosi "Wskaźnik sprowadzony do kursora" i przeniesie odpowiednio wskaźnik. Teraz możemy użyć gorących klawiszy, aby przenieść wskaźnik do innych części okna dialogowego.


10

ROZDZIAŁ DZIESIĄTY
Czytanie ekranu za pomocą myszy

10.6: Ograniczanie ruchu wskaźnika myszy

Przy czytaniu informacji z ekranu często dojdziemy do wniosku, że chcielibyśmy ograniczyć ruch wskaźnika myszy do jednego obszaru. Np. otwieramy kilka aplikacji, ale chcemy odczytać ikony tylko w aplikacji aktywnej. Chcemy odczytać tekst w dokumencie bez odczytywania informacji zewnętrznej np. paska menu, lub też chcemy, żeby Window-Eyes odczytał jedną część tekstu, taką jak kolumna.

Gorący klawisz, "Przełącznik Ograniczenia Myszki" CTRL-SHIFT-B, instruuje Window-Eyes, aby ograniczył ruch wskaźnika myszy do jednego z czterech obszarów:

Pełny Ekran Pozwala gorącym klawiszom myszy na przesuwanie wskaźnika w dowolne miejsce na ekranie.

Okno Aktywne Ogranicza ruch wskaźnika (tylko gorące klawisze) do zawartości okna aktywnego, tak że inne aplikacje wyświetlone w tle nie będą widoczne dla wskaźnika.

Punkt Uwagi Okna Ogranicza wskaźnik do tego obszaru; może to być bardzo mały obszar np. przycisk lub bardzo duży np. całe okno aplikacji. W tym przypadku, poza zasięgiem wskaźnika znajdzie się wszystko, co jest w oknie aktywnym, ale nie znajduje się w punkcie uwagi okna.

Okno Użytkownika Ogranicza ruch wskaźnika do obszaru zdefiniowanego przez bieżące okno użytkownika. W rozdziale 12 opisujemy jak założyć takie okno. W ustawieniu domyślnym okno użytkownika ma rozmiar okna aktywnego, zatem te dwie opcje są identyczne. Jeśli chcielibyśmy zdefiniować okno użytkownika jako mniejszą część okna aktywnego, np. jako jedną kolumnę tekstu lub tylko dolną część okna, gorące klawisze używane do przesuwania wskaźnika nie pozwolą na przesunięcie go poza to okno użytkownika.

Po ustawieniu granicy wskaźnika można przesunąć się bezpośrednio w jeden z czterech rogów wciskając następujące gorące klawisze:

  • NUMPAD HOME = GÓRNY LEWY,
  • NUMPAD END = DOLNY LEWY,
  • NYMPAD PAGE UP = GÓRNY PRAWY,
  • NUMPAD PAGE DOWN = DOLNY PRAWY.

Mówiąc krótko, po ograniczeniu ruchu wskaźnika do jednego obszaru, nie będziemy mogli użyć gorących klawiszy do przesuwania wskaźnika poza ten obszar. W rzeczywistości jednak jest całkiem prawdopodobne, że wskaźnik będzie poza granicami, zanim poinformujemy Window-Eyes o naszych zamiarach. W takim przypadku jak długo wskaźnik pozostaje poza ustalonymi granicami, tak długo może się swobodnie przesuwać. Zatem aby utrzymać dostęp do pełnego ekranu należy ustawić granice na "pełny ekran" i zachować ten plik konfiguracyjny.

Jeśli chcemy przejrzeć dany obszar ekranu, powiedzmy okno aktywne, ustawiamy granice w sposób opisany powyżej i wciskamy gorący klawisz "Góra Lewo". To nas upewni, że wskaźnik znajduje się w określonych granicach w wygodnym miejscu początkowym.

Gorący klawisz Przełącznik Ograniczenia Myszki jest identyczny jak opcja "Granice Myszki" w menu myszy, w menu głównym Window-Eyes. Zmiany ustawień granic myszki można dokonać zarówno za pomocą gorącego klawisza jak i ustawień w menu.

Możemy przesunąć wskaźnik myszy do początku lub końca wiersza tekstu, wciskając gorące klawisze "Myszka na Początku Linii" (ALT-INS-NUMPAD-HOME) lub "Myszka na Końcu Linii" (ALT-INS-NUMPAD-END). Ruch myszy jest ograniczony do lewej i prawej krawędzi w bieżącym ustawieniu granicy myszy.

Zauważmy, że jeśli chcemy ręcznie używać myszy zamiast gorących klawiszy, wskaźnik nie będzie poruszał się po obszarze ustawionym za pomocą gorących klawiszy granic myszy, lecz będzie miał dostęp do pełnego ekranu.


10

ROZDZIAŁ DZIESIĄTY
Czytanie ekranu za pomocą myszy

10.7: Znajdywanie obiektów na ekranie

Jeśli chcemy przesunąć wskaźnik bezpośrednio do obiektu, o którym wiemy, że znajduje się na ekranie (np. mamy otwarte okno dialogowe i chcemy po prostu kliknąć na przycisk OK.) możemy tabulatorem przejść do żądanego przycisku i wcisnąć ENTER, chociaż w niektórych polach dialogowych może to trochę potrwać. Prościej byłoby najechać wskaźnikiem na przycisk i kliknąć.

Aby zlokalizować dany tekst lub daną ikonę na ekranie wciskamy gorący klawisz "Szukanie Myszki" (CTRL-SHIFT-F). Window-Eyes wyświetla pole dialogowe, pozwalając tym samym na wpisanie tekstu, którego szukamy.

Na przykład: wciśnijmy CTRL-\ aby uaktywnić panel kontrolny programu Window-Eyes. Teraz CTRL-SHIFT-F aby przywołać okno dialogu poszukiwania informacji. Wpiszmy słowo „plik” i naciśnijmy klawisz ENTER

Window-Eyes usunie okno dialogowe poszukiwania informacji i ustawi wskaźnik myszy na słowie „Plik” anonsując to wypowiedzią „Znaleziono Plik”. Ostatnio poszukiwany tekst jest zapamiętany przez program, tak więc ponownie przywołana funkcja szukania będzie już miała wypełnione pole edycji. Jeśli chcemy zmienić tekst, którego poszukujemy wystarczy wpisać nowy w miejsce już istniejącego.

Jeśli tekst wpisany w polu edycji nie został znaleziony, Window-Eyes pozostawi wskaźnik myszy w tym samym miejscu anonsując „Nie znaleziony”.

Jeśli poszukiwany tekst zostanie znaleziony program odczyta uchwyt zawierający tekst od znalezionej pozycji do końca uchwytu.

W ustawieniu domyślnym funkcja "znajdź" ogranicza poszukiwanie do okna aktywnego. Jednakże w prosty sposób można zmienić jej zakres. Po wpisani tekstu, który chcemy odnaleźć, wciskamy TAB zamiast ENTER. Window-Eyes powie: "Przycisk Opcji Oznaczone Szukaj a = Aktywne Okno". Strzałkami w lewo lub w prawo odsłuchujemy pozostałe opcje: „Szukaj Punkt Uwagi”, „Szukaj Okno Użytkownika”, oraz „Szukaj Cały Ekran”. Gdy znajdziemy tą opcję, która nas interesuje zatwierdzamy wybór klawiszem ENTER.

Zwykle Window-Eyes znajduje tekst, którego szukamy bez względu na wielkość liter lub atrybuty.. Jednak możemy sprecyzować, że chcemy aby Window-Eyes znalazł tylko tekst pasujący dokładnie do tego, który wpisaliśmy. Aby to zrobić, wciskamy TAB, aż dojdziemy do pola zaznaczania, „Uwzględnij duże litery” i wciskamy spację, aby go zaznaczyć. Klawiszem ENTER rozpoczynamy przeszukiwanie lub wciskamy TAB ponownie, aby przejść do przycisku „Znajdź Wprzód” i wybieramy ENTER.

Co się stanie, jeśli tekst, którego szukamy, znajduje się w kilku miejscach? Window-Eyes znajdzie pierwszą najbliższą możliwość. Oczywiście może to być nie ta, której szukamy. Zatem jeśli wciśniemy INS-F, to znaczy gorący klawisz „Kontynuacja Szukania Myszki”, przeszukiwanie zostanie wznowione. Wciskanie INS-F raz po raz powodujemy, że Window-Eyes kontynuuje przeszukiwanie tyle razy, ile razy wciśniemy tę kombinację, lub też do momentu, gdy przeszukiwany tekst się skończy. Jeżeli chcemy zacząć przeszukiwanie ponownie od góry ekranu, wciskamy CTRL-SHIFT-F.

A co się stanie, jeśli ktoś lekkomyślnie wypełni górną część ekranu literą „P”, a my poszukujemy wybranej litery „p” gdzieś blisko dołu ekranu? Zatem chcemy przesunąć wskaźnik poniżej, zanim rozpoczniemy przeszukiwanie. Gorący klawisz „Kontynuacja Szukania Myszki” kontynuuje przeszukiwanie od pozycji wskaźnika co oznacza, że możemy użyć gorących klawiszy, by najpierw przejść poniżej dekoracyjnego tekstu i wtedy zacząć szukanie.

Jeśli obiektem, którego szukamy, jest ikona lub inny obraz graficzny, procedura jest identyczna. Po prostu wpisujemy część tekstu etykiety ikony i wybieramy dowolną opcję w polu dialogowym przeszukiwania.

Jeśli szukamy konkretnego atrybutu, a nie tekstu, albo chcemy zacząć od dołu ekranu i szukać do tyłu mamy następujący zakres możliwości w polu dialogowym „znajdź”:

  • Znajdź – pole edycji listy rozwijanej
  • Szukaj – przycisk opcji:
  • Cały Ekran
  • Aktywne Okno
  • Punkt Uwagi
  • Okno Użytkownika
  • Uwzględnij Duże Litery– pole wyboru
  • Podkreślone – pole wyboru
  • Pogrubione – pole wyboru
  • Podświetlone – pole wyboru
  • Kursywa – pole wyboru
  • Przekreślone – pole wyboru
  • Szukanie wprzód– przycisk
  • Szukanie wstecz – przycisk
  • Anuluj – przycisk

Jeśli chcemy znaleźć coś w tekście pogrubionym na ekranie, po prostu zaznaczamy „Pogrubione” i opcję „Pełny Ekran”, a potem wciskamy ENTER. Window-Eyes zacznie przeszukiwanie od góry ekranu, aż do momentu odnalezienia tekstu pogrubionym drukiem.

Jeśli chcemy umieścić wskaźnik na słowie „Plik”, które jest wyświetlone pogrubionym drukiem, wpisujemy to słowo i zaznaczamy odpowiednie pola.

Teksty pogrubione, pisane kursywą czy podkreślone często można znaleźć w edytorach tekstu, zatem te opcje dają nam możliwość szybkiego przeszukiwania. Często używane są w dokumentach hipertekstowych dla wyróżnienia linków.

Tekst podświetlony odczytywany jest przez automatyczne ustawienie paska podświetlenia Window-Eyes. Przykładowo w Exploratorze Windows podświetlony jest tekst każdej ikony lub nazwa grupy. Jeśli chcemy przesunąć wskaźnik do podświetlonego obiektu w bieżącej grupie, zaznaczamy „podświetlony” i ustawiamy przycisk opcji „Punkt Uwagi”. Kiedy wciśniemy ENTER, Window-Eyes przesunie wskaźnik do tekstu w podświetlonym oknie. Zauważmy, że wpisujemy żądane pozycje w polu edycji listy rozwijanej, dlatego też Window-Eyes pozwala nam korzystać z 10 ostatnio wpisanych pozycji.

Zauważmy również, że funkcja „Znajdź” nie jest określona przez gorący klawisz granic myszy. Przykładowo jeśli wskaźnik myszy ograniczony jest do punktu uwagi okna, ustawienie opcji przeszukiwania pełnego ekranu pozwoli Window-Eyes na przesunięcie wskaźnika do tekstu, który znajduje się poza tym oknem.

Wybierając przycisk "anuluj" lub wciskając ESCAPE rezygnujemy z tych ustawień. Window-Eyes usuwa pole dialogowe "znajdź" i odczytuje obiekt w punkcie uwagi.


10

ROZDZIAŁ DZIESIĄTY
Czytanie ekranu za pomocą myszy

10.8: Ręczne używanie myszy

Jeśli przemieszczanie wskaźnika myszki po elementach ekranu w ograniczeniach, które mogą być dla myszki zdefiniowane nas nie satysfakcjonuje, to możemy użyć fizycznej myszki. Window-Eyes dostarczają szereg mechanizmów, które ułatwiają korzystanie z myszki. Słabo widzący użytkownicy mogą połączyć ręczne używanie myszy ze stosowaniem gorących klawiszy myszy. Window-Eyes oferuje kilka funkcji, które poprawiają użyteczność myszy.

Blokada pozioma i pionowa

Próbując przesuwać wskaźnik myszy z lewej strony na prawą zauważamy, ze ma ona tendencję do zbaczania z linii prostej. Aby wyeliminować ten problem, wciskamy gorący klawisz „Blokada Pionowa Myszki” (domyślnie nie zdefiniowany). Kiedy użyjemy tego klawisza, wskaźnik będzie się poruszał tylko poziomo.. Wciśnięcie jakiegokolwiek klawisza odblokuje wskaźnik.

Wciskając gorący klawisz blokady poziomej sprawiamy, że wskaźnik będzie się poruszał tylko pionowo. Tak samo jak w poprzednim przypadku wciśnięcie dowolnego klawisza zniesie blokadę.

Wskazówka: Chociaż możemy przesuwać mysz bezpośrednio pionowo lub poziomo w dowolnym kierunku, może się okazać, że wskaźnik przejdzie zbyt szybko przez tekst lub ikonę, której szukamy. Możemy zwolnić śledzenie przez zmianę „Szybkości Wskaźnika Myszy” w sekcji Mysz w panelu sterowania Windows (a nie w menu głównym Window-Eyes). Można ustawić cyfrę 0 zamiast domyślnej wartości 3.


10

ROZDZIAŁ DZIESIĄTY
Czytanie ekranu za pomocą myszy

10.9: WE kursor lub mysz

Czasem stwierdzamy, że nie jest wygodnie przesuwać myszką po ekranie lub chcemy użyć dwóch wskaźników równocześnie, by śledzić złożone pozycje. Do tego służy WE kursor. Aby go uaktywnić, wciskamy NUMPAD--. Ten klawisz przechodzi od wskaźnika myszy do WE kursora. Możemy użyć gorących klawiszy ruchu myszy, by przesuwać WE kursorem po ekranie. Aby zsynchronizować te dwa wskaźniki, wciskamy INS-NUMPAD--, przez co przemieszczamy nieaktywny wskaźnik do aktywnego. Np. kiedy używamy WE kursora i wciśniemy ten klawisz, wskaźnik myszy przejdzie do tego kursora.


ROZDZIAŁ JEDENASTY
Wykonywanie funkcji myszy za pomocą gorących klawiszy

Ten rozdział podręcznika Window-Eyes zawiera informacje dotyczące uruchamiania funkcji myszy za pomocą gorących klawiszy.

  • 11.1: Podstawy
  • 11.2: Gorące klawisze pojedynczego i podwójnego kliknięcia
  • 11.3: Przesuwanie myszy po kontrolkach Windows
  • 11.4: Gorące klawisze przełączania myszy
  • 11.5: Gorący klawisz „przemieść i upuść”
  • 11.6: Sprowadź mysz do okna


ROZDZIAŁ JEDENASTY
Wykonywanie funkcji myszy za pomocą gorących klawiszy

11.1: Podstawy

Jak już wiemy, w systemie MS Windows często się używa myszy, by kliknąć na ikonę, przesunąć tekst z jednego miejsca w inne itp. Ponieważ przesuwanie wskaźnika myszy przy pomocy fizycznej myszki jest dla osób niewidomych praktycznie niemożliwe, Window-Eyes oferuje zestaw funkcji klawiszowych umożliwiających korzystanie z funkcji myszy.

W rozdziale 10 omówiliśmy, jak przesuwać mysz za pomocą klawiatury. Tutaj zajmiemy się ustawianiem wskaźnika na ikonie, przesuwaniem się o jedną ikonę lub uchwyt, by dojść do danego miejsca oraz wykorzystywaniem funkcji „Znajdź”.


11

ROZDZIAŁ JEDENASTY
Wykonywanie funkcji myszy za pomocą gorących klawiszy

11.2: Gorące klawisze pojedynczego i podwójnego kliknięcia

W momencie odnalezienia ikony na ekranie, będziemy musieli kliknąć na nią, czyli wybrać jeden z przycisków myszy. W każdej aplikacji przyciski mają przypisane funkcje, dlatego też nie będziemy tych zależności tutaj omawiać. Kiedy już wiemy, którego przycisku użyć, możemy wykorzystać mysz ręcznie. Jednak większość użytkowników Window-Eyes woli nie odrywać rąk od klawiatury, dlatego też oferujemy zestaw gorących klawiszy, które działają w ten sam sposób jak przyciski myszy.

Dla funkcji pojedynczego kliknięcia Windows-Eyes posiada trzy gorące klawisze: odpowiednio po jednym dla każdego z trzech przycisków myszy. Domyślnie ustawiono tylko lewy i prawy przycisk, gdyż są one najczęściej używane. Aby kliknąć lewym przyciskiem, należy wcisnąć klawisz SLASH na klawiaturze numerycznej. Window-Eyes powie "lewy", a aplikacja wykona odpowiednią funkcję. Aby kliknąć prawym przyciskiem, wybieramy klawisz GWIAZDKA na klawiaturze numerycznej.

Można poeksperymentować z tymi gorącymi klawiszami w następujący sposób:

Przechodzimy do panelu sterowania Window-Eyes.

Upewniamy się czy NUMLOCK jest wyłączony, wciskamy CTRL-SHIFT-F lub gorący klawisz „Szukanie Myszki” aby znaleźć słowo „Plik”.

Kiedy wskaźnik znajdzie się na tym słowie na pasku menu, wciskamy klawisz SLASH na klawiaturze numerycznej. Window-Eyes mówi: "lewy", a następnie odczytuje rozwinięcie menu plik w zależności od ustawienia w menu gadatliwości. Usłyszymy więc:

  • Lewy
  • P = Plik rozwijane

Podwójnego kliknięcia można dokonać na trzy sposoby. Oczywiście można to zrobić ręcznie za pomocą myszy. Można również wcisnąć dwukrotnie gorący klawisz pojedynczego kliknięcia, lub też wcisnąć gorący klawisz podwójnego kliknięcia, który odpowiada temu przyciskowi myszy. Gorące klawisze podwójnego kliknięcia nie zostały domyślnie zdefiniowane.

W niektórych aplikacjach można przytrzymać klawisz SHIFT lub CTRL w momencie klikania przyciskiem myszy. Aby wykonać taką operację za pomocą gorących klawiszy Windows-Eyes, należy wcisnąć i uwolnić albo SHIFT albo CONTROL, a potem wcisnąć odpowiedni klawisz myszy.

Takie kombinacje są dostępne w polach listy wielokrotnego wyboru (rozdział 3.6). Połączenie kliknięcia z klawiszem SHIFT wybiera zakres obiektów na liście. Kiedy użyjemy tej kombinacji, a potem przesuniemy wskaźnik myszy za pomocą gorących klawiszy "Myszka w Górę/Myszka w Dół", wszystkie obiekty od punktu początkowego do końcowego zostaną wybrane. Kombinacja kliknięcia z klawiszem CTRL zaznacza tylko obiekt, na którym znajduje się wskaźnik myszy. Możemy go dalej przesuwać bez odznaczania lub wybierania innego obiektu. Innymi słowy, kombinacja z klawiszem SHIFT zaznacza wszystkie obiekty w zasięgu ruchu myszy, a z klawiszem CTRL wybiera tylko jeden obiekt.

Kiedy znajdujemy się w polu listy i chcemy wybrać kilka obiektów równocześnie, ale nie możemy tego zrobić, wciskamy klawisz SHIFT-F8. Ten klawisz zwykle jest przypisany przejściu z pola listy do funkcji wielokrotnego wyboru. Jednak jak z wieloma konwencjami Windows, niektórzy programiści dostosowują się do niej, a inni nie.


11

ROZDZIAŁ JEDENASTY
Wykonywanie funkcji myszy za pomocą gorących klawiszy

11.3: Przesuwanie myszy po kontrolkach Windows

Będąc w oknie dialogowym, możemy wybrać kontrolkę, na której znajduje się wskaźnik myszy, przez pojedyncze kliknięcie, ale potrzebujemy gorących klawiszy, by przejść od jednej kontrolki do drugiej i z powrotem. W tym celu Window-Eyes proponuje dwa gorące klawisze: „Myszka Poprzednia Kontrolka”, oraz „Myszka Następna Kontrolka” (nie zdefiniowane).

Możemy przesunąć wskaźnik myszy do kontrolki w punkcie uwagi za pomocą gorącego klawisza „Myszka do Kursora” (NUMPAD-INS-PLUS). Głównym celem tego klawisza jest przesuwanie wskaźnika myszy do kursora, ale jeśli nie ma kursora na ekranie, ten klawisz przesunie wskaźnik myszy do kontrolki która jest wybrana.

Można przechodzić od kontrolki do kontrolki za pomocą klawiszy TAB oraz SHIFT-TAB, przesuwając tym samym wskaźnik myszy. W panelu sterowania Window-Eyes, w menu myszy znajduje się opcja „Śledzenie za Punktem Uwagi”. Wybierając tą opcję wyłączamy funkcję śledzenia za punktem uwagi lub ją włączamy. Kiedy funkcja jest wyłączona, wskaźnik zostaje w miejscu, w którym go ustawimy, a jeśli jest włączona, Window-Eyes przesuwa wskaźnik myszy do punktu uwagi. Główną zaletą tej funkcji jest to, że można przechodzić od kontrolki do kontrolki razem ze wskaźnikiem myszy, co znaczy, że będziemy mogli natychmiast wybrać dany obiekt, zaznaczyć plik itd. W ten sam sposób wskaźnik może podążać za kursorem, gdy pracujemy w edytorze tekstu, w arkuszu lub w innych aplikacjach Windows - możemy wykorzystać mysz do zaznaczania tekstu itp.

Należy zauważyć, że w systemie Windows wskaźnik myszy automatycznie nie przechodzi do opcji menu po wciśnięciu klawisza ALT, gdyż rozwijałyby się wtedy opcje menu, co mogłoby być mylące.


11

ROZDZIAŁ JEDENASTY
Wykonywanie funkcji myszy za pomocą gorących klawiszy

11.4: Gorące klawisze przełączania myszy

W systemie Windows często mamy do czynienia z przeciąganiem ikon lub tekstu za pomocą myszy, co wygląda następująco: umieszczamy wskaźnik na wybranym obiekcie, przytrzymujemy odpowiedni klawisz myszy, przesuwamy wskaźnik na nowe miejsce i uwalniamy przycisk.

Na przykład aby zaznaczyć tekst, który ma być usunięty wystarczy ustawić wskaźnik myszy na początku tekstu. Najlepiej za pomocą funkcji „Znajdź” (CTRL-SHIFT-F). Potem należy wcisnąć lewy klawisz myszki i go zablokować w pozycji „wciśnięty” (INS-NUMPAD-/). Następnie klawiszami przesuwamy wskaźnik myszy zaznaczając tekst (o słowo INS-NUMPAD-W PRAWO). Odblokowujemy wciśnięty lewy klawisz myszki INS-NUMPAD-/ aby zakończyć oznaczanie tekstu.

Gorący klawisz przełączania myszy pozwala na przesuwanie ikon. Należy wcisnąć odpowiedni gorący klawisz przełączania myszy (każda aplikacja ma przypisane odpowiednie klawisze myszy, których należy użyć, tzn. lewy lub prawy) potem zmienić pozycję wskaźnika za pomocą strzałek lub gorących klawiszy, a potem wcisnąć gorący klawisz przełączania myszy ponownie.


11

ROZDZIAŁ JEDENASTY
Wykonywanie funkcji myszy za pomocą gorących klawiszy

11.5: Gorący klawisz "przemieść i upuść"

Gorących klawiszy przełączania myszy można użyć do zaznaczania tekstu lub zaznaczania obiektów. Window-Eyes oferuje również funkcje przenoszenia i upuszczania obiektów. Jest to zasadniczo prostsza procedura niż używanie gorących klawiszy przełączania myszy; pozwala ona na zmianę punktu uwagi lepiej śledząc tekst, podczas gdy gorące klawisze przełączania myszy nie dają takiej możliwości.

Aby uaktywnić gorący klawisz „Przemieść i Upuść” (INSERT-NUMPAD-DELETE w ustawieniu domyślnym), musimy przesunąć wskaźnik myszy do punktu, od którego chcemy rozpocząć przenoszenie, wcisnąć ten gorący klawisz, przesunąć wskaźnik do miejsca, gdzie chcemy umieścić dany obiekt, wcisnąć ten klawisz ponownie i wybrać "upuść" w oknie dialogowym, które się otworzy.

Na przykład jeśli chcemy podświetlić zdanie korzystając z funkcji „przemieść i upuść” najpierw musimy przy pomocy gorących klawiszy znaleźć początek zdania. Następnie wciskamy klawisz INS-NUMPAD-DELETE aby zaznaczyć tekst Window-Eyes powie „Znacz”. Teraz należy przesunąć wskaźnik myszy na koniec zdania i wcisnąć klawisz Przenieś i Upuść ponownie. Pojawi się okno dialogu zawierające trzy przyciski. Jeśli wybierzemy przycisk „Oznacz” Window-Eyes umieści początek oznaczania w tym miejscu, jeśli wybierzemy „Upuść” tekst zostanie oznaczony od początku zdania do miejsca gdzie się znajdujemy. Wybranie przycisku „Anuluj” spowoduje porzucenie funkcji..

Funkcji tego gorącego klawisza można również użyć do przesuwania plików z jednego okna do drugiego. Ustawiamy w tym celu wskaźnik na pliku, który chcemy przesunąć, wciskamy gorący klawisz "przenieś i upuść", aby zaznaczyć położenie tego pliku, przesuwamy wskaźnik do miejsca, gdzie chcemy umieścić dany plik, wciskamy ponownie gorący klawisz i wybieramy opcję "upuść", by przesunąć plik.

Aby korzystać z tego klawisza, na ekranie musi być widoczny początkowy punkt zaznaczenia, jak i miejsce docelowe. Nie można w ten sposób przenieść tekstu, który został przesunięty za pomocą paska przewijania w danym edytorze.

Aplikacje mogą różnie się zachowywać, gdy użyjemy gorącego klawisza "przesuń i upuść". W edytorze ten klawisz wybiera tekst, którym chcemy manipulować za pomocą schowka. W aplikacji menedżera plików będziemy mogli przesunąć plik z jednego miejsca do drugiego. Należy zatem poeksperymentować z tą funkcją w danej aplikacji lub przestudiować dokumentację na temat danego programu, by się dowiedzieć, jakie istnieją możliwości wykorzystania tej funkcji.


11

ROZDZIAŁ JEDENASTY
Wykonywanie funkcji myszy za pomocą gorących klawiszy

11.6: Sprowadź mysz do okna

W niektórych przypadkach będziemy chcieli sprowadzić mysz do wybranego okna użytkownika. Window-Eyes pozwala na taką czynność za pomocą gorącego klawisza „Sprowadź Mysz do Okna”. Najpierw należy ustawić okno użytkownika tak, by jego lewa górna część znajdowała się w miejscu, do którego chcemy sprowadzić wskaźnik (następny rozdział opisuje ustawianie okien użytkownika). Teraz należy zdefiniować gorący klawisz „Sprowadź Mysz do Okna”. Kiedy użyjemy go, pojawi się okno dialogowe, w którym wpisujemy numer okna użytkownika od 0 do 49; wskaźnik zostanie przesunięty do lewej górnej części wybranego okna.

Niektóre aplikacje, takie jak Grolier Encyclopedia wymagają od użytkownika, aby kliknął w miejscu, które może być częścią większego obrazka. Window-Eyes nie może zobaczyć takiego miejsca, dlatego też omawiana funkcja jest tutaj bardzo przydatna – mijamy obrazek i zaczynamy pracę z encyklopedią. Będziemy jedynie potrzebowali pomocy osoby widzącej, aby zlokalizować punkt, na którym należy kliknąć, ale w momencie ustalenia takiego punktu, wystarczy tylko ustawić okno użytkownika w tym miejscu i użyć gorącego klawisza „Sprowadź Mysz do Okna”, by potem odnaleźć to miejsce w razie potrzeby.

Jeszcze jeden przykład - powiedzmy, że chcemy szybko przesunąć wskaźnik do linii statusu w danej aplikacji i że linia ta używa okna numer 1. Definiujemy gorący klawisz „Sprowadź Mysz do Okna” dla danej aplikacji i w momencie, kiedy potrzebujemy szybko przejść na początek linii statusu, wciskamy ten gorący klawisz, cyfrę 1, a następnie ENTER.


ROZDZIAŁ DWUNASTY
Ustawianie i korzystanie z okna użytkownika

W tym rozdziale podręcznika programu Window-Eyes zamieszczone są informacje o definiowaniu i używaniu okien.

  • 12.1: Podstawy
  • 12.2: Jak to działa
  • 12.3: Wybór i dostosowywanie bieżącego okna użytkownika
  • 12.4: Wykorzystywanie wskaźnika myszy do ustawiania współrzędnych okna
  • 12.5: Przesunięcie
  • 12.6: Logika okna
  • 12.7: Ograniczanie czytania do okna użytkownika
  • 12.8: Status okna użytkownika
  • 12.9: Uzyskiwanie raportu odnośnie statusu okna użytkownika
  • 12.10: Czytanie okien użytkownika
  • 12.11: Pokaż kontur okna użytkownika


ROZDZIAŁ DWUNASTY
Ustawianie i korzystanie z okna użytkownika

12.1: Podstawy

Window-Eyes posiada 76 okien użytkownika, które można podzielić na dwa rodzaje: 50 właściwych okien użytkownika (od 0 do 49) oraz 26 okien hiperaktywnych (od A do Z). Zaczęliśmy omawiać ten temat w rozdziale 4.2, między innymi wyjaśniając, jak odczytywać okna użytkownika za pomocą gorących klawiszy. W tym rozdziale zajmiemy się definiowaniem i korzystaniem z okien użytkownika.

Jak już wspominaliśmy w Rozdziale 4, okna użytkownika to prostokątne fragmenty ekranu, których wymiary można indywidualnie definiować w odniesieniu do okna aktywnego. Okno użytkownika obejmujące pełne okno aktywne będzie miało identyczne współrzędne to znaczy, że jego krawędzie będą oddalone o 0 pikseli od krawędzi okna aktywnego. W momencie przesuwania lub zmiany rozmiaru okna aktywnego, okno użytkownika dostosuje swoje wymiary do tych zmian.

Wprowadziliśmy również pojęcie bieżącego okna użytkownika. Nie jest to typ okna, lecz raczej możliwość wskazania jednego z pięćdziesięciu dostępnych okien użytkownika. Bieżące okno użytkownika podlega działaniu gorących klawiszy Window-Eyes umożliwiających określanie wymiarów okna oraz innych jego parametrów. Np. jeśli okno numer 9 jest bieżącym oknem użytkownika, gorący klawisz "Czytaj Bieżące Zdanie" umożliwi odczytanie tylko tego tekstu, który znajdzie się w granicach okna numer 9.


12

ROZDZIAŁ DWUNASTY
Ustawianie i korzystanie z okna użytkownika

12.2: Jak to działa

Ustawianie i dostosowywanie okien użytkownika wykonuje się za pomocą gorących klawiszy, które domyślnie są przypisane kombinacjom od INS-F3 do INS-F7. Te klawisze podobnie jak inne gorace klawisze mogą być redefiniowane.

Window-Eyes wymaga dwu typów informacji dla każdej z czterech współrzędnych okna użytkownika. Pierwszy to wartość liczbowa określająca odległość od krawędzi okna aktywnego a druga to wskazanie krawędzi od której określana jest odległość. Np. dla lewej krawędzi należy podać zarówno wartość liczbową ustawienia, jak też czy ta wartość odnosi się do lewej czy prawej krawędzi okna aktywnego.


12

ROZDZIAŁ DWUNASTY
Ustawianie i korzystanie z okna użytkownika

12.3: Wybór i dostosowywanie bieżącego okna użytkownika

W momencie wciśnięcia gorącego klawisza "Wybierz Okno Użytkownika" INS-F3 będziemy musieli wybrać jedno z pięćdziesięciu okien użytkownika (od 0 do 49), które będzie od tego momentu bieżącym oknem użytkownika. Ustawienie to zmieni się dopiero po załadowaniu nowego pliku konfiguracyjnego.

Kiedy użyjemy klawisza INS-F3 pojawi się okno dialogu, w którym należy wpisać numer okna 0-49 i nacisnąć klawisz ENTER. Po dokonaniu wyboru okno dialogu zniknie z ekranu a wybrane okno użytkownika stanie się oknem bieżącym. Następnie wciśnięcie kombinacji INS-F4 pozwala na ustawienie współrzędnych okna, które po ustawieniu zapisujemy w pliku konfiguracyjnym. Jeśli chcielibyśmy definiować parametry innego okna, trzeba najpierw ustawić je jako bieżące okno użytkownika za pomocą wspomnianego wyżej gorącego klawisza.

Aby zdefiniować współrzędne okna użytkownika należy wcisnąć klawisz INS-F4. Pojawi się pole dialogowe, w którym będziemy mogli podać wartości dla: lewej, górnej, prawej i dolnej krawędzi okna. W tym oknie dialogowym znajduje się informacja o numerze okna i jego statusie: "Mówiące", "Zmienne", "Neutralne" czy też "Wyłączone" (status okna będzie omówiony w dalszej części tego rozdziału).

Kolejnym elementem okna dialogowego jest: "L =Lewa: x", gdzie X to bieżące ustawienie odległości dla lewej kolumny w pikselach.

Po otwarciu okna definiowania współrzędnych kursor znajduje się przy prawej krawędzi pola, zawierającego bieżące ustawienie dla lewej krawędzi, na prawo od cyfry właśnie ustawianej. Możemy potwierdzić bieżące ustawienie za pomocą klawisza TAB, lub też możemy wpisać wartość od 0 do maksymalnej rozdzielczości naszej karty graficznej i dopiero wtedy wcisnąć TAB.

Window-Eyes akceptuje ustawienie i przechodzi do następnego elementu. Następnym obiektem w polu dialogowym jest przycisk opcji. Window-Eyes podaje, że zaznaczona jest opcja "Przesunięcie od Lewej". Przy pomocy strzałek przechodzimy pomiędzy „Przesunięciem od Lewej” i „Przesunięciem od Prawej”. Kiedy wybrane jest przesunięcie od prawej współrzędne okna będą określane względem przeciwległej krawędzi.

W następnym polu wpisujemy wartość ustawienia dla górnej krawędzi okna użytkownika (wartość od 0 do maksymalnej rozdzielczości naszej karty graficznej).

Następna para przycisków opcji pozwala nam wybrać, czy chcemy, aby wpisana wartość była obliczana od górnej krawędzi czy też dolnej krawędzi okna aktywnego. Podobnie jak poprzednio wyboru dokonujemy klawiszami strzałek.

W taki sam sposób ustawiamy pozostałe dwie współrzędne: prawą i dolną.

Kolejne wciśnięcie klawisza TAB przeniesie nas od przycisków opcji dolnej krawędzi do przycisku „Kopiuj Ustawienia z Okna”. Przy pomocy tego przycisku możemy skopiować aktualnie istniejącą definicję okna zamiast je żmudnie definiować. Naciśniecie ENTER przeniesie nas do okna dialogu z polem edycji, w którym można wpisać numer okna, którego współrzędne mogą być skopiowane.

Teraz należy odnaleźć przycisk OK. i nacisnąć ENTER aby zamknąć okno dialogowe „Współrzędne Okna Użytkownika”.

W trakcie definiowania okna w każdej chwili możemy nacisnąć klawisz ESCAPE aby zaniechać zmian.


12

ROZDZIAŁ DWUNASTY
Ustawianie i korzystanie z okna użytkownika

12.4: Wykorzystywanie wskaźnika myszy do ustawiania współrzędnych okna

Window-Eyes oferuje alternatywną, a zarazem prostszą metodę ustawienia współrzędnych okna za pomocą wskaźnika myszy.

Ze względu na to, że wszystkie okna użytkownika mają kształt prostokątów, ich granice są zawsze zdefiniowane jako współrzędne dwóch wierzchołków "górny lewy" oraz "dolny prawy". Wystarczy znać tylko te współrzędne, aby zdefiniować logicznie pozostałe, przy czym łatwo można znaleźć górny lewy róg oraz dolny prawy róg okna bez znajomości dokładnych współrzędnych. Np. górna krawędź to pierwszy wiersz tekstu powyżej lub poniżej linii statusu, lub pasek menu. Takie charakterystyczne punkty na ekranie łatwo ustalimy za pomocą wskaźnika myszy przesuwając go po ekranie.

Zatem, kiedy chodząc myszką znajdziemy miejsce, które będzie można wykorzystać jako granica okna użytkownika, po prostu wciskamy INS-F5, aby ustawić górną lewą granicę, lub INS-F6 dla granicy dolnej prawej. Window-Eyes sam wprowadza wartości współrzędnych oraz dostosowuje te wartości do początku lub końca bieżącego uchwytu.

W niektórych programach, takich jak programy edycji dźwięku, uchwyt może stanowić cały wiersz, a my wolelibyśmy, aby okno użytkownika nie zawierało części takiego wiersza. W tym celu używamy granic uchwytu z wyłączoną opcją „Używaj Granic Uchwytu dla Myszki” w menu głównym. Takie ustawienie jest ustawieniem globalnym, przechowywanym w WINEYES.INI.


12

ROZDZIAŁ DWUNASTY
Ustawianie i korzystanie z okna użytkownika

12.5: Przesunięcie

Kiedy powinniśmy używać dalszych krawędzi dla opcji przesunięcia przy ustawianiu okna? Ogólnie rzecz biorąc, prawdopodobnie będziemy używać minimum jednej z przeciwnych krawędzi dla większości okien.

Spójrzmy na przykład. Załóżmy, że w danym edytorze tekstu numery strony i wiersza wyświetlone są u dołu okna aktywnego. Chcemy zdefiniować gorący klawisz, który będzie odczytywał te informacje. Wybieramy zatem Okno 5, ustawiamy wskaźnik myszy na słowie „Strona” i wciskamy INS-F5. Następnie ustawiamy wskaźnik na numerze wiersza i wciskamy INS-F6. Za pomocą kombinacji ALT-5 odsłuchujemy dane w Oknie 5. Teraz należy z powrotem ustawić bieżące okno użytkownika na 0 i zapisać ustawienia. Przywrócenie właściwego bieżącego okna jest istotne z tego powodu, że część klawiszy akcji lub gorących klawiszy może działać na bieżącym oknie użytkownika, którego zmiana może spowodować zakłócenie ich działania.

Jeśli spojrzymy na ustawienia okna 5, zobaczymy prawdopodobnie takie dane:

  • Lewa = 498 - Zaznaczone "Przesunięcie od lewej"
  • Górna = 467 - Zaznaczone "Przesunięcie od górnej"
  • Prawa = 64 - Zaznaczone "Przesunięcie od prawej"
  • Dolna = 8 - Zaznaczone "Przesunięcie od dolnej"

Może wydawać się dziwne, że górna krawędź ma wartość 467, a dolna 8, ale należy pamiętać, że jest to odległość liczona od krawędzi i nie oznacza pozycji globalnej.

Co się stanie, gdy zdecydujemy się zmienić rozmiar okna aktywnego? Taka zmiana wpływa na pozycję linii statusu - może teraz znajdować się ona o wiele bliżej górnej krawędzi. Może będzie trzeba zmienić wartość ustawienia górnej krawędzi okna użytkownika na, powiedzmy, 300 pikseli od górnej krawędzi okna aktywnego.

Czy za każdym razem musimy dostosowywać współrzędne okna użytkownika po zmianie rozmiaru okna aktywnego? Nie – wystarczy użyć opcji „Przesunięcie od dołu” dla górnej krawędzi okna 5. Ustawiamy w ten sposób współrzędną górnej krawędzi okna użytkownika w odniesieniu do krawędzi dolnej okna aktywnego, co da nam możliwość odczytania linii statusu, bez odsłuchiwania zbędnych danych znajdujących się w sąsiedztwie. W omawianym przykładzie będzie to wartość ok. 50 pikseli.

Oprócz odczytywania współrzędnych za pomocą wskaźnika myszy, Window-Eyes ma możliwość automatycznego odczytywania przesunięcia okna. Aby uaktywnić tę funkcję należy dwukrotnie wcisnąć INS-F5 lub INS-F6 w jednym miejscu bez przesuwania wskaźnika myszy, a Window-Eyes w tym ogłosi albo „Górny lewy”, albo „Dolny prawy”, a następnie ustawi przesunięcia od najbliższej granicy okna i powie: „Przesunięcie Automatyczne”. Ustawienie automatycznego przesunięcia może nie zawsze być poprawne, gdyż najbliższa granica okna czasem nie jest tą granicą, która się nie zmienia przy zmianie rozmiaru okna. Jednak z reguły ta funkcja jest bardzo przydatna. Jeśli złe przesunięcie zostanie wybrane, używamy INS-F4, by wybrać inne ustawienie, a następnie INS-F5 oraz INS-F6, by wybrać inne współrzędne okna.


12

ROZDZIAŁ DWUNASTY
Ustawianie i korzystanie z okna użytkownika

12.6: Logika okna

Pomimo swoich możliwości, komputer nie może przeciwstawić się logice. Za każdym razem, gdy będziemy usiłowali ustawić współrzędne w sposób nielogiczny (np. ustawimy okno poprawnie a następnie zmienimy jego rozmiar i spróbujemy umieścić górną krawędź poniżej dolnej itp.), a potem będziemy chcieli odczytać tak ustawione okno, Window-Eyes nie odczyta żadnych danych.

Czasami dobrze zdefiniowane okno, w wyniku zmian rozmiarów okna aplikacji może zmienić swoje wymiary tak, że wystąpi nałożenie się krawędzi. W tym przypadku Window-Eyes nic nie odczyta.


12

ROZDZIAŁ DWUNASTY
Ustawianie i korzystanie z okna użytkownika

12.7: Ograniczanie czytania do okna użytkownika

Dlaczego chcemy aby to okno było oknem bieżącym a nie inne? Może być wiele tego przyczyn, ale jedna zostanie zilustrowana na podstawie typowej sytuacji.

Wyobraźmy sobie, że chcemy odczytać tekst zapisany w dwóch kolumnach. Kiedy odczytujemy wiersz, słyszymy tekst znajdujący się w obu kolumnach, co sprawia, że ten tekst jest całkowicie niezrozumiały.

W takiej sytuacji, za pomocą okna użytkownika, Window-Eyes może ograniczyć odczytanie tekstu tylko do jednej kolumny. Kiedy wciśniemy gorący klawisz, aby odczytać ustawione okno, usłyszymy część dokumentu w pierwszej kolumnie, która wyświetlona jest na ekranie, jeśli okno zdefiniowane jest tak aby zawierać tylko tę kolumnę. Gdy ustawimy to okno jako bieżące okno użytkownika, a następnie przesuniemy się strzałką w dół po dokumencie, Window-Eyes odczyta tylko tę część wiersza, która znajduje się w obrębie okna użytkownika.

Jeśli kursor znajduje się poza obrębem bieżącego okna użytkownika, gorące klawisze Window-Eyes będą odczytywać tekst, bez względu na ustawione granice bieżącego okna użytkownika. Jeśli w menu akcji ustawiliśmy strzałki w górę i w dół tak, by odczytywały bieżącą linię, a teraz będziemy używać tych strzałek do przesuwania kursora powyżej lub poniżej granic bieżącego okna użytkownika, wiersze poza tymi granicami będą udźwiękowione. Jednak jeśli w tych samych warunkach bieżące okno użytkownika rozmiarem odpowiada oknu aktywnemu, tylko tekst znajdujący się w tym oknie będzie udźwiękowiony.


12

ROZDZIAŁ DWUNASTY
Ustawianie i korzystanie z okna użytkownika

12.8: Status okna użytkownika

W większości przypadków nie będziemy chcieli odczytywać wszystkiego, co dany program użytkowy wyświetla na ekranie. Przykładowo, pola edycji, pola dialogowe czy menu zawierają o wiele za dużo informacji, i to niekoniecznie zapisanej w uporządkowany sposób, by odsłuchiwać wszystko po kolei. Jednak istnieją programy, gdzie taka możliwość jest przydatna, np. internetowe programy komunikacyjne. Sposób odczytu ustalamy w polu dialogowym definicji okna użytkownika, gdzie dostajemy się za pomocą klawiszy INS-F7. Pole to będzie omawiane szerzej w Rozdziale 13.5. Poniżej przedstawimy pojecie statusu okna, który w sposób istotny wpływa na sposób czytania informacji z ekranu.

Okno Mówiące

Takie okno daje nam możliwość odczytania wszystkiego, co jest wyświetlone na ekranie. Szczególnie jest to przydatne w programach komunikacyjnych, gdzie chcemy odczytać wszystkie informacje przesyłane, na przykład, przez nasz serwer. Gdy w oknie programu komunikacyjnego serwer wyświetli menu, w domyślnym ustawieniu Window-Eyes nie odczyta tego; należy wcisnąć odpowiedni gorący klawisz, aby usłyszeć to menu. Prościej jest jednak ustawić okno użytkownika, które będzie odpowiadać obszarowi okna aktywnego, oraz polecić Window-Eyes, aby odczytał automatycznie wszystkie informacje, które pojawią się w tym oknie. Oczywiście, jeśli to okno nie obejmuje całego ekranu, tylko tekst zawarty w oknie będzie udźwiękowiony.

Jeśli tylko jedno okno użytkownika ma status okna mówiącego i okno to nie pokrywa całego ekranu, to tylko tekst znajdujący się wewnątrz tego okna, będzie wypowiadany automatycznie. Na przykład: ustawiając lewą krawędź okna mówiącego na 0, a prawą na 300 pikseli spowodujemy, że tylko informacja pojawiająca się w lewej części ekranu będzie automatycznie wypowiadana.

Jeśli nie wiemy, w której części ekranu zostaną wyświetlone potrzebne nam informacje, można rozważyć użycie gorącego klawisza „Przełącznik wszystkie mówiące” - tzn. kombinacji klawiszy INS-A. Skoro jest to przełącznik, ma dwa ustawienia: "włączony" i "wyłączony".

Opcja „wyłączony” nie wpływa na pracę Window-Eyes.

Jeśli wybrana jest opcja „włączony”, wszelki tekst lub informacje, które będą pojawiać się na ekranie, będą automatycznie odczytywane, bez względu na miejsce, w którym te informacje się pojawią.

Jeśli jednak chcemy odczytać tekst, który pojawia się w konkretnym miejscu na ekranie, lepiej będzie ustawić w takim miejscu mówiące okno użytkownika, niż stosować wyżej wspomniany gorący klawisz.

Można ustawić dowolną liczbę okien mówiących. Jeśli okna nałożą się, nie będzie miało to wpływu na jakość odczytu - dany tekst odczytany zostanie tylko raz, tak, jak się pojawia na ekranie. W takich przypadkach nie ma również znaczenia, które z okien jest bieżącym oknem użytkownika, lub też jak są ustawione granice okien użytkownika.

Klawisz CTRL wstrzymuje odczyt tekstu. Z kolei, kiedy tekst się skończy, Window-Eyes wydaje krótki, ostrzegawczy dźwięk, i wtedy użycie klawisza CTRL wznawia odczytywanie.

Niektóre programy użytkowe czy też komunikacyjne wypisują tekst w polach edycji. Można wtedy w menu ogólnym wybrać opcję „Dopuść mówiące okna w polu edycji”, która pozwala na odsłuchanie takiego tekstu. Opcja ta nie wpływa na tekst, który sami wpisujemy w pola edycji.

Okno Ciche

Kiedy status okna ustawiony jest na ciche, tekst znajdujący się w granicach takiego okna nie będzie udźwiękowiony. Jednak nie jest to aż tak proste – okna działają według zasady priorytetu: im niższy numer okna, tym wyższy priorytet, co oznacza, że status takiego okna będzie dominował nad statusem okna o wyższym numerze. Dlatego też, jeśli nie chcemy odsłuchiwać danego tekstu, numer okna cichego, jaki ustawimy, musi mieć niższy numer od okna mówiącego.

Przykładowo, chcemy, żeby cały tekst, oprócz górnego wiersza, był odczytywany automatycznie. Ustawiamy współrzędne Okna 1 w następujący sposób: lewa = 0, górna = 0, prawa = 0, dolna = 50, nie zaznaczając przesunięcia od góry. Ustawiamy Okno 1 na „Ciche”. Ustawiamy Okno 2 na pełne okno aktywne, a jego status na „Mówiące”. Wszystkie inne okna ustawiamy na „Neutralne”. W ten sposób tekst znajdujący się w górnym wierszu okna aktywnego nie będzie odczytywany.

Okno ciche może być przydatne w sytuacji gdy system wyświetla nam na ekranie stale zmieniającą się informację np. godzinę.

Okno Neutralne

Okno ustawione na neutralne ani nie ogranicza, ani nie pozwala na odczyt tekstu zapisywanego na ekranie.

Warto tu zauważyć, że wszystkie gorące klawisze działają niezależnie od statusu okna użytkownika. Umożliwiają więc odczytać zawartość każdego okna.

Okno Zmienne

W tym momencie nie będziemy omawiać okien zmiennych, gdyż będą one opisane w rozdziale 15. Tu wystarczy tylko nadmienić, że współrzędne okna zmiennego zmieniają się automatycznie, w zależności od pozycji kursora, czy też paska podświetlenia.


12

ROZDZIAŁ DWUNASTY
Ustawianie i korzystanie z okna użytkownika

12.9: Uzyskiwanie raportu odnośnie statusu okna użytkownika

Wciskając gorący klawisz „Współrzędne Okna Użytkownika” (domyślnie nie zdefiniowany) uzyskujemy następujące dane: numer bieżącego okna użytkownika, jego status (tzn. neutralne, zmienne itp.), oraz współrzędne okna. W taki sam sposób uzyskujemy dane na temat okien hiperaktywnych, ale będziemy to zagadnienie szerzej omawiać w rozdziale 14.

Aby dowiedzieć się o ustawieniach okien możemy również użyć gorącego klawisza „Status Okna Użytkownika”. Klawisz ten nie jest zdefiniowany domyślnie a jego użycie wyświetli okno dialogu zawierające status wszystkich 76 okien.


12

ROZDZIAŁ DWUNASTY
Ustawianie i korzystanie z okna użytkownika

12.10: Czytanie okien użytkownika

Istnieje kilka sposobów odczytania okna użytkownika. Najprostszą i najbardziej bezpośrednią metodą jest użycie gorącego klawisza.

Pierwsze dwadzieścia okien użytkownika (od 0 do 19) ma swoje gorące klawisze. Dla okien od 0 do 9, są to kombinacje od ALT-0 do ALT-9; dla okien od 10 do 19, domyślnie nie są zdefiniowane.

Każde okno użytkownika lub okno hiperaktywne może być odczytane za pomocą gorącego klawisza „Czytaj Dowolne Okno” (domyślnie nie zdefiniowany), po wciśnięciu którego należy wpisać cyfrę (od 0 do 49) lub literę (od A do Z). Jeśli zatem chcemy przeczytać zawartość okna 37 należy uruchomić gorący klawisz „Czytaj Dowolne Okno” (jeśli nie był do tej pory zdefiniowany to należy go zdefiniować) a następnie podać numer okna i nacisnąć ENTER. Jeśli zamierzamy odczytać okno hiperaktywne zamiast numeru okna wciskamy literę oznaczającą okno.

Czasem chcielibyśmy odczytać bieżące okno użytkownika bez zastanawiania się, które okno jest bieżące, lub jaki jest jego gorący klawisz. W takich sytuacjach Window-Eyes oferuje gorący klawisz „Czytaj Aktywne Okno Użytkownika” (domyślnie nie zdefiniowany). Taka funkcja jest bardzo użyteczna np. w momencie, gdy pracujemy z tekstem zapisanym w kolumnach i po prostu chcemy odczytać okno, w którym się właśnie znajdujemy.


12

ROZDZIAŁ DWUNASTY
Ustawianie i korzystanie z okna użytkownika

12.11: Pokaż kontur okna użytkownika

Ta funkcja adresowana jest do użytkowników mogących posługiwać się wzrokiem, aby ułatwić im kontrolowanie granic okien użytkownika w momencie ich ustawiania. Opcja ta znajduje się w menu globalnym, jednak nie jest zapisywana w pliku konfiguracyjnym - przy każdym załadowaniu Window-Eyes jest wyłączana. Po jej włączeniu, Window-Eyes przedstawi obszar okna użytkownika lub okna aktywnego na ekranie jako negatyw, za każdym razem, jak takie okno będziemy odczytywać. Jeśli będziemy dane okno odczytywać po raz drugi, zostanie ono znów przestawione (lub ustawione normalnie) na ekranie.

Może się zdarzyć, że przy takiej procedurze ekran będzie wymagał przerysowania. Można to zrobić za pomocą gorącego klawisza przerysowania INS-\ lub też najpierw minimalizując ALT-SPACJA, potem N, a następnie maksymalizując program użytkowy ALT-SPACJ


ROZDZIAŁ TRZYNASTY
Atrybuty i paski podświetlenia

W tym rozdziale podręcznika zawarte zostały informacje o atrybutach i paskach podświetleń.

Do tej pory omawialiśmy dostęp do informacji z dwóch perspektyw: pozycji kursora lub wskaźnika myszy, oraz pozycji w obrębie okien Window-Eyes. Te metody byłyby wystarczające, gdyby programy użytkowe wyświetlały informacje zawsze w tym samym miejscu na ekranie oraz w tych samych kolorach. Tak jednak nie jest. Tekst jest grupowany według różnych wzorów i oznaczany różnymi kolorami, paski podświetlenia podkreślają informacje takie jak: aktywne obiekty menu, kolumny i nagłówki rzędów oraz ‘hipertekst’. Takie obiekty są wizualnie atrakcyjne, lecz bardzo skomplikowane pod względem wykorzystania elementów wizualnych.

  • 13.1: Podstawy
  • 13.2: Jak to działa
  • 13.3: Wykrywanie nowych atrybutów
  • 13.4: Śledzenie paska podświetlenia
  • 13.5: Menu Definicji Standardowego Okna Użytkownika
  • 13.6: ASCII/Atrybuty kursora i wskaźnika myszy


ROZDZIAŁ TRZYNASTY
Atrybuty i paski podświetlenia

13.1: Podstawy

Zanim przejdziemy do omawiania sposobów, które umożliwiają dostęp do graficznych cech programów użytkowych Windows, zajmiemy się przedstawieniem kilku podstawowych zagadnień.

Każdy obiekt na ekranie, np. znak, ikona itp., jest wyświetlany w pikselach, z których każdy posiada swój własny kolor: odcień koloru czerwonego, zielonego i niebieskiego na pierwszym planie oraz odcienie tych samych kolorów w tle. Każdy atrybut na ekranie musi być wyrażony za pomocą przynajmniej tych sześciu wartości.

Windows często wyświetla dany obiekt w innej kombinacji kolorów niż pozostałe obiekty na ekranie. Przykładowo, w systemie pomocy Windows, tekst połączeń hipertekstowych (linków) ma zwykle jaśniejszy kolor od pozostałego tekstu. Przesuwając punkt uwagi od jednego do drugiego elementu, często zmieniamy jego kolor wyróżniając dany obiekt wśród pozostałych. Najczęściej zmiana koloru dotyczy tekstu i widoczna jest na ekranie jako pasek podświetlenia. Window-Eyes między innymi używa pasków podświetlenia przy aktywnych obiektach menu w Menu Głównym. Podobnie też jest w edytorze tekstu gdy oznaczamy fragment tekstu, w tym przypadku Window-Eyes będzie traktował wybrany tekst tak jak pasek podświetlenia.

Hipertekst jest wskazaniem na jakąś inną częścią tekstu i zwykle pojawia się on na ekranie jako pasek podświetlenia. Jeśli będąc na takim pasku wciśniemy ENTER, program użytkowy przejdzie na stronę, która zawiera wskazany tekst. Hipertekst jest bardzo popularny w systemach pomocy i w Internecie gdzie stanowi odnośniki do stron internetowych.


13

ROZDZIAŁ TRZYNASTY
Atrybuty i paski podświetlenia

13.2: Jak to działa

W tej chwili zaczynamy omawiać Window-Eyes w bardziej ogólny sposób niż do tej pory, tzn. funkcje Window-Eyes wykorzystywane przy pracy z atrybutami oraz paskami podświetlenia doprowadzą nas do menu ekranu, menu gorących klawiszy oraz pola dialogowego "Menu definicji okna". Są więc one wykorzystywane w różnych miejscach programu.


13

ROZDZIAŁ TRZYNASTY
Atrybuty i paski podświetlenia

13.3: Wykrywanie nowych atrybutów

Wykrywanie nowych atrybutów czytanego tekstu może okazać się ważne. Przykładowo, tekst pogrubiony czy podkreślony posiada inne atrybuty niż pozostały tekst. Należy zauważyć, że pogrubienie, podkreślenie, itp., to często używane metody edycji tekstu (np. odróżnienia poprawek od tekstu oryginalnego). W bazie danych mogą znajdować się pola, których nie można zmienić i są one oznaczane za pomocą innego koloru niż w pozostałe pola. Aby wykryć zmiany atrybutów można użyć gorących klawiszy, lub też wykorzystać obiekt menu ekranu "Zmiany Atrybutów", przy czym funkcjonalnie te dwie metody kontroli właściwości niczym się nie różnią.

Ustawienia w menu gadatliwości wpływają na to, które zmiany atrybutów są wymieniane, jeśli włączymy tę funkcję (Rozdział 5.5).


13

ROZDZIAŁ TRZYNASTY
Atrybuty i paski podświetlenia

13.4: Śledzenie paska podświetlenia

Już wiemy, że Window-Eyes potrafi wyizolować i udźwiękowić tekst wyświetlany w danych zestawach kolorystycznych, ale co się stanie, gdy zmienią się te zestawy kolorów? Zwykle można przesunąć paski podświetlenia za pomocą strzałek.

Gdyby paski podświetlenia zawsze zawierały kursor, nie byłoby trudności w odczytywaniu ekranu. Jednak często kursor znika w momencie, gdy pojawiają się paski. Dlatego też bardzo ważną rzeczą jest umiejętność odczytywania pasków podświetlenia podczas ich przemieszczania się.

Window-Eyes oferuje tu funkcję zwaną „Śledzenie Pasków Podświetlenia”. Aby w pełni wykorzystać tę funkcję, należy: określić, jakie właściwości kolorów Window-Eyes ma uważać za pasek podświetlenia, ustawić gorący klawisz „Czytaj Pasek” i ustawić gorący klawisz „Przełącznik Paska”, Jeśli chcemy skorzystać z gorących klawiszy w sposób uproszczony, możemy przejść bezpośrednio do obiektu „Śledzenie Paska” w Menu Ogólnym i wybrać spomiędzy trzech opcji w polu listy.

Ustawianie pasków podświetlenia

Aby ustawić kolor paska podświetlenia, należy umieścić wskaźnik myszy na dowolnej części tekstu w tym pasku. Następnie należy wcisnąć gorący klawisz "Ustaw Kolory Paska" (domyślnie nie zdefiniowany). Window-Eyes ustawi kolor paska na podstawie koloru znaku, na którym znajduje się wskaźnik myszki. Na przykład Window-Eyes może w tym momencie ustalić kolor jako "R255, G255, B255 na R0, G0, B0" (biały na czarnym). Możemy teraz znaleźć pasek podświetlenia, włączając zmiany atrybutów (za pomocą gorącego klawisza, lub wybierając odpowiednią opcję w menu) i odczytując okno aktywne. Atrybuty tekstu wyświetlonego na pasku podświetlenia są odczytywane zanim udźwiękowiony zostanie tekst. Inną metodą lokalizacji prawidłowego koloru dla paska podświetlenia jest przechodzenie za pomocą wskaźnika myszy od obiektu do obiektu i wciskanie gorącego klawisza „Ustaw Kolory Paska” na każdej części tekstu, aż do momentu, gdy znajdziemy obiekt wyświetlony w innym kolorze.

Klawisz, który przypiszemy funkcji gorącego klawisza "Czytaj Pasek", odczytuje pasek podświetlenia, jeśli takowy znajdzie się w obrębie okna aktywnego. Podwójne wciśnięcie tego klawisza daje nam możliwość przeliterowania słowa lub słów na pasku podświetlenia, zaś potrójne – literowania fonetycznego. Jeśli paska podświetlenia nie będzie, usłyszymy krótki dźwięk ostrzegawczy.

Klawiszem, któremu przypiszemy funkcję gorącego klawisza "Przełącznik Paska", możemy przechodzić pomiędzy opcjami: "Śledzenie Paska Wyłączone", "Automatyczne Śledzenie Paska" oraz "Śledzenie Paska Włączone". Należy pamiętać, że te ustawienia obowiązują tylko w oknie bieżącym. Korzyścią wypływającą z tego faktu jest możliwość ustawiania okien w zależności od potrzeb i sytuacji, bez konieczności ładowania nowego pliku konfiguracyjnego za każdym razem, gdy zaistnieje potrzeba nowych ustawień.

Gdy funkcja śledzenia paska jest wyłączona, klawisze strzałek działają jak zwykle. Jeśli jednak jest włączona, Window-Eyes odczytuje pasek podświetlenia za każdym razem, gdy wciśniemy klawisze strzałek, CTRL-TAB lub SHIFT-CTRL-TAB. Jeśli w obrębie bieżącego okna nie ma żądnego paska, Window-Eyes nic nie odczyta. Trzeba zaznaczyć, że w momencie włączenia paska podświetlenia wyżej wymienione klawisze nie działają zgodnie ze swoimi definicjami akcji.

Jeśli wybierzemy opcję automatycznego śledzenia paska, Window-Eyes spróbuje odczytać pasek, gdy wciśniemy klawisze strzałek, CTRL-TAB lub SHIFT-CTRL-TAB, nawet jeśli kolory paska podświetlenia nie zostały ustawione. Jeśli nie ma paska podświetlenia, Window-Eyes funkcjonuje jak zwykle; jeśli program użytkowy wyświetli pasek podświetlenia, Window-Eyes spróbuje odczytać jego zawartość na podstawie kombinacji kolorów standardowo używanych przez system Windows dla menu oraz ikon.


13

ROZDZIAŁ TRZYNASTY
Atrybuty i paski podświetlenia

13.5: Menu Definicji Standardowego Okna Użytkownika

Dostęp do menu definicji okna umożliwia kombinacja klawiszy INS-F7.

Pojawi się pole dialogowe, a następnie Window-Eyes powie: „Definicja Standardowego Okna Użytkownika, Definicja Okna X” „(gdzie ‘X’ oznacza numer bieżącego okna użytkownika). Klawisz TAB przesuwa nas po poszczególnych obiektach a Window-Eyes czyta aktualny obiekt i jego ustawienie. Poniższa lista podaje obiekty i ich funkcje w polu dialogu „Menu Definicji Okna”:

Obiekt

Funkcja

O = Okno X Definicja

Ustawia status bieżącego okna użytkownika. Strzałki W GÓRĘ i W DÓŁ przesuwają po polu listy dając do wyboru „Zmienne”, „Neutralne”, „Ciche” i „Mówiące”.

K = Linia Komentarza

To pole edycji pozwala wprowadzić opis funkcji definiowanego okna. Jest ono używane do przygotowywania wewnętrznej dokumentacji przez opracowujących pliki konfiguracyjne. Komentarz nie może być dłuższy niż 25 znaków.

N = Każdy kolor znaków pasuje

Pozwala ustalić, czy bieżące okno użytkownika obejmuje jakikolwiek kolor znaków, czy tylko kolor wpisany dalej w tym polu dialogu; za pomocą spacji możemy przełączyć na "oznaczone" lub "nie oznaczone".

A = Każdy kolor tła pasuje

Pozwala ustalić, czy bieżące okno użytkownika obejmuje jakikolwiek kolor tła, czy tylko kolor wpisany później w tym polu dialogu; za pomocą spacji możemy przełączyć na "oznaczone" lub "nie oznaczone".

W = Wprowadź atrybuty okna

Pozwala ustawić wartości RGB dla kolorów znaków i tła bieżącego okna użytkownika, w celu udźwiękowienia za pomocą gorących klawiszy typu ‘czytaj okno’ lub też poprzez wybranie statusu okna ‘mówiące’; po wciśnięciu klawisza ENTER pojawi się pole dialogu, w którym możemy ustawić wartości RGB dla znaków i tła;

Na dole tego pola dialogu znajdują się przyciski "OK.", "CANCEL" oraz „Spod myszki”, za pomocą którego ustawiamy kolory do właściwości znajdujących się pod wskaźnikiem myszy; Window-Eyes w tym momencie powie: „Myszka zaakceptowana”.

L = Mów i literuj

Powoduje, że każde słowo w oknie jest natychmiast literowane przy odczytaniu. Za pomocą spacji to pole wyboru możemy przełączyć na "oznaczone" lub "nie oznaczone".

N = Następne okno do czytania

Pozwala wybrać standardowe okno do odczytu przez Window-Eyes, natychmiast po odczytaniu okna bieżącego. Okno nie może być w ten sposób odczytane dwukrotnie.

Za pomocą strzałek w dół i w górę wybieramy okno, które chcemy odczytać, lub wpisujemy jego numer.

P = Status paska podświetlenia

Oferuje te same opcje, jak gorący klawisz „Przełącznik Paska”: ‘auto’, ‘on’ i ‘off’; między tymi opcjami można poruszać się strzałkami w górę i w dół .

D = Wprowadź atrybuty paska

Pozwala wprowadzić atrybuty dla znaków oraz dla tła paska podświetlenia w bieżącym oknie użytkownika. Po wciśnięciu klawisza ENTER pojawi się pole dialogu, w które należy wpisać odpowiednie wartości RGB.

U = Auto określenie koloru paska

Pozwala zlecić Window-Eyes, by spróbował ustalić jak zmieniają się na ekranie kolory pasków podświetlenia. Klawiszami ALT-U zaznaczamy pole wyboru, a przy ponownym użyciu tej kombinacji lub spacji odznacza to pole.

S = Kopiuj Ustawienia z Okna

Pozwala wprowadzić numer okna, którego ustawienia chcemy skopiować.

Menu definicji okna jest idealne do szybkiego uzyskiwania informacji na temat wymienionych cech i dokonywania zmian, bez niepotrzebnego czekania na pojawienie się żądanych właściwości na ekranie czy też poszukiwania ich wskaźnikiem myszy.

Status

W Rozdziale 12 można znaleźć dokładny opis opcji statusu okna, tzn. ‘neutralne’, ‘mówiące’, ‘zmienne’ i ‘wyłączone’.

Atrybuty okna

Ta funkcja rozszerza znacznie możliwości korzystania ze standardowego okna. Spójrzmy na taki oto przykład:

W bazie danych tekst w polu pamięci wyświetlany jest kolorem białym na czarnym tle, podczas gdy wszystkie inne dane i nazwy pola wyświetlane są w innych kolorach. Rozmiar pola „Memo”, jak i jego pozycja zmienia się w obrębie punktu uwagi okna, dlatego też ustawienie okna użytkownika, rozmiarem zawsze równym polu „Memo”, może być kłopotliwe.

Na szczęście pole „Memo” ma swoje konkretne właściwości. Zatem możemy ustawić okno użytkownika (o rozmiarze pola pamięci) jako cały punkt uwagi okna, oraz ustawić właściwości okna zgodnie z wyświetlonym zestawem kolorów (np. R225, G225, B225 na R0, G0, B0), a następnie możemy wcisnąć odpowiedni gorący klawisz, by odczytać zawartość tego okna użytkownika. Tylko pole „Memo” będzie w tym przypadku odczytane.

Jest prosta i szybka metoda definiowania kolorów dla okna użytkownika. Najpierw należy przywołać okno aplikacji, które zawiera interesujące nas podświetlone pole. Następnie przy pomocy klawisza INS-F3 ustalamy numer bieżącego okna na przykład 8. Następnie przesuwamy wskaźnik myszki do miejsca gdzie znajduje się podświetlony tekst i naciskamy gorący klawisz „ Ustaw Kolor Okna Użytkownika” (niezdefiniowany domyślnie). Window-Eyes zaanonsuje ustawione parametry kolorów i automatycznie skasuje wybór pól „Każdy kolor znaków pasuje” i „Każdy kolor tła pasuje”.

Czasem może się zdarzyć, że pewne pojawiające się pola nie będą udźwiękowione pomimo tego, że kolory zostały określone. W takich przypadkach często okazuje się, że tekst został wyświetlony odrobinę jaśniejszym odcieniem koloru na tym samym tle (np. R255, G248, B255 na R0, G0, B0). Nie jest to przypadek rzadki w programach użytkowych. Za pomocą opcji menu definicji okna: „Każdy kolor znaków pasuje”, można łatwo i szybko dostosować okno użytkownika do tego typu zmian.

Uwaga: nie zaleca się stosowania okna użytkownika, ustawionego z konkretnymi właściwościami, jako bieżącego okna użytkownika. Do takich celów zawsze należy wybrać okno inne niż to, które służy nam zwykle do pracy.

Mów i Literuj

Ta funkcja jest bardzo wygodna przy sprawdzaniu pisowni. Słowa, składające się z więcej niż jednej litery, najpierw są odczytywane, a potem literowane.

Następne Okno do Czytania

Załóżmy, że edytor tekstu wyświetla numer dokumentu u góry punktu uwagi okna, a numer strony i wiersza u dołu. Możemy ustawić dwa okna, a następnie użyć dwóch gorących klawiszy, by odczytać te informacje. Możemy jednak użyć tylko jednego gorącego klawisza do odczytania interesujących nas danych – do tego celu służy nam opcja "Następne Okno do Czytania" w menu definicji okna, za pomocą której możemy połączyć dowolną liczbę okien użytkownika, aby następnie je kolejno odczytać, wciskając gorący klawisz odczytujący pierwsze z okien.

Status paska podświetlenia i jego atrybuty

Właściwości paska podświetlenia ustawiane są w ten sam sposób, jak właściwości okna: przycisk "Wprowadź atrybuty paska" daje nam możliwość wyświetlenia takiego samego pola dialogowego, jak w przypadku użycia przycisku "Wprowadź atrybuty okna".

Ze względu na fakt, iż kolor lub styl pasków podświetlenia często się zmienia przy pracy z różnymi programami, Window-Eyes oferuje 50 niezależnych ustawień paska w obrębie każdego pliku konfiguracyjnego. Status paska podświetlenia (włączony, wyłączony lub automatyczny) jest ustawiony dla każdego okna użytkownika z osobna, niezależnie od statusu paska w innych oknach użytkownika (tzn. to ustawienie nigdy nie jest "globalne").

Podobnie też ustawienia atrybutów są przypisane dla konkretnego okna i nie wpływają na ustawienia paska podświetlenia w innych oknach.

Co to oznacza dla użytkownika? Jeśli program użytkowy wyświetli paski podświetlenia w dwóch różnych kolorach, Window-Eyes może odczytać właściwy pasek gdy zmienimy okno użytkownika. Podobnie też w przypadku, gdy w danym trybie programu nie będzie w ogóle paska podświetlenia, możemy wyłączyć funkcję śledzenia paska, przechodząc do innego okna użytkownika, które nie będzie miało takiej funkcji.

Kopiuj Ustawienia z Okna

Ten przycisk przywołuje pole edycji, w którym należy wpisać numer okna, którego ustawienia zostaną skopiowane.


13

ROZDZIAŁ TRZYNASTY
Atrybuty i paski podświetlenia

13.6: ASCII/Atrybuty kursora i wskaźnika myszy

Gorące klawisze „ASCII/Atrybuty kursora i wskaźnika myszy” podają informację o kodzie ASCII oraz atrybutach znaku, na którym znajduje się kursor lub wskaźnik myszy. Jeśli nie żaden znak nie jest wskazany, po naciśnięciu tych klawiszy usłyszymy krótki dźwięk ostrzegawczy. Gorący klawisz "ASCII/ Atrybuty kursora" jest przypisany kombinacji CTRL-NUMPAD-DELETE, podczas gdy dla wskaźnika myszy to kombinacja CTRL-INS-NUMPAD-DELETE. Wciskając jeden z tych klawiszy, usłyszymy kod znaku ASCII, czcionkę, rozmiar czcionki, styl czcionki oraz jej kolor. Jeśli w menu gadatliwości wyłączymy jedną z tych informacji, za pierwszym wciśnięciem klawisza nie usłyszymy wyłączonych danych, ale przy drugim wciśnięciu klawisza usłyszymy pełną informację. Window-Eyes odczytuje wolniej numery kolorów, podawanych w formacie RGB, dla pierwszego planu i dla tła.

Wyżej wymienionych klawiszy możemy użyć w celu ustalenia informacji na temat koloru danego znaku, by ustawić kolory okna lub paska podświetlenia.


ROZDZIAŁ CZTERNASTY
Okna hiperaktywne

Podstawowym celem okien omawianych do tej pory (standardowych) jest odczytywanie informacji w szybki i prosty sposób. Okna hiperaktywne mają inne zadanie: umożliwiają Window-Eyes kontrolę ekranu i wyszukiwanie jednej z dziewięciu możliwych zmian, które mogą pociągnąć za sobą wykonanie jednej z trzech komend Window-Eyes. Okna hiperaktywne są podobne do standardowych tylko kształtem.

  • 14.1: Podstawy
  • 14.2: Jak to działa
  • 14.3: Pole dialogowe definicji okna hiperaktywnego
  • 14.4: Nadrzędność okien i komend
  • 14.5: Włączanie i wyłączanie okien hiperaktywnych
  • 14.6: Problemy z oknami hiperaktywnymi i ich rozwiązywanie


ROZDZIAŁ CZTERNASTY
Okna hiperaktywne

14.1: Podstawy

W rozdziale 5 informowaliśmy, że za pomocą ustawień w menu gadatliwości można kontrolować jakie wiadomości Window-Eyes odczytuje automatycznie. Czasem jednak chcemy jeszcze bardziej "udoskonalić" mowę. Przykładowo, może się okazać, że odczytanie danego pola dialogowego od początku do końca daje nam zbyt dużo bezużytecznych informacji, ale odczytanie każdego obiektu po kolei nie jest wystarczające. Rozwiązaniem tego problemu jest monitorowanie ekranu i odczytywanie danych obiektów tylko w konkretnych warunkach.

Innymi słowy, Window-Eyes może reagować na zmiany na ekranie bez niepotrzebnego udźwiękowienia wszystkich pojawiających się danych. Może np. szukać konkretnego tekstu, dowolnej zmiany w linii statusu lub też zmiany w atrybutach koloru, a potem przeczytać żądaną informację lub wykonać jakieś polecenie np. załadować automatycznie nowy plik konfiguracyjny. Zatem okna hiperaktywne są oknami, które Window-Eyes czyta sam sobie, a nie przez syntezator mowy, a po ich odczytaniu wykonuje komendy określone wcześniej przez użytkownika.


14

ROZDZIAŁ CZTERNASTY
Okna hiperaktywne

14.2: Jak to działa

To, co do tej pory mówiliśmy na temat ustawiania okien, ma swoje zastosowanie również w przypadku okien hiperaktywnych. Wiele z omawianych klawiszy funkcyjnych ma te same zastosowania również w tym przypadku, dodatkowo wykorzystuje się jedynie klawisze CTRL oraz SHIFT. Przykładowo, kombinacja CTRL-SHIFT-F3 umożliwia nam podanie litery określającej bieżące okno hiperaktywne (od A do Z). Po ustawieniu okien, wszystkie z nich (tzn. 26) mogą być otwarte jednocześnie. Należy jednak pamiętać, że bieżące okno hiperaktywne nie funkcjonuje tak, jak bieżące okno użytkownika.

Kombinacja klawiszy CTRL-SHIFT-F4 daje możliwość wyświetlenia pola, w którym podana jest nazwa bieżącego okna hiperaktywnego oraz jego status ("hiperaktywne" lub "wyłączone"). Za pomocą CTRL-SHIFT-F5 ustawiamy górną lewą granicę okna hiperaktywnego w stosunku do pozycji wskaźnika myszy. Za pomocą CTRL-SHIFT-F6 ustawiamy dolną prawą granicę, również w stosunku do pozycji wskaźnika myszy.

Podobnie jak standardowe okna użytkownika, okna hiperaktywne oferują możliwość definicji rozmiarów względem czterech pozycji. Można tego dokonać ręcznie, używając CTRL-SHIFT-F4, lub automatycznie, wciskając CTRL-SHIFT-F5 oraz CTRL-SHIFT-F6 dwa razy pod rząd. Window-Eyes spróbuje ustawić przesunięcia w oparciu o pozycję wskaźnika myszy.

Okna hiperaktywne i standardowe mogą się nakładać, zatem można ustawić nawet kilka okien hiperaktywnych w tych samych miejscach.


14

ROZDZIAŁ CZTERNASTY
Okna hiperaktywne

14.3: Pole dialogowe definicji okna hiperaktywnego

Gdy wciśniemy CTRL-SHIFT-F7, pojawi się pole dialogowe definicji okna hiperaktywnego. W tym polu włączamy lub wyłączamy bieżące okno hiperaktywne, decydujemy, czy mowa będzie przerywana, instruujemy Window-Eyes, czego ma szukać w obrębie okna hiperaktywnego ("Wyzwalanie") oraz ustawiamy od jednej do trzech komend, które mają być wykonane.

Przed użyciem wyżej wspomnianego klawisza należy ustawić granice okna hiperaktywnego. Dobrze jest też wyłączyć Status Hiperaktywny w Menu Globalnym, żeby okno nie zaczęło działać zanim zakończymy jego definiowanie i zachowamy ustawienia. Jest to szczególnie ważne w sytuacji gdy okno hiperaktywne dokonuje odczytywania pliku konfiguracyjnego.

Kilka obiektów w polu dialogowym definicji okna hiperaktywnego to pola wyboru, po których można poruszać się strzałkami w górę lub w dół, lecz aby przejść do kolejnego obiektu w polu, używamy tabulatora. Wciskając ENTER dokonujemy wyboru obiektu, a klawisz ESCAPE działa podobnie jak przycisk „Anuluj”.

Oto następujące obiekty omawianego pola dialogowego:

  • Status pole wyboru
  • Linia Komentarza pole edycji
  • Przerwanie pole wyboru
  • Wyzwalanie pole wyboru
  • Parametry Wyzwalania przycisk (może być nieaktywny)
  • Pierwsza Komenda pole wyboru
  • Parametry Komendy 1 przycisk (może być nieaktywny)
  • Druga Komenda pole wyboru
  • Parametry Komendy 2 przycisk (może być nieaktywny)
  • Trzecia Komenda pole wyboru
  • Parametry Komendy 3 przycisk (może być nieaktywny)
  • Kopiuj ustawienia z okna przycisk
  • OK przycisk
  • Anuluj przycisk

Obiekty menu działają w następujący sposób:

Status: Tu pojawiają się dwie opcje – "wyłączony" i "hiperaktywny".

Strzałki W GÓRĘ i W DÓŁ zmieniają ustawienia z „Wyłączony” na „Hiperaktywny”.

Przy wybranej opcji "wyłączony", ustawienia zachowane są w pamięci, ale okno hiperaktywne nie pracuje, to znaczy nie monitoruje zmian na ekranie.

Linia Komentarza: Pozwala wprowadzić dodatkowy opis działania okna.

Ta funkcja jest używana w celu wewnętrznej dokumentacji dla użytku osób opracowujących konfiguracje programu. Komentarz nie może być dłuższy niż 25 znaków.

Przerwij: tu decydujemy, czy funkcja okna hiperaktywnego powinna być wykonana po zakończeniu odczytu, czy też odczyt będzie przerwany.

Strzałki W GÓRĘ i W DÓŁ wybierają jedną z opcji: "tak" lub "nie".

Kiedy ustawimy „nie”, okno hiperaktywne wyzwoli funkcje tak jak zwykle, ale dopiero po zakończeniu bieżącej wypowiedzi.

Jeśli wybierzemy opcję "tak", Window-Eyes przerwie odczyt i uruchomi okno. Ta opcja pozwala nam uniknąć przypadkowego użycia klawiatury podczas odsłuchiwania wiadomości z okna hiperaktywnego. Jeśli chcemy przerwać odczyt okna, wystarczy wcisnąć w dowolnym momencie klawisz CTRL (tę funkcję można wyłączyć w menu klawiatury).

Czego powinny szukać okna hiperaktywne i dlaczego?

Wyzwalanie: instruuje Window-Eyes, czego ma szukać w oknie hiperaktywnym.

Możemy tu poruszać się strzałkami w górę lub w dół po opcjach pola wyboru:

Mamy do dyspozycji następujące możliwości: „Każda Zmiana”, „Zawiera Atrybut”, „Nie Zawiera Atrybutu”, „Zawiera Linię”, „Nie Zawiera Linii”, „Zawiera Kursor”, „Nie Zawiera Kursora”, „Zawiera Punkt Uwagi” i „Nie Zawiera Punktu Uwagi”.

Gdy wyzwalanie jest ustawione na „Każda Zmiana” - Window-Eyes szuka dowolnej zmiany znaku, wielkości litery (duża lub mała) lub atrybutu koloru. Przykładowo, w programie użytkowym górny lub dolny wiersz okna może być linią statusu, gdzie pojawiają się takie informacje, jak nazwa pliku czy pozycja kursora. Wybierając opcję „Każda Zmiana”, mamy możliwość automatycznego odsłuchania zawartości tego wiersza kiedy tylko dane w nim zawarte się zmienią.

Gdy wyzwalanie jest ustawiona na „Zawiera Atrybut” - Window-Eyes szuka ustalonych właściwości koloru w momencie zdefiniowania okna hiperaktywnego. Kiedy wybierzemy tę opcję, musimy również wcisnąć ENTER na przycisku „Parametry Wyzwalania...”, aby wpisać wartości atrybutów (wartości koloru czerwonego, zielonego oraz niebieskiego na pierwszym planie oraz dla kolorów tła). Możemy użyć tej opcji, gdy zaznaczamy część tekstu, który następnie zmienia kolor, a my chcemy ten tekst odczytać.

Gdy wyzwalanie jest ustawione na: „Nie Zawiera Atrybutu” - instruujemy Window-Eyes, żeby poinformował nas, kiedy dane atrybuty koloru znikną z ekranu (procedura ustawiania atrybutów jak powyżej).

Gdy wyzwalanie jest ustawione na: „Zawiera linię” - Window-Eyes szuka określonego tekstu; zmiany w kolorze czy też inne zmiany są ignorowane. Tym razem musimy wpisać poszukiwany tekst (do 32 znaków), do tego celu wykorzystujemy przycisk " Parametry Wyzwalania ". Przykładowo, spodziewamy się informacji, nadesłanej przez nasz program komunikacyjny, po otrzymaniu której trzeba wpisać jakąś wartość. Kiedy taka wiadomość się pojawi, Window-Eyes powie "Wprowadź wartość".

Opcja ta nie zależy od wielkości liter, to znaczy, że Window-Eyes będzie szukał tekstu napisanego zarówno dużymi jak i małymi literami. Jeśli chcemy poszukać znaku graficznego, po prostu nadajemy mu etykietę i używamy jej jako ciągu znaków.

Gdy wyzwalanie jest ustawione na: „Nie Zawiera Linii” - Window-Eyes czeka na zniknięcie z ekranu określonego tekstu.

Gdy wyzwalanie jest ustawione na „Zawiera kursor” - Window-Eyes czeka na pojawienie się kursora w obrębie okna hiperaktywnego.

Gdy wyzwalanie jest ustawione na „Nie Zawiera Kursora” – Window-Eyes powie "Nie ma kursora", w momencie, gdy kursor zniknie z ekranu.

Gdy wyzwalanie jest ustawione na „Zawiera Punkt Uwagi” – Window-Eyes szuka punktu uwagi okna w granicach danego okna hiperaktywnego np. aby, po znalezieniu takiego punktu, załadować nowy plik konfiguracyjny.

Gdy wyzwalanie jest ustawione na „Nie Zawiera Punktu Uwagi” - Window-Eyes sprawdza obszar okna czy nie zawiera punktu uwagi.

Co Window-Eyes powinien zrobić, gdy uruchomi się ono hiperaktywne?

Pierwsza Komenda, Druga Komenda i Trzecia Komenda, to polecenia, które wykonywane są przez Window-Eyes po uruchomieniu wyzwalania okna hiperaktywnego.

Strzałkami W GÓRĘ i W DÓŁ możemy poruszać się po następujących opcjach: „Nie Zdefiniowane”, „Przeczytaj Okno”, „Przeczytaj Linię”, „Przeczytaj pasek Podświetlenia”, „Uaktywnij Okno”, „Załaduj Ustawienia”, „Gorący Klawisz”, „Bip” i „Sprowadź Mysz do Okna”.

Gdy okno hiperaktywne zostanie wyzwolone program Window-Eyes uruchomi pierwszą komendę, następnie drugą i trzecią. Gdy wszystkie trzy komendy są „Nie Zdefiniowane” nie zostanie wykonana żadna akcja.

Gdy komenda jest ustawiona na: „Przeczytaj Okno” - to musimy wcisnąć ENTER, będąc na przycisku "Parametry Komendy" i wybrać okno użytkownika, które ma być odczytane (wpisujemy numer okna użytkownika lub literę okna hiperaktywnego).

Gdy ustawiona jest komenda „Przeczytaj Linię” - wciskamy ENTER na przycisku "Parametry Komendy", by wpisać tekst, który ma być odczytany.

Komenda: „Przeczytaj Pasek Podświetlenia” spowoduje, że Window-Eyes odczyta pasek podświetlenia, jeśli pojawi się on w obrębie okna aktywnego.

Dla komendy: „Uaktywnij Okno” - uruchamiając "Parametry Komendy", wpisujemy numer standardowego okna użytkownika, które ma być włączone po uruchomieniu okna hiperaktywnego.

Dla komendy „Załaduj Ustawienia” - otwierając "Parametry Komendy", wpisujemy nazwę pliku konfiguracyjnego, który ma być załadowany po uruchomieniu okna hiperaktywnego (plik konfiguracyjny tylko z katalogu \WINEYES nie wpisujemy ścieżki dostępu).

Komenda „Gorący Klawisz” pozwala uruchomić jedną z funkcji gorących klawiszy - po uruchomieniu "Parametry Komendy", wybieramy funkcję gorącego klawisza (nie musi być zdefiniowany w pliku konfiguracyjnym, żeby jego funkcja została wykonana).

Komenda "bip" spowoduje, że Windows wyda krótki dźwięk ostrzegawczy, gdy uruchomi się okno hiperaktywne.

Gdy komenda „Sprowadź Mysz do Okna” jest wybrana, to po uruchomieniu "Parametry Komendy", wpisujemy numer standardowego okna użytkownika, do którego ma być sprowadzony wskaźnik myszy (po uruchomieniu okna hiperaktywnego wskaźnik myszy znajdzie się w lewym górnym rogu wybranego okna użytkownika).

Należy pamiętać, że przy ustawianiu więcej niż jednej komendy, z której jedna ładuje plik konfiguracyjny, nie należy ustawiać kolejnej komendy jako „Przeczytaj Linię” lub „Załaduj Ustawienia”. Treść linii i nazwa pliku konfiguracyjnego z nowymi ustawieniami jest bowiem zawarta w pliku konfiguracyjnym i będzie zmieniona w trakcie ładowania ustawień.


14

ROZDZIAŁ CZTERNASTY
Okna hiperaktywne

14.4: Nadrzędność okien i komend

Tak, jak w przypadku okien standardowych, okna hiperaktywne działają zgodnie z zasadą nadrzędności, co oznacza, że jeśli na ekranie zaistnieją warunki do włączenia dwóch lub większej liczby okien hiperaktywnych, pierwszeństwo będzie miało okno z pierwszą (wcześniejszą) literą alfabetu (np. najpierw okno A, potem okno B). Powiedzmy, że okno „A” jest zdefiniowane jako poszukujące szczególnego słowa w linii statusu, a okno „B” poszukuje określonego koloru. Okno „A” zostanie wyzwolone wcześniej przed oknem „B”. Jeśli „Przerwij” w oknie „B” będzie ustawione na „Nie” wypowiedź generowana przez okno „A” nie zostanie przerwana.

Należy o tym pamiętać w przypadkach, gdzie kolejność wykonania polecenia jest ważna. Zasadniczo można powiedzieć, że okna, którym przypisujemy komendę ładowania pliku powinny mieć literę z początku alfabetu, a te do odczytywania informacji - z końca alfabetu.


14

ROZDZIAŁ CZTERNASTY
Okna hiperaktywne

14.5: Włączanie i wyłączanie okien hiperaktywnych

Można włączyć lub wyłączyć wszystkie 26 okien hiperaktywnych za pomocą gorącego klawisza „Przełącznik Hiperaktywnego Okna” (CTRL-SHIFT-F8). Tym klawiszem możemy zmieniać opcje z „Wyłączone” na „Komentarze Wyłączone” i „Komentarze Włączone”.

Gdy "Wyłączone" - żadne okno hiperaktywne nie może być uruchomione, chociaż wszystkie ustawienia są przechowywane w pamięci.

Gdy „Komentarze Wyłączone” - okna, które są ustawione na "hiperaktywne", uruchamiają się jak zwykle. Gdy „Komentarze włączone” - wszystkie okna hiperaktywne uruchamiają się jak zwykle, lecz jednocześnie przesyłają informację o swoim uruchomieniu do syntezatora mowy. Jest to funkcja użyteczna przy testowaniu i usuwaniu błędów z okien hiperaktywnych.

Zamiast używania wyżej wymienionego gorącego klawisza, można przejść do Menu Globalne, do opcji "Status Hiperaktywnego Okna", która spełnia identyczne funkcje.


14

ROZDZIAŁ CZTERNASTY
Okna hiperaktywne

14.6: Problemy z oknami hiperaktywnymi i ich rozwiązywanie

Może się zdarzyć, że w pewnych warunkach napotkamy na trudności w używaniu okien hiperaktywnych, np. ustawimy okno tak, aby wyszukać zmiany danych atrybutów, a potem załadujemy nowy plik konfiguracyjny. W tym nowym pliku możemy przez przypadek ustawić okno, z tymi samymi poszukiwanymi atrybutami, po którym załadować miałby się poprzedni plik konfiguracyjny. W takim przypadku te dwa pliki będą się nieustannie załadowywać. Należy wówczas przejść do pola dialogowego definicji okna hiperaktywnego (CTRL-SHIFT-F7) i zmienić ustawienia, lub też użyć gorącego klawisza „Przełącznik Hiperaktywnego Okna” i poprawić dane.

Inny problem pojawia się, gdy część linii statusu odzwierciedla nową pozycję kursora za każdym jego przesunięciem. Jeśli ustawimy okno hiperaktywne tak, by monitorowało całą linię i odczytywało ją przy każdej zmianie, Window-Eyes odczytywałby linię statusu przy każdym nowo wpisanym znaku. W tym przypadku wymiary okna powinny odpowiadać części linii statusu, która nie zawiera informacji na temat pozycji kursora. Ustawiamy standardowe okno użytkownika tak, by zawierało całą linię statusu, a następnie ustawiamy okno hiperaktywne, by odczytać to okno standardowe. Korzyścią tego rozwiązania jest również możliwość odczytania zawartości linii statusu w dowolnym momencie, wciskając jedynie odpowiedni gorący klawisz "Czytaj okno".


ROZDZIAŁ PIĘTNASTY
Okna zmienne

W tym rozdziale zawarte są informacje o definiowaniu i używaniu okien zmiennych.

W Rozdziale 12 wprowadziliśmy pojęcie okien zmiennych, chociaż nie koncentrowaliśmy się na tym zagadnieniu, gdyż najpierw należało wyjaśnić pojęcie atrybutów koloru i śledzenia paska podświetlenia. Zatem niniejszy rozdział jest całkowicie poświęcony oknom zmiennym.

  • 15.1: Podstawy
  • 15.2: Jak to działa
  • 15.3: Okno konfiguracji okna zmiennego
  • 15.4: Ustawianie pozycji
  • 15.5: Automatyczne dostrajanie okien zmiennych
  • 15.6: Kilka praktycznych przykładów


ROZDZIAŁ PIĘTNASTY
Okna zmienne

15.1: Podstawy

Do tej pory definiowaliśmy granice okien użytkownika (standardowych czy też hiperaktywnych) w odniesieniu do granic okna aktywnego. W wielu przypadkach taka definicja jest wystarczając, szczególnie biorąc pod uwagę fakt, iż Window-Eyes oferuje aż 76 okien, za pomocą których można odczytywać różne informacje. Poza tym z dużym prawdopodobieństwem możemy przewidzieć, gdzie szukany tekst czy informacje mogą się znajdować. Jednak programy użytkowe są aktywne i czasem wyświetlają tekst w różnych miejscach, których położenie i wymiary się zmieniają. W takich przypadkach Window-Eyes proponuje użytkownikom wykorzystać okna zmienne.

Granice okna zmiennego mogą się dostosowywać do ruchu paska podświetlenia, kursora lub punktu uwagi okna, mogą też być ustawione w stałej odległości od paska lub kursora.

Spójrzmy na przykład ilustrujący potrzebę użycia okien zmiennych: wyobraźmy sobie tabelę zawierającą kolumny o różnej szerokości. Jest to typowe dla arkuszy kalkulacyjnych. Kolumny mogą mieć różne szerokości, a cały dokument jest na tyle obszerny, że nie mieści się na ekranie. Przemieszczając się klawiszem TAB z jednej do drugiej kolumny tabeli program tak przesuwa obraz aby widok dokumentu na ekranie zawierał całą kolumnę, w której znajduje się kursor. Pasek podświetlenia w kolorze jasnego białego tekstu, na czerwonym tle podświetla nagłówek kolumny. Chcemy odczytywać tylko informacje zawarte w interesującej nas kolumnie bez odczytywania innej. Chcielibyśmy również aby strzałki W GÓRĘ i W DÓŁ czytały linie ale tylko ten jej fragment, który znajduje się w kolumnie. Aby uzyskać interesujący nas efekt należy posłużyć się oknem, którego wymiary będą się zmieniać w zależności od położenia i rozmiarów paska podświetlenia. Gdy będziemy się przesuwać z kolumny do kolumny okno powinno przesuwać się razem z nami i powiększać się lub zmniejszać w zależności od szerokości kolumy.

Innym przykładem może być sytuacja gdy chcemy odczytać wiersz i kolumnę nagłówka w arkuszu kalkulacyjnym podczas przeglądania jego zwartości. Zwykle Excel podaje współrzędne komórki zanim przeczyta jej zawartość. Przy użyciu okien zmiennych możemy odczytywać nagłówki kolumn i wierszy zamiast współrzędnych komórki. Także zamiast usłyszeć „B4 Janek” usłyszymy „Pierwsze Imię, Janek”.


15

ROZDZIAŁ PIĘTNASTY
Okna zmienne

15.2: Jak to działa

Jak już wiemy, INS-F4 to klawisz służący do ustawiania współrzędnych okien Window-Eyes. W przypadku statusu „Zmienne”, pole dialogowe, które się wyświetli, będzie o wiele większe i będzie zawierać znacznie więcej informacji.

W następujący sposób określamy standardowe okno użytkownika jako okno zmienne:

  • przyciskamy INS-F3, by wybrać dowolne standardowe okno (od 0-49), nie będące w użyciu.
  • za pomocą INS-F7 otwieramy pole dialogowe definicji okna użytkownika i ustawiamy status na "zmienny".
  • akceptujemy wybór za pomocą klawisza ENTER lub spacji, będąc na przycisku OK.
  • wciskamy INS-F4. Window-Eyes wyświetli ekran konfiguracji okna zmiennego oraz ogłosi: "Współrzędne okna zmiennego, okno X – zmienne", gdzie X to numer wybranego okna użytkownika.


15

ROZDZIAŁ PIĘTNASTY
Okna zmienne

15.3: Okno konfiguracji okna zmiennego

Zauważmy, że, tak jak w przypadku innych okien, program konfigurujący okna zmienne wyświetla cztery obiekty: pozycja lewa, górna, prawa i dolna. Jednak zamiast konkretnych wartości, wszystkie pozycje mają różne elementy takie jak: cecha, wartość, przesunięcie i łańcuch.


15

ROZDZIAŁ PIĘTNASTY
Okna zmienne

15.4: Ustawianie pozycji

Kiedy otworzymy okno dialogu definicji okna na pierwszej pozycji znajdziemy ustawienia dotyczące cech lewej krawędzi. Zawarte są one w polu wyboru, które początkowo ma wartość „Stałe” . Strzałkami W GÓRĘ i W DÓŁ możemy dokonywać wyboru z pomiędzy innych ustawień. Klawisz TAB przeniesie nas do następnych ustawień tego okna dialogu.

Przeanalizujmy wszystkie możliwości znajdujące się w polu wyboru i pozostałe ustawienia okna zmiennego.

Ustawianie pozycji stałej

W domyślnym ustawieniu wszystkie cztery granice okna zmiennego ustawione są jako „Stałe”. W wielu przypadkach jedna lub więcej granic okien zmiennych, które ustawimy, może być stała (tzn. mieć stałe wartości współrzędnych). Jak w przypadku okien standardowych czy hiperaktywnych, zakres wartości krawędzi stałej ograniczona jest jedynie zakresem danej karty graficznej. Gdy krawędź okna jest ustawiona na „Stałe” niczym się nie różni od krawędzi okna użytkownika.

Możemy również ustawić granice jako "Stała plus atrybut" lub "Stała minus atrybut". Oznacza to, że kiedy będziemy chcieli udźwiękowić dane okno, okno zmienne ustawi granicę w odniesieniu do pierwszej zaistniałej zmiany atrybutu (w połączeniu z wartością stałą). Zwiększając ją lub zmniejszając pozycję krawędzi o stałą odległość od miejsca zmiany atrybutu.

Kiedy naciśniemy klawisz TAB, Window-Eyes przesunie się o jedną linię w dół i poda wartość stałej. Możemy teraz podać nową wartość jako wartość stałą dla lewej krawędzi i nacisnąć klawisz TAB. Program przejdzie do ustawienia przesunięcia, które ustawia się analogicznie jak dla okien użytkownika opisanych w rozdziale 12.

Ustawianie pozycji względem paska podświetlenia

Sześć innych opcji „Początek Podświetlenia”, „Koniec Podświetlenia”, „Początek Podświetlenia Plus Stała”, „Koniec Podświetlenia Plus Stała”, „Początek Podświetlenia Minus Stała”, „Koniec Podświetlenia Minus Stała”, pozwalają ustawić pozycję okna zmiennego wobec paska podświetlenia, jeśli tylko pojawi się on na ekranie. Jeśli pozycja lewa ustawiona jest na „Początek Podświetlenia”, a prawa – na „Koniec Podświetlenia”, pasek może znajdować się poza obrębem górnej i dolnej granicy okna zmiennego, jednak w tym przypadku tylko lewa i prawa granica okna jest brana pod uwagę. Podobnie jak w przypadku ustawienia pozycji górnej i dolnej na początek lub koniec podświetlenia nie są brane pod uwagę granice lewa i prawa.

Zauważmy, że w przypadku ustawiania pozycji względem paska podświetlenia bez uwzględniania wartości stałej, nie musimy wpisywać żadnych wartości liczbowych – tabulator pozwala nam na przechodzenie pomiędzy opcjami omijając opcje niedostępne.

Ustawianie pozycji względem kursora

Istnieją cztery możliwe ustawienia pozycji względem kursora: „Kursor Plus Stała”, „Kursor Minus Stała”, „Kursor Plus Atrybut”, „Kursor Minus Atrybut”. Plus oznacza przesunięcie w prawo lub w dół od kursora, minus w lewo lub w górę.

W przypadku pierwszych dwóch opcji, tzn. „Kursor plus/minus stała”, po naciśnięciu tabulatora usłyszymy wartość pozycji stałej. Teraz należy wpisać liczbę pikseli w lewo, w prawo, w dół lub w górę od kursora – w miejscu, gdzie chcemy ustawić granice okna zmiennego. Kursor sam może zdefiniować granice, jeśli ustawimy pozycję stałą na 0. W praktyce oznacza to, że granice okna zmiennego będą ustawione w odległości od kursora odpowiadającej wartości pozycji stałej.

Jeśli zdarzy się że kursor znajdzie się w mniejszej odległości od jednej z krawędzi niż wynosi wartość stała, Window-Eyes poda informacje znajdujące się tylko w obrębie okna aktywnego.

Jeśli wybierzemy opcje „Kursor plus/minus następny atrybut” i wciśniemy tabulator, Window-Eyes pominie pole edycji oraz przycisk opcji. W praktyce, gdy uruchomimy dane okno zmienne, jego granice zostaną ustawione przy pierwszym pojawieniu się atrybutów innych, niż atrybuty pozycji kursora.

Pozycja minus jeden

Właściwa pozycja okna zmiennego nie jest ustalana względem kolejnego atrybutu. Zamiast tego okno przesuwane jest w wybranym kierunku i cofane o jeden znak. Dzieje się tak dlatego, że zwykle takiej pozycji szukamy. Spójrzmy na przykład: pracując nad tekstem, chcemy, żeby Window-Eyes odczytał tylko materiał pomiędzy dwoma fragmentami tekstu, zapisanymi w różnych kolorach. Ustawiamy lewą i górną granicę na „Kursor Minus Atrybut”, a prawą i dolną na „Kursor Plus Atrybut”. W ten sposób odsłuchamy tylko żądany tekst, bez tekstu zapisanego kolorem tła.

Inaczej jest w przypadku opcji „Początek/Koniec Paska Podświetlenia” oraz „Kursor plus/minus Stała”. Powróćmy do przykładu z punktu 15.1: kolumna tekstu jest zaznaczana jako pasek podświetlenia, a my chcemy, żeby wszystko, co znajdzie się w obrębie paska podświetlenia, zostało odczytane. Pasek podświetlenia posłuży do definiowania lewej i prawej granicy okna zmiennego. Zatem ustawiamy kolejne pozycje w następujący sposób: lewa „Początek Podświetlenia”, górna „Stała”, prawa „Koniec Podświetlenia”, dolna „Stała”. W tym przypadku będziemy chcieli odczytywać cały tekst znajdujący się pod paskiem podświetlenia.

Ustawianie pozycji względem punktu uwagi okna

Sześć innych opcji ustawiania granic okna zmiennego: „Początek Punktu Uwagi”, „Koniec Punktu Uwagi”, „Początek Punktu Uwagi Plus Stała”, „Początek Punktu Uwagi Minus Stała”, „Koniec Punktu Uwagi Plus Stała” i "Koniec Punktu Uwagi Minus Stała”. Jak się wydaje oczywiste te ustawienia definiują okno na początku i końcu punktu uwagi wewnątrz okna aplikacji (na przykład: na przycisku, polu wyboru, polu edycji lub innej kontrolce). Jeśli lewa pozycja jest ustalona na „Początek Punktu Uwagi” a prawa na „Koniec Punktu Uwagi” nie ma znaczenia, że punkt uwagi wykracza poza górną lub dolna granicę okna. Tylko lewa i prawa granica okna jest w tym przypadku brana pod uwagę. Podobnie jest w ustalaniu górnej i dolnej pozycji. Wtedy nie są brane pod uwagę lewa i prawa krawędź okna.

Jeśli wybierzemy którąś z opcji ‘plus/minus stała", po wciśnięciu tabulatora należy podać wartość, którą chcemy dodać lub odjąć od stałej współrzędnej.


15

ROZDZIAŁ PIĘTNASTY
Okna zmienne

15.5: Automatyczne dostrajanie okien zmiennych

Okno zmienne nie dostosowuje swojego rozmiaru lub pozycji bez przerwy, np. przy każdym ruchu kursora. Najpierw Window-Eyes musi otrzymać odpowiednie polecenie odczytania okna zmiennego za pomocą akcji, gorących klawiszy lub też okien hiperaktywnych. W ten sposób unikamy niepotrzebnych zmian na ekranie.


15

ROZDZIAŁ PIĘTNASTY
Okna zmienne

15.6: Kilka praktycznych przykładów

Arkusze kalkulacyjne są dobrym przykładem zastosowania okien zmiennych z definicją niektórych pozycji na „Początek/Koniec Podświetlenia”. Arkusze kalkulacyjne maja typowo kilka kolumn wzdłuż ekranu. Te kolumny mogą mieć zmienną szerokość w zależności od tytułu kolumny lub jej zawartości. Rozważmy następujące tytuły kolumn:

Telefon Gaz Elektryczność Czynsz Razem

Generalnie zawartość aktywnej komórki jest przedstawiana w jasnym kolorze, który rozszerza się na całą szerokość kolumny. Gdy przesuwamy się z kolumny do kolumny możemy spowodować aby Window-Eyes czytał zawartość nowej komórki włączając śledzenie podświetlenia. Z oknami zmiennymi możemy odczytać tytuł kolumny przed odczytaniem zawartości komórki.

Tytuły kolumn typowo przedstawiane są w ustalonej pozycji wewnątrz aktywnego okna. Jeśli przejdziemy do następnego ekranu danych w arkuszu kalkulacyjnym, tytuły kolumn pozostaną na niezmienionej pozycji podczas gdy dane poniżej zostaną przewinięte. Dzięki temu zawsze wiadomo jaki tytuł ma kolumna, której dane przeglądamy. Powiedzmy, że tytuły kolumn zawarte są pomiędzy pięćdziesiątym z osiemdziesiątym pikselem od góry aktywnego okna. Ustawmy jedno ze standardowych okien użytkownika jako okno zmienne (na przykład okno 2). Ustawmy górną krawędź tego okna na „Stałe” i nadajmy mu wartość 50, przesunięcie od góry i dla dolnej krawędzi ustawmy na 80 i przesunięcie od góry. Ponieważ aktywna komórka jest przedstawiana jako podświetlenie możemy ustawić „Początek Podświetlenia” dla lewej pozycji i „Koniec Podświetlenia” dla prawej. To spowoduje, że gdy szerokość kolumny będzie się zmieniać również szerokość okna będzie się zmieniać. Okno zmienne jest założone tylko po to aby odczytywać tytuł kolumny i nie może być bieżącym oknem użytkownika, kiedy będziemy edytować zawartość aktywnej komórki. Powiedzmy, że bieżące okno użytkownika będzie miało numer 0. Będzie trzeba ustawić kolor podświetlenia dla bieżącego okna na kolor aktywnej komórki.

Kiedy użyjemy gorącego klawisza aby odczytać okno zmienne, Window-Eyes odszuka podświetlenie w bieżącym oknie użytkownika i ustawi prawą i lewą krawędź okna zmiennego na ta samą wartość, którą wskazuje podświetlenie. Jeśli podświetlenie nie będzie mogło być znalezione, Window-Eyes wygeneruje sygnał dźwiękowy.

Przejdźmy teraz do menu akcji i ustawmy klawisze strzałek, lub inne klawisze, które przesuwają punkt uwagi z komórki do komórki. Dla każdego klawisza ustawmy pierwszą akcję na „Przeczytaj Okno” i ustawmy numer okna na numer naszego okna zmiennego, a drugą akcje ustawmy na „Podświetlenie”. Teraz, kiedy będziemy się przemieszczać pomiędzy komórkami odczytywane będzie okno 2 (które odczyta nam tytuł kolumny), a akcje spowodują odczytanie podświetlenia wskazującego na dane zawarte w komórce. Kiedy będziemy eksperymentować musimy pamiętać o wyłączeniu Statusu Paska Podświetlenia w oknie 0. Często arkusze kalkulacyjne korzystają z przesuwającej się ramki zamiast z podświetlenia wtedy trzeba będzie w menu Ogólnym programu Window-Eyes włączyć „Ramka Jako Podświetlenie”.

Jeśli wiersze a nie kolumny posiadają nazwy, trzeba będzie określić jak szeroka jest najdłuższa nazwa mierzona od lewej w kierunku prawej krawędzi aktywnego okna (powiedzmy 75). Określimy wtedy lewą pozycję okna zmiennego na „Stała” i nadamy jej wartość 0 i przesunięcie od lewej. Prawą pozycję tego okna również ustawimy na „Stała” i nadamy jej wartość 75 i przesunięcie od lewej. Górną i dolną krawędź odpowiednio powiążemy z początkiem i końcem podświetlenia.

Jeśli arkusz kalkulacyjny ma zatytułowane zarówno wiersze jak i kolumny, musimy wtedy zdefiniować dwa okna zmienne i połączyć je w łańcuch w oknie definicji okna (INS-F7 Następne Okno do Czytania). Teraz klawisz akcji będzie czytał tylko pierwsze ze zdefiniowanych okien zmiennych i podświetlenie. Gdy naciśniemy klawisz program przeczyta pierwsze okno zmienne, potem drugie i na końcu podświetlenie bieżącego okna użytkownika.

Istnieje inna możliwość. Może nasz program użytkowy nie korzysta z podświetlenia. Jednak może mieć ustaloną szerokość lub długość i umieszczać kursor na początku komórki.

Jeśli używamy kolumn opartych na tabulatorach. Nie będziemy mieli podświetleń, ale nadal możemy korzystać z okien zmiennych aby odczytać tekst wewnątrz kolumny. Tak będzie jeśli kursor znajdzie się na początku kolumny. W oknie zmiennym należy ustawić górną i dolna krawędź na „Stała” w zakresie od góry do dołu pola edycji edytora tekstu. Ustawmy lewą krawędź na „Kursor Minus Stała” i stała ustawmy na 0, a prawą na „Kursor Plus Stała” i stałą ustawmy na szerokość kolumny w pikselach. Teraz możemy przy pomocy gorącego klawisza odczytać zawartość całej kolumny, w której znajduje się kursor.

Możemy również mieć dodatkowe okno zmienne (powiedzmy okno 3) którego górna i dolna krawędź jest ustawiona na „Kursor Plus Stała” i stałą ustawmy na 10. Wtedy gorący klawisz przeczyta tylko fragment kolumny zawierający kursor. Jeśli chcemy czytać ten fragment przesuwając się wzdłuż kolumny strzałkami to należy je zdefiniować jako klawisze akcji czytające okno 3. Gdy chcemy aby treść całej kolumny była odczytana gdy przechodzimy z kolumny do kolumny klawiszami TAB lub SHIFT-TAB należy je zdefiniować jako klawisze akcji odczytujące okno 2.

Możliwości okien zmiennych nie mają końca. Nie znaleźliśmy jeszcze aplikacji, która z nimi nie działa.


ROZDZIAŁ SZESNASTY
Słowniki wymowy oraz trochę więcej o menu plik

Ten rozdział podręcznika zawiera informację na temat definiowania i używania słowników wymowy.

Do tej pory omawialiśmy różne sposoby przystosowania treści, którą Window-Eyes ma przesłać do syntezatora, w zależności od tego, co chcemy wiedzieć w danym momencie na temat ekranu lub klawiatury. W programie Window-Eyes zostawiliśmy również miejsce na dalsze indywidualne doskonalenie odczytu, tworząc cztery rodzaje słowników wymowy. Możemy zmienić wymowę słów, znaków, nazw klawiszy, lub znaków graficznych – w zależności od tego jak chcemy, aby te obiekty były wypowiadane. Na przykład:

Chcemy aby wyraz „Windows”, który nie znajduje się w słowniku języka polskiego, był wypowiadany „Łindołs”.

F1 jest funkcją pomocy programów aplikacyjnych, zatem wolelibyśmy, aby po wciśnięciu tego klawisza Window-Eyes powiedział "pomoc", a nie F1.

Programy bazy danych często korzystają z małych znaczków graficznych aby wskazać funkcję przeszukiwania danych, a mu chcemy usłyszeć słowo „Szukam” gdy funkcja ta jest aktywna.

  • 16.1: Podstawy
  • 16.2: Jak to działa?
  • 16.3: Słownik wyjątków
  • 16.4: Słownik etykiet klawiszy
  • 16.5: Słownik znaków
  • 16.6: Słownik obrazków
  • 16.7: Opisy wskaźnika myszy
  • 16.8: Zamykanie bieżąco załadowanych słowników
  • 16.9: Efekt kumulacji


ROZDZIAŁ SZESNASTY
Słowniki wymowy oraz trochę więcej o menu plik

16.1: Podstawy

Aby nasz komputer PC mógł mówić musi być wykonanych kilka funkcji. Window-Eyes monitoruje działania w buforach ekranu i klawiatury, aby odnaleźć tekst, który ma być przeczytany. Tworzy również własny tekst, np. menu lub nazwy elementów Windows. Następnie porządkuje ten tekst i przesyła go do oprogramowania syntezatora, gdzie jest on konwertowany na specjalny kod, a potem na dźwięk już przez sam syntezator.


16

ROZDZIAŁ SZESNASTY
Słowniki wymowy oraz trochę więcej o menu plik

16.2: Jak to działa?

Każdy plik konfiguracyjny zawiera nazwę wszystkich czterech słowników (tzn. słownika znaków, wyjątków, etykiet klawiszy oraz obrazków). Kiedy Window-Eyes ładuje nowy plik konfiguracyjny (bez względu na sposób załadowania), automatycznie ładuje również wszystkie słowniki dla danego pliku. Nie wymaga się przypisywania wszystkich słowników jednemu plikowi - w momencie załadowania pliku, dane słowniki również automatycznie się załadują.

Jeśli jednak chcemy skojarzyć jeden ze słowników z bieżącym plikiem konfiguracyjnym należy:

1. Wcisnąć CTRL-\, aby wyświetlić menu główne Window-Eyes – musimy zwrócić uwagę na nazwę pliku konfiguracyjnego, gdyż będzie to plik, z którym skojarzymy słownik. Jeśli jednak chcemy skojarzyć słownik z innym plikiem, trzeba najpierw dany plik załadować.

2. Wcisnąć ALT, by uaktywnić menu.

3. Wcisnąć ‘P’ = plik.

4. Wcisnąć ‘O’ = otwórz.

5. Wcisnąć ‘Z’ = słownik znaków, ‘E’ = słownik etykiet klawiszy, ‘W’ = słownik wyjątków lub ‘O’= słownik obrazków.

6. Wpisać nazwę danego pliku (istniejącego lub nowego); jeśli dana nazwa istnieje, natychmiast uaktywnią się bieżące pozycje w słowniku, jeśli nie istnieje, zostaje utworzona nowa pozycja. W każdym przypadku nazwa pliku zostanie zachowana jako część pliku konfiguracyjnego. Kiedy wpisujemy nazwę słownika, zalecane jest używanie odpowiednich rozszerzeń: ".CHR" dla znaków, ".KEY" dla etykiet klawiszy, ".DIC" dla wyjątków, ".GRA" dla obrazków.

7. Wcisnąć ALT, by uaktywnić ponownie menu.

8. Wcisnąć ‘P’ = plik.

9. Wcisnąć ‘C’ = zachowaj.

1. Wcisnąć ‘P’ = plik konfiguracyjny i zapisać bieżący plik konfiguracyjny na dysk, który teraz będzie zawierał nazwę nowego słownika. Jeśli nie zapiszemy pliku konfiguracyjnego, nazwa nie zostanie zachowana i przy następnym załadowaniu pliku słownik się już nie otworzy.

Teraz, skoro słownik został skojarzony z plikiem konfiguracyjnym, możemy dodawać, edytować lub usuwać pozycje z tego słownika. Jeśli kojarzymy dany słownik po raz pierwszy, trzeba go tylko otworzyć.

Można edytować słowniki na kilka sposobów. W menu plik Window-Eyes znajduje się opcja "Edycja Słowników", w której nie można edytować jedynie słownika obrazków. Słownik obrazków jest obsługiwany w inny sposób i jego edycja przebiega w inny sposób.

Wszystkie cztery słowniki mogą być edytowane przy użyciu gorącego klawisza "Edycja Słowników" (CTRL-SHIFT-E). Jeśli wskaźnik myszy znajduje się na jakimś znaku graficznym gdy wciskamy ten klawisz, pojawi się okno dialogowe "Wprowadź Opis Grafiki", które pozwala wpisać lub zmienić etykietę tego znaku w słowniku obrazków. Jeśli wskaźnik myszy nie znajduje się na żadnym znaku graficznym, Window-Eyes wyświetli okno dialogowe „Dialog Wyboru Słowników”, w którym należy wybrać jeden z trzech pozostałych słowników. Pojawią się odpowiednie okna dialogowe – każde z nich osobno omawiamy poniżej w podrozdziałach.

Po dokonanych modyfikacjach należy zapisać zmiany na dysku. Poroszę pamiętać, że zapisujemy na dysku nazwę pliku słownika w połączeniu z plikiem konfiguracyjnym. Koniecznie musimy również zapisać sam plik słownika znaków aby nie stracić naszych modyfikacji.

Aby zapisać plik słownika należy:

1. Wcisnąć CTRL-\, by uaktywnić menu główne Window-Eyes.

2. Wcisnąć ALT, by uaktywnić menu.

3. Wcisnąć ‘P’ = plik.

4. Wcisnąć ‘C’ = zachowaj.

5. Istnieje kilka opcji zapisywania słowników. Jeśli chcemy zapisać je wszystkie, podczas zapisywania pliku wybieramy opcję "Plik Konfiguracyjny i Wszystkie Słowniki", przy pomocy której zapiszemy na dysku bieżący plik konfiguracyjny jak też wszystkie aktywne słowniki (nawet te załadowane w innych aplikacjach). Można też wybrać opcje dla każdego słownika osobno, w dwóch grupach: słownika bieżącego i słownika jednego typu, np. "Słownik Obrazków" lub "Wszystkie Słowniki Obrazków".


16

ROZDZIAŁ SZESNASTY
Słowniki wymowy oraz trochę więcej o menu plik

16.3: Słownik wyjątków

Niektóre syntezatory mowy robią mniej błędów w wymowie niż inne, ale nie ma żadnego, który wymawiałby każde słowo poprawnie lub przynajmniej zgodnie z wymową obowiązującą w danym języku. Właśnie dlatego stworzono słownik wyjątków.

Rozważmy nazwę „Window-Eyes”. Jeśli program wyśle ją bez zmian do syntezatora mowy zostanie ona wypowiedziana jako dwa słowa oddzielone myślnikiem. Jeśli wpiszemy fonetyczny opis tej nazwy do słownika (łindoł ajs) to właśnie takie słowa zostaną wysłane do syntezatora powodując wygenerowanie poprawnej wypowiedzi. Dzięki słownikom program „oszukuje” syntezator mowy aby poprawić wymowę.

Aby dodać pozycję do słownika wyjątków, trzeba uaktywnić okno dialogowe „Edycja Słownika Wyjątków”. Można to też uczynić w menu pliku Window-Eyes, rozwijając „Edycja Słowników” i wybierając z listy opcji ten słownik. Można również użyć gorącego klawisza „Edycja Słowników” (CTRL-SHIFT-E). Kiedy wskażemy przycisk słownika wyjątków naciśniecie klawisza ENTER otworzy okno edycji słownika wyjątków. Jedyną różnicą pomiędzy użyciem gorącego klawisza i menu jest to, że w przypadku gorącego klawisza, gdy wskaźnik myszki znajduje się na słowie zostanie ono automatycznie przeniesione do okna edycji słownika i nie będziemy musieli go wpisywać z klawiatury. Jednak gdy myszka wskazuje na grafikę gorący klawisz „Edycja Słowników” przeniesie nas do okna „Wprowadź Opis Grafiki”. Dlatego korzystając z gorącego klawisza należy zwracać uwagę na to gdzie znajduje się wskaźnik myszki.

Teraz kiedy już znajdziemy się w oknie dialogowym słownika wyjątków w polu edycji „Oryginał”, wpisujemy słowo, które chcemy do niego dodać (zauważmy, że Window-Eyes nie rozróżnia przypadków). Wpisujemy słowo poprawnie i bez odstępów, wciskamy klawisz TAB, aby przejść do pola edycji „Zamiana na”, wpisujemy nazwę w taki sposób, w jaki chcemy, aby została wymówiona fonetycznie i wciskamy ENTER.

Do tego słownika możemy też dodać pozycje bardziej praktyczne, np. skróty: cm = centymetr lub ul = ulica. Innym przykładem mogą być cyfry rzymskie. Pamiętajmy, żeby nie stawiać kropek po skrótach. Oprócz apostrofu nie można używać znaków interpunkcyjnych przy wpisywaniu nowej pozycji. Podobnie jest z cyframi. W polu „Zamiana na” można użyć dowolnego znaku, np. odstępu, interpunkcji czy cyfr.

Słownik Wyjątków nie pozwala zmieniać wymowy niczego innego oprócz całych słów, które są rozważane jako tekst. Na przykład jeśli rozważamy wymowę słowa „sinus”, która nie jest poprawna w czystej formie i ją poprawimy, to również musimy poprawić wszystkie występujące formy tego słowa np. „sinusem” czy „sinusa”.

Podstawowe zasady

Słowo w postaci oryginalnej może zawierać tylko litery alfabetu i apostrofy. Bez spacji, cyfr, znaków przystankowych lub innych znaków ASCII. Proszę pamiętać o tym fakcie kiedy rozważamy skróty. Ostępy i inne znaki są dopuszczone w tekście zastępującym słowo oryginalne.

Zauważmy, że okno dialogu „Edycja Słownika Wyjątków” ma kilka dodatkowych opcji. Wiemy już do czego służą pola edycji „Oryginał” i „Zamiana na”. Jeśli wciśniemy klawisz TAB przejdziemy do innych opcji.

Kolejnym elementem jest pole edycji tylko do odczytu „Plik Skojarzony” zawiera nazwę słownika, który został skojarzony z bieżącym plikiem konfiguracyjnym.

Następne to pole edycji tylko do odczytu „Plik Bieżący” pokazuje, z którego słownika pochodzi definicja, jeśli dany wyjątek został wcześniej zdefiniowany. Ta informacja może, ale nie musi być identyczna z nazwą w pliku skojarzonego. W przypadku, kiedy nie ma oryginalnej definicji danego wyjątku, to pole zawiera nazwę bieżącego skojarzenia.

Dalej znajduje się pole listy „Bieżące Słowniki” jest listą wszystkich słowników wyjątków, które są aktualnie używane w kolejności ich załadowania. Możemy poruszać się do góry i w dół w tym polu listy. Kiedy zachowamy dany wyjątek, zostanie on umieszczony w słowniku, który został wybrany w tym polu listy.

Kolejne pole listy to „Zawartość Słownika”. Jest to lista pozycji w wybranym słowniku z pola listy „Bieżące Słowniki”. Dobrze jest przejrzeć całą zawartość słownika i jeśli chcemy zamienić jakąś pozycję, przechodzimy tabulatorem z powrotem do pola edycji zamiany i wpisujemy nowe słowo. Możemy zauważyć, że słowa ze słownika są wypowiadane w ich oryginalnej, a nie przetłumaczonej postaci. Przyczyną tego jest to, że gdy zmienimy sposób wypowiadania jakiegoś słowa to później trudniej nam by było znaleźć jego postać pierwotną.

Kolejnym elementem jest przycisk „Dodaj Wpis”. Jeśli użyjemy tego przycisku, to wpiszemy słowo z pola edycji „Oryginał” do słownika.

Przycisk "Usuń Wpis" daje nam możliwość usunięcia pozycji wyświetlonej w polu edycji „Oryginał” ze słownika.

Następny przycisk to przycisk OK.

A kolejny to Anuluj.

Po dokonaniu zmian w słowniku wyjątków musimy pamiętać, żeby wszystkie zmiany zachować na dysku, według procedury omówionej wcześniej.

Teraz, za każdym razem jak Window-Eyes napotka słowo, które znajduje się w słowniku wyjątków, zmieni jego wymowę zgodnie z podanym zapisem. Można utworzyć dowolną liczbę słowników wyjątków, np. można mieć taki słownik dla każdego okna czy w każdej aplikacji, aż do momentu, kiedy skończy się nam miejsce na dysku, żeby je wszystkie zachować. Jest to podyktowane tym, że słowa mogą zmieniać swoją wymową w zależności od kontekstu, w którym się znajdują. Na przykład skrót ul. w edytorze tekstu będzie oznaczał ulicę a w kompilatorze programów zmienną.

Domyślnie pulpit jest skojarzony z plikiem EXCP.DIC, więc jeśli chcemy stworzyć pozycję globalnego słownika wyjątków, musimy dodać dane słowo do EXCP.DIC. Aby to zrobić, upewniamy się, że taki słownik jest wybrany w polu listy "Bieżące Słowniki", zanim wpiszemy oryginalne słowo i słowo zamiany.


16

ROZDZIAŁ SZESNASTY
Słowniki wymowy oraz trochę więcej o menu plik

16.4: Słownik etykiet klawiszy

Słownik etykiet klawiszy sprawia, że Window-Eyes może wymówić nazwę klawisza, który wybierzemy. Kiedy używamy kilka różnych programów aplikacyjnych, z których każdy wymaga kilku klawiszy funkcyjnych oraz kombinacji klawiszy, słownik ten pomaga nam zidentyfikować funkcje tych klawiszy. Przykładowo, kombinacja CTRL-C może by ustawiona tak, aby była odczytywana jako „skopiowany do schowka” w momencie wciśnięcia, a F1 może wypowiadać „pomoc kontekstowa”.

Aby dodać pozycję do słownika etykiet klawiszy, należy otworzyć okno dialogowe „Edycja Słownika Etykiet Klawiszy”. Przechodzimy przez Plik menu Window-Eyes i wybieramy rozwinięcie tego słownika, lub też wciskamy gorący klawisz „Edycja Słowników" (CTRL-SHIFT-E). Pojawi się teraz okno dialogowe „Edycja Słownika Etykiet Klawiszy”. Jednak, jeśli wskaźnik myszy znajduje się na znaku graficznym, wciśnięcie wyżej wymienionego gorącego klawisza spowoduje, że otworzy się okno dialogowe „Wprowadź Opis Grafiki”. Zatem należy się upewnić, że wskaźnik nie znajduje się na obrazku, zanim wciśniemy gorący klawisz.

Kiedy już znajdziemy się w oknie dialogowym słownika etykiet, wciskamy ENTER będąc na przycisku "Przechwyć Klawisz" (domyślnie podświetlony). Window-Eyes powie „Wciśnij Dowolny Klawisz” wtedy należy wcisnąć klawisz, który chcemy zdefiniować. Np. jeśli definiujemy klawisz F1, aby był wymawiany jako „Pomoc aplikacyjna”, wciskamy teraz ten klawisz. Znajdziemy się w polu edycji tylko do odczytu dla pozycji oryginalnej. Tabulatorem możemy przejść do pola edycji zamiany i podajemy wybrany opis (w tym przykładzie: "Pomoc aplikacyjna").

Zauważmy, że pole dialogowe „Edycja Słownika Etykiet Klawiszy” ma kilka dodatkowych funkcji. Oprócz przycisku „Przechwyć Klawisz”, pola edycji „Oryginał” oraz pola edycji „Zamień na”. Klawisz TAB przeniesie nas do pozostałych omówionych poniżej opcji.

Pole edycji tylko do odczytu „Plik Skojarzony”, zawiera nazwę słownika skojarzonego z bieżącym plikiem konfiguracyjnym.

Kolejny element to pole edycji tylko do odczytu „Bieżący Plik”. Jeśli klawisz był już wcześniej zdefiniowany, to w tym polu będzie podana nazwa słownika, który zawiera definicję. Może to być ta sama nazwa, która jest podana w polu „Plik Skojarzony”.

Następna kontrolka, to pole listy „Bieżące Słowniki”. Zawiera ona listę wszystkich słowników aktualnie zainstalowanych w kolejności ich instalacji. Oczywiście jeśli jakiś program aplikacyjny zostanie zamknięty liczba słowników może ulec zmniejszeniu. Wybierając jeden ze słowników decydujemy, w którym z nich dokonamy zmiany.

"Zawartość Słownika" to pole listy zwierające wszystkie znaki (słowa) oryginalne zawarte w bieżącym słowniku. Dobrze jest przejrzeć zawartość słownika. Jeśli chcemy dokonać zmiany wystarczy wrócić do pola edycji „Zamień na” i wpisać nową treść.

Przycisk „Dodaj Wpis” dodaje aktualny wpis do słownika.

Przycisk „Usuń Zapis” usunie aktualny wpis ze słownika.

Po dodaniu pozycji do słownika etykiet klawiszy, należy zapisać wszystkie modyfikacje na dysku.

Za każdym razem jak Window-Eyes napotka klawisz, który został umieszczony w słowniku, odczyta nadaną temu klawiszowi etykietę. Jednak jeśli przejdzie do innych aplikacji, takich jak Write, WordPerfect lub też Menedżer Programów, okaże się, że te same etykiety nie są wymawiane. Jest to użyteczne, gdyż każda aplikacja przypisuje różne funkcje tym samym klawiszom.

Można stworzyć dowolną ilość słowników etykiet klawiszy. Domyślnie pulpit jest skojarzony z plikiem KEYLAB.KEY, więc jeśli chcemy stworzyć pozycję w globalnym słowniku etykiet klawiszy, po prostu dodajemy słowo do KEYLAB.KEY, upewniając się wcześniej, że wybraliśmy ten typ słownika w polu listy "Bieżące Słowniki".


16

ROZDZIAŁ SZESNASTY
Słowniki wymowy oraz trochę więcej o menu plik

16.5: Słownik znaków

Słownik znaków funkcjonuje jak słownik wyjątków. Jedyna różnica polega na tym, że Window-Eyes używa tego słownika, aby zmienić wymowę danego znaku ASCII.

Procedura korzystania z tego słownika jest identyczna jak w przypadku wcześniej wymienionych słowników. Edycje słownika można uruchomić z menu Plik programu Window-Eyes lub przy pomocy gorącego klawisza. Należy jedynie pamiętać o tym, że korzystając z gorącego klawisza "Edycja Słowników" (CTRL-SHIFT-E), dany znak będzie domyślną pozycją, jeśli wskaźnik myszy znajdzie się na tym znaku w momencie wciśnięcia klawisza. Gdyby wskaźnik znajdował się na obrazku, a nie znaku, w momencie wciśnięcia gorącego klawisza „Edycja Słownika” otworzyłoby się okno dialogowe "Wprowadź Opis Grafiki".

Gdy przystępujemy do edycji słownika znaków, wystarczy wpisać znak Jeśli chcemy zdefiniować znak, który nie może być wpisany z klawiatury, możemy użyć alternatywnej metody - np. ASCII 147 jest używany jako symbol cudzysłowu. Można go wpisać w następujący sposób:

/147

Po prostu rozpoczynamy wprowadzanie znaku od / i wprowadzamy wartość liczbową kodu ASCII. Po wpisaniu znaku wystarczy nacisnąć klawisz TAB aby przejść do pola edycji „Zamień na” gdzie wpiszemy opis jaki ma być użyty w połączeniu z wprowadzonym kodem.

Okno dialogowe "Edycja Słownika Znaków" zawiera pole edycji tylko do odczytu "Czcionka" oraz pole wyboru "Dołącz Czcionkę". Te dwie opcje są dostępne tylko wtedy, kiedy znak automatycznie zostanie wpisany do pola edycji słowa oryginalnego (wyjściowego) na skutek użycia gorącego klawisza.

Pole wyboru "Dołącz Czcionkę" informuje Window-Eyes, czy definiujemy znak napisany tą konkretną czcionką, czy wszystkie znaki bez względu na czcionkę. Wybrane pole oznacza, Ze dana zamiana będzie używana tylko dla konkretnego znaku przy konkretnej czcionce. Jeśli odznaczymy to pole, Window-Eyes będzie zawsze używał tej zamiany dla wybranego znaku, bez względu na czcionkę.

Kolejną kontrolką jest pole tylko do czytania „Plik Skojarzony”. Zawiera ono nazwę słownika skojarzonego z bieżącym plikiem konfiguracyjnym.

Następnym elementem jest pole tylko do czytania „Plik Bieżący”. Jeśli definiowany znak był już uprzednio zdefiniowany, w tym miejscu znajdziemy nazwę słownika zawierającego definiowany znak. Jeśli nie było definicji danego znaku, w tym miejscu będzie się znajdowała nazwa pliku skojarzonego.

Następna kontrolka, to pole listy „Bieżące Słowniki”. Zawiera ona listę wszystkich słowników aktualnie zainstalowanych w kolejności ich instalacji. Oczywiście jeśli jakiś program aplikacyjny zostanie zamknięty liczba słowników może ulec zmniejszeniu. Wybierając jeden ze słowników decydujemy, w którym z nich dokonamy zmiany.

"Zawartość Słownika" to pole listy zwierające wszystkie znaki (słowa) oryginalne zawarte w bieżącym słowniku. Dobrze jest przejrzeć zawartość słownika. Jeśli chcemy dokonać zmiany wystarczy wrócić do pola edycji „Zamień na” i wpisać nową treść.

Przycisk „Dodaj Wpis” dodaje aktualny wpis do słownika.

Przycisk „Usuń Zapis” usunie aktualny wpis ze słownika.

Kolejna kontrolka to przycisk OK.

Następna to przycisk Anuluj.

Po dokonaniu zmian w słowniku znaków musimy pamiętać, żeby wszystkie zmiany zachować na dysku, według procedury omówionej wcześniej.

Teraz, za każdym razem jak Window-Eyes napotka znak, który znajduje się w słowniku znaków, zmieni jego wymowę zgodnie z podanym zapisem.

Można utworzyć dowolną liczbę słowników znaków, np. można mieć taki słownik dla każdego okna czy w każdej aplikacji, aż do momentu, kiedy skończy się nam miejsce na dysku, żeby je wszystkie zachować. Domyślnie pulpit jest skojarzony z plikiem CHAR.CHR, więc jeśli chcemy stworzyć pozycję globalnego słownika znaków, musimy dodać dany znak do CHAR.CHR. Aby to zrobić, upewniamy się, że taki słownik jest wybrany w polu listy "Bieżące Słowniki".


16

ROZDZIAŁ SZESNASTY
Słowniki wymowy oraz trochę więcej o menu plik

16.6: Słownik obrazków

Słownik obrazków pozwala na podpisanie symboli graficznych, których Windows i jego aplikacje używają do oznaczenia funkcji. Aby zobaczyć, jak ten słownik działa przechodzimy do pulpitu w Menedżerze Programów i wciskamy CRTL-SHIFT-W, a Window-Eyes odczyta cale okno aktywne, zaczynając od symboli "zamknij", "zminimalizuj", oraz "maksymalizuj". Bez słownika obrazków Window-Eyes powiedziałby po prostu "Grafika" na wszystkie symbole, które spotkałby w oknie.

Tworzenie słownika obrazków

Proces tworzenia słownika obrazków jest podobny do tworzenia pozostałych słowników. Ponieważ jednak nie możemy wpisać znaku graficznego i opisu w polu edycji, tak jak to możemy zrobić ze słowami i znakami, Window-Eyes pozwala przechwycić obrazek a potem go opisać.

Ogólna procedura wygląda następująco:

  • Umieszczamy wskaźnik myszy na znaku graficznym, któremu chcemy nadać etykietę
  • Wciskamy gorący klawisz "Edycja Słowników" (CRTL-SHIFT-E)
  • Wpisujemy nazwę, którą chcemy aby Window-Eyes odczytywał przy tym znaku graficznym
  • Zapisujemy słownik

Jeśli bieżący plik konfiguracyjny nie posiada skojarzonego słownika obrazków, wtedy nowa etykieta znaku graficznego zostanie zapisana jako część słownika globalnego. Jeśli chcemy używać etykiet tylko w konkretnej aplikacji, musimy najpierw otworzyć słownik obrazków w menu głównym Window-Eyes. W ten sposób tworzymy nowy, pusty słownik obrazków dla danego programu i wszystkie obiekty graficzne będą tam umieszczane.

Przyjrzyjmy się jak to działa na przykładzie. Przypuśćmy, że nasz program użytkowy posiada pasek narzędzi, w którym znajduje się wiele różnych obrazków, które chcielibyśmy nazwać. Otwórzmy zatem nasz program i umieśćmy wskaźnik myszki na pierwszym obrazku paska narzędzi. Może się zdarzyć, że przesuwając się myszką po obrazkach usłyszymy ich opisy, ale gdy przesuwać się będziemy myszką po uchwytach program Window-Eyes będzie stale powtarzał „grafika”. Przypuśćmy, że pierwszy obrazek na naszym pasku narzędzi oznacza okno dialogu nowego dokumentu. Jak się o tym dowiedzieć? Najprostszą metodą dowiedzenia się tego jest po prostu kliknięcie myszą na tym elemencie. Wtedy uruchomi się funkcja związana z danym elementem graficznym i za pomocą gorącego klawisza Odczytaj Bieżące Okno będziemy mogli przeczytać zawartość okna, które się pojawi, lub klawiszem Tytuł i Status Okna jego nagłówek. Takie postępowanie jest dobrą drogą do poznania przeznaczenia dowolnych znaczków graficznych wtedy gdy są one nie opisane. Przypuśćmy, że w naszym przykładzie Window-Eyes wypowie tytuł okna dialogowego „Nowy dokument”. Należy wtedy zamknąć to okno (ESC). Wskaźnik myszki (zakładamy, że nie został przesunięty) nadal będzie znajdował się nad dopiero co wywołanym obrazkiem. Aby mu nadać etykietę należy teraz:

  • Wcisnąć CTRL-SHIFT-E aby program Window-Eyes przechwycił grafikę z pod kursora.
  • Wpisać tekst, który ma być powiązany z tą grafiką. W naszym przykładzie „Nowy dokument”.
  • Wcisnąć ENTER
  • Zapisać słownik przy pomocy funkcji Plik panelu kontrolnego (CTRL-\) wybierając opcję Zapisz, a następnie wybierając Słownik Obrazków.

Zapisywanie słownika obrazków

Przy pierwszym instalowaniu Window-Eyes, słownik obrazków ma nazwę GRAPHIC.GRA. Jeśli chcemy, możemy zostawić ten słownik i dodawać do niego nowe pozycje. Możemy też stworzyć osobny słownik dla danej aplikacji, która posiada unikalne znaki graficzne. W takiej aplikacji będziemy mogli używać pozycji ze specjalnego słownika, jak i też ze słownika ogólnego. Jest to tak zwany efekt kumulacji (zobacz rozdział 16.9).

Pole dialogowe "Wprowadź Opis Grafiki" posiada kilka dodatkowych funkcji, które między innymi pozwalają kontrolować skojarzenia pomiędzy słownikami obrazków i oknami aplikacji jak również kilka innych opcji.

Pole wyboru "Wycisz grafikę" daje możliwość ignorowania danego znaku graficznego przez Window-Eyes; możemy go wykorzystać przy przemieszczaniu się po niepotrzebnych znakach graficznych na ekranie.

Jeśli nie chcemy kompletnie wyciszać grafiki, za pomocą wymienionego powyżej pola wyboru, ale nie chcemy jej odczytywać tylko w sytuacji, gdy przemieszczamy się linia po linii po ekranie, to możemy zaznaczyć tą opcje. Pole wyboru „Wyłącz z linii” pozwala na wyłączenie czytania danego znaku graficznego kiedy czytamy daną informację wiersz po wierszu. Taki znak graficzny zostanie odczytany tylko wtedy gdy: umieścimy na nim wskaźnik myszy, będziemy poruszać się myszą po jednym uchwycie (stosując odpowiednie gorące klawisze), lub też użyjemy funkcji szukania za pomocą myszy. Jednak gdy będziemy odczytywać bieżącą linię, zawarte w niej grafiki zostaną przemilczane.

Następnym elementem kontrolnym jest pole edycji „Braille”. Można tu wpisać opis grafiki, który będzie przedstawiany na linijce brajlowskiej. Podobnie jak powyższy opis grafiki ten też ma dwa pola wyboru: Wycisz grafikę i Wyłącz z linii. Oba działają analogicznie jak opisane powyżej.

Kolejna funkcja to pole edycji tylko do odczytu „Plik Skojarzony”, który zawiera nazwę słownika skojarzonego z bieżącym plikiem konfiguracyjnym.

Kolejna kontrolka to pole edycji tylko do odczytu „Bieżący Plik Mowy”. Jeśli obraz grafiki był wcześniej zdefiniowany dla mowy, w tym miejscu będzie podana nazwa słownika, z którego będzie pochodził opis. To może być ta sama nazwa co nazwa pliku skojarzonego. Jeśli nie było definicji opisu głosowego dla tej grafiki, w polu tym zawarta będzie nazwa bieżącego pliku skojarzonego.

Kolejna kontrolka to pole edycji tylko do odczytu „Bieżący Plik Braille’a”. Jeśli obraz tej grafiki był wcześniej zdefiniowany dla brajla w tym miejscu podana zostanie nazwa słownika zwierającego opis brajlowski. To może być ta sama nazwa co nazwa pliku skojarzonego. Jeśli nie było definicji opisu brajlowskiego dla tej grafiki, w polu tym zawarta będzie nazwa bieżącego pliku skojarzonego.

Następnym elementem jest pole listy „Bieżące Słowniki Mowy”. Jest to lista wszystkich słowników obrazków (zawierających opisy słowne) aktualnie uruchomionych w kolejności ich ładowania. Oczywiście, gdy jeden z programów zostanie zamknięty liczb słowników się zmniejszy. Zakładamy, że używanych jest kilka słowników grafik dla różnych aplikacji. Powodem, dla którego ta pola listy została tu zamieszczone jest możliwość wyboru słownika, w którym ma być zapisany zdefiniowany opis słowny grafiki.

Następnym elementem jest pole listy „Bieżące Słowniki Braille’a”. Jest to lista wszystkich słowników obrazków (zawierających opisy brajlowskie) aktualnie uruchomionych, w kolejności ich ładowania. Oczywiście, gdy jeden z programów zostanie zamknięty liczb słowników się zmniejszy. Zakładamy, że używanych jest kilka słowników grafik dla różnych aplikacji. Powodem, dla którego ta pola listy została tu zamieszczone jest możliwość wyboru słownika, w którym ma być zapisany zdefiniowany opis brajlowski grafiki.

Premia związana ze słownikiem obrazków

Aplikacje Windows posiadają cechę zwaną podpowiedziami (lub dymkami). Jest to etykieta tekstowa, która pojawia się pod ikoną na pasku narzędzi, kiedy naprowadzimy na ikonę wskaźnik myszy. Takie podpowiedzi są wyzwaniem dla użytkownika programu mówiącego, ponieważ znikają jak tylko przesuniemy wskaźnik z ikony.

Zatem nie można użyć myszy, aby je odczytać. Można użyć WE kursora, ale cały proces lokalizacji paska narzędzi za pomocą myszy, przełączania na WE kursor, lokalizacji podpowiedzi, zapamiętywania tekstu, stworzenia pozycji w słowniku obrazków itd. wydaje się być bardzo czasochłonny.

Window-Eyes oferuje gorący klawisz "Automatyczne Etykietowanie Grafiki" (INS-G), Ten klawisz daje nam możliwość automatycznego wprowadzenia opisów grafik w oparciu o dymki (podpowiedzi) jakie się pojawiają przy przesuwaniu się za pomocą wskaźnika myszy po znakach graficznych występujących na ekranie. Szukając podpowiedzi. Window-Eyes powie "Grafika" za każdym razem kiedy natrafi na znak graficzny, ale gdy znajdzie podpowiedź, odczyta tekst tej podpowiedzi i zachowa symbol ikony wraz z tekstem w słowniku obrazków. Teraz wystarczy tylko zapisać słownik obrazków w menu pliku aby zdefiniowane opisy były aktywne w przyszłości.

Gdy teraz umieścimy wskaźnik myszy w lewym górnym rogu ekranu i raz po raz przyciskając gorący klawisz „Myszka Następna Ikona”, usłyszymy opisy znaków graficznych i ich podpowiedzi.

Funkcja auto etykietowania nie zmienia opisu już nazwanych znaków graficznych, tzn. że jeśli dany znak graficzny został nazwany, jego etykieta nie zmieni się.

Proces auto etykietowania może potrwać chwilę, dlatego też jeśli chcemy go zatrzymać, w dowolnym momencie wciskamy klawisz ESCAPE.


16

ROZDZIAŁ SZESNASTY
Słowniki wymowy oraz trochę więcej o menu plik

16.7: Opisy wskaźnika myszy

Wskaźnik myszy ma swój własny słownik. Wszystkie wskaźniki systemowe zostały zdefiniowane i zapisane w pliku WINEYES.INI w katalogu \WINEYES. Czasem jednak chcemy zmienić istniejące definicje lub też dodać nowy niestandardowy wskaźnik. Wskaźnik może być przechwycony tak jak grafika, ale posługiwanie się słownikiem jest o wiele prostsze. Nowa definicja jest automatycznie zapisywana w pliku .WE.

Przechwytywanie myszy

Ze względu na to, że nie możemy wpisać wskaźnika myszy w pole edycji i nadać mu definicji w taki sposób, jak w przypadku słów i znaków, Window-Eyes pozwala na przechwycenie obrazka i podpisanie go.

Taka procedura wgląda następująco:

  • Wyświetlamy wskaźnik, który ma być podpisany w danej aplikacji
  • Wciskamy gorący klawisz "Przechwycenie Wskaźnika" (CTRL-SHIFT-P)
  • Wpisujemy etykietę wskaźnika

Spójrzmy na następujący przykład. Przypuśćmy, że nasz program, używa jakiś dziwny wskaźnik myszki. Za każdym razem gdy tylko pojawi się on na ekranie Window-Eyes powie: „wskaźnik 1234 niezdefiniowany”. Powiedzmy, że chcemy mu nadać nazwę Krzyżyk.

· Uruchommy program aby uzyskać wskaźnik myszki na ekranie.

· Możemy użyć gorącego klawisza „Opisz Wskaźnik Myszy” (niezdefiniowanego domyślnie) aby upewnić się, że jest to ten wskaźnik, o który nam chodzi.

  • Wciśnijmy gorący klawisz "Przechwycenie Wskaźnik" (CTRL-SHIFT-P). Window-Eyes wyświetli okno dialogu z nazwą wskaźnika myszy w polu edycji. Możemy teraz wpisać własną nazwę.
  • Wpiszmy nazwę „Krzyżyk”.
  • Naciśnijmy ENTER.

Nie trzeba zachowywać pliku konfiguracyjnego, by zapisać nową etykietę.

Ignorowanie niepożądanych wskaźników myszy

Tak, jak w przypadku symboli graficznych, czasem wygodniej jest, jeśli Window-Eyes nie odczytuje danego wskaźnika myszy. W tym celu musimy zdefiniować wskaźnik za pomocą gorącego klawisza „Przechwycenie Wskaźnika”, a następnie zaznaczyć pole wyboru „Wycisz Wskaźnik”, bez względu na to, czy dany wskaźnik posiada opis, czy nie.

Wskaźniki systemowe

W momencie etykietowania wskaźnika systemowego mamy do dyspozycji jeszcze jedno pole wyboru w oknie dialogowym „Wprowadź Opis Wskaźnika”. To pole wyboru nazywa się „Zachowaj Jako Wskaźnik Systemowy” I jest używane, jeśli chcemy zapisać dany wskaźnik systemowy globalnie, a nie tylko dla bieżącej aplikacji.

To pole wyboru jest dostępne tylko dla wskaźników systemowych.


16

ROZDZIAŁ SZESNASTY
Słowniki wymowy oraz trochę więcej o menu plik

16.8: Zamykanie bieżąco załadowanych słowników

Możemy zlikwidować skojarzenie pomiędzy plikiem konfiguracyjnym i jednym z czterech słowników wymowy w menu pliku, w menu głównym Window-Eyes. Wybieramy "zamknij" oraz dany typ słownika, a potem potwierdzamy wybór klawiszem ENTER.

Kiedy zamkniemy słownik dwie rzeczy mają miejsce: nie jest już on skojarzony z plikiem konfiguracyjnym, zatem nie będziemy już go używać w przyszłości (oczywiście jeśli zapiszemy plik konfiguracyjny) i słownik ten przestaje być aktywny. Dany słownik wciąż znajduje się na dysku, ale nie będzie już skojarzony z bieżącym plikiem konfiguracyjnym.


16

ROZDZIAŁ SZESNASTY
Słowniki wymowy oraz trochę więcej o menu plik

16.9: Efekt kumulacji

Wszystkie słowniki kumulują się: to oznacza, że jeśli mamy słownik dla danej aplikacji oraz słownik dla pola dialogu w tej aplikacji, pole dialogu będzie używać obydwu słowników. Działa to w następujący sposób:

Zbudowaliśmy słownik wyjątków dla programu WordPad. Nasz słownik zawiera 100 słów. Przywołujemy okno dialogu w programie WordPad i orientujemy się, że kilka słów jest nieprawidłowo wypowiadanych. Tworzymy więc słownik, który zawiera tylko te cztery słowa. Zapisujemy go pod nową nazwą, tworzymy plik konfiguracyjny dla tego okna dialogu i kojarzymy nowy słownik z utworzonym plikiem konfiguracyjnym. Mamy teraz 104 słowa do dyspozycji w oknie dialogu, lecz nadal tylko 100 w oknie edycji programu WordPad.

Innym przykładem może być opisanie w słowniku wyjątków skrótów oznaczających inicjały naszych współpracowników. Jednak może się zdarzyć, że gdy jesteśmy w oknie dialogu wyboru kroju, ten sam skrót oznacza część nazwy kroju. Nie chcemy aby imię i nazwisko związane z inicjałami było wypowiada w połączeniu z nazwą kroju. Musimy w tym przypadku zapisać nowy zbiór konfiguracyjny, utworzyć słownik z tymi inicjałami i skojarzyć go z plikiem konfiguracyjnym. Teraz gdy będziemy odczytywać w polu edycji inicjały usłyszymy imię i nazwisko a gdy przejdziemy do okna dialogu wyboru kroju pisma usłyszymy tylko nazwę kroju.

Krótko mówiąc, jeśli taka sama pozycja znajduje się w obu słownikach, uruchomiona zawsze zostanie pozycja w słowniku skojarzonym z bieżącym plikiem konfiguracyjnym.

Domyślnie plik konfiguracyjny WINEYES.000 posiada następujące skojarzenia:

  • słownik znaków: CHAR.CHR
  • słownik etykiet klawiszy: KEYLAB.KEY
  • słownik wyjątków: EXCP.DIC
  • słownik obrazków: GRAPHIC.GRA

Oczywiście te skojarzenia mogą być zmienione w dowolnym momencie, jednak nie jest to zalecane, ponieważ wszystkie słowniki ostatecznie kumulują się do słowników skojarzonych z WINEYES.000. To oznacza, że będą one słownikami głównymi, co jest szczególnie ważne przy ustawieniach globalnych w aplikacjach Windows.


ROZDZIAŁ SIEDEMNASTY
Menu ogólne

W tym rozdziale podręcznika zawarte są informacje o menu ogólnym programu i jego opcjach.

  • 17.1: Podstawy
  • 17.2: Jak to działa?
  • 17.3: Włączanie i wyłączanie głosu gorących klawiszy i akcji
  • 17.4: Ustawianie statusu śledzenia paska podświetlenia
  • 17.5: Śledzenie zawartości komórek arkusza
  • 17.6: Włączanie okna użytkownika do pola
  • 17.7: Tekst oznaczony
  • 17.8: Włączanie i wyłączanie słowników wymowy
  • 17.9: Dopuszczenie Mówiącego Okna w Polu Edycji
  • 17.10: Opóźnienie kursora
  • 17.11: Opóźnienie wyzwalania
  • 17.12: Próg odstępu
  • 17.13: Przypadek źle działającego ekranu
  • 17.14: Automatyczne mówienie narzędzi (podpowiedzi)
  • 17.15: Tryb aplikacji MSAA
  • 17.16: Reinicjalizacja syntezatora (restartowanie)


ROZDZIAŁ SIEDEMNASTY
Menu ogólne

17.1: Podstawy

W kilku rozdziałach tej instrukcji odwoływaliśmy się do menu ogólnego, zwykle przy omawianiu konkretnego problemu. Szczegółowa analiza tego menu musiała poczekać do chwili, aż inne ogólne funkcje zostaną omówione. Ten rozdział objaśnia wszystkie obiekty w menu głównym w kolejności, w jakiej się pojawiają, ze szczególnym uwzględnieniem obiektów, które są wymieniane po raz pierwszy.


17

ROZDZIAŁ SIEDEMNASTY
Menu ogólne

17.2: Jak to działa?

Dostęp do menu ogólnego wygląda następująco:

  • Wciskamy CTRL-\, aby wyświetlić menu główne Window-Eyes.
  • Wciskamy klawisz ALT, aby uaktywnić to menu, a potem wciskamy O, aby rozwinąć menu ogólne.


17

ROZDZIAŁ SIEDEMNASTY
Menu ogólne

17.3: Włączanie i wyłączanie głosu gorących klawiszy i akcji

G = głos: aktywuje lub dezaktywuje głos

W momencie wyłączenia tej opcji Window-Eyes zostanie odłączony od syntezatora. Nie ma głosu aż do ponownego wybrania tego obiektu, lub też do momentu załadowania pliku konfiguracyjnego z włączonym głosem.

Można również użyć gorącego klawisza "Przełącz Wszystkie Głosy" (nie zdefiniowane domyślnie), by włączyć lub wyłączyć głos.

C = gorące klawisze: aktywuje lub dezaktywuje wszystkie klawisze

Kiedy gorące klawisze są wyłączone, działa tylko gorący klawisz kontroli menu.

Kiedy ponownie włączymy tą opcję, gorące klawisze zaczną działać normalnie.

Powodem, dla którego można wyłączyć funkcje gorących klawiszy, może być chęć sprawdzenia nowej aplikacji i wypróbowania ustawień w tym programie, bez interferencji z kombinacjami klawiszowymi Window-Eyes.

K = klawisze kursora: aktywuje i dezaktywuje akcje Window-Eyes.

Kiedy ta funkcja zostanie wyłączona, nie będą działały akcje w Window-Eyes: będą czynne tylko akcje danej aplikacji.


17

ROZDZIAŁ SIEDEMNASTY
Menu ogólne

17.4: Ustawianie statusu śledzenia paska podświetlenia

L= śledzenie podświetlenia: ustawia status operacyjny śledzenia paska. Ten obiekt działa tak samo, jak gorący klawisz śledzenia podświetlenia.

Jeśli wybierzemy tę opcję, pojawi się pole listy z następującymi obiektami: "auto", "włączony", "wyłączony".

Kiedy wybierzemy opcje "włączony", klawisze strzałek, CTRL-TAB, oraz SHIFT-CTRL-TAB odczytują pasek podświetlenia zamiast tekstu zdefiniowanego w menu akcji.

Przy opcji "wyłączony", klawisze strzałek funkcjonują zgodnie z definicjami w menu akcji.

Jeśli wybierzemy opcję "auto", Window-Eyes próbuje odczytać pasek podświetlenia, jeśli klawisze strzałek, CTRL-TAB i SHIFT-CTRL-TAB zostaną wciśnięte, nawet, gdyby nie ustawiono koloru paska podświetlenia. Jeśli w momencie użycia tych klawiszy nie ma paska podświetlenia, Window-Eyes odczytuje informację, którą zwykle by odczytał w takim momencie. Jeśli jednak znajdzie pasek, odczytuje jedną ze znanych mu kombinacji kolorów, takich, które system Windows używa dla menu oraz ikon. Zatem jeśli znajdzie pasek podświetlenia w momencie użycia wyżej wymienionych klawiszy, odczyta jego tekst; w przeciwnym razie odczyta informację ustaloną w definicji danej akcji.


17

ROZDZIAŁ SIEDEMNASTY
Menu ogólne

17.5: Śledzenie zawartości komórek arkusza

R = Ramka Jako Podświetlenie

Aby można było śledzić informacje w aktywnej komórce arkusza kalkulacyjnego, przesuwając się z komórki do komórki, należy w menu ogólnym Window-Eyes wybrać opcję "Ramka Jako Podświetlenie", przez co włączymy lub wyłączymy tą opcję. Dotyczy to przypadku, gdy aktywna komórka jest wyróżniona z pośród innych rodzajem ramki a nie paskiem podświetlenia

Kiedy wybierzemy opcję "włączony", wciśnięcie gorącego klawisza "Czytaj Pasek" spowoduje, że zawartość aktywnej komórki arkusza zostanie odczytana. Ustawienie przełącznika paska na "włączony" lub "auto", umożliwi odczytanie nowej aktywnej komórki za pomocą strzałek. Akcje ustawione na odczytanie paska podświetlenia także dają nam możliwość podświetlenia zawartości komórki.

Kiedy wybierzemy opcję "wyłączony", wszystkie funkcje śledzenia i czytania paska działają normalnie.


17

ROZDZIAŁ SIEDEMNASTY
Menu ogólne

17.6: Włączanie okna użytkownika do pola

M = Powiązanie Okna Użytkownika z Ramką

Wybierając opcję Powiązanie Ramki z Oknem w menu ogólnym, aktywujemy okno dialogowe, które pozwala nam wybrać okno użytkownika do odczytania (od 0 do 49). Jak już wybierzemy nr okna, Window-Eyes odczyta je, jeśli wcześniej wydaliśmy mu polecenie, by odczytał pole zamiast paska podświetlenia, oraz gdy pole nie zawiera tekstu. W rozdziale 17.5 omawialiśmy w jaki sposób odczytać ramkę jako podświetlenia.

Taką funkcję można wykorzystać np. w programie Netscape - jeśli dana ramka jest pusta, Window-Eyes rozpozna to i automatycznie odczyta okno użytkownika dla linii statusu. Powiedzmy np., że zdefiniowaliśmy klawisz tabulatora oraz tabulatora z klawiszem SHIFT jako akcje do odczytu paska podświetlenia oraz wybraliśmy opcję " Powiązanie Ramki z Oknem " w menu ogólnym. Załóżmy również, że dana aplikacja przesuwa pole, które śledzi Window-Eyes od jednego połączenia do kolejnego, jak przechodzimy tabulatorem, oraz wyświetla ważne informacje, takie jak URL (adres stron www) w linii statusu. Jeśli aplikacja przejdzie do połączenia, które nie zawiera tekstu, Window-Eyes rozpozna, że okno jest puste i przeczyta zawartość okna użytkownika. Ponieważ linia statusu w programie Netscape zawiera adres URL, to z a każdym razem gdy naciśniemy klawisz TAB usłyszymy link.


17

ROZDZIAŁ SIEDEMNASTY
Menu ogólne

17.7: Tekst oznaczony

T = Tekst Oznaczony

Zwykle Window-Eyes może ustalić automatycznie kolor zaznaczonego tekstu, zatem jeśli użyjemy gorącego klawisza "Przeczytaj Zaznaczony Blok" (CTRL-SHIFT-M) lub zdefiniujemy akcję tak, by odczytać zaznaczony tekst, Window-Eyes określi kolor zaznaczenia i odczyta dany tekst. Jeśli ta funkcja nie działa w naszej aplikacji., można zmienić opcje zaznaczania tekstu z "auto" na pasek podświetlenia i ustawić kolor tego paska dla okna użytkownika, zgodnie z kolorem zaznaczonego tekstu (by Window-Eyes prawidłowo rozpoznał kolor używany przez aplikację w zaznaczonym tekście). W rozdziale 13 tłumaczymy jak ustawić kolor paska podświetlenia.


17

ROZDZIAŁ SIEDEMNASTY
Menu ogólne

17.8: Włączanie i wyłączanie słowników wymowy

Z = słownik znaków

E = słownik etykiet klawiszy

W = słownik wyjątków

O = słownik obrazów

Kiedy wszystkie słowniki są włączone, Window-Eyes używa ich do odczytania obiektów, które napotka. Lecz kiedy słownik jest wyłączony, Window-Eyes nie może sprawdzić, czy dany obiekt znajduje się w tym słowniku czy nie.

Zwykle chcemy, aby wszystkie słowniki były włączone. Jednak czasem jest korzystniej ustalić, czy słowo lub fraza rzeczywiście wyświetlona została na ekranie, czy jest jedynie słownikową pozycją, którą stworzyliśmy. Wyłączenie odpowiedniego słownika pozwala na ustalenie tego typu informacji.

Słowniki znaków, etykiet klawiszy oraz wyjątków mają dwa ustawienia, a słownik obrazków cztery ustawienia. Wybierając ten ostatni słownik, wyświetla się pole dialogowe z aktywnym polem listy. Można wybrać tylko jedno z czterech następujących ustawień:

  • Wyłączony
  • Tylko słownik
  • Włączony
  • Tylko grafika

Wybranie ustawienia "wyłączony" powoduje, że napotkane znaki graficzne nie będą odczytane. Ta funkcja jest użyteczna tam, gdzie udźwiękowienie grafiki może przeszkadzać w zrozumieniu (np. w polach dialogowych).

Opcja "tylko słownik" działa w ten sposób, że tylko te znaki graficzne, które są w słowniku, będą odczytane. Wszystkie inne zostaną pominięte, chyba, że umieścimy na takim nowym znaku kursor lub wskaźnik myszy. W takim przypadku Window-Eyes powie "Grafika". Możemy wtedy zatrzymać się na tym obiekcie, by go zdefiniować w słowniku obrazków.

Przy ustawieniu na "włączony", Window-Eyes odczytuje wszystkie znaki graficzne, które napotka. Jeśli są one w słowniku, odczyta ich nazwę, jeśli nie - mówi tylko "Grafika".

Ustawienie "tylko grafika" sprawia, że wszystkie znaki graficzne odczytywane są jako "Grafika".


17

ROZDZIAŁ SIEDEMNASTY
Menu ogólne

17.9: Dopuszczenie Mówiącego Okna w Polu Edycji

D = Dopuszczenie Mówiących Okien w Polu Edycji

Ta opcja została omówiona w Rozdziale 12.8


17

ROZDZIAŁ SIEDEMNASTY
Menu ogólne

17.10: Opóźnienie kursora

A = Opóźnienie Kursora

Wybranie funkcji opóźnienia kursora w menu ogólnym powoduje, że wyświetla się pole dialogowe, w którym należy wpisać wartość od 1 do 99, aby zmniejszyć lub zwiększyć opóźnienie kursora (to znaczy czasu pomiędzy wciśnięciem klawiszy akcji a odczytaniem przez Window-Eyes informacji przypisanej tej akcji - rozdział 9.5).


17

ROZDZIAŁ SIEDEMNASTY
Menu ogólne

17.11: Opóźnienie wyzwalania

N = Opóźnienie Wyzwalania

Jeśli Window-Eyes zacznie się zacinać lub powtarzać pierwszą część wiersza, być może trzeba będzie zwiększyć opóźnienie wyzwalania, to znaczy określić czas, jaki Window-Eyes wykorzystuje do buforowania tekstu zanim prześle go do syntezatora.

Wybierając tę opcję, uruchamiamy pole dialogowe, gdzie w polu edycji możemy wpisać wartość od 1 do 99. Podświetlony jest przycisk OK., więc wystarczy wcisnąć ENTER, by wprowadzić nową liczbę. Aby zrezygnować z wpisanej wartości klikamy na przycisk CANCEL, lub wciskamy ESCAPE.

Na zasadzie prób i błędów należy znaleźć najniższą wartość, która będzie działała w danej aplikacji.

Zauważmy, że ta funkcja jest użyteczna jedynie przy odczytywaniu okien, lub przy użyciu gorącego klawisza "Wszystkie Mówiące"


17

ROZDZIAŁ SIEDEMNASTY
Menu ogólne

17.12: Próg odstępu

U = Próg odstępu

W dokumentach, Window-Eyes szuka pozycji kursora w odniesieniu do ostatniego znaku, który nie jest odstępem, aby ustalić, czy kursor znajduje się zaraz po tym znaku. W rzeczywistości wiele aplikacji nie wyświetla odstępu na końcu dokumentu – po prostu przesuwają kursor dalej od ostatniego znaku. Window-Eyes używa wartości progu odstępu, by ustalić jak daleko od ostatniego znaku znajduje się kursor, zanim uzna, że pomiędzy nimi są jeszcze spacje. Ta wartość waha się od 1 do 9, z ustawieniem domyślnym 4. Jeśli, zamiast odczytać "odstęp", Window-Eyes będzie odczytywał ostatni znak, który nie jest odstępem w momencie użycia klawisza BACKSPACE, należy dostosować odpowiednio wartość progu odstępu.


17

ROZDZIAŁ SIEDEMNASTY
Menu ogólne

17.13: Przypadek źle działającego ekranu

P = Dopuszczenie Automatycznego Odświeżania

Jeśli odczytywanie nie przebiega prawidłowo lub też słabowidzący użytkownik zauważy, że ekran źle działa, można użyć opcji "dopuszczenie automatycznego odświeżania", aby spróbować poradzić sobie z tym problemem. W ustawieniu domyślnym ta opcja jest włączona. Jeśli ją wyłączymy, Window-Eyes nie będzie próbował zsynchronizować ekranu. Ta opcja jest omawiana bardziej szczegółowo w rozdziale 8.11.


17

ROZDZIAŁ SIEDEMNASTY
Menu ogólne

17.14: Automatyczne mówienie narzędzi (podpowiedzi)

A = Wypowiadanie Opisów Narzędzi

Window-Eyes zwykle odczytuje narzędzia (podpowiedź) dla danej grafiki, gdy wskaźnik myszy natrafi na taki znak. Można wyłączyć tę opcję w menu ogólnym, na pozycji "Wypowiadanie Opisów Narzędzi". Podpowiedź to informacja tekstowa, dotycząca danego znaku graficznego, którą Windows wyświetla obok tego znaku przez krotką chwilę, gdy wskaźnik myszy natrafi na dany znak. Taka informacja opisuje zwykle jego funkcję. Window-Eyes automatycznie odczytuje podpowiedzi, aby poinformować użytkownika, co oznacza dany znak.


17

ROZDZIAŁ SIEDEMNASTY
Menu ogólne

17.15: Tryb aplikacji MSAA

Ta opcja została omówiona w Dodatku F.


17

ROZDZIAŁ SIEDEMNASTY
Menu ogólne

17.16: Reinicjalizacja syntezatora (restartowanie)

I = Inicjalizacja Syntezatora

Jeśli nasz syntezator podłączony jest do portu szeregowego, aplikacja Windows lub inny program może przesłać informację do syntezatora zamiast do myszy, modemu, lub innego urządzenia szeregowego. Ze względu na fakt, że syntezator lub port szeregowy może zareagować w sposób nieprzewidziany, ważne jest, by mieć łatwą metodę radzenia sobie w takich przypadkach.

Kiedy tak się stanie, syntezator zacznie czytać znaki, których nie ma w tekście, lub nagle przestanie czytać polskie litery. Może też zacząć czytać w nieprawidłowym tempie lub zmienić wysokość głosu. Przywrócenie poprawnych ustawień syntezatora nastąpi po:

Wciśnięciu CTRL-\ (aby pojawiło się menu główne Window-Eyes) i wciśnięciu litery I

Window-Eyes wyśle szereg komend do syntezatora, by go ustawić na nowo jego parametry i ogłosi "syntezator przeinicjowany".

Można również restartować syntezator rozwijając menu ogólne i wciskając literę I, lub też przechodząc strzałkami do obiektu tego menu: „Inicjalizacja syntezatora” i wciskając ENTER.

Z kolei gorący klawisz Przerysuj (INS-\) służy do restartowania syntezatora po odświeżeniu ekranu.


ROZDZIAŁ OSIEMNASTY
Menu brajlowskie

W tym rozdziale zawarta jest informacja o menu brajlowskim programu i jego opcjach.

Najnowszą cechą programu Window-Eyes jest możliwość obsługiwania linijek brajlowskich. W dodatku D znajdziecie Państwo listę wszystkich linijek, z którymi Window-Eyes może obecnie współpracować.

Pojawiła się również nowa pozycja w menu głównym Window-Eyes (pomiędzy menu ogólnym a menu gadatliwości). Menu brajlowskie posiada odpowiedni interfejs, pozwalający wybrać sposób działania linijki brajlowskiej we współpracy z programem Window-Eyes.

Wszystkie zmiany dokonywane w tym menu mają charakter globalny, co oznacza, iż automatycznie wpłyną one na działanie wszystkich aplikacji. Poza opisem znaków graficznych (które przechowywane są w słowniku) ustawienia linijki brajlowskiej zapisywane są automatycznie.

  • 18.2: Informacje Sterujące
  • 18.3: Wzory Punktów
  • 18.4: Tablice Transkrypcji
  • 18.5: Gorące klawisze
  • 18.6: Opcje
  • 18.7: Obrazki
  • 18.8: Okno Braille’a


18

ROZDZIAŁ OSIEMNASTY
Menu brajlowskie

18.1: Opcje przewijania

Jest to pierwsza pozycja w menu brajlowskim. Okno dialogowe zawiera:

· Automatycznie Sprowadzaj do Kursora

· Automatycznie Wypełniaj Linię

· Włącz Tryb Całych Słów

· Przewijanie w Poziomie

Automatycznie Sprowadzaj do Kursora

Ta funkcja nie jest jeszcze uruchomiona

Automatycznie Wypełniaj Linię

Ta funkcja nie jest jeszcze uruchomiona

Włącz Tryb Całych Słów

Ta funkcja nie jest jeszcze uruchomiona

Przewijanie Poziome

Opcja ta wskazuje w jaki sposób informacja przedstawiona na linijce brajlowskiej powinna być przesuwana. Przykładowo, przesuwając tekst strzałką w prawo, spodziewamy się, że miejsce, w którym znajduje się kursor, również będzie widoczne na linijce. Tekst zostanie przesunięty na lewo w ten sposób aby kursor nie zniknął.

Przewijanie poziome zawiera dwa przyciski opcji:

· Przesuwaj o Całą Długość Linijki

· Przesuwaj o Określoną Długość

Wybranie pierwszej opcji powoduje, że tekst przesuwa się o całą szerokość linijki, zatem kursor będzie w miejscu najbardziej wysuniętym w lewo przy przesuwaniu od prawej strony. Innymi słowy, informacja zawarta na linijce przesunie się o szerokość linijki.

Po wybraniu wyznaczonej szerokości przewijania pojawi się pole edycji, w którym można określić o jaką liczbę znaków ma przesunąć się tekst na linijce.

Jednorazowo można wybrać tylko jedną opcję.


18

ROZDZIAŁ OSIEMNASTY
Menu brajlowskie

18.2: Informacje Sterujące

Jest to druga opcja w menu brajlowskim.

Kiedy użytkownik korzysta z różnych typów sterowania systemu Windows, może określić w jaki sposób Window-Eyes ma przedstawić informację o elemencie sterującym na linijce brajlowskiej. Każdy przycisk sterujący może być opisany następującymi informacjami:

1. Typ pola (pole wyboru, pole edycji, itp.)

2. Nazwa pola (imię, numer telefonu, itp.)

3. Dane pola (zawartość pola, np. imię danej osoby lub numer telefonu)

Za pomocą pola dialogu „Informacje Sterujące” można kontrolować sposób podania tych informacji.

Kolejność informacji

Po uruchomieniu tego przycisku możemy wybrać jeden z sześciu przycisków opcji, które pozwalają ustalić kolejność podawania informacji. Domyślnie wybrany jest pierwszy przycisk „Typ, Nazwa, Dane”, co oznacza, że najpierw podany zostanie typ, potem nazwa a na końcu dane.

· Typ, Nazwa, Dane – ustawienie domyślne

· Typ, Dane, Nazwa

· Nazwa, Dane, Typ

· Nazwa, Typ, Dane

· Dane, Typ, Nazwa

· Dane, Nazwa, Typ

Włącz nazwę / Włącz typ

Po wybraniu kolejności podawania informacji można przejść do dwóch pól wyboru, których zaznaczenie mówi Window-Eyes, czy dana informacja powinna być wyświetlona, czy nie.

· Włącz Nazwę – jeśli to pole nie zostanie oznaczone, pole NAZWA nie zostanie wyświetlone

· Włącz typ - jeśli to pole nie zostanie oznaczone, typ sterowania nie zostanie wyświetlony

W ten sposób można nie tylko ustalić kolejność pojawiającej się informacji, ale też kontrolować jaka informacja pojawi się na linijce.

Włącz Pozycję

To pole wyboru zezwala na wyświetlanie informacji o numerze pozycji w polu listy na monitorze brajla. Na przykład gdy ta opcja jest zaznaczona i wejdziemy do pola listy, na linijce brajla pojawi się coś w rodzaju: „pl separator 1 separator 34 separator nazwa pola separator dane pola” (opis definicji wyglądu separatora jest podany w dalszej części tego rozdziału). „1 separator 34” jest właśnie informacją o pozycji (1 z 34). Gdy to pole wyboru nie jest oznaczone na linijce brajlowskiej nie będzie wyświetlana informacja o pozycji.

Wzór Punktów Separatora

W polu edycji „Wzór Punktów Separatora” domyślne ustawienie to pusta komórka (bez punktów). Separator zostanie umiejscowiony pomiędzy kolejnymi informacjami. Aby ustalić formę separatora, należy wpisać numery punktów brajla (od 1 do 8). Jeśli nie zostanie podany żaden numer punktu, komórka separatora będzie pusta.

Typy Kontrolek

Pole listy „Typy Kontrolek” zawiera wszystkie elementy kontrolne, o jakie są znane programowi Window-Eyes. Można wybrać dowolną kontrolką i określić sposób jej reprezentacji na linijce.

Gdy wybierzemy z listy typów kontrolek „przycisk” pojawia się trzy opcje dostępne dla tej kontrolki. Naciśnijmy TAB aby przejść do pierwszej z nich (Typ kontrolki). W tym polu edycji możemy wpisać jakie symbole mają reprezentować ten typ kontrolki na monitorze brajla. Ponieważ jesteśmy na przycisku domyślnym oznaczeniem jest „pc”. Jeśli to oznaczenie nam nie odpowiada w tym miejscu możemy wpisać inne.

Kolejne wciśnięcie klawisza TAB przeniesie nas do kolejnej opcji związanej z wybranym typem kontrolki (Niedostępne). To pole edycji pozwala na wpisanie informacji jaka powinna być po opisie kontrolki gdy jest ona niedostępna. Domyślnie ustawione są litery „nd”. Jeśli to oznaczenie nam odpowiada, to w przypadku wyboru niedostępnego przycisku na linijce brajla pojawi się opis „pcnd”.

Następne wciśnięcie klawisza TAB uaktywni kolejną opcję kontrolki (Domyślny). To też jest pole edycji pozwalające zdefiniować co powinno być dodane do opisu kontrolki gdy jest ona domyślna. Ta wartość jest początkowo ustawiona na ‘d’. Tak więc jeśli zaakceptujemy ten wybór to gdy natrafimy na przycisk, który jest domyślny, na linijce pojawi się opis „pcd”.

Oto lista typów kontrolek oraz ich domyślnych wartości:

· ALT-TAB
Typ Kontrolki: at

· Przycisk
Typ Kontrolki: pc
Niedostępne: nd
Domyślny: d

· Pole Wyboru Oznaczone

Typ Kontrolki: [x]
Niedostępne: nd

· Pole Wyboru Nieoznaczone
Typ Kontrolki: [ ]
Nieoznaczone: nd

· Lista Rozwijana
Typ Kontrolki: lr

· Inne Sterowanie
Pole Wyboru: Wyświetl Typ Gdy Wykryto Kursor – oznaczone

Typ Kontrolki: is

· Pole Edycji
Typ Kontrolki: pe
Pole Edycji z Listą: el
Tylko do Odczytu: o

· Ramka
Typ Kontrolki: rm
Bez Tytułu: bt

· Pole Grupy
Typ Kontrolki: gr

· Gorący Klawisz
Typ Kontrolki: gk

· Link
Typ Kontrolki: ln
Rysunek: r
Odwiedzony: o

· Pole Listy
Typ Kontrolki: pl
Wiele Wyborów: ww

· Element Listy
Typ Kontrolki: le
Wybrane: w

· Widok Listy
Typ Kontrolki: wl
Wybrane: w

· Potomek MDI
Typ Kontrolki: mp

· Klient MDI
Typ Kontrolki: mk

· Menu
Typ Kontrolki: mn
Oznaczone: x
Niedostępne: nd
Rozwijane: e

· Karta Właściwości
Typ Kontrolki: kw

· Pole Wyboru Oznaczone
Typ Kontrolki: (x)
Niedostępne: nd

· Pole Wyboru Nieoznaczone
Typ Kontrolki: ( )
Niedostępne: nd

· Pole Edycji z Formatem (Rich Edit)
Typ Kontrolki: ef
Tylko do Odczytu: o

· Paski Przewijania
Typ Kontrolki: pp

· Podpis
Typ Kontrolki: pd
Ważny: w
Nieważny: nw
Niesprawdzony: ns

· Pole Statyczne
Typ Kontrolki: st

· Zakładka
Typ Kontrolki: zk

· Pasek Zadań
Typ kontrolki: pzd

· Suwak
Typ Kontrolki: sw

· Widok Drzewa
Typ Kontrolki: wd
Rozwinięte: e
Zwinięte: z

· Góra Dół
Typ Kontrolki: gd

Wyświetl Typ Gdy Wykryto Kursor

Powyższe pole wyboru będzie aktywne tylko wtedy, gdy wcześniej użytkownik wybierze typ kontrolki „Inne Sterowanie”.

Jeśli w polu innego sterowania nie ma kursora, zawsze pojawi się typ sterowania (zakładając, że pole wyboru „Dodaj typ” zostało wcześniej zaznaczone). Kiedy z kolei w polu innego sterowania znajdzie się kursor (np. w dokumentach edytora tekstu takiego jak Word) typ zostanie wyświetlony tylko wtedy, gdy powyższe pole wyboru zostanie zaznaczone.

Ilość możliwość wyboru z listy typów kontrolek zależy od rodzaju kontrolki. Zawsze można ustawić typ kontrolki i czasami tylko tę opcję będzie można ustawić, ale przy innych kontrolkach, np. opcjach menu, można ustawić aż cztery parametry. Gdy skończymy ustawiać parametry tego okna dialogu, wystarczy nacisnąć ENTER na przycisku OK. aby zapisać zmiany.


18

ROZDZIAŁ OSIEMNASTY
Menu brajlowskie

18.3: Wzory Punktów

Jest to trzecia opcja w menu brajlowskim.

Wzór kursora

Te opcje pozwalają użytkownikowi ustawić sposób wyświetlania różnych wskaźników.

Pole edycji „Wzór kursora” daje możliwość wybrania wzoru punktów, którym ma posługiwać się kursor. W ustawieniu domyślnym użyto punktów 7 i 8.

Za pomocą tabulatora można przejść do przycisku opcji, który posiada dwie pozycje:

· Zawsze Włączony - Window-Eyes zawsze wyświetli kursor by określić jego pozycję na ekranie. Wyznaczone punkty złączą się ze znakiem, na którym znajduje się kursor.

· Migający – kursor będzie migać na przemian (w górę i w dół). Przy tej opcji istnieje możliwość ustawienia prędkości migania . W tym celu należy przejść do pola edycji „Częstotliwość Migania” i ustawić odpowiednią liczbę z zakresu 250 – 1000 (wartość podawana w milisekundach, co oznacza, że przy wartości 500 prędkość migania wynosi 2 razy na sekundę).

Wzór Myszki / Kursora WE

To pole edycji pozwala ustawić wzór punktów, którego będzie używać kursor WE lub wskaźnik myszy. W ustawieniu domyślnym użyto punktów 7 i 8.

Za pomocą tabulatora można przejść do przycisku opcji, który posiada dwie pozycje:

· Zawsze Włączony - Window-Eyes zawsze wyświetli wyznaczone punkty w polu edycji „Wzór Myszki / Kursora WE”, by w ten sposób przedstawić pozycję wskaźnika myszy lub kursora WE na ekranie. Wyznaczone punkty złączą się ze znakiem, na którym znajduje się kursor.

· Migające - wyznaczone punkty będą migać na przemian (w górę i w dół). Przy tej opcji istnieje możliwość ustawienia prędkości migania . W tym celu należy przejść do pola edycji „Wskaźnik migania” i ustawić odpowiednią cyfrę z zakresu 250 – 1000 (wartość podawana w milisekundach, co oznacza, że przy wartości 500 prędkość migania wynosi 2 razy na sekundę).

Jeśli wskaźnik myszy i kursor WE znajdzie się na tym samym znaku, wskaźnik myszy zostanie zignorowany.

Wzory Atrybutów (Attribute Patterns)

W tym miejscu można przejść tabulatorem do pierwszego z pięciu pól edycji, w którym można wpisać wzór punktów do przedstawienia atrybutów.

Należy zauważyć, że ta funkcja jest jedynie aktywna wtedy, gdy zostanie zdefiniowany gorący klawisz brajlowski „Przełącznik Wyświetlania Pojedynczego Atrybutu”. Podczas pracy w dowolnym dokumencie można zauważyć, że w niektórych wierszach znajdą się znaki, które będą posiadać jednocześnie kilka lub wszystkie atrybuty (tzn. pogrubienie, podświetlenie, kursywa, przekreślenie i podkreślenie). Użycie brajlowskiego klawisza „Przełącznik Wyświetlania Pojedynczego Atrybutu” powoduje, że na linijce nie pojawi się tekst, lecz jego atrybut, np. „b” dla tekstu pogrubionego. Kolejne wciśnięcie tego klawisza pokazuje kolejny atrybut – aż do powrotu do normalnego tekstu.

Oto atrybuty i ich domyślne ustawienia:

· Wzór Pogrubienia- 12 (brajlowskie b)

· Wzór Podświetlenia- 125 (brajlowskie h)

· Wzór Kursywy - 24 (brajlowskie i)

· Wzór Skreślenia - 234 (brajlowskie s)

· Wzór Podkreślenia - 136 (brajlowskie u)

Jeśli użytkownik chce zamienić punkty 1 i 2 na 5 i 6, wystarczy takie zmiany wprowadzić w polu edycji i zapisać zmiany wciskając OK.


18

ROZDZIAŁ OSIEMNASTY
Menu brajlowskie

18.4: Tablice Transkrypcji

Pole dialogowe „Tablice przekształceń” pozwala wybrać odpowiednią tablicę znaków brajlowskich, której Window-Eyes będzie używał dla wszystkich 256 wartości ANSI.

Aktywna Tablica

Pierwszą opcją pola dialogowego jest lista rozwijana „Aktywna Tablica”, która zawiera już zdefiniowane tablice oraz dwie tablice użytkownika. Jeśli przygotowane fabrycznie tablice będą wystarczające, należy tylko wybrać odpowiednią i wcisnąć ENTER, będąc na przycisku OK. W tym momencie pojawi się pole listy zawierające wzory punktów dla wszystkich 256 wartości ANSI. Każda tablica zawiera zarówno wersję 6-punktową, jak i 8-punktową, ale pojawi się tylko ta wersja, dla której został skonfigurowany program Window-Eyes. Zmiana tego ustawienia została opisana w podrozdziale 18.6.

Tablica Transkrypcji Użytkownika

Window-Eyes pozwala utworzyć dwie tablice użytkownika. Te tablice mogą być konfigurowane według indywidualnych potrzeb, dla wszystkich 256 wartości ANSI. Po wybraniu pierwszej lub drugiej tablicy pojawią się dalsze trzy opcje. Używając tej funkcji po raz pierwszy okaże się, że tablice nie zawierają żadnych znaków. Po wybraniu odpowiedniej wartości ANSI w polu listy, za pomocą tabulatora można przejść do pola edycji „Wzór punktów”, aby skonfigurować wzór punktów, który będzie używany dla wybranej wartości ANSI.

Nie można zmienić wartości wpisanych w gotowych tablicach przekształceń lecz można ich użyć do definiowania własnej tablicy. Aby tego dokonać należy: należy przejść tabulatorem do listy rozwijanej „Fabryczne Tablice Transkrupcji”, gdzie wyświetlą się wszystkie fabryczne tablice w obu wersjach punktowych, wybrać tablicę, której użytkownik chce użyć jako tablicę wyjściową, przejść tabulatorem do opcji „Kopiuj tablicę fabryczną do bieżącej tablicy użytkownika” i wcisnąć ENTER, po skopiowaniu tablicy można wprowadzić żądane zmiany.

Edytowanie tablic transkrypcji w taki prosty sposób daje wiele możliwości dostosowywania wzorów punktów brajlowskich do swoich indywidualnych potrzeb.


18

ROZDZIAŁ OSIEMNASTY
Menu brajlowskie

18.5: Gorące klawisze

Gorące klawisze to piąta pozycja w menu brajlowskim i jednocześnie najważniejsza funkcja obsługi linijki brajlowskiej przy pomocy Window-Eyes. W polu dialogowym „Gorące klawisze Braille’a” użytkownik może ustalić , w jaki sposób klawisze brajlowskie mają współdziałać z Window-Eyes. Klawisze brajlowskie mogą być konfigurowane w bardzo prosty sposób, przy wykorzystaniu standardowych przycisków sterujących w systemie Windows.

Przed przystąpieniem do definiowania gorących klawiszy należy pamiętać, że:

1. Jeśli nie zostanie wybrana linijka brajlowska, żadna z opcji nie będzie działać. Aby konfigurować klawisze, należy najpierw wybrać linijkę.

2. Każda linijka ma swoje własne ustawienia klawiszowe, dlatego też zmiana linijki pociąga za sobą zmianę wszystkich ustawień klawiszowych.

W każdym momencie można określić działanie nowego klawisza linijki lub kombinacji takich klawiszy, czy też zmodyfikować definicję już istniejącą. Każdy klawisz brajlowski może mieć przypisaną dowolną liczbę funkcji gorących klawiszy.

Klawisze

Pierwsza pozycja w polu dialogowym to lista klawiszy. Jest to lista wszystkich klawiszy i kombinacji klawiszy, które są obecnie zdefiniowane, i których działanie można modyfikować.

Istnieje zbyt wiele klawiszy zdefiniowanych dla każdego typu linijki, aby można było umieścić je w tej instrukcji użytkownika. Dlatego też zapraszamy na naszą stronę internetową, gdzie znajdziecie Państwo więcej informacji.

Przechwyć Klawisz Braille’a

Po wciśnięciu przycisku „Przechwyć Klawisz Braille’a”, Window-Eyes powie: „Wciśnij dowolny klawisz brajlowski”, co oznacza, że należy wcisnąć klawisz linijki brajlowskiej, którego działanie ma być zdefiniowane. Może to być również dowolna kombinacja klawiszy, którą oferuje dana linijka brajlowska. Po wciśnięciu dowolnego klawisza (klawiszy), zostanie on dodany do listy.

Funkcje Klawisza

Aby przejść do listy rozwijanej „Funkcje Klawisza”, należy dwukrotnie nacisnąć tabulator. Tu pojawi się lista ze wszystkimi funkcjami, które obecnie wykonuje dany klawisz brajlowski. Jednak jeśli jest to nowy klawisz, nie pojawią się żadne jego funkcje.

Dodaj Gorący Klawisz

Po wciśnięciu tego przycisku, pojawi się pole listy ze wszystkimi funkcjami gorących klawiszy jak i wszystkimi klawiszami brajlowskimi. Te drugie dotyczą tylko tych klawiszy, które działają z linijką brajlowską i nie są wyszczególnione na liście gorących klawiszy klawiatury. Aby dodać jedną z funkcji gorących klawiszy, wystarczy jedynie wybrać ją strzałkami wcisnąć ENTER - ta opcja zostanie dodana do listy rozwijanej „Funkcja klawisza” i będzie uruchamiana po wciśnięciu odpowiedniego klawisza brajlowskiego.

Oto lista wszystkich funkcji dostępnych dla brajlowskich gorących klawiszy:

· Przewiń pismo brajla w lewo - przesuwa tekst przedstawiony na linijce w lewo o liczbę znaków możliwych do przedstawienia na linijce; na przykład dla linijki 80-znakowej, tekst zostanie przesunięty o 80 znaków w lewo. Po dotarciu do początku bieżącego wiersza, ten gorący klawisz cofa tekst do końca poprzedniego wiersza. Słyszalny będzie cichy dźwięk, oznaczający zmianę wiersza. Wskaźnik myszy również zostanie przesunięty do początku nowego wiersza - zacznie obowiązywać bieżąca granica myszy.

· Przewiń pismo brajla w prawo – przesuwa tekst przedstawiony na linijce w prawo o liczbę znaków możliwych do przedstawienia na linijce; na przykład dla linijki 80-znakowej, tekst zostanie przesunięty o 80 znaków w prawo. Po dotarciu do końca bieżącego wiersza, ten gorący klawisz przesuwa tekst do początku kolejnego wiersza. Słyszalny będzie cichy dźwięk, oznaczający zmianę wiersza. Wskaźnik myszy również zostanie przesunięty do początku nowego wiersza.

· Poprzedni wiersz – przesuwa wskaźnik myszy o wiersz do góry; ta funkcja jest podobna do komendy sprowadzenia wskaźnika myszy do punktu uwagi okna i przesunięcia go o jeden wiersz do góry.

· Następny wiersz - przesuwa wskaźnik myszy o wiersz w dół; ta funkcja jest podobna do komendy sprowadzenia wskaźnika myszy do punktu uwagi okna i przesunięcia go o jeden wiersz w dół.

· Górny wiersz - przesuwa linijkę do górnego wiersza bieżącej kontrolki; przykładowo, w menu rozwijanym będzie to pierwszy obiekt menu. W polu edycji gdzie znajduje się kursor, użycie tego klawisza przesuwa linijkę do górnego wiersza pola edycji; jeśli w polu edycji nie będzie kursora linijka będzie przesunięta do paska tytułu.

· Dolny wiersz - przesuwa linijkę do dolnego wiersza bieżącej kontrolki; przykładowo, w menu rozwijanym będzie to ostatni obiekt menu. W polu edycji gdzie znajduje się kursor, użycie tego klawisza przesuwa linijkę do ostatniego wiersza pola edycji; jeśli w polu edycji nie będzie kursora linijka będzie przesunięta do ostatniego wiersza danej aplikacji.

· Do punktu uwagi - przesuwa linijkę do bieżącego punktu uwagi i wyświetla go.

· Do paska menu - przesuwa linijkę do paska menu bieżącego programu użytkowego i wyświetla go. Wskaźnik myszy jest umieszczany na początku paska menu.

· Do paska tytułu - przesuwa linijkę do paka tytułu bieżącego programu użytkowego i wyświetla go. Wskaźnik myszy jest umieszczany na początku paska tytułu.

· Do linii statusu - przesuwa linijkę do linii statusu bieżącego programu użytkowego i wyświetla go. Wskaźnik myszy jest umieszczony na początku linii statusu lub ostatniego wiersza.

· Przełącznik śledzenia brajla - przełącza pomiędzy punktem uwagi a wskaźnikiem myszy. Jeśli funkcja śledzenia ustawiona jest na wskaźnik myszy, linijka zostanie przesunięta do punktu uwagi. Jeśli zaś śledzenie ustawione jest na punkt uwagi, przesunięcie będzie następowało wraz z ruchami wskaźnika myszy, aż do kolejnego punktu uwagi.

· Przełącznik „Pokaż atrybuty” - przełącza pomiędzy wyświetlaniem a nie wyświetlaniem atrybutów. Ta funkcja może być również ustawiona w polu dialogowym „Opcje brajlowskie”, w części poświęconej zaznaczaniu atrybutów.

· Przełącznik „Atrybuty do wyświetlenia” - pozwala wybrać atrybuty, które mają być wyświetlane (podkreślenie, pogrubienie, przekreślenie, kursywa, podświetlenie). Zakładając, że włączona jest opcja „Pokaż atrybuty”, wybrane tutaj atrybuty będą wyświetlone na linijce za pomocą punktów 7 i 8. Ta funkcja może być również ustawiona w polu dialogowym „Opcje brajlowskie”, w części poświęconej zaznaczaniu atrybutów.

· Przełącznik „Wyświetl pojedynczy atrybut” - pozwala wybrać wyświetlanie atrybutów lub wyświetlanie normalne. Chcąc powrócić do normalnego wyświetlania, bez przechodzenia przez wszystkie atrybuty, należy wcisnąć gorący klawisz „Do punktu uwagi” (pod warunkiem, że został zdefiniowany). Wybranie dowolnego atrybutu powoduje, że na linijce zostaje wyświetlony jedynie atrybut pod znakiem, który taki atrybut posiada.

· „Wyświetl atrybuty wybranej komórki” - w trybie szybkich wiadomości, wyświetla czcionkę, rozmiar, styl oraz RGB dla wybranego znaku. Ta funkcja wymaga dodania klawisza śledzącego (routing key) do klawisza brajlowskiego. Klawisz śledzący wskazuje Window-Eyes, znak którego atrybuty mają być rozpatrywane. Zatem dźwięk ostrzegawczy pojawi się, gdy ten gorący klawisz zostanie użyty, ale nie będzie przypisanego do niego klawisza śledzącego. Taki dźwięk pojawi się również wtedy, gdy Window-Eyes napotka np. grafikę.

· Przełącznik spacji - przełącza pomiędzy wyświetlaniem a chowaniem spacji. Ta funkcja może być również ustawiona w polu dialogowym „Opcje brajlowskie”, w części poświęconej spacji.

· Przełącznik wcięcia - przełącza pomiędzy wyświetlaniem i nie wyświetlaniem wcięć. Należy zauważyć, że wcięcia nie będą wyświetlane, jeśli ustawione będzie chowanie spacji. Ta funkcja może być również ustawiona w polu dialogowym „Opcje brajlowskie”, w części poświęconej spacji.

· Przełącznik funkcji przesuwania - przełącza pomiędzy przesuwaniem linijki o całą szerokość oraz o szerokość wyznaczoną. Ta funkcja również może być ustawiona w polu dialogowym „Opcje brajlowskie”, w części poświęconej przesuwaniu poziomemu.

· Brajlowski tryb graficzny - daje możliwość przełączania pomiędzy wszystkimi opcjami gadatliwości dla wyświetlania grafiki. Funkcja ta może również być ustawiona w polu dialogowym „Grafika brajlowska”, w części poświęconej gadatliwości.

· Przełącznik punktów 6/8 - przełącza pomiędzy brajlem 6-punktowym a 8-punktowym. Jeśli zostanie wybrany brajl 6-punktowy, punkty 7 i 8 mogą dalej być używane tak, jak wskazują na to ustawienia kursora, wskaźnika myszy czy też atrybutów. Funkcja ta może również być ustawiona w polu dialogowym „Opcje brajlowskie”.

· Przełącznik szybkich wiadomości - pozwala na przełączanie pomiędzy trzema pozycjami szybkich wiadomości: „wyłączone”, „włączone bez czasu oczekiwania” oraz „włączone, z czasem oczekiwania”. Ta funkcja również może być ustawiona w polu dialogowym „Opcje brajlowskie”, w części poświęconej trybowi szybkich wiadomości.

· Przełącznik okna brajlowskiego - uaktywnia okno brajlowskie na ekranie. Ta funkcja również może być ustawiona w ostatniej pozycji menu brajlowskiego.

· Przełącznik Grade 2 Braille - włącza lub wyłącza skróty brajlowskie.

· Przełącznik automatycznego tłumaczenia pod kursorem – włącza lub wyłącza skróty brajlowskie pod kursorem.

· Nie tłumacz słowa pod kursorem - wyłącza lub włącza skróty brajlowskie dla słowa zawierającego kursor.

· Nie tłumacz słowa pod myszką - wyłącza lub włącza skróty brajlowskie dla słowa zawierającego wskaźnik myszki.

· Przełącznik tłumaczenia symboli – włącza wypowiadanie lub pokazywanie symboli: +, /, <, =, >, @, \, ^, [, |, ~, ]

Dodaj Kombinację Klawiszy

Po wciśnięciu tego przycisku, Window-Eyes powie: „Wciśnij dowolny klawisz” - należy wcisnąć klawisz, który będzie wysłany do programu gdy wciśniemy klawisz brajlowski. Można użyć dowolnego klawisza, łącznie ze strzałkami, jednak oprócz klawiszy systemowych (których definiowanie opisane zostało poniżej).

Dodaj Kombinację Użytkownika

Funkcja ta pozwala wykorzystać klawisze modyfikujące działanie klawiatury, takie jak CTRL, ALT, SHIFT oraz kombinacje tych i innych klawiszy lub też dowolny skrót klawiszowy, który uruchamia program użytkowy. Okno dialogowe, które się pojawi po wciśnięciu tego klawisza zawiera sześć pól wyboru:

· SHIFT – aby użyć gorących klawiszy przytrzymując klawisz SHIFT

· CTRL - aby użyć gorących klawiszy przytrzymując klawisz CTRL

· ALT - aby użyć gorących klawiszy przytrzymując klawisz ALT

· INS - aby użyć gorących klawiszy przytrzymując klawisz INS

· WINDOWS - aby użyć gorących klawiszy przytrzymując klawisz WINDOWS

· APPLICATION - aby użyć gorących klawiszy przytrzymując klawisz menu kontekstowego

Po wybraniu żądanego klawisza modyfikującego, należy przejść tabulatorem do przycisku „Przechwyć pojedyncze uderzenie klawisza”, wcisnąć klawisz spacji i wcisnąć klawisz, który ma być skojarzony z wybranym klawiszem modyfikującym. Przykładowo, aby zdefiniować klawisz brajlowski przy użyciu klawiszy CTRL, SHIFT, WINDOWS oraz ESC, należy:

1. Przechwycić klawisz brajlowski, który ma być zdefiniowany

2. Przejść tabulatorem do przycisku „Dodaj Kombinację Użytkownika” i wcisnąć spację

3. Przejść tabulatorem do pola wyboru SHIFT i wcisnąć spację

4. Przejść tabulatorem do pola wyboru CTRL i wcisnąć spację

5. Przejść tabulatorem do pola wyboru WINDOWS i wcisnąć spację

6. Przejść tabulatorem do opcji „Przechwyć pojedyncze wciśnięcie klawisza” i wcisnąć spację

7. Wcisnąć ESC, aby przechwycić ten klawisz

W liście rozwijanej „Funkcja(e) klawiszy” pojawi się nowy standardowy klawisz: CTRL-SHIFT-WINDOWS-ESC.

Zamiast kombinacji klawiszy można wybrać w ten sam sposób jeden klawisz - np. zamiast kombinacji CTRL-SHIFT-WINDOWS-ESC można wybrać klawisz ALT, zaznaczając go w polu dialogowym „Dodaj Kombinację Użytkownika” i wciskając ENTER będąc na klawiszu OK.

Wyczyść Wpis

Przycisk „Wyczyść Wpis” daje możliwość usunięcia dowolnej opcji z zakresu danego klawisza. W tym celu należy wybrać klawisz, który ma być zmodyfikowany, następnie z listy rozwijanej „Funkcja(e) klawiszy” wybrać opcję, która ma być usunięta, i wcisnąć ENTER będąc na przycisku „Wyczyść Wpis”. Tylko wybrana opcja zostanie usunięta.

Wyczyść Klawisz

Przycisk ten daje możliwość usunięcia wszystkich opcji w zakresie wybranego klawisza brajlowskiego i ustawiania wszystkich komend na nowo.

Skasuj Klawisz

Ten przycisk z kolei ma za zadanie całkowicie usunąć wybrany klawisz z listy klawiszy, a nie tylko jego powiązania z funkcjami.


18

ROZDZIAŁ OSIEMNASTY
Menu brajlowskie

18.6: Opcje

To jest szósta pozycja w menu Braille.

Grade 2

W tym miejscu znajdują się trzy pola wyboru Włączone, Nie Tłumacz Pod Kursorem, Tłumacz symbole.

Włączone – gdy to pole wyboru jest oznaczone na linijce będą przedstawiane skróty brajlowskie. Kursor będzie ustawiony na pierwszym znaku skrótu do czasu gdy nie opuści on odpowiadającego mu tekstu na ekranie. Po edycji tekstu należy odświeżyć obraz na linijce brajlowskiej.

Nie Tłumacz Pod Kursorem – gdy pole oznaczone, tekst na którym znajduje się kursor będzie przedstawiany bez skrótów co umożliwi łatwiejszą jego edycję.

Tłumacz Symbole – istnieje wiele symboli, które nie są reprezentowane przez skróty (+, /, <, =, >, @, \, ^, [, |, ~, ] – Uwaga: tylko te symbole są rozważane). Ta opcja pozwala określić czy te symbole mają być literowane, czy pozostawione jako symbole. Na przykład symbol > będzie wypowiadany jaka „większe”.

Braille 8-punktowy

Pozycja pierwsza, pole wyboru brajla 8-punktowego, pozwala wybrać formę pisma brajla - 6-punktową (pole nie jest zaznaczone) lub 8-punktową (pole zaznaczone). Jednak punkty 7 i 8 będą używane, przy uruchomionej funkcji zaznaczania atrybutów oraz wskaźników myszy/kursora.

Czas Auto Odświeżania

Jest to kolejna ważna funkcja modułu obsługującego linijkę brajlowską. W polu edycji „Czas Auto Odświeżania” należy podać wartość w milisekundach, aby określić, jak długo linijka brajlowska ma czekać przed aktualizacją wiersza, w którym znajduje się wskaźnik myszy, jak ta pozycja się zmienia. Podany zakres to 250 do 10000 milisekund, co odpowiada zakresowi od 0.25 sekundy do 10 sekund. Dobrym przykładem na użycie tej funkcji jest moment ładowania pliku - linijka może automatycznie aktualizować informacje pod wskaźnikiem myszy - co oznacza, że, aby śledzić ładowanie, nie trzeba korzystać z żadnych innych klawiszy.

Tryb Szybkich Komunikatów

Tryb szybkich komunikatów używany jest dla wiadomości, które zazwyczaj są udźwiękowione, ale nie pojawiają się na ekranie, np. gdy wciśnięty jest klawisz CAPS LOCK lub gdy zmienia się kształt wskaźnika myszy. Kiedy wiadomość tego typu pojawi się, zostanie ona natychmiast przesłana do linijki brajlowskiej, zastępując tekst, który w tym momencie był wyświetlany.

Poniższe ustawienia określają, jak długo komunikat będzie wyświetlany na linijce:

· „Wyłączony” - ten typ wiadomości jest całkowicie ignorowany

· „Włączony na stałe” - wiadomość zostanie na linijce aż do momentu pojawienia się zmiany punktu uwagi, ruchu wskaźnika myszy, gorącego klawisza itp.

· „Włączone na Czas” - wiadomość zostanie na linijce przez określoną w sekundach długość czasu. W polu edycji „Czas oczekiwania” ustawienie domyślne to 2 sekundy.

Gdy w momencie wyświetlania szybkiego komunikatu pojawi się nowy, zostanie on przedstawiony na początku linijki brajlowskiej, przed poprzednim komunikatem, przy czym będą one oddzielone separatorem. Tryb szybkich komunikatów nie tylko jest bardzo przydatny dla użytkowników niewidomych, lecz także dla głucho-niewidomych.

Oznaczanie Atrybutów

Następnym przyciskiem sterującym w tym polu dialogowym jest przycisk opcji „Oznaczanie Atrybutów”, za pomocą którego można określić, jakie atrybuty będą reprezentowane za pomocą punktów 7 i 8 na linijce brajlowskiej.

Tabulatorem można przejść do pola wyboru „Włączony”, aby odpowiednio włączyć lub wyłączyć tę funkcję. Powrót do przycisków opcji następuje po ponownym wciśnięciu tabulatora.

Domyślnym ustawieniem jest podświetlenie, lecz użytkownik może wybrać dowolną opcję spośród następujących:

· podświetlenie

· pogrubienie

· podkreślenie

· kursywa

· skreślenie

· wszystkie

Jeśli dany atrybut zostanie wybrany i pojawi się w tekście, pojawią się również punkty 7 i 8.

Odstępy

Korzystając z tabulatora , można przejść do opcji „Odstępy” , przy której znajdują się dwie pozycje w formie przycisku opcji:

1. „Scalaj Dodatkowe Odstępy” - Window-Eyes spakuje dane i oddzieli informacje za pomocą pojedynczej spacji, bez względu na to, jak daleko od siebie dane pozycje znajdują się na ekranie. Zauważmy, że jeśli informacje są oddzielone w tekście za pomocą spacji, te spacje będą widoczne. Tekst zostanie spakowany tylko wtedy, gdy informacje nie są oddzielone spacjami lecz jest przerwa między nimi na ekranie.

2. Pokazuj Dodatkowe Ostępy - Wszystkie przerwy ukażą się na linijce. Przy tej opcji uruchamia się pole edycji „Liczba pikseli na spację” , gdzie można wybrać, ile pikseli będzie reprezentować jedną spację na linijce (dowolna cyfra z zakresu 1 – 100).

Pokazuj Wcięcia

Aby ta funkcja działała, należy najpierw uruchomić wspomnianą wyżej funkcję „Pokazuj Dodatkowe Odstępy”. Opcja „Pokazuj Wcięcia” oznacza, że na linijce pojawią się wszystkie wcięcia występujące w wierszach, licząc od lewej krawędzi bieżącego okna. Funkcja ta jest także przydatna w przypadku tablic, które zawierają puste komórki. Jeśli pierwsza kolumna tabeli jest pusta, linijka pokaże odpowiednią liczbę spacji, do miejsca gdzie pojawia się druga kolumna.

Po wciśnięciu klawisza ENTER na przycisku OK, wszystkie ustawienia zostaną zachowane a pole dialogowe zamknięte.


18

ROZDZIAŁ OSIEMNASTY
Menu brajlowskie

18.7: Obrazki

Obrazki to siódma opcja w menu brajlowskim, która pozwala na ustawienie sposobów, w jaki program Window-Eyes obsługuje grafikę.

Gadatliwość

W tej opcji użytkownik dokładnie instruuje program Window-Eyes, jak ma zareagować jeśli na linijce pojawi się grafika.

· Brak - nigdy nie wyświetlaj grafiki.

· Tylko braille - grafika może być wyświetlana tylko wtedy, gdy posiada definicję brajlowską.

· Tylko braille lub mowa - użyj definicji brajlowskiej, jeśli taka istnieje; jeśli nie istnieje, użyj definicji mowy. Jeśli nie ma żadnej z tych definicji, nie wyświetlaj grafiki.

· Tylko grafika - wyświetl grafikę, używając podanego niżej znaku graficznego.

· Braille lub grafika - użyj definicji brajlowskiej, jeśli taka istnieje; jeśli nie istnieje, wyświetl grafikę, używając podanego niżej znaku graficznego .

· Braille, mowa lub grafika - użyj definicji brajlowskiej, jeśli taka istnieje; jeśli nie istnieje, użyj definicji mowy. Jeśli nie ma żadnej z tych definicji, użyj znaku graficznego podanego niżej.

Żadna z tych opcji nie wpływa na pracę syntezatora mowy.

Symbol Graficzny

Kolejna opcja to pole edycji „Symbol Graficzny”, w którym można zdefiniować, jaki znak graficzny będzie wykorzystywany dla danej grafiki. Tej opcji używa się tylko wtedy, gdy grafika jest włączona w opcji „Gadatliwość”, oraz gdy nie korzysta się ze słowników czy też nie ma pozycji słownikowej dla danej grafiki. Ustawienie domyślne to G (punkty 1, 2, 4 i 5).

Użyj Separatora

Ostatnia opcja to pole wyboru „Użyj separatora”. Jeśli to pole jest zaznaczone, separator zdefiniowany w polu dialogowym „Sterowanie” będzie użyty do oddzielania grafiki.


18

ROZDZIAŁ OSIEMNASTY
Menu brajlowskie

18.8: Okno Braille’a

Okno brajlowskie jest ostatnią opcją w menu brajlowskim. Jeśli ta opcja jest uruchomiona, pojawi się okno u góry ekranu, które wyświetli wszystkie informacje znajdujące się na linijce. Okno brajlowskie i linijka brajlowska są niezależne od siebie – można używać jednej funkcji bez korzystania z drugiej.


DODATEK A

Gorące klawisze

Dodatek ten opisuje krótko wszystkich 169 funkcji gorących klawiszy. Mogą one być kojarzone z kombinacjami klawiszy przy pomocy opcji gorące klawisze menu głównego programu. Wiele z nich zostało już skojarzone z odpowiednimi klawiszami, resztę pozostawiono jako niezdefiniowane. Nie ma możliwości wywołania danej funkcji, jeżeli nie zostanie ona przypisana jakiejś kombinacji klawiszy. Jednak nie ma sensu przypisywanie klawiszy funkcjom, które nie są używane. Generalnie jako gorących klawiszy należy używać takich, które nie są wykorzystywane przez udostępnianą aplikację. Jeśli jednak jakaś kombinacja klawiszy używana przez aplikację zostanie skojarzona z funkcją Window-Eyes, to nie ma problemu. Wystarczy bezpośrednio przed wciśnięciem "spornych" klawiszy wcisnąć gorące klawisze funkcji omiń (Insert-B), a wykonana zostanie odpowiednia funkcja aplikacji, nie Window-Eyes. Większość funkcji gorących klawiszy, które odczytują coś z ekranu wykorzystują współrzędne okna aktywnego w danym momencie. Na przykład wciśnięcie klawisza odczytującego linię odczyta tylko tę jej część, która zawarta jest wewnątrz aktywnego okna.

Poza standardowym układem kombinacji gorących klawiszy przygotowano dwa inne. Domyślny układ wykorzystuje intensywnie klawiaturę numeryczną. Większość ludzi preferuje ten układ, jednak jeśli dostęp do klawiatury numerycznej nie jest łatwy (np. w notebooku), lub łatwiejszy w użyciu jest dla Państwa układ z programu Vocal-Eyes, przydatny może być jeden z alternatywnych układów. Oczywiście można zdefiniować własne kombinacje gorących klawiszy wybierając opcję Gorące Klawisze z menu głównego programu. Można szybko zmienić układ klawiszy na laptop lub Vocal-Eyes lub wrócić do domyślnego wykonując poniższe czynności.

W Windows 9x wybrać opcję Window-Eyes z menu Programy w menu startowym. Wybrać Laptop Layout, Vocal_eyes Layout lub Default Layout. Po wybraniu opcji program zapyta czy na pewno kontynuować. By anulować polecenie, trzeba wcisnąć klawisz "N", by potwierdzić - "Y". Proces zmiany układu klawiszy może potrwać dłuższą chwilę.

Będąc w polu listy dostępnych gorących klawiszy

Naciśnij strzałką w górę lub w dół, by przesunąć się o jedną pozycję.

Naciśnij klawisz PageUp lub PageDown, by przesunąć się od razu o 20 pozycji.

Naciśnij klawisz Home, by przejść do pierwszej pozycji, lub klawisz End, by przejść do ostatniej.

Naciskaj wielokrotnie pierwszą literę opcji, której szukasz, aż do niej dojdziesz. Każde naciśnięcie litery przenosi do następnej pozycji zaczynającej się tą literą.

Zacznij wpisywać nazwę opcji, której potrzebujesz. W czasie wpisywania Window-Eyes będzie przechodzić do następnej opcji pasującej do napisanej części. Kontynuuj wpisywanie aż osiągniesz właściwą pozycję. Jeśli zatrzymasz się na dłużej niż sekundę, poszukiwana sekwencja zostanie rozpoczęta na nowo od litery wciśniętej po tej dłuższej przerwie. Jest to bardzo dobra metoda znalezienia się na właściwej pozycji tej listy tak szybko, jak to tylko możliwe.

Funkcje gorących klawiszy opisane są w takiej kolejności, w jakiej występują na liście w programie. Podano przy nich kombinacje klawiszy dla trzech wymienionych układów klawiszy.

Poprzedni Znak

Default = Undefined

Laptop = Ctrl-B

Vocal-Eyes = Ctrl-B

Wypowiada znak na lewo od bieżącej pozycji kursora.

Jeśli kursor jest w pierwszej kolumnie, wypowiadany jest ostatni znak z poprzedniej linii. Jeśli jest to pierwsza linia (lewy górny róg okna), Window-Eyes wydaje ostrzegawczy dźwięk i odczytuje bieżący znak. Powtórne wciśnięcie tego klawisza spowoduje fonetyczne wypowiedzenie znaku z szybkością o dwa mniejszą niż aktualnie ustawiona szybkość głosu ekranu.

Znak

Default = Ctrl-Numpad-Leftarrow

Laptop = Ctrl-C

Vocal-Eyes = Ctrl-C

Wypowiada znak, na którym jest kursor.

Powtórne wciśnięcie tego klawisza spowoduje fonetyczne wypowiedzenie znaku z szybkością o dwa mniejszą niż aktualnie ustawiona szybkość głosu ekranu.

Następny Znak

Default = Undefined

Laptop = Ctrl-D

Vocal-Eyes = Ctrl-D

Wypowiada znak na prawo od bieżącej pozycji kursora.

Jeśli kursor jest w ostatniej kolumnie, wypowiadany jest pierwszy znak z następnej linii. Jeśli jest to ostatnia linia (prawy dolny róg okna), Window-Eyes wydaje ostrzegawczy dźwięk i odczytuje bieżący znak. Powtórne wciśnięcie tego klawisza spowoduje fonetyczne wypowiedzenie znaku z szybkością o dwa mniejszą niż aktualnie ustawiona szybkość głosu ekranu.

Poprzednie Słowo

Default = Undefined

Laptop = Ctrl-V

Vocal-Eyes = Ctrl-V

Wypowiada słowo na lewo od słowa zawierającego kursor.

Jeśli kursor nie znajduje się w żadnym słowie, czytane jest słowo na lewo od kursora. Jeśli nie ma słowa na lewo od kursora, Window-Eyes wydaje ostrzegawczy dźwięk. Powtórne wciśnięcie tego klawisza spowoduje przeliterowanie słowa. Wciśnięcie klawisza trzeci raz spowoduje przeliterowanie fonetyczne słowa. W obu przypadkach literowanie odbędzie się z szybkością o dwa mniejszą niż aktualnie ustawiona szybkość głosu ekranu.

Słowo

Default = Ctrl-Numpad-Rightarrow

Laptop = Ctrl-W

Vocal-Eyes = Ctrl-W

Wypowiada słowo zawierające kursor.

Jeśli kursor nie znajduje się w żadnym słowie, Window-Eyes wydaje ostrzegawczy dźwięk. Powtórne wciśnięcie tego klawisza spowoduje przeliterowanie słowa. Wciśnięcie klawisza trzeci raz spowoduje przeliterowanie fonetyczne słowa. W obu przypadkach literowanie odbędzie się z szybkością o dwa mniejszą niż aktualnie ustawiona szybkość głosu ekranu.

Następne Słowo

Default = Undefined

Laptop = Ctrl-Y

Vocal-Eyes = Ctrl-Y

Wypowiada słowo na prawo od słowa zawierającego kursor.

Jeśli kursor nie znajduje się w żadnym słowie, czytane jest słowo na prawo od kursora. Jeśli nie ma słowa na prawo od kursora, Window-Eyes wydaje ostrzegawczy dźwięk. Powtórne wciśnięcie tego klawisza spowoduje przeliterowanie słowa. Wciśnięcie klawisza trzeci raz spowoduje przeliterowanie fonetyczne słowa. W obu przypadkach literowanie odbędzie się z szybkością o dwa mniejszą niż aktualnie ustawiona szybkość głosu ekranu.

Poprzednia Linia

Default = Undefined

Laptop = Ctrl-K

Vocal-Eyes = Ctrl-K

Wypowiada linię powyżej linii, w której jest kursor.

Jeśli kursor jest na górze okna, Window-Eyes wydaje ostrzegawczy dźwięk i odczytuje bieżącą linię.

Linia

Default = Ctrl-Numpad-Center

Laptop = Ctrl-L

Vocal-Eyes = Ctrl-L

Wypowiada linię, w której jest kursor.

Następna Linia

Default = Undefined

Laptop = Ctrl-M

Vocal-Eyes = Ctrl-M

Wypowiada linię poniżej linii, w której jest kursor.

Jeśli kursor jest na dole okna, Window-Eyes wydaje ostrzegawczy dźwięk i odczytuje bieżącą linię.

Poprzednie Zdanie

Default = Undefined

Laptop = Ctrl-R

Vocal-Eyes = Ctrl-R

Wypowiada zdanie na lewo od zdania zawierającego kursor.

Jeśli kursor nie znajduje się w żadnym zdaniu, czytane jest zdanie na lewo od kursora. Jeśli nie ma zdania na lewo od kursora, Window-Eyes wydaje ostrzegawczy dźwięk.

Zdanie

Default = Ctrl-Numpad-Downarrow

Laptop = Ctrl-S

Vocal-Eyes = Ctrl-S

Wypowiada zdanie zawierające kursor.

Jeśli kursor nie znajduje się w żadnym zdaniu, Window-Eyes wydaje ostrzegawczy dźwięk.

Następne Zdanie

Default = Undefined

Laptop = Ctrl-T

Vocal-Eyes = Ctrl-T

Wypowiada zdanie na prawo od zdania zawierającego kursor.

Jeśli kursor nie znajduje się w żadnym zdaniu, czytane jest zdanie na prawo od kursora. Jeśli nie ma zdania na prawo od kursora, Window-Eyes wydaje ostrzegawczy dźwięk.

Poprzedni Akapit

Default = Undefined

Laptop = Ctrl-O

Vocal-Eyes = Ctrl-O

Wypowiada akapit powyżej akapitu zawierającego kursor.

Jeśli kursor nie znajduje się w żadnym akapicie, czytany jest akapit powyżej kursora. Jeśli nie ma akapitu powyżej kursora, Window-Eyes wydaje ostrzegawczy dźwięk.

Akapit

Default = Ctrl-Numpad-Uparrow

Laptop = Ctrl-P

Vocal-Eyes = Ctrl-P

Wypowiada akapit zawierający kursor.

Jeśli kursor nie znajduje się w żadnym akapicie, Window-Eyes wydaje ostrzegawczy dźwięk.

Następny Akapit

Default = Undefined

Laptop = Ctrl-Q

Vocal-Eyes = Ctrl-Q

Wypowiada akapit poniżej akapitu zawierającego kursor.

Jeśli kursor nie znajduje się w żadnym akapicie, czytany jest akapit poniżej kursora. Jeśli nie ma akapitu poniżej kursora, Window-Eyes wydaje ostrzegawczy dźwięk.

Od Góry do Kursora

Wszystkie układy = Undefined

Odczytuje cały tekst od lewego górnego rogu aktywnego okna do bieżącej pozycji kursora.

Od Kursora do Dołu

Wszystkie układy = Undefined

Odczytuje cały tekst od bieżącej pozycji kursora do prawego dolnego rogu aktywnego okna.

Od Lewej do Kursora

Wszystkie układy = Undefined

Odczytuje cały tekst w bieżącej linii od pierwszej kolumny aktywnego okna do bieżącej pozycji kursora.

Od Kursora do Prawej

Wszystkie układy = Undefined

Odczytuje cały tekst w bieżącej od bieżącej pozycji kursora do ostatniej kolumny aktywnego okna.

Następnych 20 funkcji gorącuch klawiszy odczytuje zawartość pierwszych dwudziestu okien użytkownika. Każdemu oknu może być przypisana specyficzna kombinacja kolorów. W takim przypadku odczytane będą tylko te znaki, których atrybuty pasują do wybranych. Domyślnie przyjęto kombinację dowolny kolor znaków na dowolnym tle, wypowiadane więc są wszystkie znaki. Okna można łączyć w łańcuchy. Na przykład jeśli okno 1 połączymy z oknem 5, do którego dołączone jest okno 0, to wciśnięcie gorącego klawisza odczytującego okno 1 sprawi, że Window-Eyes przeczyta najpierw okno 1, potem okno 5 i wreszcie okno 0. Parametry te można ustawiać w dialogu definicji okna wywoływanym przez Insert-F7 w WINEYES.000.

Kombinacje klawiszy poniższych dwudziestu komend odczytujących okna są takie same we wszystkich trzech układach klawiszy.

Okno 0 (Alt-0) odczytuje okno 0.

Okno 1 (Alt-1) odczytuje okno 1.

Okno 2 (Alt-2) odczytuje okno 2.

Okno 3 (Alt-3) odczytuje okno 3.

Okno 4 (Alt-4) odczytuje okno 4.

Okno 5 (Alt-5) odczytuje okno 5.

Okno 6 (Alt-6) odczytuje okno 6.

Okno 7 (Alt-7) odczytuje okno 7.

Okno 8 (Alt-8) odczytuje okno 8.

Okno 9 (Alt-9) odczytuje okno 9.

Okno 10 (Niezdefiniowane) odczytuje okno 10.

Okno 11 (Niezdefiniowane) odczytuje okno 11.

Okno 12 (Niezdefiniowane) odczytuje okno 12.

Okno 13 (Niezdefiniowane) odczytuje okno 13.

Okno 14 (Niezdefiniowane) odczytuje okno 14.

Okno 15 (Niezdefiniowane) odczytuje okno 15.

Okno 16 (Niezdefiniowane) odczytuje okno 16.

Okno 17 (Niezdefiniowane) odczytuje okno 17.

Okno 18 (Niezdefiniowane) odczytuje okno 18.

Okno 19 (Niezdefiniowane) odczytuje okno 19.

Czytaj Dowolne Okno

Wszystkie układy = Undefined

Pyta o okno do przeczytania. Należy wprowadzić numer od 0 do 49 lub literę od A do J i wcisnąć ENTER. Window-Eyes odczyta odpowiednie okno.

Odczytaj Aktywne Okno Użytkownika

Wszystkie układy = Undefined

Odczytuje ostatnio wybrane okno użytkownika Window-Eyes.

Czytaj do końca

Default = Ctrl-Shift-R

Laptop = Alt-R

Vocal-Eyes = Alt-R

Odczytuje tekst od początku linii zawierającej kursor do końca dokumentu.

Jeśli używana jest aplikacja, która pozwala przesuwać kursor wewnątrz dokumentu strzałkami góra-dół, funkcja ta pozwala automatycznie odczytać cały tekst od bieżącej linii kursora do końca dokumentu. Window-Eyes powoduje, że aplikacja przewija tekst podczas czytania. By zatrzymać czytanie należy wcisnąć klawisz ESCAPE. Jeśli syntezator mowy obsługuje indeksowanie, kursor będzie się znajdował najdalej dwie linie od ostatnio wypowiedzianego słowa.

Klawisz CONTROL pozwala wyłączyć mowę przy jednoczesnej kontynuacji przewijania tekstu. Ponowne wciśnięcie CONTROL wznowi odczytywanie na głos od nowej pozycji. Czytanie do końca trwa do osiągnięcia końca dokumentu lub wciśnięcia klawisza ESCAPE.

ASCII/Atrybuty Kursora

Default = Ctrl-Numpad-Delete

Laptop = Undefined

Vocal-Eyes = Undefined

Podaje kod ASCII, czcionkę i atrybuty znaku na którym jest kursor. Na pierwsze wciśnięcie klawisza Window-Eyes reaguje zgodnie z odpowiednimi ustawieniami dokonanymi w menu Gadatliwość. Ponowne wciśnięcie udostępnia wszystkie informacje o atrybutach, czcionce i kodzie ASCII.

Dane Pola

Default = Ctrl-Shift-D

Laptop = Alt-Shift-D

Vocal-Eyes = Alt-Shift-D

Próbuje wyodrębnić i odczytać dane z aktywnego pola. Zależnie od typu elementu sterującego będącego w punkcie uwagi rezultat będzie różny. Na przykład wciśnięcie tego klawisza w polu edycji odczyta całą jego zawartość. Wciśnięcie w polu listy odczyta wszystkie widoczne na niej pozycje.

Nazwa Pola

Default = Ctrl-Shift-N

Laptop = Alt-Shift-N

Vocal-Eyes = Alt-Shift-N

Próbuje wyodrębnić i odczytać nazwę aktywnego pola. Nazwą pola jest zwykle tekst umieszczony na lewo lub powyżej bieżącego elementu sterującego. W niektórych przypadkach trudno jest programowi Window-Eyes określić właściwą nazwę i można wtedy usłyszeć złą nazwę lub nie usłyszeć jej w ogóle. Jednak w większości przypadków funkcja ta działa poprawnie.

Jeśli nazwa pola została nadana ręcznie przy wykorzystaniu omawianej poniżej funkcji Nadaj Nazwę Polu, Window-Eyes będzie zawsze czytać tylko to co zostało wpisane jako nazwa.

Nadaj Nazwę Polu

Wszystkie układy = Ctrl-Insert-F

Window-Eyes nie zawsze może określić jaka powinna być nazwa danego elementu sterującego. Jeśli tak właśnie jest lub jeśli zachodzi potrzeba zmiany tego co Window-Eyes uważa za nazwę pola, można użyć tego gorącego klawisza. Window-Eyes wyświetli dialog, który pozwala wpisać nazwę dla elementu sterującego będącego w punkcie uwagi. Zmiana jest zachowywana wraz z wciśnięciem klawisza ENTER. Więcej szczegółów znajduje się w rozdziale 7.19.

Dane i Nazwa Pola

Default = Ctrl-Shift-S

Laptop = Alt-Shift-S

Vocal-Eyes = Alt-Shift-S

Odczytuje wybraną pozycję w polu listy, informację w polu edycji, czy pole wyboru jest oznaczone czy nie, nazewę aktywnego przycisku itd. Powtórne wciśnięcie tego klawisza spowoduje przeliterowanie tej samej informacji. Wciśnięcie klawisza trzeci raz spowoduje przeliterowanie fonetyczne.

Domyślny Przycisk

Default = Numpad-Delete

Laptop = Alt-Delete

Vocal-Eyes = Insert-Numpad-Delete

Odczytuje domyślny przycisk w oknie dialogowym. Wizualnie jest on wyróżnieony ciemnym obramowaniem i oznacza to, że wciśnięcie ENTER wybierze tem przycisk, niezależnie od tego, na jakim elemencie sterującym okna dialogowego znajduje się punkt uwagi. Jeśli nie ma domyślnego przycisku, Window-Eyes wyda ostrzegawczy dźwięk.

Dowolna Linia

Wszystkie układy = Undefined

Pyta o numer linii do odczytania.

Należy wprowadzić liczbę od 0 do 32767 i wcisnąć ENTER. Window-Eyes odczyta tę część wybranej linii, która zawarta jest w aktywnym oknie użytkownika. Ta funkcja może być bardzo użyteczna przy pracy w trybie MSAA aplikacji (dyskutowanym w Dodatku F).

Czytaj Pasek

Wszystkie układy = Undefined

Odczytuje pasek podświetlenie jeśli jest on obecny w atywnym oknie i ustawiono kolory paska podświetlenia w tym oknie. Powtórne wciśnięcie tego klawisza spowoduje przeliterowanie zawartości paska podświetlenia. Wciśnięcie klawisza trzeci raz spowoduje przeliterowanie fonetyczne tej informacji. W obu przypadkach literowanie odbędzie się z szybkością o dwa mniejszą niż aktualnie ustawiona szybkość głosu ekranu.

Jeśli atrybuty paska podświetlenia nie zostały ustawione, program domyślnie przyjmuje je jako R0 G0 B0 na R255 G255 B255 (czarne znaki na białym tle). Atrybuty paska można zdefinować gorącym klawiszem Ustaw Kolor Paska. Każde z pięćdziesięciu standardowych okien ma własny zestaw atrybutów paska podświetlenia.

Ustaw Kolor Paska

Wszystkie układy = Undefined

Przyjmuje za atrybuty paska podświetlenia aktywnego okna atrybuty znaku wskazywanego przez wskaźnik myszy.

Przełącznik Paska

Wszystkie układy = Undefined

Przełącza tryb śledzenia podświetlenia pomiędzy Off, On i Auto.

Przy ustawieniu On cztery klawisze strzałek oraz Ctrl-TAB i Shift-Ctrl-TAB odczytują pasek podświetlenia. Przy ustawieniu Auto Window-Eyes automatycznie wykrywają, czy na ekranie znajduje się pasek podświetlenia i odczytują go. Jeśli pasek podświetlenia nie zostanie wykryty, przy wciśnięciu klawiszy strzałek, Ctrl-TAB lub Shift-Ctrl-TAB zostaną wykonane akcje przypisane im w danej konfiguracji. Tryb śledzenia podświetlenia może być również zmieniony w menu Ogólne. Może być także zmieniony poprzez Definicję Okna Użytkownika, dostępną przez gorący klawisz Insert-F7. Z każdym takim oknem związane są nie tylko atrybuty paska potświetlenia, ale też tryb śledzenia podświetlenia (status paska podświetlenia). Przełączanie między oknami ma więc bezpośredni wpływ na to ustawienie.

Czas/Data

Wszystkie układy = Insert-T

Wypowiada bieżący czas i datę.

Czas i data odczytywane są bezpośrednio z systemu, a więc ich dokładność jest taka, jak dokładne są ustawienia.

Współrzędne Kursora

Default = Ctrl-Numpad-+

Laptop = Ctrl-A

Vocal-Eyes = Ctrl-A

Wypowiada współrzędne kursora aplikacji.

Na przykład X25, Y9 oznacza, że kursor znajduje się 25 pikseli od lewej i 9 pikseli od górnej krawędzi okna aplikacji.

Cisza

Wszystkie układy = Undefined

Wyłącza mowę aż do ponownego wciśnięcia.

Ta funkcja jest użyteczna jedynie gdy przerywanie mówienia jest wyłączone lub ustawione jedynie dla klawiszy kursorów. Jeśli informacja jest nadal wyświetlana na ekranie, a została wyciszona tym klawiszem, powtórne jego wciśnięcie rozpocznie dalsze jej odczytywanie.

Menu

Wszystkie układy = Ctrl-\

Wywołuje Menu Główne Window-Eyes.

Jeśli ta funkcja nie jest przypisana żadnym klawiszom, nadal można wywołać Menu Window-Eyes, posługując się klawiszami Alt-Tab.

Omiń

Default = Insert-B

Laptop = Ctrl-N

Vocal-Eyes = Ctrl-N

Sprawia, że Window-Eyes ignorują następną kombinację klawiszy i przepuszczają ją do aplikacji.

Ten gorący klawisz musi poprzedzać każdą kombinację klawiszy skojarzoną z funkcją Window-Eyes, którą chcemy przekazać jako komendę do aplikacji. W szczególności by przesłać aplikacji klawisze przypisane funkcji Omiń, należy wcisnąć je dwukrotnie.

Przełączanie Zmiany Atrybutów

Wszystkie układy = Undefined

Włącza i wyłącza funkcję czytania zmian atrybutów.

Jeśli funkcja ta jest ustawiona na "On", Window-Eyes wypowiada zestaw atrybutów jeśli różni się on od atrybutów znaku wypowiedzianego ostatnio. W ten sposób można dokładnie określić, jak tekst wygląda na ekranie. Ta funkcja może też być przełączana opcją Zmiany Atrybutów w menu Ekran.

Ustawienia w menu Gadatliwości określają, co Window-Eyes rozpoznają jako zmianę atrybutów i co powinno być wypowiadane.

Przełącznik Ograniczenia Myszki

Default = Ctrl-Shift-B

Laptop = Alt-B

Vocal-Eyes = Alt-B

Zmienia obszar ekranu dostępnego dla myszy sterowanej klawiaturą pomiędzy punktem uwagi, aktywnym oknem, oknem użytkownika i całym ekranem. To ustawienie może być też zmienione opcją Granice Myszki w menu Myszka.

Klik Lewym Przyciskiem Myszki

Default = Numpad-/

Laptop = Alt-Shift-L

Vocal-Eyes = Numpad-/

Wywołuje pojedyncze kliknięcie lewym przyciskiem myszki na jej bieżącej pozycji.

Klik Środkowym Przyciskiem Myszki

Wszystkie układy = Undefined

Wywołuje pojedyncze kliknięcie środkowym przyciskiem myszki na jej bieżącej pozycji.

Klik Prawym Przyciskiem Myszki

Default = Numpad-*

Laptop = Alt-Shift-R

Vocal-Eyes = Numpad-*

Wywołuje pojedyncze kliknięcie prawym przyciskiem myszki na jej bieżącej pozycji.

Podwójny Klik Lewym Przyciskiem

Wszystkie układy = Undefined

Wywołuje podwójne kliknięcie lewym przyciskiem myszki na jej bieżącej pozycji.

Podwójny Klik Środkowym Przyciskiem

Wszystkie układy = Undefined

Wywołuje podwójne kliknięcie środkowym przyciskiem myszki na jej bieżącej pozycji.

Podwójny Klik Prawym Przyciskiem

Wszystkie układy = Undefined

Wywołuje podwójne kliknięcie prawym przyciskiem myszki na jej bieżącej pozycji.

Przełącz Lewy Przycisk Myszki

Default = Insert-Numpad-/

Laptop = Undefined

Vocal-Eyes = Undefined

Przełącza lewy przycisk myszki albo w pozycję wciśniętą, albo zwolnioną. Należy wcisnąć ten klawisz raz, by wcisnąć lewy przycisk myszy i drugi raz, by go zwolnić.

Przełącz Środkowy Przycisk Myszki

Wszystkie układy = Undefined

Przełącza środkowy przycisk myszki albo w pozycję wciśniętą, albo zwolnioną. Należy wcisnąć ten klawisz raz, by wcisnąć środkowy przycisk myszy i drugi raz, by go zwolnić.

Przełącz Prawy Przycisk Myszki

Default = Insert-Numpad-*

Laptop = Undefined

Vocal-Eyes = Undefined

Przełącza prawy przycisk myszki albo w pozycję wciśniętą, albo zwolnioną. Należy wcisnąć ten klawisz raz, by wcisnąć prawy przycisk myszy i drugi raz, by go zwolnić.

Przemieść i Upuść

Default = Insert-Numpad-Delete

Laptop = Insert-Delete

Vocal-Eyes = Undefined

Pierwsze wciśnięcie wypowie słowo "znak". Window-Eyes zapamięta, gdzie był wskaźnik myszy w tym momencie i przy następnym wciśnięciu wyświetli okno dialogowe pozwalające upuścić zaznaczony element lub oznaczyć nowe miejsce. Ta funkcja pozwala na łatwe korzystanie z techniki przemieść i upuść i zaznaczanie dużych porcji tekstu.

Blokada Pozioma Myszki

Wszystkie układy = Undefined

Wciśnięcie tego klawisza zapobiega przesuwaniu się wskaźnika myszy w poziomie przy poruszaniu fizyczną myszą. Wciśnięcie jakiegokolwiek klawisza na klawiaturze zwalnia tę blokadę, pozwalając na swobodne przesuwanie wskaźnika myszy. Funkcja ta pomaga przy korzystaniu z fizycznej myszy.

Blokada Pionowa Myszki

Wszystkie układy = Undefined

Wciśnięcie tego klawisza zapobiega przesuwaniu się wskaźnika myszy w pionie przy poruszaniu fizyczną myszą. Wciśnięcie jakiegokolwiek klawisza na klawiaturze zwalnia tę blokadę, pozwalając na swobodne przesuwanie wskaźnika myszy. Funkcja ta pomaga przy korzystaniu z fizycznej myszy.

WE/Myszka Przełączenie

Wszystkie układy = Numpad-- (Numpad minus)

Ta funkcja przełącza pomiędzy kursorem WE i wskaźnikiem myszki. Gdy aktywna jest myszka, gorące klawisze związane z myszką działają na wskaźnik myszki. Kiedy aktywny jest kursor WE, klawisze te działają na kursor WE.

Myszka w Górę

Default = Ctrl-Shift-Numpad-Uparrow

Laptop = Alt-Uparrow

Vocal-Eyes = Numpad-Uparrow

Przesuwa wskaźnik myszy o określoną liczbę pikseli w górę. Liczba ta została domyślnie przyjęta jako 5. Może być zmieniona opcją Górny Przyrost Wskaźnika w menu Myszka.

Myszka w Dół

Default = Ctrl-Shift-Numpad-Downarrow

Laptop = Alt-Downarrow

Vocal-Eyes = Numpad-Downarrow

Przesuwa wskaźnik myszy o określoną liczbę pikseli w dół. Liczba ta została domyślnie przyjęta w WINEYES.000 jako 5. Może być zmieniona opcją Dolny Przyrost Wskaźnika w menu Myszka.

Myszka w Lewo

Default = Ctrl-Shift-Numpad-Leftarrow

Laptop = Alt-Leftarrow

Vocal-Eyes = Numpad-Leftarrow

Przesuwa wskaźnik myszy o określoną liczbę pikseli w lewo. Liczba ta została domyślnie przyjęta w WINEYES.000 jako 5. Może być zmieniona opcją Lewy Przyrost Wskaźnika w menu Myszka.

Myszka w Prawo

Default = Ctrl-Shift-Numpad-Rightarrow

Laptop = Alt-Rightarrow

Vocal-Eyes = Numpad-Rightarrow

Przesuwa wskaźnik myszy o określoną liczbę pikseli w prawo. Liczba ta została domyślnie przyjęta w WINEYES.000 jako 5. Może być zmieniona opcją Prawy Przyrost Wskaźnika w menu Myszka.

Myszka Góra Lewo

Default = Numpad-Home

Laptop = Alt-Home

Vocal-Eyes = Numpad-Home

Przesuwa wskaźnik myszy do lewego górnego rogu obszaru określonego funkcją Granice Myszki i mówi "Lewo Góra"

Myszka Góra Prawo

Default = Numpad-Pageup

Laptop = Alt-Pageup

Vocal-Eyes = Numpad-Pageup

Przesuwa wskaźnik myszy do prawego górnego rogu obszaru określonego funkcją Granice Myszki i mówi "Prawo Góra"

Myszka Lewo Dół

Default = Numpad-End

Laptop = Alt-End

Vocal-Eyes = Numpad-End

Przesuwa wskaźnik myszy do lewego dolnego rogu obszaru określonego funkcją Granice Myszki i mówi "Lewo Dół"

Myszka Prawo Dół

Default = Numpad-Pagedown

Laptop = Alt-Pagedown

Vocal-Eyes = Numpad-Pagedown

Przesuwa wskaźnik myszy do prawego dolnego rogu obszaru określonego funkcją Granice Myszki i mówi "Prawo Dół"

Myszka Poprzedni Znak

Default = Numpad-Leftarrow

Laptop = Ctrl-Shift-B

Vocal-Eyes = Ctrl-Shift-B

Przesuwa wskaźnik myszy o jeden znak w lewo i odczytuje go. Jeśli wskaźnik znajduje się w lewym górnym rogu obszaru określonego funkcją Granice Myszki, Window-Eyes wydaje ostrzegawczy dźwięk i odczytuje bieżący znak.

Myszka Bieżący Znak

Default = Ctrl-Insert-Numpad-Center

Laptop = Ctrl-Shift-C

Vocal-Eyes = Ctrl-Shift-C

Wypowiada bieżący znak pod wskaźnikiem myszy. Powtórne wciśnięcie tego klawisza spowoduje fonetyczne wypowiedzenie znaku z szybkością o dwa mniejszą niż aktualnie ustawiona szybkość głosu ekranu.

Myszka Następny Znak

Default = Numpad-Rightarrow

Laptop = Ctrl-Shift-D

Vocal-Eyes = Ctrl-Shift-D

Przesuwa wskaźnik myszy o jeden znak w prawo i odczytuje go. Jeśli wskaźnik znajduje się w prawym dolnym rogu obszaru określonego funkcją Granice Myszki, Window-Eyes wydaje ostrzegawczy dźwięk i odczytuje bieżący znak.

Myszka Poprzednie Słowo

Default = Insert-Numpad-Leftarrow

Laptop = Ctrl-Shift-V

Vocal-Eyes = Ctrl-Shift-V

Przesuwa wskaźnik myszy o jedno słowo w lewo i odczytuje je. Jeśli wskaźnik znajduje się w lewym górnym rogu obszaru określonego funkcją Granice Myszki, Window-Eyes wydaje ostrzegawczy dźwięk i odczytuje bieżące słowo.

Myszka Bieżące Słowo

Default = Insert-Numpad-Center

Laptop = Ctrl-Shift-W

Vocal-Eyes = Ctrl-Shift-W

Wypowiada bieżące słowo pod wskaźnikiem myszy. Powtórne wciśnięcie tego klawisza spowoduje przeliterowanie słowa. Trzecie wciśnięcie przeliteruje fonetycznie słowo z szybkością o dwa mniejszą niż aktualnie ustawiona szybkość głosu ekranu.

Myszka Następne Słowo

Default = Insert-Numpad-Rightarrow

Laptop = Ctrl-Shift-Y

Vocal-Eyes = Ctrl-Shift-Y

Przesuwa wskaźnik myszy o jedno słowo w prawo i odczytuje je. Jeśli wskaźnik znajduje się w prawym dolnym rogu obszaru określonego funkcją Granice Myszki, Window-Eyes wydaje ostrzegawczy dźwięk i odczytuje bieżące słowo.

Myszka Poprzednia Linia

Default = Numpad-Uparrow

Laptop = Ctrl-Shift-K

Vocal-Eyes = Ctrl-Shift-K

Przesuwa wskaźnik myszy o jedną linię w górę i odczytuje ją. Jeśli wskaźnik znajduje się na górze obszaru określonego funkcją Granice Myszki, Window-Eyes wydaje ostrzegawczy dźwięk i odczytuje bieżącą linię.

Myszka Bieżąca Linia

Default = Numpad-Center

Laptop = Ctrl-Shift-L

Vocal-Eyes = Ctrl-Shift-L

Odczytuje bieżącą linię pod wskaźnikiem myszy.

Myszka Następna Linia

Default = Numpad-Downarrow

Laptop = Ctrl-Shift-M

Vocal-Eyes = Ctrl-Shift-M

Przesuwa wskaźnik myszy o jedną linię w dół i odczytuje ją. Jeśli wskaźnik znajduje się na dole obszaru określonego funkcją Granice Myszki, Window-Eyes wydaje ostrzegawczy dźwięk i odczytuje bieżącą linię.

Myszka Poprzednie Zdanie

Default = Insert-Numpad-End

Laptop = Ctrl-Shift-R

Vocal-Eyes = Ctrl-Shift-R

Przesuwa wskaźnik myszy o jedno zdanie w górę i odczytuje je. Jeśli wskaźnik znajduje się na górze obszaru określonego funkcją Granice Myszki, Window-Eyes wydaje ostrzegawczy dźwięk i odczytuje bieżące zdanie.

Myszka Bieżące Zdanie

Default = Insert-Numpad-Downarrow

Laptop = Ctrl-Shift-S

Vocal-Eyes = Ctrl-Shift-S

Odczytuje bieżące zdanie pod wskaźnikiem myszy.

Myszka Następne Zdanie

Default = Insert-Numpad-Pagedown

Laptop = Ctrl-Shift-T

Vocal-Eyes = Ctrl-Shift-T

Przesuwa wskaźnik myszy o jedno zdanie w dół i odczytuje je. Jeśli wskaźnik znajduje się na dole obszaru określonego funkcją Granice Myszki, Window-Eyes wydaje ostrzegawczy dźwięk i odczytuje bieżące zdanie.

Myszka Poprzedni Akapit

Default = Ctrl-Insert-Numpad-End

Laptop = Ctrl-Shift-O

Vocal-Eyes = Ctrl-Shift-O

Przesuwa wskaźnik myszy o jeden akapit w górę i odczytuje go. Jeśli wskaźnik znajduje się na górze obszaru określonego funkcją Granice Myszki, Window-Eyes wydaje ostrzegawczy dźwięk i odczytuje bieżący akapit.

Myszka Bieżący Akapit

Default = Ctrl-Insert-Numpad-Downarrow

Laptop = Ctrl-Shift-P

Vocal-Eyes = Ctrl-Shift-P

Odczytuje bieżący akapit pod wskaźnikiem myszy.

Myszka Następny Akapit

Default = Ctrl-Insert-Numpad-Pagedown

Laptop = Ctrl-Shift-Q

Vocal-Eyes = Ctrl-Shift-Q

Przesuwa wskaźnik myszy o jednen akapit w dół i odczytuje je. Jeśli wskaźnik znajduje się na dole obszaru określonego funkcją Granice Myszki, Window-Eyes wydaje ostrzegawczy dźwięk i odczytuje bieżący akapit.

Myszka Poprzednia Ikona

Default = Undefined

Laptop = Ctrl-Shift-H

Vocal-Eyes = Ctrl-Shift-H

Przesuwa wskaźnik myszy do poprzedniej ikony lub grafiki i odczytuje ją. Jeśli wskaźnik znajduje się w lewym górnym rogu obszaru określonego funkcją Granice Myszki, Window-Eyes wydaje ostrzegawczy dźwięk i odczytuje bieżącą ikonę.

Myszka Bieżąca Ikona

Default = Undefined

Laptop = Ctrl-Shift-I

Vocal-Eyes = Ctrl-Shift-I

Wypowiada bieżącą ikonę lub grafikę pod wskaźnikiem myszy.

Myszka Następna Ikona

Default = Undefined

Laptop = Ctrl-Shift-J

Vocal-Eyes = Ctrl-Shift-J

Przesuwa wskaźnik myszy do następnej ikony lub grafiki i odczytuje ją. Jeśli wskaźnik znajduje się w prawym dolnym rogu obszaru określonego funkcją Granice Myszki, Window-Eyes wydaje ostrzegawczy dźwięk i odczytuje bieżącą ikonę.

Myszka Poprzedni Uchwyt

Default = Insert-Numpad-Home

Laptop = Alt-Shift-Leftarrow

Vocal-Eyes = Insert-Numpad-Leftarrow

Przesuwa wskaźnik myszy do poprzedniego uchwytu i odczytuje go. Jeśli wskaźnik znajduje się w lewym górnym rogu obszaru określonego funkcją Granice Myszki, Window-Eyes wydaje ostrzegawczy dźwięk i odczytuje bieżący uchwyt.

Myszka Bieżący Uchwyt

Default = Insert-Numpad-Uparrow

Laptop = Alt-Shift-Downarrow

Vocal-Eyes = Insert-Numpad-Center

Wypowiada bieżący uchwyt pod wskaźnikiem myszy. Jeśli myszka wskazuje na grafikę, powtórne naciśnięcie odczyta CRC tej grafiki. CRC jest numerem różnym dla każdego obrazka. To może czasem pomóc przy uruchamianiu nowej aplikacji bez opisanej grafiki. Można w ten sposób rozróżniać poszczególne obrazki.

Myszka Następny Uchwyt

Default = Insert-Numpad-Pageup

Laptop = Alt-Shift-Rightarrow

Vocal-Eyes = Insert-Numpad-Rightarrow

Przesuwa wskaźnik myszy do następnego uchwytu i odczytuje go. Jeśli wskaźnik znajduje się w prawym dolnym rogu obszaru określonego funkcją Granice Myszki, Window-Eyes wydaje ostrzegawczy dźwięk i odczytuje bieżący uchwyt.

Od Góry Do Myszki

Default = Alt-Insert-Numpad-Uparrow

Laptop = Undefined

Vocal-Eyes = Undefined

Odczytuje cały tekst od lewego górnego rogu obszaru określonego funkcją Granice Myszki do bieżącej pozycji wskaźnika myszki.

Od Myszki Do Dołu

Default = Alt-Insert-Numpad-Downarrow

Laptop = Undefined

Vocal-Eyes = Undefined

Odczytuje cały tekst od bieżącej pozycji wskaźnika myszki do prawego dolnego rogu obszaru określonego funkcją Granice Myszki.

Od Lewej Do Myszki

Default = Alt-Insert-Numpad-Leftarrow

Laptop = Undefined

Vocal-Eyes = Undefined

Odczytuje cały tekst w bieżącej linii od pierwszej kolumny obszaru określonego funkcją Granice Myszki do bieżącej pozycji wskaźnika myszki.

Od Myszki do Prawej

Default = Alt-Insert-Numpad-Rightarrow

Laptop = Undefined

Vocal-Eyes = Undefined

Odczytuje cały tekst w bieżącej linii od bieżącej pozycji wskaźnika myszki do ostatniej kolumny obszaru określonego funkcją Granice Myszki.

Myszka Na Początku Linii

Default = Alt-Insert-Numpad-Home

Laptop = Undefined

Vocal-Eyes = Undefined

W granicach obszaru określonego funkcją Granice Myszki przenosi wskaźnik myszy na lewą stronę linii zawierającej wskaźnik myszy.

Myszka Na Końcu Linii

Default = Alt-Insert-Numpad-End

Laptop = Undefined

Vocal-Eyes = Undefined

W granicach obszaru określonego funkcją Granice Myszki przenosi wskaźnik myszy na prawą stronę linii zawierającej wskaźnik myszy.

Myszka Mówi Góra/Dół

Default = Alt-Numpad-Center

Laptop = Undefined

Vocal-Eyes = Undefined

Ustala, czy Window-Eyes ma odczytywać znak, słowo czy linię, na które trafi wskaźnik myszy przesuwany w górę lub w dół gorącymi klawiszami poruszającymi myszką. Window-Eyes potwierdza wybór.

Jeśli funkcja ta ustawiona jest na "Znak" lub "Słowo", a wskaźnik myszy znajdzie się w nowej linii w miejscu nie zawierającym takich elementów, Window-Eyes wyda ostrzegawczy dźwięk.

Jeśli funkcja ta jest ustawiona na "Linia" i wskaźnik myszy przechodzi nad pustą linią, Window-Eyes mówi "Pusta". Jeśli przechodzi przez więcej takich linii, Window-Eyes mówi "Pusta" tylko na pierwszej napotkanej pustej linii.

Opcja ta może być również zmieniana poprzez menu Myszka Window-Eyes.

Myszka Do Kursora

Default = Insert-Numpad-+

Laptop = Ctrl-Shift-_

Vocal-Eyes = Insert-Numpad-+

Sprowadza wskaźnik myszy do kursora. Jeśli kursor nie jest obecny na ekranie, Window-Eyes przenosi wskaźnik myszy do elementu sterującego będącego w punkcie uwagi i mówi jego nazwę. Na przykład "Wskaźnik sprowadzony do przycisk" - jeśli w punkcie uwagi jest przycisk.

Kursor Do Myszki

Default = Numpad-+

Laptop = Ctrl-Shift-+

Vocal-Eyes = Numpad-+

Sprowadza kursor do wskaźnika myszy. Jeśli na ekranie nie ma kursora lub nie może on być sprowadzony do wskaźnika myszy, Window-Eyes mówi "Nie można sprowadzić kursora

Synchronizacja WE i Myszki

Default = Insert-Numpad--

Laptop = Alt-Shift-_

Vocal-Eyes = Insert-Numpad--

Ten gorący klawisz synchronizuje kursor WE ze wskaźnikiem myszy. Wskaźnik nieaktywny jest sprowadzany do aktywnego.

Sprowadź Do Określonego Podświetlenia

Wszystkie układy = Undefined

Ta funkcja sprowadza wskaźnik myszy do podświetlenia w wybranym oknie. Okno można wskazać z pomocą opcji Określenie Podświetlenia z menu Myszka.

Sprowadź Mysz Do Okna

Wszystkie układy = Undefined

Funkcja ta pyta o numer okna i umieszcza wskaźnik myszy w jego lewym górnym rogu. Można używać tej funkcji jak zakładki, oznaczając różne miejsca na ekranie.

Pozycja Myszki

Default = Ctrl-Insert-Numpad-+

Laptop = Ctrl-Shift-A

Vocal-Eyes = Ctrl-Shift-A

Wypowiada współrzędne X i Y wskaźnika myszy.

x25, y9 oznacza, że wskaźnik myszy jest 25 pikseli od lewej krawędzi ekranu i 9 pikseli od jego górnej krawędzi.

Myszka ASCII/Atrybuty

Default = Ctrl-Insert-Numpad-Delete

Laptop = Undefined

Vocal-Eyes = Undefined

Wypowiada kod ASCII, czcionkę i atrybuty znaku znajdującego się pod wskaźnikiem myszy. Informacja wypowiadana jest głosem myszki. Na pierwsze wciśnięcie klawisza Window-Eyes reaguje zgodnie z odpowiednimi ustawieniami dokonanymi w menu Gadatliwość. Ponowne wciśnięcie udostępnia wszystkie informacje o atrybutach, czcionce i kodzie ASCII.

Szukanie Myszki

Default = Ctrl-Shift-F

Laptop = Ctrl-F

Vocal-Eyes = Ctrl-F

Wyświetla dialog pozwalający na wprowadzenie łańcucha znaków lub kombinacji atrybutów do znalezienia przez Windows-Eyes. Jeśli element zostanie znaleziony, Window-Eyes umieści na nim wskaźnik myszy i odczyta uchwyt zawierający szukany łańcuch znaków. Jeśli łańcuch nie zostanie znaleziony, Window-Eyes wyda ostrzegawczy dźwięk i powie "Nie znaleziono". Można wybrać ograniczenie szukania do obszaru aktywnego okna, punktu uwagi, okna użytkownika lub całego ekranu..

Można także zaznaczyć, czy przy poszukiwaniu ma być uwzględniana wielkość liter. By odszukać symbol graficzny, wystarczy wpisać jego etykietę lub jej część.

Przewidziano pola wyboru dla pogrubienia, podkreślenia, kursywy, podświetlenia i skreślenia. Można wyszukiwać takie atrybuty osobno lub w dowolnych kombinacjach.

Kontynuacja Szukania Myszki

Default = Insert-F

Laptop = Ctrl-Shift-F

Vocal-Eyes = Ctrl-Shift-F

Kontynuuje poszukiwanie zainicjowane gorącym klawiszem Szukanie Myszki.

Myszka Poprzedni Atrybut

Wszystkie układy = Undefined

Przemieszcza wskaźnik myszy wstecz do elementu pasującego do atrybutów zdefiniowanych w dialogu Poszukiwane Atrybuty z menu Myszka.

Jeśli wskaźnik myszy jest wewwnątrz obszaru zdefiniowanego funkcją Granice Myszki, wciśnięcie klawisza Myszka Poprzedni Atrybut spowoduje przeniesienie wskaźnika wstecz do pasującego atrybutu wewnątrz tego obszaru. Jeśli wskaźnik myszy jest poza tymi granicami, poszukiwanie rozpocznie się od dołu tego obszaru.

Myszka Następny Atrybut

Wszystkie układy = Undefined

Przemieszcza wskaźnik myszy do następnego elementu pasującego do atrybutów zdefiniowanych w dialogu Poszukiwane Atrybuty z menu Myszka.

Jeśli wskaźnik myszy jest wewnątrz obszaru zdefiniowanego funkcją Granice Myszki, wciśnięcie klawisza Myszka Następny Atrybut spowoduje przeniesienie wskaźnika do następnego pasującego atrybutu wewnątrz tego obszaru. Jeśli wskaźnik myszy jest poza tymi granicami, poszukiwanie rozpocznie się od góry tego obszaru.

Myszka Poprzednia Kontrolka

Wszystkie układy = Undefined

Przenosi wskaźnik myszy do poprzedniego elementu sterującego Windows i ustawia na nim punkt uwagi. Ta funkcja ma szczególne znaczenie przy używaniu elementów kontrolnych niedostępnych z klawiatury.

Myszka Następna Kontrolka

Wszystkie układy = Undefined

Przenosi wskaźnik myszy do następnego elementu sterującego Windows i ustawia na nim punkt uwagi. Ta funkcja ma szczególne znaczenie przy używaniu elementów kontrolnych niedostępnych z klawiatury.

Opisz Wskaźnik

Wszystkie układy = Undefined

Opisuje bieżący wskaźnik myszy.

Przechwycenie Wskaźnika

Default = Ctrl-Shift-P

Laptop = Undefined

Vocal-Eyes = Undefined

Pozwala nazwać bieżący wskaźnik myszy.

Edycja słowników

Wszystkie układy = Ctrl-Shift-E

Jeśli wskaźnik myszy znajduje się na grafice, wciśnięcie tego klawisza pozwala na nazwanie tej grafiki. W przeciwnym razie wyświetlony zostanie Dialog Wyboru Słowników. Pozwala on wybrać pomiędzy słownikiem wyjątków, etykiet klawiszy i znaków. Jeśli wybrano słownik wyjątków, a mysz wskazuje na jakieś słowo, będzie ono domyślnie wyświetlone. Jeśli wybrano słownik znaków, a mysz wskazuje na jakiś znak, to będzie on domyślnie wyświetlony.

Przełącznik Wszystkie Mówiące

Wszystkie układy = Insert-A

Jest to najszybszy sposób symulacji założenia mówiącego okna na bieżącą aplikację. Klawisz ten działa jak przełącznik.

Przełącz Wszystkie Głosy

Wszystkie układy = Undefined

Włącza lub wyłącza wszystkie głosy. To ustawienie można także zmieniać opcją Głos z menu Ogólne Window-Eyes.

Czytaj Cały Ekran

Wszystkie układy = Undefined

Odczytuje cały ekran.

Odczytaj Aktywne Okno

Default = Ctrl-Shift-W

Laptop = Alt-W

Vocal-Eyes = Alt-W

Odczytuje całe aktywne okno aplikacji.

Tytuł i Status Bieżącej Aplikacji

Default = Ctrl-Shift-T

Laptop = Alt-Shift-T

Vocal-Eyes = Alt-Shift-T

Odczytuje pasek tytułu okna z punktem uwagi, a następnie pasek tytułu aktywnego okna. Klawisz ten mówi także czy okno jest zminimalizowane, zmaksymalizowane czy normalne.

Czytaj Linię Statusu

Wszystkie układy = Ctrl-Insert-S

Window-Eyes próbuje automatycznie znaleźć linię statusu aktywnej aplikacji i odczytuje ją. Najpierw szuka specjalnego pola przeznaczonego przez Microsoft do wyświetlania linii statusu, a jeśli twórca aplikacji nie użył tego mechanizmu, odczytuje ostatnią linię wyświetloną w oknie aplikacji.

Czytaj Pasek Menu

Default = Undefined

Laptop = Alt-Shift-B

Vocal-Eyes = Alt-Shift-B

Odczytuje pasek menu aktywnej aplikacji.

Przeczytaj Zaznaczony Blok

Default = Ctrl-Shift-M

Laptop = Alt-Shift-M

Vocal-Eyes = Alt-Shift-M

Odczytuje zaznaczony blok podświetlonego tekstu. Jest szczególnie przydatny przy odczytywaniu zaznaczonego tekstu w edytorze.

Informacje Pomocnicze

Default = Ctrl-Shift-F1

Laptop = Ctrl-Shift-F1

Vocal-Eyes = Ctrl-Shift-F1

Udostępnia pomoc związaną z bieżącym punktem uwagi. Tekst tej pomocy może być zmieniany przez użytkownika.

Zmniejsz Parametr Głosu

Wszystkie układy = Insert-DownArrow

Zmniejsza bieżący parametr głosu wybrany gorącymi klawiszami Przełącznika Wyboru Głosu i Przełącznika Parametrów Głosu o jeden poziom. Zmiana jest zapamiętywana w bieżącym pliku konfiguracyjnym, jeśli nie są używane ustawienia globalne, lub w ustawieniach globalnych – jeśli są używane.

Zwiększ Parametr Głosu

Wszystkie układy = Insert-UpArrow

Zwiększa bieżący parametr głosu wybrany gorącymi klawiszami Przełącznika Wyboru Głosu i Przełącznika Parametrów Głosu o jeden poziom. Zmiana jest zapamiętywana w bieżącym pliku konfiguracyjnym, jeśli nie są używane ustawienia globalne, lub w ustawieniach globalnych – jeśli są używane.

Przełącznik Wyboru Głosu

Wszystkie układy = Insert-RightArrow

Przełącza cyklicznie pomiędzy ekranem, klawiaturą, myszką i wszystkimi. Po użyciu tego klawisza do wyboru odpowiedniego głosu (lub wszystkich głosów) do regulacji, użyj Przełącznika Parametrów Głosu do wyboru parametru, który chcesz zmienić. Wreszcie użyj klawiszy Zmniejsz Parametr Głosu i Zwiększ Parametr Głosu by ustawić wybrany parametr dla wybranego głosu.

Przełącznik Parametrów Głosu

Wszystkie układy = Insert-LeftArrow

Przełącza cyklicznie pomiędzy szybkością, głośnością, barwą i wysokością. Po użyciu tego klawisza do wyboru odpowiedniego parametru do regulacji, użyj Przełącznika Wyboru Głosu do wskazania głosu (lub wszystkich głosów), który chcesz zmienić. Wreszcie użyj klawiszy Zmniejsz Parametr Głosu i Zwiększ Parametr Głosu by ustawić wybrany parametr dla wybranego głosu.

Przełącznik Liczb

Wszystkie układy = Undefined

Przełącza między on i off. W pozycji wyłączonej (off) Window-Eyes będzie odczytywał liczby cyframi. W pozycji włączonej (on) Window-Eyes będzie odczytywał normalnie liczby nie zawierające kresek. Gdy funkcja ta jest włączona, Window-Eyes odczytuje liczby zawierające znak dolara jako dolary i centy.

Ustawienie to można także zmieniać przy użyciu opcji Liczby z menu Ekran Window-Eyes.

Przełącznik Sygnalizacji Pozycji Kursora

Wszystkie układy = Undefined

Przełącza między on i off. W pozycji włączonej (on) podczas czytania tekstu zawierającego kursor Window-Eyes przerwie czytanie w miejscu gdzie jest kursor, powie "daszek" i dopiero będzie czytać dalej. Na przykład gdy odczytywana jest linia zawierająca kursor, Window-Eyes przeczyta wszystko na lewo od kursora, powie "daszek" i przeczyta wszystko na prawo od kursora.

Przełącznik Trybu Słownego

Wszystkie układy = Undefined

Przełącza cyklicznie pomiędzy "off", "on" i "włącz gdy liczba". W pozycji wyłączonej (off) Window-Eyes wypowiada każdy znak wprowadzony z klawiatury. W pozycji włączonej (on) Window-Eyes odczytuje wpisywany tekst słowami. Po wciśnięciu spacji, znaku przestankowego lub cyfry odczytywane jest słowo wpisane ostatnio. W pozycji "włącz gdy liczba" program działa tak jak poprzednio, z tym, że cyfry są także kumulowane i liczba jest wypowiadana dopiero po wpisaniu spacji lub znaku przestankowego.

Ustawienie to może być także zmieniane przy użyciu opcji Tryb Słowny z menu Klawiatura Window-Eyes.

Przełącznik Statusu Filtru Linii

Wszystkie układy = Undefined

Przełącza ustawienia filtru linii pomiędzy "off", "on" i "czytaj do końca".

Ustawienie to może być także zmieniane przy użyciu opcji Status z podmenu Filtr Linii menu Ekran Window-Eyes.

Przełącznik Sygnalizacji Dużych Liter

Wszystkie układy = Undefined

Przełącza ustawienia sygnalizacji dużych liter pomiędzy "off", "mów duże" i "wysokość".

Ustawienie to może być także zmieniane przy użyciu opcji Status z podmenu Sygnalizacja Dużych Liter menu Ekran Window-Eyes.

Przełącznik Sygnalizacji Formatu

Wszystkie układy = Undefined

Włącza lub wyłącza sygnalizację formatowania. W pozycji włączonej Window-Eyes będzie informował o wcięciach linii i miejscach, gdzie między słowami jest więcej spacji niż jedna.

Ustawienie to może być także zmieniane przy użyciu opcji Status z podmenu Sygnalizacja Formatowania menu Ekran Window-Eyes.

Ustaw Margines Sygnalizacji Formatu

Default = Undefined

Laptop = Undefined

Vocal-Eyes = Undefined

Ustawia odległość od lewej krawędzi okna aplikacji, w jakiej ma znajdować się lewa krawędź dokumentu dla funkcji sygnalizacji formatu. Jest to konieczne w niektórych procesorach tekstu, na przykład we Write, który nie umieszcza tekstu bezpośrednio przy lewej krawędzi okna aplikacji.

Wybierz Okno Użytkownika

Default = Insert-F3

Laptop = Insert-F3

Vocal-Eyes = Insert-F3

Pyta o numer okna użytkownika, które ma stać się aktywnym oknem. Należy wprowadzić numer od 0 do 49.

Okno Użytkownika Współrzędne

Default = Insert-F4

Laptop = Insert-F4

Vocal-Eyes = Insert-F4

Wyświetla dialog pozwalający na wprowadzenie współrzędnych dla aktywnego okna użytkownika.

Okno Użytkownika Góra Lewo

Default = Insert-F5

Laptop = Insert-F5

Vocal-Eyes = Insert-F5

Ustawia współrzędne lewego górnego rogu aktywnego okna użytkownika w miejscu wskazywanym przez myszkę, względem krawędzi wybranych dla lewej i górnej współrzędnej. W rzeczywistości za lewy górny róg okna brany jest lewy górny róg uchwytu wskazywanego przez myszkę. Jeśli mysz nie wskazuje żadnego uchwytu lub jeśli nie jest zaznaczona opcja Użyj Granic Uchwytów Dla Myszki w menu Globalne, brany jest rzeczywisty piksel wskazywany przez myszkę.

Ponowne wciśnięcie tego klawisza bez poruszenia myszką i wciskania innych klawiszy spowoduje, że Window-Eyes spróbuje automatycznie wybrać względem których krawędzi określić górną i lewą współrzędną.

Okno Użytkownika Dół Prawo

Default = Insert-F6

Laptop = Insert-F6

Vocal-Eyes = Insert-F6

Ustawia współrzędne prawego dolnego rogu aktywnego okna użytkownika w miejscu wskazywanym przez myszkę, względem krawędzi wybranych dla prawej i dolnej współrzędnej. W rzeczywistości za prawy dolny róg okna brany jest prawy dolny róg uchwytu wskazywanego przez myszkę. Jeśli mysz nie wskazuje żadnego uchwytu lub jeśli nie jest zaznaczona opcja Użyj Granic Uchwytów Dla Myszki w menu Globalne, brany jest rzeczywisty piksel wskazywany przez myszkę.

Ponowne wciśnięcie tego klawisza bez poruszenia myszką i wciskania innych klawiszy spowoduje, że Window-Eyes spróbuje automatycznie wybrać względem których krawędzi określić prawą i dolną współrzędną.

Okno Użytkownika Definicja

Default = Insert-F7

Laptop = Insert-F7

Vocal-Eyes = Insert-F7

Wywołuje okno dialogowe pozwalające wybrać status, atrybuty, okno do dołączenia w łańcuchu, status mówienia i literowania, status i kolory paska podświetlenia dla aktywnego okna użytkownika.

Status Okna Użytkownika

Otwiera pole listy zawierającą wszystkie zdefiniowane okna i ich aktualne statusy.

Współrzędne Okna Użytkownika

Default = Undefined

Laptop = Undefined

Vocal-Eyes = Undefined

Odczytuje status i współrzędne aktywnego okna użytkownika i wybranego w danym momencie okna hiperaktywnego.

Ustaw Kolory Okna Użytkownika

Default = Undefined

Laptop = Undefined

Vocal-Eyes = Undefined

Ustawia kolory aktywnego okna użytkownika zgodnie z atrybytami znaku spod wskaźnika myszy. Window-Eyes automatycznie odznacza pola wyboru "Każdy Kolor Znaków Pasuje" i "Każdy Kolor Tła Pasuje" w oknie dialogowym Definicja Standardowego Okna Użytkownika.

Wybierz Hiperaktywne Okno

Default = Ctrl-Shift-F3

Laptop = Ctrl-Shift-F3

Vocal-Eyes = Ctrl-Shift-F3

Pyta o literę okna hiperaktywnego, które ma być wybrane. Tego okna będą dotyczyć funkcje zmieniające współrzędne i status hiperaktywnego okna.

Należy wprowadzić literę z zakresu od A do Z.

Hiperaktywne Okno Współrzędne

Default = Ctrl-Shift-F4

Laptop = Ctrl-Shift-F4

Vocal-Eyes = Ctrl-Shift-F4

Wyświetla dialog pozwalający wprowadzić współrzędne wybranego okna hiperaktywnego.

Hiperaktywne Okno Góra Lewo

Default = Ctrl-Shift-F5

Laptop = Ctrl-Shift-F5

Vocal-Eyes = Ctrl-Shift-F5

Ustawia współrzędne lewego górnego rogu wybranego okna hiperaktywnego w miejscu wskazywanym przez myszkę, względem krawędzi wybranych dla lewej i górnej współrzędnej. W rzeczywistości za lewy górny róg okna brany jest lewy górny róg uchwytu wskazywanego przez myszkę. Jeśli mysz nie wskazuje żadnego uchwytu lub jeśli nie jest zaznaczona opcja Użyj Granic Uchwytów Dla Myszki w menu Globalne, brany jest rzeczywisty piksel wskazywany przez myszkę.

Ponowne wciśnięcie tego klawisza bez poruszenia myszką i wciskania innych klawiszy spowoduje, że Window-Eyes spróbuje automatycznie wybrać względem których krawędzi określić górną i lewą współrzędną.

Hiperaktywne Okno Dół Prawo

Default = Ctrl-Shift-F6

Laptop = Ctrl-Shift-F6

Vocal-Eyes = Ctrl-Shift-F6

Ustawia współrzędne prawego dolnego rogu wybranego okna hiperaktywnego w miejscu wskazywanym przez myszkę, względem krawędzi wybranych dla prawej i dolnej współrzędnej. W rzeczywistości za prawy dolny róg okna brany jest prawy dolny róg uchwytu wskazywanego przez myszkę. Jeśli mysz nie wskazuje żadnego uchwytu lub jeśli nie jest zaznaczona opcja Użyj Granic Uchwytów Dla Myszki w menu Globalne, brany jest rzeczywisty piksel wskazywany przez myszkę.

Ponowne wciśnięcie tego klawisza bez poruszenia myszką i wciskania innych klawiszy spowoduje, że Window-Eyes spróbuje automatycznie wybrać względem których krawędzi określić prawą i dolną współrzędną.

Hiperaktywne Okno Definicja

Default = Ctrl-Shift-F7

Laptop = Ctrl-Shift-F7

Vocal-Eyes = Ctrl-Shift-F7

Wyświetla dialog pozwalający określić status, przerywanie mówienia, wyzwalanie i komendy dla wybranego okna hiperaktywnego.

Współrzędne Hiperaktywnego Okna

Default = Undefined

Laptop = Undefined

Vocal-Eyes = Undefined

Odczytuje status i współrzędne wszystkich 26 okien hiperaktywnych.

Przełącznik Hiperaktywnego Okna

Default = Ctrl-Shift-F8

Laptop = Ctrl-Shift-F8

Vocal-Eyes = Ctrl-Shift-F8

Przełącza status wszystkich hiperaktywnych okien pomiędzy Off, Komentarze wyłączone i Komentarze włączone.

Kiedy przełącznik ten jest w pozycji Off, żadne hiperaktywne okno nie może wyzwolić swojej akcji, jednak wszystkie ich parametry są nadal przechowywane w pamięci komputera.

Gdy przełącznik jest w pozycji Komentarze wyłączone, tylko te hiperaktywne okna, których status ustawiony jest na Hiperaktywne, wyzwalane są normalnie. Gdy przełącznik ustawiony jest na Komentarze włączone, wszystkie okna, bez względu na status, wyzwalane są normalnie. Ponadto wysyłają do syntezatora komunikat przy wyzwoleniu swoich akcji. Jest to pożyteczne podczas uruchamiania swojego systemu okien hiperaktywnych.

Kursor Określony Automatycznie

Default = Insert-C

Laptop = Insert-C

Vocal-Eyes = Insert-C

Wykrywa kursor w aplikacji używającej niestandardowe kursory.

Jeśli kursor powinien być widoczny na ekranie, a Window-Eyes go nie widzi, wciśnięcie tego klawisza spowoduje określenie typu kursora i jego położenie. Informacja ta jest automatycznie zachowywana w pliku .WE dla tej aplikacji.

Automatyczne Etykietowanie Grafiki

Default = Insert-G

Laptop = Insert-G

Vocal-Eyes = Insert-G

Ta funkcja służy do opisania obrazków ich etykietkami pojawiającymi się przy wskazaniu myszką.

Etykietowanie dotyczy tylko tych grafik, które nie były wcześniej nazwane. Proces ten może trwać nawet kilka minut. Można przerwać go w każdej chwili wciskając klawisz ESCAPE.

Jeśli przy danej grafice nie pojawia się etykietka (tool tip), nie zostanie ona w tym procesie nazwana.

Przełącznik Trybu Aplikacji MSAA

Default = Undefined

Laptop = Undefined

Vocal-Eyes = Undefined

Ten klawisz włącza i wyłącza Tryb MSAA Aplikacji. Tryb ten jest szerzej opisany w Dodatku F.

Przełącz Język

Ten gorący klawisz pozwala przełączać języki w obrębie dostarczanego z programem syntezatora SAPI Eloquence. Po dokonaniu wyboru języka, ponowne użycie klawisza umożliwia łatwy powrót do języka używanego poprzednio.

Szuflada Systemu

Default = Insert-S

Laptop = Insert-S

Vocal-Eyes = Insert-S

Ten klawisz daje dostęp do szuflady systemu Windows 95 - małego okienka z ikonkami umieszczonego z prawej strony paska zadań. W dialogu, który się pojawia, w polu listy wyświetlane są etykietki ikon z szuflady systemu. Używając kontrolek tego okna można wywołać pojedyncze lub podwójne kliknięcie lewym lub prawym przyciskiem myszy na dowolnym elemencie z szuflady systemu. Window-Eyes próbuje automatycznie odświeżać zawartość tej listy w miarę zachodzenia zmian w szufladzie systemu, ale jeśli zajdzie taka potrzeba, istnieje możliwość użycia przycisku Odśwież.

Przeklasowanie

Default = Insert-R

Laptop = Insert-R

Vocal-Eyes = Insert-R

Pozwala wybrać z listy elementów sterujących Windows jak Window-Eyes ma traktować element inne sterowanie.

Przerysowanie

Default = Insert-\

Laptop = Insert-\

Vocal-Eyes = Insert-\

Odświeża zawartość okranu. Użyj tego klawisza gdy tekst będący na ekranie nie jest wypowiadany przez Window-Eyes lub wypowiadany jest tekst, który na ekranie przykryty jest czymś innym.

Załaduj Ustawienia

Default = Insert-L

Laptop = Insert-L

Vocal-Eyes = Insert-L

Pyta o nazwę pliku konfiguracyjnego do załadowania.

Zachowaj Ustawienia

Wszystkie układy = Undefined

Zachowuje bieżący plik konfiguracyjny na dysk.

Dump OSM

Default = Ctrl-Shift-Insert-D

Laptop = Ctrl-Shift-Insert-D

Vocal-Eyes = Ctrl-Shift-Insert-D

Zapisuje całe środowisko Window-Eyes w pliku tekstowym w katalogu głównym dysku C:\. Ten klawisz jest przydatny jedynie przy rozwiązywaniu niektórych problemów we współpracy ze wsparciem technicznym firmy GW Micro.


DODATEK B

Panel kontrolny programu Window-Eyes

Przy działającym programie Window-Eyes wciśnięcie kombinacji klawiszy CTRL-\ przywoła na ekran panel kontrolny programu. Możemy również przywołac ten panel trzymając wciśnięty klawisz ALT i naciskać klawisz TAB aż usłyszymy nazwę programu Window-Eyes. Puszczenie tych klawiszy przywoła panel kontrolny.

W pasku tytułu panelu kontrolnego znajduje się informacja o aktywnym pliku konfiguracyjnym i jego skojarzeniu.

Zamknięcie panelu kontrolnego następuje po wciśnięciu klawisza ESC.

Gdy panel kontrolny jest otwarty po wciśnięciu klawisza ALT strzałkami w lewo i w prawo możemy przemieszczać się po nazwach poszczególnych menu programu.

Poniżej przedstawiona została zawartość paska menu panelu kontrolnego:

P = Plik rozwijane menu zawiera elementy umozliwiajace odczytywanie i zachowywanie ustawień programu oraz modyfikacji wyboru syntezatora i linijki brajlowskiej.

E = Ekran rozwijane menu zawiera elementy umożliwiające określenie sposobu odczytywania znaków z ekranu.

K = Klawiatura rozwijane menu zawiera elementy umożliwiające określenie sposobu monitorowania wciskanych klawiszy.

M = Myszka rozwijane menu zawiera elementy umożliwiające określenie sposobu odczytywania informacji wskazywanej przez wskaźnik myszki.

G = Gorące klawisze dialog okno dialogu umożliwiające definiowanie gorących klawiszy programu Window-Eyes.

A = Akcje dialog okno dialogu umozliwiające definiowanie klawiszy akcji programu Window-Eyes.

O = Ogólne rozwijane menu zawierające elementy umożliwiające zmiana ustawień ogólnych dotyczących działania programu Window-Eyes.

B = Braille rozwijane menu zawiera wszystkie funkcje umożliwiające określenie sposobu współpracy z linijką brajlowską.

D = Gadatliwość rozwijane menu zawiera elementy umozliwiające ustawienie lokalnych parametrów ograniczających wypowiedzi syntezatora mowy.

L = Globalne rozwijane menu zawiera wiele elementów umożliwiających ustawienie zarówno parametrów głosu, ograniczania wypowiedzi jak i ogólnych stałych wpływających w istotny sposób na działanie programu.

C = Pomoc rozwijane menu zawiera trzy elementy w tym informacje o programie podręcznik oraz możliwość automatycznej aktualizacji dla wersji amerykańskiej.

Zawartości poszczególnych elementów wszystkich menu zostały omówione w treści podręcznika.


Dodatek C

W Polsce wykorzystywane są praktycznie tylko 4 sprzętowe syntezatory mowy oraz dwa syntezatory programowe standardu SAPI.

SMP - Syntezator Mowy Polskiej działający w oparciu o algorytmy syntezy mowy opracowane w Instytucie Biocybernetyki i Inżynierii Biomedycznej PAN, produkowany przez firmę E.C.E. K. Łukaszewicz

Opcje:

Port - należy ustawić numer portu szeregowego, do którego jest podłączony syntezator.

Szybkość Transmisji - 9600

Liczba Bitów - 8

Bity Stopu - 1

Parzystość - brak

Kontrola Transmisji - Xon/Xoff

Kajetek - Mówiacy notes brajlowski mogący pracować jako syntezator SMP, produkowany przez firmę E.C.E. K. Łukaszewicz

Opcje:

Port - należy ustawić numer portu szeregowego, do którego jest podłączony syntezator.

Szybkość Transmisji - 9600

Liczba Bitów - 8

Bity Stopu - 1

Parzystość - brak

Kontrola Transmisji - Xon/Xoff

Apollo I i II – syntezator mowy opracowany przez firmę Dolphin System

Opcje:

Port - należy ustawić numer portu szeregowego, do którego jest podłączony syntezator.

Szybkość Transmisji - 9600

Liczba Bitów - 8

Bity Stopu - 1

Parzystość - brak

Kontrola Transmisji - Xon/Xoff

UWAGA! – w przypadku syntezatora Apollo II należy pamiętać, że musi on być włączony przed uruchomieniem programu Window-Eyes.

Braille ‘N Speak – syntezator opracowany przez firmę Blazie Engineering

Opcje:

Port - należy ustawić numer portu szeregowego, do którego jest podłączony syntezator.

Szybkość Transmisji - 9600

Liczba Bitów - 8

Bity Stopu - 1

Parzystość - brak

Kontrola Transmisji - Xon/Xoff


Dodatek D

Informacje na temat podłączania i obsługi linijek brajlowskich należy szukać w instrukcjach dołączonych do tych urządzeń.

Lista linijek brajlowskich obsługiwanych przez program Window-Eyes

  • Alva 240
  • Alva 280
  • Alva 320/340/440
  • Alva 380/480
  • Alva Satelite 544
  • Alva Satelite 570
  • BrailleLite 18
  • BrailleLite 40
  • BrailleVoyager
  • BrailleWindow / CombiBraille
  • BrailleNote
  • Braillex EL (wszystkie modele)
  • Braillex 2D Screen
  • Braillex Compact/Tiny/2D Lite
  • DM80
  • HandyTech
  • Navigator 20/40
  • Navigator 80
  • PowerBraille 40
  • PowerBreille 65/80
  • VARIO 40/RBT 40 (Rabbit)
  • VARIO 80


Dodatek E

Korzystanie z programów odczytu ekranu dla okienka DOS

Korzystanie z programów pracujących w środowisku DOS wymaga stosowania osobnych programów. W Polsce najpopularniejszym programem tego typu współpracującym z syntezatorami SMP jest SCR oprócz tego do syntezatora Apollo dostarczany był program Hal. Trzecim programem był program Redadboard, który wspólpracował z programowym syntezatorem mowy.

Tylko dwa pierwsze z wymienionych programów mogą działać ze sprzętowym syntezatorem mowy i ich dotyczą przedstawiane poniżej regulacje.

Aby program odczytu ekranu mógł poprawnie pracować w okienku DOS należy dokonać zmian w pliku config.sys i system.ini. Pierwszy z nich CONFIG.SYS znajduje się w katalogu głównym podstawowego dysku twardego naszego komputera. Należy go otworzyć dowolnym programem edycji tekstu i wstawić do niego linię:

SWITCHES=/c

Drugi zbiór SYSTEM.INI znajduje się w katalogu WINDOWS. Zawartość tego zbioru należy również zmodyfikować przy pomocy edytora tekstu wstawiając dwie linie w sekcji [386]. Na końcu sekcji należy dopisać:

Com1autoassign = 0

Com2autoassign = 0

Po przeprowadzonych modyfikacjach należy ponownie uruchomić system, aby nasze ustawienia zostały uaktywnione.

Po otwarciu okienka DOS należy uruchomić program odczytu ekranu dla DOS’a zgodnie z załączoną instrukcją do tego programu.


DODATEK F

Tryb Aplikacji MSAA

Tryb aplikacji MSAA pozwala programowi Window-Eyes lepiej współpracować z aplikacjami, uzyskując lepszy dostęp do informacji umieszczanych przez nie na ekranie. MSAA jest skrótem od Microsoft Active Accessibility (w dosłownym tłumaczeniu: Aktywna Dostępność Microsoft). MSAA jest zestawem technik programistycznych pozwalających na bezpośrednią komunikację między aplikacją a programem czytającym ekran (screen-readerem). Program czytający może użyć MSAA by uzyskać dane z aplikacji udostępniającej je w tym trybie bezpośrednio, bez potrzeby korzystania z jej OSM (off screen model). Omówimy każdą aplikację oddzielnie, gdyż ten tryb działa różnie, zależnie od aplikacji. Zawsze należy sprawdzić plik readme.txt znajdujący się w menu Start (Windows 9x), gdyż zawiera on najświeższe informacje dotyczące aplikacji i trybu MSAA.

Tryb MSAA można włączyć na jeden z dwóch sposobów. Można użyć opcji Tryb Aplikacji MSAA z menu Ogólne Window-Eyes albo wcisnąć gorący klawisz Przełącznik trybu MSAA (domyślnie Ctrl-Shift-A). Obie metody są równoważne. Tryb aplikacji jest zapamiętywany w pliku konfiguracyjnym. Dlatego jeśli chcemy aby tryb MSAA był automatycznie uaktywniany przy wejściu do aplikacji, musimy go włączyć, a następnie zachować plik konfiguracyjny skojarzony z aplikacją.

W chwili pisania tej instrukcji jedynymi aplikacjami udostępniającymi tryb MSAA są: Internet Explorer 5.x oraz aplikacje używające mechanizmu Explorera do wyświetlania dokumentów HTML (np. Office 2000, Eudora, pomoc Windows 98, Outlook i inne ). Poniższy rozdział omawia dogłębnie Internet Explorer. Jednakże podstawy tu przedstawione mają zastosowanie także do aplikacji wymienionych powyżej.

Internet Explorer 5.x

Jako że wiele dzisiejszych stronWWW jest bardzo przeładowanych i nastawionych na odbiór wizualny, zwykle trudno jest je czytać za pomocą programów odczytujących ekran (screen-readerów). Strona sieci Web może mieć na przykład wiele kolumn i ramek.

Można użyć trybu aplikacji MSAA by ułatwić sobie przeglądanie stron w programie Internet Exlorer. By włączyć ten tryb, trzeba włączyć opcję Tryb Aplikacji MSAA w menu Ogólne Window-Eyes, albo wcisnąć gorący klawisz Przełącznik Trybu MSAA CTRL-SHIFT-A będąc w Internet Explorerze. Jeśli używamy oryginalnych plików konfiguracyjnych dla Internet Explorera dostarczonych z programem Window-Eyes, tryb ten włącza się automatycznie. Gdy tryb MSAA jest włączony, Window-Eyes dostaje dane bezpośrednio od Explorera, z pominięciem ekranu. To pozwala prezentować dane szeregowo (nie w kolumnach) w sposób właściwy do przekazywania ich mową. Gdy jesteśmy w tym trybie, Window-Eyes pracuje z niewidocznym wskaźnikiem, który pozwala nam poruszać się po tekście. Jest to tekst z wewnętrznego bufora, będący przystępnym przedstawieniem informacji rzeczywiście prezentowanej na ekranie.

Gdy uaktywnimy tryb aplikacji MSAA, znajdziemy się w bardzo specjalnym trybie. Window-Eyes będzie czytał linia po linii cały kod HTML z bieżącej strony. Jednakże by dostać tę informację Window-Eyes musi odczekać aż Internet Explorer załaduje całą stronę. Dlatego może minąć dłuższa chwila zanim usłyszymy cokolwiek. Jeśli spróbujemy wydać Window-Eyes jakąś komendę w czasie gdy trwa pobieranie strony z Internetu, Window-Eyes wyda ostrzegawczy dźwięk i powie "ładowanie strony" ignorując wciśnięte klawisze.

W chwili gdy cała strona zostanie ściągnięta z Internetu, Window-Eyes powie "ładowanie strony" Od tego momentu Window-Eyes komunikuje się z Explorerem przez MSAA by dostać zawartość całej strony. W tej fazie strona jest dekolumnowana i przekazywana do tymczasowego bufora Window-Eyes. Widoczny układ ekranu nie jest w żaden sposób modyfikowany, zaś tekst jest odczytywany z wewnętrznego bufora Window-Eyes. W ten sposób mamy pełen dostęp do całej strony, a nie tylko do jej części widocznej na ekranie.

Gdy Window-Eyes powie "ładowanie strony" możemy już rozpocząć czytanie przy użyciu komend wymienionych poniżej. Jednak może minąć kilka sekund zanim Window-Eyes załąduje całą stronę, więc nie będzie od razu dostępu do całości. Kiedy Window-Eyes załaduje całą stronę, powie "załadowano." W trakcie ładowania strony kolejne porcje tekstu dodawane są na dole już załadowanego tekstu. Window-Eyes prawdopodobnie będzie ładować kolejne linie szybciej niż będziemy je czytać, więc to nie powinno stanowić problemu, chyba że na przykład od razu skoczymy do końca strony. Jeśli wydamy polecenie przejścia do miejsca, które może jeszcze nie być załadowane, na przykład CTRL-END by iść na koniec strony, Window-Eyes powie "ładowanie strony", by przypomnieć o tym, że strona jest wciąż ładowana do bufora Window-Eyes.

Jak już wspomniano, gdy Explorer załąduje całą stronę, Window-Eyes zaczyna ładować ją do swego bufora i mówi "ładowanie strony." Wskaźnik zostaje ustawiony na początku pierwszej linii na stronie i możesz zacząć czytać. Jednak może się zdarzyć, że pierwsza linia widoczna na ekranie nie jest pierwszą linią na stronie.. Będzie tak wtedy, gdy linki na stronie przeniosą nas w inne miejsce tej samej strony lub gdy wrócimy do poprzedniej strony. W tych przypadkach nie chcemy by Window-Eyes zawsze startował na początku strony. Kiedy Window-Eyes zaczyna ładować stronę gdy pierwsza linia na stronie nie jest widoczna na ekranie, powie "szuka widocznej linii" i będzie dalej ładować stronę. W chwili gdy widoczna linia zostanie znaleziona, wskaźnik zostanie ustawiony na niej, a Window-Eyes powie "widoczna linia znaleziona." Jeśli wrócimy do poprzednio wyświetlonej strony, prawdopodobniee usłyszymy te komunikaty, ale gdy załądowana zostanie cała strona i Window-Eyes stwierdzi, że nie zmieniła się ona odkąd ją opuściliśmy, to usłyszymy "poprzednia pozycja znaleziona" i wskaźnik zostanie ustawiony na linii, na której byliśmy ostatnio.

Jeśli w dowolnym momencie podczas łądowania strony przez Window-Eyes zaczniemy czytać tekst, Window-Eyes nie będzie już zmieniać pozycji wskaźnika. W chwili gdy strona zaczyna się ładować, wskażnik jest ustawiany na początku. Jeśli zaczniemy poruszać go strzałkami, Window-Eyes już go nie zmieni i pozostanie tam, gdzie go zaprowadzimy. Jeśli nie zaczniemy czytać tekstu i Window-Eyes znajdzie widoczną linię, wskaźnik zostanie ustawiony na tej linii. Jeśli wtedy zaczniemy się poruszać, znoowu Window-Eyes już nie zmieni położenia wskaźnika i pozostanie on tam, gdzie go zaprowadzimy. Jeśli zaś po znalezieniu widocznej linii dalej nie zaczniemy czytania, a wracaliśmy właśnie do poprzedniej strony i poczekamy aż cała się załaduje, wskaźnik ustawi się na linii, którą czytaliśmy ostatnio na tej stronie.

Innymi słowy jeśli chcemy zacząć czytać stronę od początku, można rozpocząć czytanie od razu gdy Window-Eyes powie "ładowanie strony." Jeśli chcemy zacząć od pierwszej widocznej linii i Window-Eyes powie "szuka widocznej linii" możemy zacząć poruszanie strzałkami zaraz po tym jak Window-Eyes powie "widoczna linia znaleziona." Pamiętajmy, że jeśli Window-Eyes nie powie "szuka widocznej linii" zaraz po "ładowanie strony" to znaczy, że już pierwsza linia jest widoczna. Wreszcie jaśli chcemy być na linii, na której byliśmy gdy ostatnio odwiedzaliśmy daną stronę, musimy czekać aż cała strona się załaduje i dopiero możemy poruszać się strzałkami.

Gdy cała strona załaduje się do bufora Window-Eyes i nie zaczniemy czytać jej strzałkami, Window-Eyes automatycznie odczyta 24 linie począwszy od bieżącej pozycjiwill. Może nią być początek strony, pierwsza widoczna linia lub poprzednia pozycja na stronie.

Gdy podczas czytania strony trafimy na link (łącze) Window-Eyes powie "link", a następnie poda jego opis. Jeśli już kiedyś odwiedzaliśmy adres na który ten link wskazuje, Window-Eyes powie "odwiedzony link" i poda jego opis. Przydaje się to, by nie tracić czassu na czytanie czegoś, co już było przeczytane lub by dostać się ponownie do informacji już kiedyś znalezionej.

Będąc w trybie aplikacji MSAA w Internet Explorerze, można używać następujących klawiszy. Gdy mowa o klawiszach poruszających kursorem, dotyczy to klawiszy spoza klawiatury numerycznej, chyba że napisano Numpad.

Strzałka w lewo - Przesuwa w lewo o jeden znak i odczytuje znak pod wskaźnikiem.

Strzałka w prawo - Przesuwa w prawo o jeden znak i odczytuje znak pod wskaźnikiem.

CTRL-Strzałka w lewo - Przesuwa w lewo o jedno słowo i odczytuje słowo pod wskaźnikiem.

CTRL-Strzałka w prawo - Przesuwa w prawo o jedno słowo i odczytuje słowo pod wskaźnikiem.

Strzałka w górę - Przesuwa w górę o jedną linię i odczytuje linię pod wskaźnikiem.

Strzałka w dół - Przesuwa w dół o jedną linię i odczytuje linię pod wskaźnikiem.

HOME - Presuwa na początek linii i odczytuje znak pod wskaźnikiem.

END - Presuwa na koniec linii i odczytuje znak pod wskaźnikiem.

CTRL-HOME - Presuwa na początek dokumentu i odczytuje linię pod wskaźnikiem.

CTRL-END - Presuwa na koniec dokumentu i odczytuje linię pod wskaźnikiem.

PAGEUP - Czyta poprzednie dwadzieścia cztery linie z dokumentu i przesuwa wskaźnik dwadzieścia cztery linie wstecz.

PAGEDOWN - Czyta następne dwadzieścia cztery linie z dokumentu i przesuwa wskaźnik dwadzieścia cztery linie w dół.

TAB - Przesuwa wskaźnik do następnego linka lub elementu sterującego na stronie i odczytuje go.

SHIFT-TAB - Przesuwa wskaźnik do poprzedniego linka lub elementu sterującego na stronie i odczytuje go.

ALT-Strzałka w dół - Każda linia strony WWW jest albo linkiem, albo elementem sterującym, albo zwykłym tekstem. Gdy wciśniemy te klawisze, wskaźnik przesunie się do następnej linii na stronie, która jest innego rodzaju niż ta, na której wskaźnik był w chwili wciśnięcia klawiszy i odczytuje tę linię. Na przykład jeśli bylibyśmy na linku, wciśnięcie tych klawiszy przesunęłoby nas do następnej linii, która linkiem nie jest.

ALT-Strzałka w górę - Przesuwa wskaźnik do następnej linii na stronie, która jest innego rodzaju niż bieżąca i odczytuje tę linię. Więcej informacji - zobacz ALT-Strzałka w dół.

CTRL-ALT-Strzałka w dół - Przesuwa wskaźnik do następnej linii na stronie, która jest elementem sterującym (pomijając wszystkie linki i linie zwykłego tekstu) i odczytuje tę linię.

CTRL-ALT-Strzałka w górę - Przesuwa wskaźnik do poprzedniej linii na stronie, która jest elementem sterującym (pomijając wszystkie linki i linie zwykłego tekstu) i odczytuje tę linię.

SHIFT-ALT-Strzałka w dół - Przesuwa wskaźnik do następnej linii na stronie, która jest linkiem (pomijając wszystkie elementy sterujące i linie zwykłego tekstu) i odczytuje tę linię.

SHIFT-ALT-Strzałka w górę - Przesuwa wskaźnik do poprzedniej linii na stronie, która jest linkiem (pomijając wszystkie elementy sterujące i linie zwykłego tekstu) i odczytuje tę linię.

INS-ALT-Strzałka w dół - Przesuwa wskaźnik do następnej linii na stronie, która jest zwykłym tekstem (pomijając wszystkie linki i elementy sterujące) i odczytuje tę linię.

INS-ALT-Strzałka w górę - Przesuwa wskaźnik do następnej linii na stronie, która jest zwykłym tekstem (pomijając wszystkie linki i elementy sterujące) i odczytuje tę linię.

CTRL-ALT-SHIFT-Strzałka w dół - Przesuwa wskaźnik do następnej linii na stronie, która jest odwiedzonym linkiem (pomijając wszystkie elementy sterujące, linie zwykłego tekstu i nieodwiedzone linki) i odczytuje tę linię.

CTRL-ALT-SHIFT-Strzałka w górę - Przesuwa wskaźnik do poprzedniej linii na stronie, która jest odwiedzonym linkiem (pomijając wszystkie elementy sterujące, linie zwykłego tekstu i nieodwiedzone linki) i odczytuje tę linię.

INS-TAB - Wyświetla okno dialogowe Dostępne Linki. Zawiera on pole listy ze wszystkimi linkami dostępnymi na bieżącej stronie Web. Możemy poruszać się po tej liście strzałkami w górę i w dół lub wciskać pierwszą literę żądanej opcji aż się na niej znajdziemy, albo wpisać początek jakiegoś linka aż go znajdziemy. Domyślnie linki uszeregowane są w takiej kolejności jak na stronie. Zamiast tego możemy też użyć przycisku opcji z tego okienka sortującego linki alfabetycznie. Po wybraniu linka z listy możemy go aktywować albo tylko przenieść na niego wskaźnik bez wchodzenia na stronę przez niego wskazywaną. Domyślny przycisk powoduje aktywację linka. Jeśli jednak wciśniemy przycisk Przejdź na Link, wskaźnik jedynie przesunie się na niego, ale bez aktywowania. To bardzo dobry sposób by zbadać otoczenie danego linka. Do każdej z opcji w tym okienku można szybko się dostać używając odpowiednich gorących liter. Alt-A sortuje linki alfabetycznie. Alt-S sortuje linki według kolejności wystąpienia na stronie. Alt-W aktywuje link podświetlony na liście i usuwa ten dialog. Alt-P przenosi wskaźnik na link na stronie bez jego wybierania i usuwa ten dialog.

CTRL-ALT-HOME - Jeśli jesteśmy na stronie, którą już odwiedzaliśmy, ta kombinacja klawiszy przeniesie wskaźnik do linii, na której byliśmy gdy ostatnio opuszczaliśmy tę stronę i odczyta tę linię. Jeśli jesteśmy na stronie, na której jeszcze nie byliśmy, albo gdy strona zmieniła się od ostatniej wizyty, Window-Eyes powie "nie ma poprzedniej pozycji" i nie zmieni pozycji wskaźnika.

Gorące Klawisze Window-Eyes

Niektóre gorące klawisze Window-Eyes mogą być bardzo przydatne w trybie MSAA. Mogą być używane klawisze czytające względem pozycji kursora znaki, słowa i linie oraz poniźsze gorące klawisze.

Czytaj Do Końca - Ta funkcja odczytuje stronę od linii, w której znajduje się wskaźnik do końca strony lub do wciśnięcia ESCAPE. To bardzo dobry sposób na przeczytanie całej strony. Domyślnie ta funkcja jest przypisana klawiszom CTRL-SHIFT-R.

Dane i Nazwa Pola - Wciśnięcie tego klawisza sprawi, że Window-Eyes powie ile jest linii na bieżącej stronie i na której linii aktualnie znajduje się wskaźnik.. Ponadto powie czy strona ma ramki, a jeśli ma, to ile. Domyślnie ta funkcja jest przypisana klawiszom CTRL-SHIFT-S.

Szukanie Myszki - Wyświetla okno Znajdź programu Window-Eyes. Po prostu wpisujemy tekst, który chcemy znaleźć i Window-Eyes przeszukuje bieżącą stronę począwszy od bieżącej pozycji wskaźnika. Zauważmy, że jest to inaczej niż w normalnym okienku szukania myszki, gdzie Window-Eyes zaczyna od górnego ograniczenia myszki. Możemy zacząć szukanie od pozycji wskaźnika w dół lub w górę. Pewne elementy sterujące tego okienka są niedostępne w trybie MSAA. Domyślnie ta funkcja jest przypisana klawiszom CTRL-SHIFT-F.

Kontynuacja Szukania Myszki - Kontynuuje wyszukiwanie tekstu od bieżącej pozycji wskaźnika w kierunku określonym przy początkowym wywołaniu funkcji Szukanie Myszki. Domyślnie ta funkcja jest przypisana klawiszom INS-F.

Dowolna Linia - Wciśnięcie tego klawisza wywoła okienko z zapytaniem o numer linii, do której chcemy sprowadzić wskaźnik. Wpisujemy po prostu numer linii i wciskamy ENTER. Window-Eyes przeniesie do niej wskaźnik i odczyta ją. Można użyć gorącego klawisza Dane i Nazwa Pola, by dowiedzieć się ile linii jest na bieżącej stronie. Domyślnie ta funkcja jest przypisana klawiszom CTRL-SHIFT-L.

Przeczytaj Zaznaczony Blok - Wciśnięcie tego klawisza spowoduje odczytanie zaznaczonego tekstu. O zaznaczaniu tekstu można przeczytać poniżej w części dotyczącej używania schowka. Domyślnie ta funkcja jest przypisana klawiszom CTRL-SHIFT-M.

Przerysowanie - Nie tylko odświerza ekran, ale ładuje też od początku całą stronę WWW. Jeśli z jakiegoś powodu Window-Eyes nie załąduje całej strony albo strona zmieni się, ta funkcja przywróci synchronizację. Domyślnie ta funkcja jest przypisana klawiszom INS-\.

ASCII/Atrybuty Kursora - Odczytuje kod ASCII znaku pod wskaźnikiem. Domyślnie ta funkcja jest przypisana klawiszom CTRL-NUMPAD-DEL.

Przełącznik Trybu MSAA - Włącza lub wyłącza tryb MSAA. Tryb MSAA musi być włączony, by działały gorące klawisze opisywane w niniejszym dodatku. Domyślnie ta funkcja jest przypisana klawiszom CTRL-SHIFT-A.

Omiń - Ten gorący klawisz sprawia, że następna kombinacja klawiszy jest ignorowana i przekazywana do aktywnej aplikacji, czyli w tym przypadku do Internet Explorera. Dotyczy to zarówno zwykłych gorących klawiszy, jak i kombinacji używanych w trybie MSAA omawianych w tym dodatku. Domyślnie ta funkcja jest przypisana klawiszom INS-B.

Specjalne ustawienia pliku konfiguracyjnego dla Internet Explorera

ALT-U - Odczytuje URL (czyli adres) aktualnie załadowanej strony. Jest to informacja wyświetlana w liście rozwijanej u góry okna Explorera.

ALT-S - Odczytuje linię statusu. Jest to szczególnie przydatne w czasie ładowania strony z Internetu. Zwykle linia statusu zawiera informacje o tym, co się aktualnie dzieje i co jeszcze ma być załadowane. Wciskanie Alt-S podczas ładowania strony pozwoli więc dowiedzieć się jaki jest stan ładowania.

Obsługa ramek

Twórcy stron WWW mogą używać ramek, które są pewnym sposobem grupowania informacji na ekranie.. Na przykład można użyć ramki po lewej stronie do wyświetlenia grupy linków i ramki po prawej stronie, która będzie wyświetlać informacje związane z linkiem wybranym w tej pierwszej. Jeśli strona jest oparta na ramkach, Window-Eyes po całkowitym załadowaniu strony powie "Załadowano, ma ramki". Możemy także wcisnąć gorący klawisz Nazwa i Dane Pola (Ctrl-Shift-S), by Window-Eyes powiedział nam ile ramek ma bieżąca strona. Jeśli na stronie są ramki, mogą być przydatne poniższe klawisze.

CTRL-TAB - Przenosi wskaźnik do początku następnej ramki i odczytuje linię.

CTRL-SHIFT-TAB - Przenosi wskaźnik do początku poprzedniej ramki i odczytuje linię.

INS-HOME - Przenosi wskaźnik do początku bieżącej ramki i odczytuje linię.

INS-END - Przenosi wskaźnik do końca bieżącej ramki i odczytuje linię.

Gdy używamy powyższych klawiszy do przechodzenia między ramkami lub gdy przeglądając stronę wchodzimy na następną ramkę, Window-Eyes powie "ramka" i poda jej tytuł. Jeśli ramka nie ma tytułu, Window-Eyes powie "ramka bez tytułu." Tytuł ramki jest nadawany przez twórcę danej strony i może być znaczący, albo nie.

Obsługa tabel

Często twórcy stron WWW wykorzystują tabele aby przedstawić informację w określonym układzie. Tabele, które definiują rozmieszczenie elementów na stronie są przez program Window-Eyes ignorowane ponieważ nie wymagają specjalnej obsługi. Natomiast tabele prezentujące informację (podobne do arkuszy kalkulacyjnych) mogą być obsługiwane przez program Window-Eyes.

Kiedy trafimy na taka tabelę Window-Eyes powie: tabela X (wskazując na bieżący numer tabeli) rozpoczyna się od X wierszy (określając liczbę wierszy w tabeli) X kolumn (określając liczbę kolumn tabeli)

CTRL-PLUS lub CTRL-NUMOAD-PLUS – włącza tryb tabel

CTRL-MINUS lub CTRL-NUMPAD-MINUS – wyłącza tryb tabel dla bieżącej tabeli

CTRL-SHIFT-MINUS lub CTRL-SHIFT-NUMPAD-MINUS – wyłącza tryb tabel całkowicie. To jest prosta i szybka droga do wyjścia z trybu tabel kiedy jesteśmy wewnątrz tabeli, która już nas nie interesuje.

Ważnym jest, że musimy włączać tryb tabel dla każdej tabeli. Jeśli tabele są zagnieżdżone wewnątrz innych tabeli, Window-Eyes poinformuje o tym mówiąc tabela X.Y. Na przykład 1.2 wskazuje na to, że znajdujemy się w drugim poziomie tabeli głównej.

Poniższe klawisze ułatwiają nawigowanie wewnątrz tabeli:

INS-W PRAWO - Przesuwa o jedną komórkę w prawo.

INS-W LEWO - Przesuwa o jedną komórkę w lewo.

INS-W GÓRĘ – Przesuwa o jedną komórkę w górę.

INS-W DÓŁ – Przesuwa o jedną komórkę w dół.

CTRL-INS-W PRAWO - Przesuwa do końca wiersza

CTRL-INS-W LEWO - Przesuwa do początku wiersza.

CTRL-INS-W GÓRĘ - Przesuwa do początku kolumny.

CTRL-INS-W DÓŁ - Przesuwa do końca kolumny.

Wszystkie komendy MSAA dotyczą bieżącej komórki.

Wszystkie komendy dotyczące tabel związane są z klawiszami klawiatury podstawowej a nie z klawiszami klawiatury numerycznej. Gdy użyjemy klawiszy INS-STRZAŁKA Window-Eyes wypowie R X C X i zawartość komórki lub jej pierwsze 24 linie w zależności jak ustawione były parametry trybu MSAA.

CTRL-SHIFT-H - Ten gorący klawisz pozwala przełączać pomiędzy piecioma następującymi opcjami oznajmiania wierszy i kolumn:

Brak tytułu - Po prostu wypowie „R X, C Y” za każdym razem gdy przejdziemy z komórki do komórki.

Tylko kolumna - Ta opcja odczyta zawartość pierwszej komórki w kolumnie gdy przejdziemy z jednej kolumny do drugiej.

Tylko wiersz - Usłyszymy zawartość pierwszej komórki w wierszu gdy przejdziemy do nowego wiersza.

Kolumna lub Wiersz - W tym przypadku usłyszymy zawartość pierwszej komórki w wierszu, lub pierwszej komórki w kolumnie w zależności od tego czy przejdziemy do nowego wiersza czy nowej kolumny.

Kolumna i Wiersz - Ta opcja pozwala usłyszeć zarówno kolumnę jak i wiersz. Gdy zmienimy wiersz, najpierw usłyszymy zawartość pierwszej komórki w wierszy a potem w kolumnie, lecz gdy zmienimy kolumnę to usłyszymy najpierw zawartość pierwszej komórki w kolumnie a potem w wierszu.

Gdy oznajmianie kolumn i wierszy jest ustawione na którąkolwiek wartość (oprócz pierwszej) i znajdziemy się w wierszu 1 kolumny 1, wtedy Window-Eyes nie przeczyta zawartości tej komórki jako nazwy wiersza czy kolumny. Zamiast tego program wypowie R 1 C 1 aby wskazać, w którym miejscu tabeli się znajdujemy.

CTRL-ALT-TAB – przeniesie nas do następnej tabeli

CTRL-ALT-SHIFT-TAB – przeniesie nas do poprzedniej tabeli

Używanie schowka

Następne klawisze służą do zaznaczania tekstu. Gdy tekst jest zaznaczony, możemy go skopiować do schowka. Można potem przełączyć się do innej aplikacji i tam wkleić zawartość schowka.

CTRL-A - Zaznacza całą stronę.

SHIFT-Strzałka w lewo - Zaznacza znak na lewo od wskaźnika.

SHIFT-Strzałka w prawo - Zaznacza znak na prawo od wskaźnika.

CTRL-SHIFT-Strzałka w lewo - Zaznacza słowo na lewo od wskaźnika.

CTRL-SHIFT-Strzałka w prawo - Zaznacza słowo na prawo od wskaźnika.

SHIFT-Strzałka w górę - Jeśli wskaźnik znajduje się na pierwszym znaku w linii, wciśnięcie tych klawiszy zaznaczy całą linię powyżej. Jeśli nie, zaznaczone zostaną wszystkie znaki na lewo od wskaźnika w bieżącej linii.

SHIFT-Strzałka w dół - Jeśli wskaźnik znajduje się na ostatnim znaku w linii, wciśnięcie tych klawiszy zaznaczy całą linię poniżej. Jeśli nie, zaznaczone zostaną wszystkie znaki na prawo od wskaźnika w bieżącej linii.

SHIFT-PAGEUP - Zaznacza poprzednie 24 linie.

SHIFT-PAGEDOWN - Zaznacza następne 24 linie.

SHIFT-HOME - Zaznacza cały tekst od wskaźnika do początku bieżącej linii.

SHIFT-END - Zaznacza cały tekst od wskaźnika do końca bieżącej linii.

ALT-SHIFT-HOME - Zaznacza cały tekst od wskaźnika do początku bieżącej ramki.

ALT-SHIFT-END - Zaznacza cały tekst od wskaźnika do końca bieżącej ramki.

CTRL-C - Kopiuje zaznaczony tekst do schowka Windows.

Używanie formularzy

Formularze to po prostu standardowe elementy sterujące, np. pola edycji, albo pole wyboru. Jeśli będziemy chcieli coś kupić przez Internet, to najprawdopodobniej napotkamy na stronie formularz. Sprzedający musi dostać nasze dane (adres, numer karty kredytowej) i wykorzystuje do tego formularz.

Nie możemy być w trybie MSAA w trakcie wypełniania formularza. Można to zrobić tylko przy użyciu standardowego interfejsu Explorera. Sugerujemy by najpierw przejrzeć całą stronę aaby zorientować się jak formularz jest ułożony, a następnie ustawić się na polu, od którego chcemy zacząć i wcisnąć ENTER. Window-Eyes automatycznie wyłączy tryb MSAA i przeniesie punkt uwagi na to pole. Jeśli będzie to pole edycji, pojawi się w nim migający kursor umożliwiając wprowadzenie koniecznych informacji. Jeśli będzie to pole wyboru, przełączy się ono. Jeśli będzie to przycisk, zostanie on aktywowany. Jeśli jest więcej pól do wypełnienia, możemy się między nimi przenosić klawiszem Tab.

Window-Eyes próbuje znaleźć i odczytać nazwę pola gdy wchodzimy nań tabulatorem. Niestety nie ma sposobu na odczytanie nazw pól ze stuprocentową dokładnością. Dlatego będą przypadki, gdy Window-Eyes nie odczyta żadnej nazwy pola, odczyta ją złą bądź niekompletną. Jeśli nie jesteśmy pewni gdzie w formularzu się znajdujemy, możemy włączyć tryb MSAA wciskając Ctrl-Shift-A. Po całkowitym załadowaniu strony, możemy zbadać kontekst poruszając się strzałkami góra-dół. Potem wciskamy ENTER na żądanym polu i kontynuujemy wypełnianie formularza.

Zanim wyślemy formularz możemy przejrzeć go jeszcze raz w trybie MSAA, by sprawdzić czy wszystko jest wypełnione prawidłowo. Ctrl-Shift-A po prostu włącza i wyłącza tryb MSAA. Pamiętajmy, że po wysłaniu formularza, musimy ręcznie przywrócić tryb MSAA wciskając Ctrl-Shift-A. Window-Eyes automatycznie wychodzi z tego trybu gdy wciśniemy ENTER na elemencie sterującym (polu formularza), ale musimy ręcznie do niego wrócić wciskając gorący klawisz.

Informacje ogólne

Jeśli wskaźnik znajduje się na linku, możemy użyć klawiszy SHIFT-F10 lub klawiszy aplikacji, by wywołać menu kontekstowe dla linka pod wskaźnikiem.

Jeśli wskaźnik znajduje się na linku, klawisz Enter lub Numpad-Enter uruchamia link (ładuje nową stronę). Następnie Window-Eyes odświeży kod HTML dla nowej strony. Znów musi poczekać aż Explorer załaduje stronę, więc może to potrwać kilka sekund.

Użycie trybu aplikacji MSAA daje nam znakomity dostęp do stron WWW w Internet Explorerze, ale nie daje dostępu do stron wykorzystujących JAVĘ, gdyż MSAA nie "widzi" elementów sterujących języka JAVA.


Dodatek G

SET2TEXT i TEXT2SET

Te dwa programu służą do dekompilacji i kompilacji plików konfiguracyjnych. Pierwszy z nich zamienia plik konfiguracyjny na zbiór tekstowy ASCII, który może być redagowany przy pomocy standardowego edytora tekstu. Drugi dokonuje kompilacji pliku tekstowego na plik konfiguracyjny akceptowany przez program Window-Eyes. SET2TEXT może również porównać zawartości zbiorów konfiguracyjnych i różnice występujące pomiędzy nimi, zapisać w zbiorze ASCII.

SET2TEXT

Ten program pozwala przejrzeć zawartości plików konfiguracyjnych bez konieczności ich ładowania do programu Window-Eyes. Aby uruchomić SET2TEXT należy:

1. Wcisnąć CTRL-\ aby otworzyć panel kontrolny.

2. Wcisnąć ALT-P aby otworzyć menu Plik.

3. Wcisnąć S abu uruchomić SET2TEXT.

Po uruchomieniu programu w polu edycji należy podać nazwę zbioru, który zamierzamy dekompilować oraz nazwę zbioru docelowego. Jako rozszerzenie nazwy zostanie przyjęte .000 Gdy nie podamy nazwy zbioru docelowego zostanie przyjęta taka sama nazwa jak zbioru wejściowego lecz zamienione zostanie rozszerzenie na .T00 Otrzymany zbiór może być przeglądany dowolnym programem edycji tekstu.

TEXT2SET

Ten program generalnie działa odwrotnie do programu SET2TEXT. Kompiluje on zbiór ASCII w zbiór konfiguracyjny programu Window-Eyes. Domyślnie program przyjmuje, że rozszerzenie .T00 dotyczy zbioru wejściowego a .000 zbioru wyjściowego.

W nazwach zbiorów mogą być używane znaki specjalne jak * i ?, które umożliwiają kompilację i dekompilację wielu zbiorów jednocześnie.

Przy kompilacji zbiorów tekstowych sprawdzana jest poprawność ich zapisu. Wszystkie komendy niezrozumiałe dla programu Window-Eyes zostaną wychwycone i pojawi się informacja o błędzie. W takim przypadku zbiór wejściowy ASCII musi być poprawiony.